Copyright: Copyright 1996 - 2003. Corel Corporation. All rights reserved.
Citation: Copyright 1996 - 2003. Corel Corporation. All rights reserved.


AbbreviationCreate

Syntax

AbbreviationCreate(AbbreviationName As String, [Template As _AbbreviationCreate_Template_enum], [Text As String])

Description

Create an abbreviation.

Parameters

AbbreviationName: string	Template: enumeration(optional) CurrentDoc! PersonalLibrary! QuickWords! SharedLibrary!
Text: string(optional)
 Related topics


AbbreviationDelete

Syntax

AbbreviationDelete(AbbreviationName As String, [Template As _AbbreviationDelete_Template_enum])

Description

Delete an abbreviation.

Parameters

AbbreviationName: string	Template: enumeration(optional) CurrentDoc! PersonalLibrary! QuickWords! SharedLibrary!
 Related topics


AbbreviationDlg

Syntax

AbbreviationDlg()

Description

Display the Abbreviations dialog box.

 Related topics


AbbreviationExpand

Syntax

 AbbreviationExpand([AbbreviationName As String], [Template As _AbbreviationExpand_Template_enum]))

Description

Expand an abbreviation.

Parameters

AbbreviationName: string(optional)	Template: enumeration(optional) CurrentDoc! PersonalLibrary! QuickWords! SharedLibrary!
 Related topics


AbbreviationsShippingMacro

Syntax

AbbreviationsShippingMacro()

Description

Play the shipping macro ABBREV.WCM to display the Abbreviations dialog box in a modeless state. ABBREV.WCM must be installed.


AboutDlg

Syntax

AboutDlg()

Description

Display the About WordPerfect dialog box, which displays product and license information.


AddressBookDlg

Syntax

AddressBookDlg([SelectionType As _AddressBookDlg_SelectionType_enum], [CurrentSelections As _AddressBookDlg_CurrentSelections_enum], [AddressBook As String], [DialogTitle As String], [OKButtonText As String]) As Boolean

Description

Display the Address Book dialog box. You can also pre-select certain options using the parameters. If OK is clicked to dismiss the dialog, the Address Book will remember the currently selected addresses.

Return Value

Returns True if the OK button was clicked to dismiss the dialog, False if not.

Parameters

SelectionType: enumeration (optional)	Default = SingleSelection! MultipleSelection! SingleSelection!
CurrentSelections: enumeration (optional)	Default = Ignore! Ignore! Reselect!
AddressBook: string (optional)	The name of the address book to view.
DialogTitle: string (optional)	Change the text of the title bar.
OKButtonText: string (optional)	Change the text of the OK button. Default = OK.
 Related topics


AddressBookFormatAdd

Syntax

AddressBookFormatAdd(Name As String, Format As String)

Description

Create a custom address format and add it to the list of address formats.

Parameters

Name: string	The name of the new custom format.
Format: string	The address format string. Data fields are designated by enclosing the field code number in square brackets ([ ]). Use the Codes button on the Macro Bar to insert hard return or tab codes. Although the codes look like bracketed text, they are codes in the text string. For example: AddressBookFormatAdd (Name: "Test"; Format: "[12289][HRt][14889][HRt][14887], [14888] [14890]") Use AddressBookGetFieldCount, AddressBookGetFieldNumber, and AddressBookGetFieldName to get the names and code numbers of the address book fields.
 Related topics


AddressBookFormatDelete

Syntax

AddressBookFormatDelete(Name As String)

Description

Delete a custom address format from the list of address formats. System (predefined) address formats cannot be deleted from the address format list.

Parameters

Name: string	The name of the custom format to delete.
 Related topics


AddressBookFormatGetCount

Syntax

AddressBookFormatGetCount() As Long

Description

Return the number of available address formats.

Address formats can be referenced by index number to return information about the format. See AddressBookFormatGetNameand AddressBookFormatGetFormat. Some address formats are provided with the program (predefined) and cannot be deleted. These formats are indexed from one through the number of formats provided. User-defined address format indexes begin following the predefined formats and are indexed in order of creation. For example, if there are five predefined address formats and four user-defined address formats, the predefined formats would have index numbers ranging from one to five; and the user-defined formats would have index numbers ranging from six to nine in the order which they were created. If a user-defined address format is deleted, the index number of each succeeding format is reduced by one.

Therefore, the address-format index numbers will always be sequential. Also, the index number of a user-defined address format may change if a previously created address format is deleted.

 Related topics


AddressBookFormatGetCurrent

Syntax

AddressBookFormatGetCurrent(Item As _AddressBookFormatGetCurrent_Item_enum) As String

Description

Return the format name or specification of the current address format.

Parameters

Item: enumeration	Specify the item to return. Format! Name!
 Related topics


AddressBookFormatGetFormat

Syntax

AddressBookFormatGetFormat(index As Long) As String

Description

Return the specification of the address format specified in Index.

Parameters

Index: numeric	Use AddressBookFormatGetCount to determine the value of this parameter.
 Related topics


AddressBookFormatGetName

Syntax

 AddressBookFormatGetName(index As Long) As String

Description

Return the name of the specified address format.

Parameters

Index: numeric	Use AddressBookFormatGetCount to determine the value of this parameter.
 Related topics


AddressBookGetCount

Syntax

AddressBookGetCount() As Long

Description

Return the number of available address books.

 Related topics


AddressBookGetFieldCount

Syntax

AddressBookGetFieldCount(AddressBook As String) As Long

Description

Return the number of available fields in the specified address book.

Parameters

AddressBook: string	The name of the address book to get the field count from.
 Related topics


AddressBookGetFieldName

Syntax

AddressBookGetFieldName(AddressBook As String, index As Long) As String

Description

Return the name of a specific field in the specified address book.

Parameters

AddressBook: string	The name of the address book containing the desired field.
Index: numeric	The index number of the desired field.
 Related topics


AddressBookGetFieldNumber

Syntax

AddressBookGetFieldNumber(AddressBook As String, index As Long) As Long

Description

Return the code number of a specific field in the address book specified. The field code number is not the same as the field index number. Field code numbers always remain the same even if other fields are deleted. The table below lists the default system (predefined) data fields and their code numbers. Custom Fields are numbered sequentially in the order they are created beginning at 32768.

Code # Field Name

12289 Name

12290 E-Mail Type

12291 E-Mail Address

12292 Comments

14854 First Name

14856 Business Phone Number

14857 Home Phone Number

14865 Last Name

14870 Organization

14871 Title

14872 Department

14873 Mailstop

14874 Phone Number

14876 Cellular Phone Number

14883 Fax Number

14886 Country

14887 City

14888 State

14889 Address

14890 ZIP Code

24587 Greeting

Parameters

AddressBook: string	The name of the address book containing the desired field.
Index: numeric	The index number of the desired field.
 Related topics


AddressBookGetName

Syntax

AddressBookGetName(index As Long) As String

Description

Return the name of the specified address book.

Parameters

Index: numeric	The index number of the desired address book.
 Related topics


AddressBookInsertAddr

Syntax

AddressBookInsertAddr()

Description

Display the Corel Address Book dialog box so you can insert an address.

 Related topics


AddressMergeShippingMacro

Syntax

AddressMergeShippingMacro()

Description

Play the shipping macro ADRS2MRG.WCM to copy the address book into a merge data file. ADRS2MRG.WCM must be installed.


Advance

Syntax

Advance(Where As _Advance_Where_enum, Amount As Integer)

Description

Move the insertion point a specified distance from the top or left of the page, or from the insertion point.

Parameters

Where: enumeration	AdvanceDown! AdvanceFromLeftEdge! AdvanceFromTop! AdvanceLeft! AdvanceRight! AdvanceUp! Down! Left! Right! ToLine! ToPosition! Up!
Amount: measurement
 Related topics


AdvanceDlg

Syntax

AdvanceDlg()

Description

Display the Advance dialog box.

 Related topics


AllFontsShippingMacro

Syntax

AllFontsShippingMacro()

Description

Play the shipping macro ALLFONTS.WCM to create a list of available fonts for the current printer. ALLFONTS.WCM must be installed.


Append

Syntax

Append()

Description

Add a copy of the selected text or graphics to the end of the Clipboard contents. If the Clipboard is empty, the macro ends.

 Related topics


AppendToFile

Syntax

 AppendToFile([Filename As String])

Description

Add the selected text, or the current document if no text is selected, to the end of another file.

Parameters

Filename: string (optional)	The file to append to.
 Related topics


ApplicationBarShow

Syntax

 ApplicationBarShow([State As _ApplicationBarShow_State_enum])

Description

Display (On!) or hide (Off!) the Application Bar. If no parameter is specified, this method toggles the Application Bar display.

Parameters

State: enumeration (optional)	Off! On!


AppMaximize

Syntax

AppMaximize()

Description

Maximize the application window. If the window is already maximized, the macro ends.

 Related topics


AppMinimize

Syntax

AppMinimize()

Description

Minimize the application window to an icon. If the window is already minimized, the macro ends.

 Related topics


AppMove

Syntax

AppMove()

Description

Reposition an application window that has been reduced in size. If WordPerfect is maximized, the macro ends or goes to the ONERROR label.

 Related topics


AppRestore

Syntax

AppRestore()

Description

Restore the application window to its previous size. If WordPerfect is already restored, the macro ends or goes to the ONERROR label.

 Related topics


AppSize

Syntax

AppSize()

Description

Resize the current application window. If the window is maximized, the macro ends or goes to the ONERROR label.

 Related topics


AppTaskList

Syntax

AppTaskList()

Description

Activate the Taskbar and display the Start menu.


AssociateDlg

Syntax

AssociateDlg()

Description

Display the Associate dialog box, which allows you to assign menus, toolbars, and keyboards to selected features.

 Related topics


AttributeAppearanceOff

Syntax

AttributeAppearanceOff([Attrib])

Description

Turn off the specified attributes at the insertion point. One or more attribute parameters is required.

Parameters

Attrib: enumeration (optional)	Bold! DoubleUnderline! Every! Italics! Outline! Redline! Shadow! SmallCaps! Strikeout! Underline!
 Related topics


AttributeAppearanceOn

Syntax

AttributeAppearanceOn([Attrib])

Description

Turn on the specified attributes at the insertion point. One or more parameters is required.

Parameters

Attrib: enumeration (optional)	Bold! DoubleUnderline! Every! Italics! Outline! Redline! Shadow! SmallCaps! Strikeout! Underline!
 Related topics


AttributeAppearanceToggle

Syntax

AttributeAppearanceToggle([Attrib])

Description

Toggle attributes, usually of the selected text. One or more attribute parameters is required.

Parameters

Attrib: enumeration (optional)	Bold! DoubleUnderline! Every! Italics! Outline! Redline! Shadow! SmallCaps! Strikeout! Underline!
 Related topics


AttributeNormal

Syntax

AttributeNormal()

Description

Turn off the current font attributes except color. To record, first add an Attribute Normal button to a toolbar or the Power Bar in Preferences.

 Related topics


AttributePosition

Syntax

AttributePosition(Position As _AttributePosition_Position_enum)

Description

Specify subscript or superscript font attributes.

Parameters

Position: enumeration	NormalPosition! Subscript! Superscript!
 Related topics


AttributePositionToggle

Syntax

AttributePositionToggle(Position As _AttributePositionToggle_Position_enum)

Description

Toggle subscript, normal, and superscript font attributes.

Parameters

Position: enumeration	NormalPosition! Subscript! Superscript!
 Related topics


AttributeRelativeSize

Syntax

 AttributeRelativeSize(Size As _AttributeRelativeSize_Size_enum)

Description

Specify a relative font size for selected or subsequent text.

Parameters

Size: enumeration	ExtraLarge! Fine! Large! NormalSize! Small! VeryLarge!
 Related topics


AttributeRelativeSizeToggle

Syntax

AttributeRelativeSizeToggle(Size As _AttributeRelativeSizeToggle_Size_enum)

Description

Toggle relative font sizes.

Parameters

Size: enumeration	ExtraLarge! Fine! Large! NormalSize! Small! VeryLarge!
 Related topics


AttributeSizeRatios

Syntax

 AttributeSizeRatios(Attrib As _AttributeSizeRatios_Attrib_enum, Percentage As Integer)

Description

Specify relative font size ratios.

Parameters

Attrib: enumeration	ExtraLarge! Fine! Large! Small! SuperSubscript! VeryLarge!
Percentage: numeric
 Related topics


AutoCodePlacement

Syntax

AutoCodePlacement(State As _AutoCodePlacement_State_enum)

Description

Turn automatic code placement on or off. Default: Some codes are automatically placed at the beginning of a page or paragraph. When off, all codes are inserted at the insertion point. Not recordable.

Parameters

State: enumeration	Off! On!


AutoScrollOn

Syntax

AutoScrollOn()

Description

Turns the Autoscroll feature on.


AutoWordSelect

Syntax

AutoWordSelect(State As _AutoWordSelect_State_enum)

Description

Turn Automatically Select Words on or off. Changes the current WordPerfect session only.

Parameters

State: enumeration	No! Yes!
 Related topics


BackTab

Syntax

BackTab()

Description

Insert a [Hd Back Tab] code at the insertion point. This code will move the current line of text left one tab from the insertion point.

 Related topics


Backup

Syntax

Backup([State As _Backup_State_enum]) As Boolean

Description

Turn Timed Document Backup on or off and return the current state.

Return Value

Returns True if Timed Document Backup is on, False if not. If the State parameter is omitted, its current value is returned. If it is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


BackupMinutes

Syntax

BackupMinutes(Minutes As Integer)

Description

Specify the number of minutes between timed backups.

Parameters

Minutes: numeric	Number of minutes between timed backups.
 Related topics


BackupOriginalDoc

Syntax

BackupOriginalDoc(State As _BackupOriginalDoc_State_enum)

Description

Turn Original Document Backup on or off.

Parameters

State: enumeration	Off! On!
 Related topics


BarcodeDlg

Syntax

BarcodeDlg()

Description

Display the POSTNET Barcode dialog box.

 Related topics


BarcodePOSTNET

Syntax

BarcodePOSTNET(Zip As String, [State As _BarcodePOSTNET_State_enum])

Description

Specify a ZIP Code or merge field containing a ZIP Code.

Parameters

Zip: string	A five, nine, or eleven-digit ZIP Code. If the ZIP Code is in a merge field, the parameter can be a string that specifies the field.
State: enumeration (optional)	Enable a merge field to provide a ZIP Code. Required only when a merge field is specified in the ZIP parameter. MergeFieldAllowed!
 Related topics


BaselinePlacement

Syntax

BaselinePlacement(State As _BaselinePlacement_State_enum)

Description

Turn the Baseline placement for typesetting option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


Binding

Syntax

Binding(Edge As _Binding_Edge_enum, Offset As Integer)

Description

Specify a binding offset for a specified paper edge. Use this method to specify two-sided document settings. This method inserts a [Binding Width] code at the beginning of the current page.

Parameters

Edge: enumeration	BottomEdge! LeftEdge! RightEdge! TopEdge!
Offset: measurement	Amount of binding offset.
 Related topics


BindingOptionsDlg

Syntax

BindingOptionsDlg()

Description

Display the Print dialog box with the Two-Sided Printing tab active.

 Related topics


BlockProtect

Syntax

BlockProtect([State As _BlockProtect_State_enum]) As Boolean

Description

Turn Block Protect on or off.

Parameters

State: enumeration	Off! On!
 Related topics


BlockProtectToggle

Syntax

BlockProtectToggle()

Description

Toggle Block Protect on or off. You must select objects or text in order to block protect them.

 Related topics


BoldKey

Syntax

BoldKey()

Description

Toggle Bold on or off at the insertion point.

 Related topics


BookmarkBlock

Syntax

BookmarkBlock([Name As String])

Description

Find and select a specified bookmark. If the type of the specified bookmark is not selected, the insertion point is moved to the bookmark and select mode is activated, but nothing is selected.

Parameters

Name: string (optional)
 Related topics


BookmarkCreate

Syntax

BookmarkCreate(Name As String, [Selected As _BookmarkCreate_Selected_enum])

Description

Create a bookmark.

Parameters

Name: string
Selected: enumeration (optional)	No! Yes!
 Related topics


BookmarkDelete

Syntax

BookmarkDelete([Name As String])

Description

Delete a specified bookmark.

Parameters

Name: string (optional)
 Related topics


BookmarkDlg

Syntax

BookmarkDlg()

Description

Display the Bookmark dialog box.

 Related topics


BookmarkFind

Syntax

BookmarkFind([Name As String])

Description

Find a specified bookmark.

Parameters

Name: string (optional)
 Related topics


BookmarkMove

Syntax

BookmarkMove([Name As String])

Description

Move a bookmark to the insertion point.

Parameters

Name: string (optional)
 Related topics


BookmarkRename

Syntax

BookmarkRename(OldName As String, NewName As String)

Description

Rename a bookmark.

Parameters

OldName: string
NewName: string
 Related topics


BorderBottomLine

Syntax

BorderStyleCopy(Style, [FromLibrary As _BorderStyleCopy_FromLibrary_enum], [ToLibrary As _BorderStyleCopy_ToLibrary_enum], [DestName As String])

Description

Specify the style of a bottom border line. Precede with BorderStyleCreate() or BorderStyleEdit(), and end with BorderStyleEnd(). You must pass the numeric value which corresponds to the style.

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
Example

In the following example, a text box is created. All sides of the border have the 'HeavyDoubleLine' style. The PS object references the PerfectScript class.

PS.BoxCreate 2

'***** Amend the border

PS.BorderStyleCreate "One", PersonalLibrary_BorderStyleCreate_Library

PS.BorderBottomLine 11

PS.BorderTopLine 11

PS.BorderRightLine 11

PS.BorderLeftLine 11

PS.BorderStyleEnd Save_BorderStyleEnd_State

PS.BoxEnd Save_BoxEnd_State

 Related topics


BorderColor

Syntax

BorderColor([ColorName As String], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer])

Description

Specify the color of a graphics box, paragraph, page, or column border. Empty parameters use current program settings. Precede with BorderStyleCreate() or BorderStyleEdit() and BorderUseBorderColor(), and end with BorderStyleEnd(). The values of a selected color are displayed in the Define Color Printing Palette dialog box.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
Example

In the following example, a text box is created. All sides of the border have the 'HeavyDoubleLine' style. The color of the border is set to 'Red'. The PS object references the PerfectScript class.

PS.BoxCreate 2

'***** Amend the border

PS.BorderStyleCreate "One", PersonalLibrary_BorderStyleCreate_Library

PS.BorderBottomLine 11

PS.BorderTopLine 11

PS.BorderRightLine 11

PS.BorderLeftLine 11

'****** Set the color the border

PS.BorderUseBorderColor Yes_BorderUseBorderColor_State

PS.BorderColor "Red", 255, 0, 0, 50

PS.BorderStyleEnd Save_BorderStyleEnd_State

PS.BoxEnd Save_BoxEnd_State

 Related topics


BorderCornerRadius

Syntax

BorderCornerRadius(Radius As Integer)

Description

Specify the curve of border corners.

Parameters

Radius: measurement	Higher measurements produce more rounded corners.
 Related topics


BorderDropShadow

Syntax

Sub BorderDropShadow([Location As _BorderDropShadow_Location_enum], [Size As Integer], [ColorName As String], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer], [VerticalSize As Integer])

Description

Specify the location, size, and color of a border shadow. The values of a selected color are displayed in the Define Color Printing Palette dialog box.

Parameters

Location: enumeration (optional)	NoShadow! UpperLeft! LowerLeft! LowerRight! UpperRight!
Size: measurement (optional)	Default: .125"
ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 10, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
VerticalSize: numeric (optional)	The vertical size
 Related topics


BorderInsideSpacing

Syntax

BorderInsideSpacing([Bottom As Integer], [Left As Integer], [Right As Integer], [Top As Integer])

Description

Specify the inside border spacing. Not available for page borders. Precede with BorderStyleCreate() or BorderStyleEdit() and follow with BorderStyleEnd().

Parameters

Bottom: measurement (optional)	Specify spacing between the bottom of the text and border.
Left: measurement (optional)	Specify spacing between the left side of the text and the border.
Right: measurement (optional)	Specify spacing between the right side of the text and the border.
Top: measurement (optional)	Specify the spacing between the top of the text and the border.
 Related topics


BorderLeftLine

Syntax

BorderLeftLine(Style)

Description

Specify the left line style of a border. You must pass the numeric value that corresponds to the style.

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
Example

In the following example, a text box is created. All sides of the border have the 'HeavyDoubleLine' style. The PS object references the PerfectScript class.

PS.BoxCreate 2

'***** Amend the border

PS.BorderStyleCreate "One", PersonalLibrary_BorderStyleCreate_Library

PS.BorderBottomLine 11

PS.BorderTopLine 11

PS.BorderRightLine 11

PS.BorderLeftLine 11

PS.BorderStyleEnd Save_BorderStyleEnd_State

PS.BoxEnd Save_BoxEnd_State

 Related topics


BorderOutsideSpacing

Syntax

BorderOutsideSpacing(Left As Integer, Right As Integer, Top As Integer, Bottom As Integer)

Description

Specify the outside border spacing.

Parameters

Left: measurement	Specify the amount of space to the left of the border.
Right: measurement	Specify the amount of space to the right of the border.
Top: measurement	Specify the amount of space above the top of the border.
Bottom: measurement	Specify the amount of space below the bottom of the border.
 Related topics


BorderRightLine

Syntax

BorderRightLine(Style)

Description

Specify a right line border style.

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
Example

In the following example, a text box is created. All sides of the border have the 'HeavyDoubleLine' style. The PS object references the PerfectScript class.

PS.BoxCreate 2

'***** Amend the border

PS.BorderStyleCreate "One", PersonalLibrary_BorderStyleCreate_Library

PS.BorderBottomLine 11

PS.BorderTopLine 11

PS.BorderRightLine 11

PS.BorderLeftLine 11

PS.BorderStyleEnd Save_BorderStyleEnd_State

PS.BoxEnd Save_BoxEnd_State

 Related topics


BorderSeparatorLine

Syntax

 BorderSeparatorLine(Style)

Description

Specify a separator line style in a paragraph or column border. Precede with BorderStyleCreate() or BorderStyleEdit() and end with BorderStyleEnd().

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
 Related topics


BorderSetSpacing

Syntax

BorderSetSpacing(State As _BorderSetSpacing_State_enum)

Description

Turn Auto spacing on or off in the current border style. Precede with BorderStyleCreate() or BorderStyleEdit() and follow with BorderStyleEnd().

Parameters

State: enumeration	Yes! = Set border spacing on No! = Auto border spacing on
 Related topics


BorderStyleCopy

Syntax

BorderStyleCopy(Style, [FromLibrary As _BorderStyleCopy_FromLibrary_enum], [ToLibrary As _BorderStyleCopy_ToLibrary_enum], [DestName As String])

Description

Copys a border style.

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
FromLibrary: enumeration (optional)	CurrentDocument! PersonalLibrary! SharedLibrary!
ToLibrary: enumeration (optional)	CurrentDocument! PersonalLibrary! SharedLibrary!
DestName: string (optional)	The new name for a style.
 Related topics


BorderStyleCreate

Syntax

BorderStyleCreate(Style As String, [Library As _BorderStyleCreate_Library_enum])

Description

Create a new border style. After you have finished setting the attributes of the border, you must call BorderStyleEnd().

Parameters

Style: string	The name of the new style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
Example

In the following example, a new border style is created called 'One'. After the attributes are defined,.BorderStyleEnd() is called. The PS object references the PerfectScript class.

PS.BoxCreate 2

'***** Amend the border

PS.BorderStyleCreate "One", PersonalLibrary_BorderStyleCreate_Library

PS.BorderBottomLine 11

PS.BorderTopLine 11

PS.BorderRightLine 11

PS.BorderLeftLine 11

PS.BorderStyleEnd Save_BorderStyleEnd_State

PS.BoxEnd Save_BoxEnd_State

 Related topics


BorderStyleDelete

Syntax

BorderStyleDelete(Style, [Library As _BorderStyleDelete_Library_enum])

Description

Deletes a border style. You have to pass the numeric value of the border style.

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BorderStyleEdit

Syntax

BorderStyleEdit(Style, [Library As _BorderStyleEdit_Library_enum])

Description

Specify a border style to edit. You have to pass the numeric value that corresponds to the style After all the changes are implemented, you must call BorderStyleEnd().

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
Example

In the following example, the border style 'One' is amended. After the changes are implemented,.BorderStyleEnd() is called. The PS object references the PerfectScript class.

PS.BoxCreate 2

PS.BorderStyleEdit One PersonalLibrary BorderStyleCreate Library

PS.BorderBottomLine 11

PS.BorderTopLine 11

PS.BorderRightLine 11

PS.BorderLeftLine 11

PS.BorderStyleEnd Save_BorderStyleEnd_State

PS.BoxEnd Save_BoxEnd_State

 Related topics


BorderStyleEnd

Syntax

BorderStyleEnd(State As _BorderStyleEnd_State_enum)

Description

Exit border style create or edit mode with or without saving changes. Precede this method with BorderStyleCreate() or BorderStyleEdit().

Parameters

State: enumeration	Cancel! Save!
Example

In the following example, the border style 'One' is amended. After the changes are implemented,.BorderStyleEnd() is called. The PS object references the PerfectScript class.

PS.BoxCreate 2

PS.BorderStyleEdit "One" PersonalLibrary BorderStyleCreate Library

PS.BorderBottomLine 11

PS.BorderTopLine 11

PS.BorderRightLine 11

PS.BorderLeftLine 11

PS.BorderStyleEnd Save_BorderStyleEnd_State

PS.BoxEnd Save BoxEnd State

 Related topics


BorderStyleName

Syntax

 BorderStyleName(Style As String)

Description

Rename a user-defined border style. Precede with BorderStyleEdit().

Parameters

Style: string
 Related topics


BorderStyleRetrieve

Syntax

BorderStyleRetrieve(Filename As String, FromLibrary As _BorderStyleRetrieve_FromLibrary_enum)

Description

Retrieve all border graphics styles from the specified document or template and add to the specified style list.

Parameters

Filename: string	The path and filename of a document or template containing the styles to retrieve.
FromLibrary: enumeration	The destination for the retrieved styles. Use CurrentDoc! to add the styles to the current document style list. Use PersonalLibrary! to add the styles to the default template style list. Use SharedLibrary! to add the styles to the additional objects template style list. If an additional objects template is not specified in Files Preferences and SharedLibrary! is used here, the method does nothing. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BorderStyleSave

Syntax

BorderStyleSave(Filename As String, Library As _BorderStyleSave_Library_enum)

Description

Save border styles to a specified library.

Parameters

Filename: string	The full path required.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BorderTopLine

Syntax

BorderTopLine(Style)

Description

Specify the top-line style of a border. Precede with BorderStyleCreate() or BorderStyleEdit() and end with BorderStyleEnd(). You must pass the numeric value that corresponds to the style.

Parameters

Style: any	Use a string for user-defined styles. ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
Example

In the following example, a text box is created. All sides of the border have the 'HeavyDoubleLine' style. The PS object references the PerfectScript class.

PS.BoxCreate 2

'***** Amend the border

PS.BorderStyleCreate "One", PersonalLibrary_BorderStyleCreate_Library

PS.BorderBottomLine 11

PS.BorderTopLine 11

PS.BorderRightLine 11

PS.BorderLeftLine 11

PS.BorderStyleEnd Save_BorderStyleEnd_State

PS.BoxEnd Save_BoxEnd_State

 Related topics


BorderUseBorderColor

Syntax

BorderUseBorderColor(State As _BorderUseBorderColor_State_enum)

Description

Specify whether the current border uses the line-style color or the border color. Precede with BorderStyleCreate() or BorderStyleEdit(), follow with BorderColor(), and end with BorderStyleEnd().

Parameters

State: enumeration	No! = Use line style color Yes! = Use border color
 Related topics


BoxAddText

Syntax

BoxAddText()

Description

Lets you add a text box to a shape.


BoxAttachTo

Syntax

BoxAttachTo(Anchor As _BoxAttachTo_Anchor_enum)

Description

Anchor a graphics box to a page, paragraph, or character. Precede with BoxCreate() or BoxEdit() and end with BoxEnd().

Parameters

Anchor: enumeration	Character! Page! Paragraph!
 Related topics


BoxBackwardOne

Syntax

BoxBackwardOne()

Description

Move the selected object(s) back one layer. Precede with BoxCreate() or BoxEdit().

 Related topics


BoxBorder

Syntax

BoxBorder(Style)

Description

Specify a box border style. Precede with BoxCreate() or BoxEdit() and end with BoxEnd(). You have to pass the numeric value that corresponds to the border style.

Parameters

Style: any	ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!	0 12 11 3 4 2 6 14 13 127 1 0 5 8 9 7
Example

The following example demonstrates the border of a box being set to a 'HeavySingleBorder' style. The PS object references the PerfectScript class.

'***** Create the Box

PS.BoxCreate 6

PS.BoxContentType Image_BoxContentType_Content

PS.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "E:\rideau1.bmp"

PS.ChangeWatermarkGraphicShade 55

PS.BoxBorder 13

'***** Create the Box Caption

PS.BoxCaptionEdit

'PS.BoxCaptionInitialStyle 35

PS.KeyType "Rideau Lakes"

PS.BoxCaptionEditEnd

PS.BoxUpdateDisplay

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxBorderDlg

Syntax

BoxBorderDlg()

Description

Display the Box Border/Fill Styles dialog box.

 Related topics


BoxCaptionEdit

Syntax

BoxCaptionEdit()

Description

Call this method to insert a caption for a Box. Follow with PerfectScript methods such as KeyType() and BoxCaptionEditEnd().

Example

In the following example, a caption is inserted for the Box created. The style of the box caption corresponds to the 'Caption' style. You have to call BoxCaptionEdit(), define the caption style, type the caption and call BoxCaptionEditEnd(). The PS object references the PerfectScript class.

'***** Create the Box

PS.BoxCreate 6

PS.BoxContentType Image_BoxContentType_Content

PS.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "E:\rideau1.bmp"

PS.ChangeWatermarkGraphicShade 55

PS.BoxBorder 13

'***** Create the Box Caption

PS.BoxCaptionEdit

'PS.BoxCaptionInitialStyle 35

PS.KeyType "Rideau Lakes"

PS.BoxCaptionEditEnd

PS.BoxUpdateDisplay

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxCaptionEditEnd

Syntax

BoxCaptionEditEnd()

Description

Call this method to end the process of inserting a caption for a box. Precede this method with BoxCaptionEdit() and KeyType(), which inserts the caption.

Example

In the following example, a caption is inserted for the Box created. The style of the box caption corresponds to the 'Caption' style. You have to call BoxCaptionEdit(), define the caption style, type the caption and call BoxCaptionEditEnd(). The PS object references the PerfectScript class.

'***** Create the Box

PS.BoxCreate 6

PS.BoxContentType Image_BoxContentType_Content

PS.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "E:\rideau1.bmp"

PS.ChangeWatermarkGraphicShade 55

PS.BoxBorder 13

'***** Create the Box Caption

PS.BoxCaptionEdit

PS.KeyType "Rideau Lakes"

PS.BoxCaptionEditEnd

PS.BoxUpdateDisplay

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxCaptionFormatting

Syntax

BoxCaptionFormatting(SizeAuto)

Description

Specify the caption width.

Parameters

SizeAuto: any	To base the width on the current unit of measure, use a measurement expression. To base the width on a percent of the box width, use a number. To set the width automatically, use AutoWidth!.
 Related topics


BoxCaptionInitialStyle

Syntax

BoxCaptionInitialStyle(Style)

Description

Specify an initial caption style. You must pass the numeric value that corresponds to the style you want.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 111 112 113 114 115
Example

In the following example, a caption is inserted for the Box created. The style of the box caption corresponds to the 'Caption' style. You have to call BoxCaptionEdit(), ,define the caption style, type the caption and call BoxCaptionEditEnd(). The PS object references the PerfectScript class.

'***** Create the Box

PS.BoxCreate 6

PS.BoxContentType Image_BoxContentType_Content

PS.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "E:\rideau1.bmp"

PS.ChangeWatermarkGraphicShade 55

PS.BoxBorder 13

'***** Create the Box Caption

PS.BoxCaptionEdit

PS.BoxCaptionInitialStyle 35

PS.KeyType "Rideau Lakes"

PS.BoxCaptionEditEnd

PS.BoxUpdateDisplay

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxCaptionNumberStyle

Syntax

(Style: any)

Description

Specify a caption numbering style. Precede with BoxCreate() or BoxEdit() and end with BoxEnd(). You must pass the numeric value that corresponds to the style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 111 112
Example

In the following example, a caption is inserted for the Box created. The caption numbering style corresponds to the 'normal' style You have to call BoxCaptionEdit(), ,define the caption style, type the caption and call BoxCaptionEditEnd(). The PS object references the PerfectScript class.

'***** Create the Box

PS.BoxCreate 6

PS.BoxContentType Image_BoxContentType_Content

PS.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "E:\rideau1.bmp"

PS.ChangeWatermarkGraphicShade 55

PS.BoxBorder 13

'***** Create the Box Caption

PS.BoxCaptionEdit

PS.BoxCaptionNumberStyle 0

PS.KeyType "Rideau Lakes"

PS.BoxCaptionEditEnd

PS.BoxUpdateDisplay

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxCaptionPosition

Syntax

Sub BoxCaptionPosition(Side As _BoxCaptionPosition_Side_enum, Border As _BoxCaptionPosition_Border_enum, [Alignment As _BoxCaptionPosition_Alignment_enum], [AlignmentOffset])

Description

Specify the caption position.

Parameters

Side: enumeration	Specify the side of the box on which the caption appears. Bottom! 4 Left! 0 Right! 3 Top! 4
Border: enumeration	Specify where the caption is in relation to the border. InsideBorder! 1 OnBorder! 2 OutsideBorder! 0
Alignment: enumeration (optional)	Specify the caption position. Bottom! 4 Center! 2 Left! 0 Right! 3 Top! 4
AlignmentOffset: any (optional)	Specify the alignment for the caption text.
 Related topics


BoxCaptionRotation

Syntax

BoxCaptionRotation(Rotation As _BoxCaptionRotation_Rotation_enum)

Description

Rotate the captions. Precede with a methods such as BoxCreate() and BoxUpdateDisplay(), and end with BoxEnd().

Parameters

Rotation: enumeration	Degrees180! Degrees270! Degrees90! None!
 Related topics


BoxChangeLineHeight

Syntax

BoxChangeLineHeight(State As _BoxChangeLineHeight_State_enum)

Description

Specify whether line height changes when a box is attached to a character. Default: Yes!

Parameters

State: enumeration	No! Yes!
 Related topics


BoxChangeStyle

Syntax

BoxChangeStyle(BoxType)

Description

You can change the style of the box. You must pass the numeric value that corresponds to the style. After you have set the attributes of the box, you must call BoxEnd().

Parameters

BoxType: any	Enclose user-defined styles in quotation marks. ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!	5 4 0 7 127 1 2 3 6
Example

In the following example, the style of the box is changed to 'WatermarkImageBox', therefore the value 6 must be passed. The method BoxImageRetrive() is called which sets the watermark's image. In this case, the image is a bitmap called 'rideau1'.

'***** Create the Box

PS.BoxChangeStyle 6

PS.BoxContentType Image_BoxContentType_Content

PS.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "E:\rideau1.bmp"

PS.ChangeWatermarkGraphicShade 55

PS.BoxBorder 13

'***** Create the Box Caption

PS.BoxCaptionEdit

PS.BoxCaptionNumberStyle 0

PS.KeyType "Rideau Lakes"

PS.BoxCaptionEditEnd

PS.BoxUpdateDisplay

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxContentEdit

Syntax

BoxContentEdit()

Description

Create and edit graphics box contents. Follow with the methods that furnish the box contents.

 Related topics


BoxContentPosition

Syntax

BoxContentPosition(Horizontal As _BoxContentPosition_Horizontal_enum, Vertical As _BoxContentPosition_Vertical_enum)

Description

You can position the box contents inside the box.

Parameters

Horizontal: enumeration	Center! Left! Right!
Vertical: enumeration	Bottom! Center! Top!
 Related topics


BoxContentPreserveAspectRatio

Syntax

BoxContentPreserveAspectRatio(State As _BoxContentPreserveAspectRatio_State_enum)

Description

Preserve the image width/height ratio when the box changes.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxContentType

Syntax

BoxContentType(Content As _BoxContentType_Content_enum)

Description

Specify the graphics box content type.

Parameters

Content: enumeration	Empty! Equation! External! Image! LinkedText! Macro! Presentation! Text! Video!
 Related topics


BoxCounter

Syntax

 BoxCounter(CounterName)

Description

Assign a new counter to the current box or box style. You must pass the numeric value that corresponds to the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
 Related topics


BoxCreate

Syntax

BoxCreate(BoxType)

Description

You can use this method to create a graphic box. You have to call BoxEnd() after you have set the attributes of the box. You must pass the numeric value that corresponds to the style.

Parameters

BoxType: any	ButtonBox! EquationBox! FigureBox! InLineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!	5 4 0 7 127 1 2 3 6
Example

In the following example, the style of the new box is 'WatermarkImageBox', therefore the value 6 must be passed. The method BoxImageRetrive() is called which sets the watermark's image. In this case, the image is a bitmap called 'rideau1'. Afer all attributes are set, BoxEnd() is called.

'***** Create the Box

PS.BoxCreate 6

PS.BoxContentType Image_BoxContentType_Content

PS.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "E:\rideau1.bmp"

PS.ChangeWatermarkGraphicShade 55

PS.BoxBorder 13

'***** Create the Box Caption

PS.BoxCaptionEdit

PS.BoxCaptionNumberStyle 0

PS.KeyType "Rideau Lakes"

PS.BoxCaptionEditEnd

PS.BoxUpdateDisplay

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxDelete

Syntax

 BoxDelete(BoxType As _BoxDelete_BoxType_enum, BoxNumber As Integer)

Delete a graphics box.

Parameters

BoxType: enumeration	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
BoxNumber: numeric	The numeric value of the box.
 Related topics


BoxEdit

Syntax

BoxEdit(BoxNumber As Integer)

Description

Specify the number of a graphics box to edit.

Parameters

BoxNumber: numeric	The numeric value of the box you want to edit.
 Related topics


BoxEditByCounter

Syntax

BoxEditByCounter(CounterName, [CounterLevelNumber])

Description

Specify the counter name and number of a graphics box to edit. You must pass the numeric value that corresponds to the CounterName.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
CounterLevelNumber: numeric (optional)	Repeat for each counter level.
 Related topics


BoxEditNext

Syntax

BoxEditNext([BoxType As _BoxEditNext_BoxType_enum]

Description

Begin the editing methods for the next box or a specified box type. Follow with box-editing methods and BoxEnd().

Parameters

BoxType: enumeration (optional)	Default: box after the insertion point, regardless of type. ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
 Related topics


BoxEditPrevious

Syntax

BoxEditPrevious([BoxType As _BoxEditPrevious_BoxType_enum])

Description

Begin the editing methods for the previous box or a specified box type.

Parameters

BoxType: enumeration (optional)	Default: box immediately before the insertion point, regardless of type. ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
 Related topics


BoxEnd

Syntax

BoxEnd([State As _BoxEnd_State_enum], [BoxOptionsBar As _BoxEnd_BoxOptionsBar_enum])

Description

Save the editing changes to a graphics box and display or hide the Graphics Box Property Bar.

Parameters

State: enumeration (optional)	Cancel! Save!
BoxOptionsBar: enumeration (optional)	Display or hide the Graphics Property Bar. DontHide! Hide!
Example

In the following example, the style of the new box is 'WatermarkImageBox', therefore the value 6 must be passed. The method BoxImageRetrive() is called which sets the watermark's image. In this case, the image is a bitmap called 'rideau1'. Afer all attributes are set, BoxEnd() is called. The PS object references the PerfectScipt class.

'***** Create the Box

PS.BoxCreate 6

PS.BoxContentType Image_BoxContentType_Content

PS.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "E:\rideau1.bmp"

PS.ChangeWatermarkGraphicShade 55

PS.BoxBorder 13

'***** Create the Box Caption

PS.BoxCaptionEdit

PS.BoxCaptionNumberStyle 0

PS.KeyType "Rideau Lakes"

PS.BoxCaptionEditEnd

PS.BoxUpdateDisplay

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxEquationColor

Syntax

BoxEquationColor([ColorName As String], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer])

Description

Specify a box equation color and shading value. Precede with BoxCreate() or BoxEdit() and end with BoxEnd().

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatability with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
 Related topics


BoxEquationDefaultFont

Syntax

 BoxEquationDefaultFont(FontSize)

Description

Specify a default font and size.

Parameters

FontSize: any	DefaultSize! - 0
 Related topics


BoxEquationFilename

Syntax

BoxEquationFilename(Filename As String)

Description

Specify the name of an equation file and designate the box contents as an equation. To retrieve an equation file, use FileOpen.

Parameters

Filename: string	The name of the equation file.
 Related topics


BoxEquationFont

Syntax

BoxEquationFont(FontName As String, [FontSize As Integer], [Family As _BoxEquationFont_Family_enum], [Attributes As _BoxEquationFont_Attributes_enum], [Weight As _BoxEquationFont_Weight_enum], [Width As _BoxEquationFont_Width_enum], [Source As _BoxEquationFont_Source_enum], [Type As _BoxEquationFont_Type_enum], [CharacterSet As _BoxEquationFont_CharacterSet_enum])

Description

Specify an equation font. Use with BoxEquationFontSize().

Parameters

FontName: string	The name of the font.
FontSize: measurement (optional)	The point size of the font.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodoni! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenquiat! FamilyITCGaramond! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration(optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


BoxEquationFontSize

Syntax

 BoxEquationFontSize(Size As Integer)

Description

Specify an equation font size.

Parameters

Size: measurement	The point size of the font.
 Related topics


BoxEquationRedisplay

Syntax

BoxEquationRedisplay([Zoom As Long])

Description

Enlarge or reduce an equation display.

Parameters

Zoom: numeric (optional)	Amount to reduce or enlarge equation display.
 Related topics


BoxEquationSaveAsGraphic

Syntax

BoxEquationSaveAsGraphic(Filename As String, [Format As _BoxEquationSaveAsGraphic_Format_enum])

Description

Save an equation box as a graphics file.

Parameters

Filename: string	Name for the graphics file.
Format: enumeration (optional)	Default: current graphics format. Presentations_20! WordPerfectGraphic_10! WordPerfectGraphic_20!
 Related topics


BoxFill

Syntax

BoxFill(FillStyleName)

Description

Select a box fill style.

Parameters

FillStyleName: any	Fill10 0 Fill20 1 Fill30 2 Fill40 3 Fill50 4 Fill60 5 Fill70 6 Fill80 7 Fill90 8 Fill100 9 FillButton 10 Fill5 11 NoFill 127
 Related topics


BoxForwardOne

Syntax

BoxForwardOne()

Description

Move the selected object(s) forward one layer.

 Related topics


BoxHeight

Syntax

BoxHeight(Height)

Description

Specify the box height according to the height of box contents or a fixed measurement.

Parameters

Height: any	Lets you specify whether the height of the box is determined by the height of the box contents or by a minimum box height. AutoHeight! MinHeight!
 Related topics


BoxHorizontalAlignment

Syntax

BoxHorizontalAlignment(Alignment As _BoxHorizontalAlignment_Alignment_enum, Position As _BoxHorizontalAlignment_Position_enum, [Offset As Integer], [LeftColumn As Integer], [RightColumn As Integer])

Description

Specify the alignment of a box attached to a page or paragraph.

Parameters

Alignment: enumeration	AlignColumns! AlignMargins!
Position: enumeration	The horizontal position after alignment to margins or columns. Center! FullAlign! Left! Right!
Offset: measurement (optional)	The image position relative to the alignment point. Left is a negative number, right is positive
LeftColumn: numeric (optional)	Use when a box aligns to columns.
RightColumn: numeric (optional)	Use when a box aligns to columns.
 Related topics


BoxHorizontalPosition

Syntax

BoxHorizontalPosition(Position As Integer)

Description

Specify the horizontal position of a box relative to the left edge of the page.

Parameters

Position: measurement	Specify how far the box should be from the left edge of the page.
 Related topics


BoxImageBlackWhiteThreshold

Syntax

BoxImageBlackWhiteThreshold(Threshold As Integer)

Description

Specify the point at which colors and/or grays in the current image convert to black and white.

Parameters

Threshold: numeric	Value: 1-255. Values below the threshold convert to black, those above convert to white. Default: 127.
 Related topics


BoxImageBrightness

Syntax

BoxImageBrightness(Amount As Double)

Description

Adjust the brightness (saturation) of a color or black and white image.

Parameters

Amount: numeric	Value: -1.0 to 1.0. Black: -1.0. White: 1.0.
 Related topics


BoxImageContrast

Syntax

BoxImageContrast(Contrast As Double)

Description

Specify the contrast between light and dark areas of an image.

Parameters

Contrast: numeric	Value: -1.0 to 1.0. Slight: -1.0. Strong: 1.0.
 Related topics


BoxImageDitherMethod

Syntax

BoxImageDitherMethod(Method As _BoxImageDitherMethod_Method_enum, Source As _BoxImageDitherMethod_Source_enum)

Description

Specify a dither method and source.

Parameters

Method: enumeration	Default! ErrorDiffusionDither! Halftoning! OrderedDither!
Source: enumeration	Default! External! Printer! WordPerfect!


BoxImageFill

Syntax

BoxImageFill(ImageFillType As _BoxImageFill_ImageFillType_enum)

Description

Specify an image fill type. Images can have normal fill, no fill, or white fill.

Parameters

ImageFillType: enumeration	Normal! Transparent! White!
 Related topics


BoxImageFlipX

Syntax

BoxImageFlipX(State As _BoxImageFlipX_State_enum)

Description

Flip an image box on its X (horizontal) axis, turning the image upside down.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxImageFlipY

Syntax

 BoxImageFlipY(State As _BoxImageFlipY_State_enum)

Description

Reverse an image box on its Y (vertical) axis, turning the image from side to side.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxImageHalfToneOptions

Syntax

BoxImageHalfToneOptions(HalfTone As _BoxImageHalfToneOptions_HalfTone_enum, [LPI As Double], [Plane0 As Double], [Plane1 As Double], [Plane2 As Double], [Plane3 As Double])

Description

Specify the default or user-defined halftone values for the current printer.

Parameters

HalfTone: enumeration	DefaultValues! SetValues!
LPI: numeric (optional)	The number of lines per inch for user-defined values.
Plane0: numeric (optional)	The first halftone angle for user-defined values.
Plane1: numeric (optional)	The second halftone angle for user-defined values.
Plane2: numeric (optional)	The third halftone angle for user-defined values.
Plane3: numeric (optional)	The fourth halftone angle for user-defined values.


BoxImageInvertColors

Syntax

BoxImageInvertColors(State As _BoxImageInvertColors_State_enum)

Description

Convert the image colors to their complements.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxImageMonochrome

Syntax

BoxImageMonochrome(State As _BoxImageMonochrome_State_enum)

Description

Convert a color image to black and white, and specify the threshold for blackness.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxImageMove

Syntax

 BoxImageMove(XPosition As Double, YPosition As Double)

Description

Move an image within a box.

Parameters

XPosition: numeric	The horizontal position. Value: -5.0 to 5.0. Default: 0 (centered).
YPosition: numeric	The vertical position. Value: -5.0 to 5.0. Default: 0 (centered).
 Related topics


BoxImageRetrieve

Syntax

BoxImageRetrieve(Action As _BoxImageRetrieve_Action_enum, Filename As String, [FileFormat As _BoxImageRetrieve_FileFormat_enum])

Description

Retrieve an image.

Parameters

Action: enumeration	LeaveExternal! MakeInternal! UseInternal!
Filename: string	Specify the filename of the image you want to insert into the box.
FileFormat: enumeration (optional)	AdobePhotoShop! AutoCAD_DXF! BIFFCharts! Bitmap! CALSBitmap! CGM! CompuserveGIF! CompuserveGIF24! CorelPhotoPaint! CorelVentura! CorelWavelen! EncapsulatedPostScript! EnhancedWindowsMetaFile! FAX_TIFF! GEMIMG! HewlettPackardGraphicPlotter! JPEG! KodakPhotoCD! LotusPIC! Macintosh_PICT! MacPaint! Micrografx! MicrografxPicturePublisher4! PCPaintbrushX! Presentations_20! ScitexCT! TaggedImageFileFormat! TarGA! WindowsMetaFile! WordPerfectGraphic_10! WordPerfectGraphic_20! WPChartingData_10! WPChartingData_10E! WPChartingData_20! WPChartingStyle_10! WPChartingStyle_10E! WPChartingStyle_20! WPWorksPaint_20!
 Related topics


BoxImageRotate

Syntax

BoxImageRotate(Rotation As Double)

Description

Rotate an image within a box.

Parameters

Rotation: numeric	Value: 0.0 to 359.0.
 Related topics


BoxImageSave

Syntax

BoxImageSave(Filename As String, Format As _BoxImageSave_Format_enum)

Description

Save an image, and optionally rename it and specify a graphics format.

Parameters

Filename: string	Specify a filename for the newly saved graphic.
Format: enumeration	Presentations_20! WordPerfectGraphic_10! WordPerfectGraphic_20!
 Related topics


BoxImageScaling

Syntax

BoxImageScaling(XScale As Double, YScale As Double)

Description

Scale an image within a box.

Parameters

XScale: numeric	The image width. Value: 0.01 to 9.99. Default: 1.0.
YScale: numeric	The image height. Value: 0.01 to 9.99. Default: 1.0.
 Related topics


BoxImageShowBackground

Syntax

BoxImageShowBackground(State As _BoxImageShowBackground_State_enum)

Description

Display the background colors or gradient saved with an image.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxInitialStyleDlg

Syntax

BoxInitialStyleDlg()

Description

Display the Text Box Initial Style dialog box. Specify a box before this method.


BoxOLEEditObject

Syntax

BoxOLEEditObject()

Description

Edit the graphics box contents with the OLE server.


BoxOverlap

Syntax

 BoxOverlap(State As _BoxOverlap_State_enum)

Description

Allow a box to overlap other boxes. Precede with BoxCreate() or BoxEdit() and follow with BoxEnd(). This method takes effect only for boxes that are attached to a page or a paragraph.

Parameters

State: enumeration	No! Yes!
 Related topics


BoxPosDlg

Syntax

BoxPosDlg()

Description

Display the Box Position dialog box.


BoxResetBorder

Syntax

BoxResetBorder()

Description

Reset the border values for the current box to the values of the corresponding box style. For example, border changes made to a specific figure box reset to the default border values assigned to the Figure Box style. Precede with BoxCreate() or BoxEdit() and end with BoxEnd().

 Related topics


BoxResetCaption

Syntax

BoxResetCaption()

Description

Reset the caption values for the current box to the caption values of the corresponding box style. For example, caption changes made to a specific text box are reset to the default caption values assigned to the Text Box style. Precede with BoxEdit() and end with BoxEnd().

 Related topics


BoxResetContent

Syntax

BoxResetContent()

Description

Reset the content values for the current box to the content values of the corresponding box style. For example, content changes made to a specific user box are reset to the values assigned to the User Box style. Precede with BoxEdit() and end with BoxEnd().

 Related topics


BoxResetContentRender

Syntax

BoxResetContentRender()

Description

Reset the content render values for the current box to the values of the corresponding box style. For example, content render changes made to a specific equation box are reset to the default content render values assigned to the Equation Box style.

 Related topics


BoxResetCounter

Syntax

BoxResetCounter()

Description

Reset the counter values for the current box to the values of the corresponding box style. For example, counter changes made to an equation box are reset to the default counter values of the Equation Box style.

 Related topics


BoxResetFill

Syntax

BoxResetFill()

Description

Reset the fill values for the current box to the values of the corresponding box style. For example, fill style changes made to a figure box are reset to the fill values of the Figure Box style.

 Related topics


BoxResetPosition

Syntax

BoxResetPosition()

Description

Reset the position values for the current box to the position values for the corresponding box style. For example, position changes made to a figure box are reset to default position values of the Figure Box style.

 Related topics


BoxResetTextFlow

Syntax

BoxResetTextFlow()

Description

Reset the text-wrapping values for the current box to the values of the corresponding box style. For example, text-wrapping changes made to a user box are reset to the text-flow values of the User Box style.

 Related topics


BoxSaveLookAsStyle

Syntax

BoxSaveLookAsStyle(Style As String, Library As _BoxSaveLookAsStyle_Library_enum)

Description

Save the settings for the current box as a style. This method must be preceded by BoxCreate(), BoxEdit(), BoxEditByCounter(), BoxEditNext(), or BoxEditPrevious(), and followed by BoxEnd().

Parameters

Style: string	Specify the name of the box style.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxStaysOnPage

Syntax

BoxStaysOnPage(State As _BoxStaysOnPage_State_enum)

Description

Specify whether a graphics box is allowed to move with the surrounding text. Although you may use BoxStaysOnPage to set this option for boxes that are attached to a paragraph or character, it takes effect only for boxes that are attached to a page. This method must be preceded by BoxCreate(), BoxEdit(), BoxEditByCounter(), BoxEditNext(), or BoxEditPrevious(), and followed by BoxEnd().

Parameters

State: enumeration	No! Yes!
 Related topics


BoxStyleCopy

Syntax

BoxStyleCopy(Style, FromLibrary As _BoxStyleCopy_FromLibrary_enum, ToLibrary As _BoxStyleCopy_ToLibrary_enum, [DestName As String])

Description

Copy a box style from one library to another and/or rename the style.

Parameters

Style: any	FigureBox  0 TableBox  1 TextBox  2 UserBox  3 EquationBox 4 ButtonBox  5 WatermarkImageBox 6 InlineEquationBox  7 NoBox 127
FromLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!
ToLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!
DestName: string (optional)	Specify a new name for the style.
 Related topics


BoxStyleCreate

Syntax

 BoxStyleCreate(Style, [Library As _BoxStyleCreate_Library_enum])

Description

Create a box style and specify the library where it resides.

Parameters

Style: any	Specify a name for the new box style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxStyleDelete

Syntax

BoxStyleDelete(Style, [Library As _BoxStyleDelete_Library_enum])

Description

Delete a user-defined box style.

Parameters

Style: any	FigureBox 0 TableBox 1 TextBox  2 UserBox 3 EquationBox 4 ButtonBox 5 WatermarkImageBox 6 InlineEquationBox  7 NoBox 127
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxStyleEdit

Syntax

BoxStyleEdit(Style, [Library As _BoxStyleEdit_Library_enum])

Description

Begin box style editing.

Parameters

Style: any	Enclose user-defined styles in quotation marks. ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!	5 4 0 7 127 1 2 3 6
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxStyleEnd

Syntax

BoxStyleEnd(State As _BoxStyleEnd_State_enum)

Description

Exit the graphics style create or edit mode with or without saving changes. Precede this method with BoxStyleCreate() or BoxStyleEdit().

Parameters

State: enumeration	Cancel! Save!
 Related topics


BoxStyleName

Syntax

BoxStyleName(StyleName As String)

Description

Specify a box style name. Precede with BoxStyleCreate().

Parameters

StyleName: string	Type in a name for the new box style.
 Related topics


BoxStyleRetrieve

Syntax

BoxStyleRetrieve(Filename As String, Library As _BoxStyleRetrieve_Library_enum)

Description

Retrieve all box graphics styles from the specified document or template and add to the specified style list.

Parameters

Filename: string	The path and filename of a document or template containing the styles to retrieve.
Library: enumeration	Destination for the retrieved styles. Use CurrentDoc! to add the styles to the current document style list. Use PersonalLibrary! to add the styles to the default template style list. Use SharedLibrary! to add the styles to the additional objects template style list. If an additional objects template is not specified in Files Preferences, and SharedLibrary! is used here, the method does nothing. CurrentDoc! PersonalLibrary! SharedLibrary! Not used.
 Related topics


BoxStyleSave

Syntax

 BoxStyleSave(Filename As String, Library As _BoxStyleSave_Library_enum)

Description

Save all styles in the current document or a specified style library to another style library, replacing all styles already in it.

Parameters

Filename: string	The style library to save to.
Library: enumeration	The current style location. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


BoxTextAngle

Syntax

BoxTextAngle(Angle As _BoxTextAngle_Angle_enum)

Description

Rotate the text in a text box.

Parameters

Angle: enumeration	Degrees180! Degrees270! Degrees90! None!
 Related topics


BoxTextDefaultStyle

Syntax

BoxTextDefaultStyle(Style)

Description

Specify the default text box style. You must pass the numeric value that corresponds to the style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 111 112 113 114 115
Example

In the following example, a Textbox is created. The style used in 'NormalStyle', therefore the value 0 must be passed. after the bos is created BoxEnd() is called.

'**** Create a Text Box

PS.BoxCreate 2

PS.BoxTextDefaultStyle 0

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxTextEdit

Syntax

BoxTextEdit()

Description

Begin the text box-editing methods. Follow with methods that modify box contents such as KeyType(), and complete the process by calling BoxTextEditEnd().

Example

In the following example, a Text Box is created. The string "Hello There" is inserted into the text box. The PS object references the PerfectScript class.

'***** Create a TextBox

PS.BoxCreate 2

PS.BoxTextDefaultStyle 0

PS.BoxTextEdit

PS.KeyType "Hello There"

PS.BoxTextEditEnd

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxTextEditEnd

Syntax

BoxTextEditEnd()

Description

End the text box-editing methods. Precede with BoxTextEdit() and methods such as KeyType().

Example

In the following example, a Text Box is created. The string "Hello There" is inserted into the text box. The PS object references the PerfectScript class.

'***** Create a TextBox

PS.BoxCreate 2

PS.BoxTextDefaultStyle 0

PS.BoxTextEdit

PS.KeyType "Hello There"

PS.BoxTextEditEnd

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxTextFilename

Syntax

 BoxTextFilename(Filename As String)

Description

Specify a file to insert into a text box.

Parameters

Filename: string	Name of the file to insert into the text box.


BoxTextFlow

Syntax

BoxTextFlow(Wrap As _BoxTextFlow_Wrap_enum)

Description

Specify the side(s) of a box to wrap text around.

Parameters

Wrap: enumeration	BothSides! Columnar! LargestSide! LeftSide! NeitherSide! NoWrapping! RightSide!
 Related topics


BoxTextFlowContour

Syntax

BoxTextFlowContour()

Description

Contour the text outside a box to the shape of an image inside the box.

 Related topics


BoxTextFlowSquare

Syntax

 BoxTextFlowSquare()

Description

Contour the text outside a box evenly around all sides of the box. Precede with BoxTextFlowContour.

 Related topics


BoxToBack

Syntax

BoxToBack()

Description

Move the selected object(s) to the back.


BoxToFront

Syntax

BoxToFront()

Description

Move the selected object(s) to the front.


BoxUpdateDisplay

Syntax

BoxUpdateDisplay()

Description

Update the appearance of a box after editing changes. This method must be preceded by BoxCreate(), BoxEdit(), BoxEditByCounter(), BoxEditNext(), or BoxEditPrevious(), and followed by BoxEnd().

Example

In the following example a watermark box is created. This method is called after the image is inserted. The PS object references the PerfectScript class.

'**** Create a Watermark Box

PS.BoxCreate 6

PS.BoxContentType Image_BoxContentType_Content

PS.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "E:\Lake.bmp"

PS.ChangeWatermarkGraphicShade 55

PS.BoxBorder 13

PS.BoxUpdateDisplay

PS.BoxEnd Save_BoxEnd_State


BoxVerticalAlignment

Syntax

BoxVerticalAlignment(Alignment As _BoxVerticalAlignment_Alignment_enum, [Offset])

Description

Align a box with the page or character it is attached to. This method is not valid with paragraph-attached boxes. Precede with BoxCreate() or BoxEdit() and follow with BoxEnd().

Parameters

Alignment: enumeration	Top! Center! Bottom! Baseline! FullAlign! BaseOffset! ForceLeftMargin! ForceRightMargin! CenteredOnBaseline! BottomOnBottom!
Offset: any (optional)	Lets you specify how much to move the box in relation to the text to which it is attached.
 Related topics


BoxVerticalPosition

Syntax

 BoxVerticalPosition(Alignment)

Description

Specify the vertical position of a box attached to a page or paragraph. For example, the distance from the top of the page (or top margin) to the top of the box. Not valid for boxes attached to characters.

Parameters

Alignment: any	Specify how much space should be between the box and the top of the page or margin.
 Related topics


BoxWidth

Syntax

BoxWidth(Width)

Description

Base the box width on the width of box contents, or specify a fixed measurement.

Parameters

Width: any	Use a number to specify a fixed width. AutoWidth!
Example

In the following example. a text box is created. The width of the Text Box is set to 6400 pixels. You should experiment to find a value that matches your needs. The PS object references the PerfectScript class.

'******* Create a TextBox

PS.BoxCreate 2

PS.BoxTextDefaultStyle 0

'***** Set the width of the box to 64oo pixels

PS.BoxWidth 6400

PS.BoxTextEdit

PS.KeyType "Hello There"

PS.BoxTextEditEnd

PS.BoxEnd Save_BoxEnd_State

 Related topics


BoxWrapDlg

Syntax

BoxWrapDlg()

Description

Displays the Wrap Text dialog box.


BulletDlg

Syntax

BulletDlg()

Description

Displays the Bullets & Numbers dialog box.


BulletSetCounter

Syntax

BulletSetCounter(CounterName As String, Value As Integer)

Description

Specify a bullet-style name and counter value.

Parameters

CounterName: string	Specify the name of the counter.
Value: numeric	Specify the value you want the counter to use.


ButtonBarAddItem

Syntax

ButtonBarAddItem(ButtonBarName As String, Template As _ButtonBarAddItem_Template_enum, ItemName As String, Offset As Integer, Type As _ButtonBarAddItem_Type_enum, [MacroName As String], [ItemText As String], [Prompt As String], [HelpFile As String], [HelpId As String], [Script As String]

Description

Add items such as macros, buttons, and separators to a toolbar. Use any combination of parameters to identify an item.

Parameters

ButtonBarName: string	The toolbar to edit.
Template: enumeration (optional)	The toolbar location. CurrentDoc! PersonalLibrary! SharedLibrary!
ItemName: string	For predefined items, use a macro method name.
Offset: numeric (optional)	The position of an added item. First position: 0. Default: last.
Type: enumeration	Feature! Launch! Macro! Script! Separator!
MacroName: string (optional)	The name of the macro file.
ItemText: string (optional)	The text to display on a user-defined item.
Prompt: string (optional)	The text to display for the new item on the Application Bar.
HelpFile: string (optional)	The Help file to use if Help is the added item. Not used in the current version of the application.
HelpId: string (optional)	The ID number of the Help file specified in the HelpFile parameter. Not used in the current version of the application.
Script: string (optional)	The keyboard script.


ButtonBarCreateDlg

Syntax

 ButtonBarCreateDlg()

Description

Display the Create Toolbar dialog box.


ButtonBarDeleteItem

Syntax

ButtonBarDeleteItem(ButtonBarName As String, [Template As _ButtonBarDeleteItem_Template_enum], [ItemName As String], [Offset As Integer])

Description

Remove an item from a toolbar. Default: Last item on the current toolbar. Use any combination of parameters to identify an item.

Parameters

ButtonBarName: string	The toolbar name.
Template: enumeration (optional)	The toolbar location. CurrentDoc! PersonalLibrary! SharedLibrary!
ItemName: string (optional)	For predefined items, use a macro method name.
Offset: numeric (optional)	The position of the item to remove. First position: 0.


ButtonBarEditDlg

Syntax

()

Description

Display the Toolbar Editor dialog box.


ButtonBarOptionsDlg

Syntax

()

Description

Display the Toolbar Options dialog box.


ButtonBarScrollbarToggle

Syntax

 ButtonBarScrollbarToggle(State As _ButtonBarScrollbarToggle_State_enum, ButtonBarName As String, LoadedFromDefaultTemplate As _ButtonBarScrollbarToggle_LoadedFromDefaultTemplate_enum)

Description

Turn the toolbar scroll bar on or off.

Parameters

State: enumeration (optional)	Default = On! Off! On!
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!


ButtonBarSelect

Syntax

ButtonBarSelect(ButtonBarName As String, LoadedFromDefaultTemplate As _ButtonBarSelect_LoadedFromDefaultTemplate_enum)

Description

Select a toolbar.

Parameters

ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!


ButtonBarSetFont

Syntax

ButtonBarSetFont(Font As String, Size As Integer)

Description

Specify a toolbar font face and size.

Parameters

Font: string	The font face for toolbar text.
Size: numeric	The point size of the toolbar text font.
 Related topics


ButtonBarSetLocation

Syntax

ButtonBarSetLocation(Location As _ButtonBarSetLocation_Location_enum, ButtonBarName As String, LoadedFromDefaultTemplate As _ButtonBarSetLocation_LoadedFromDefaultTemplate_enum)

Description

Specify a toolbar position.

Parameters

Location: enumeration	Bottom! Left! Palette! Right! Top!
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!
 Related topics


ButtonBarSetRows

Syntax

 ButtonBarSetRows(Rows As Integer, ButtonBarName As String, LoadedFromDefaultTemplate As _ButtonBarSetRows_LoadedFromDefaultTemplate_enum)

Description

Specify the number of rows on a toolbar.

Parameters

Rows: numeric	The number of rows displayed.
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!
 Related topics


ButtonBarSetStyle

Syntax

ButtonBarSetStyle(Style As _ButtonBarSetStyle_Style_enum, ButtonBarName As String, LoadedFromDefaultTemplate As _ButtonBarSetStyle_LoadedFromDefaultTemplate_enum)

Description

Specify a toolbar style.

Parameters

Style: enumeration	Picture! PictureAndText! Text!
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!
 Related topics


ButtonBarShow

Syntax

ButtonBarShow(State As _ButtonBarShow_State_enum, ButtonBarName As String, LoadedFromDefaultTemplate As _ButtonBarShow_LoadedFromDefaultTemplate_enum)

Description

Display or hide the toolbar.

Parameters

State: enumeration	Off! On!
ButtonBarName: string	The name of the toolbar.
LoadedFromDefaultTemplate: enumeration	No! Yes!
 Related topics


ButtonBarShowToggle

Syntax

ButtonBarShowToggle()

Description

Display or hide the toolbar.

 Related topics


CapBeginSentence
·CapBeginSentence

Syntax

CapBeginSentence(State As _CapBeginSentence_State_enum)

Description

Automatically capitalize the first letter of each sentence as it is typed.

Parameters

State: enumeration	Off! On!


CaseToggle

Syntax

CaseToggle()

Description

Change the selected text to uppercase or lowercase.


Center

Syntax

Center()

Description

Insert a [Hd Center on Marg] code at the insertion point, centering the current line of text from the insertion point to the next justification code or [HRt] code.

 Related topics


CenterCurrentPage

Syntax

CenterCurrentPage(State As _CenterCurrentPage_State_enum)

Description

Center the current page vertically.

Parameters

State: enumeration	Off! On!
 Related topics


CenterPageDlg

Syntax

CenterPageDlg()

Description

Display the Center Page(s) dialog box.

 Related topics


CenterPages

Syntax

CenterPages(State As _CenterPages_State_enum)

Description

Center the current and subsequent pages vertically.

Parameters

State: enumeration	Off! On!
 Related topics


ChangeWatermarkGraphicShade

Syntax

ChangeWatermarkGraphicShade(Amount As Integer)

Description

Change the shading of a watermark image.

Parameters

Amount: numeric	How much to lighten or darken the shade of a watermark image.
 Related topics


ChangeWatermarkTextShade

Syntax

ChangeWatermarkTextShade(Amount As Integer)

Description

Change the shading of watermark text.

Parameters

Amount: numeric	How much to lighten or darken the shade of text in a watermark.
 Related topics


ChapterNumber

Syntax

 ChapterNumber(Chapter As Integer)

Description

Specify a chapter number.

Parameters

Chapter: numeric	The number for the current chapter.
 Related topics


ChapterNumberDecrement

Syntax

ChapterNumberDecrement()

Description

Decrease the chapter number by one.

 Related topics


ChapterNumberDisplay

Syntax

ChapterNumberDisplay()

Description

Insert the chapter number at the insertion point.

 Related topics


ChapterNumberIncrement

Syntax

ChapterNumberIncrement()

Description

Increase the chapter number by one.

 Related topics


ChapterNumberMethod

Syntax

ChapterNumberMethod(Method As _ChapterNumberMethod_Method_enum)

Description

Specify a chapter numbering method.

Parameters

Method: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


Char

Syntax

Char(Character, [Prompt As String])

Description

Prompt the user for a keystroke, then assign the ASCII numeric equivalent of the keystroke to the variable specified in the Character parameter. Only one keystroke is accepted. If more than one character is entered, only the first is accepted. Not recordable.

Parameters

Character: variable	The first character typed.
Prompt: string(optional)	The message prompting the user to type a character.


CharMappingDlg

Syntax

CharMappingDlg()

Description

Display the Document Character Map dialog box.


CheckBoxShippingMacro

Syntax

CheckBoxShippingMacro()

Description

Play the shipping macro CHECKBOX.WCM to create check boxes in a document that can be changed by clicking on them. CHECKBOX.WCM must be installed.


CleanUpSpaces

Syntax

CleanUpSpaces(State As _CleanUpSpaces_State_enum)

Description

Turn Cut and Paste Cleanup on or off.

Parameters

State: enumeration	Off! On!
 Related topics


ClearDoc

Syntax

ClearDoc()

Description

Close the current document without saving and leave the current window open.


ClearUndoLevels

Syntax

ClearUndoLevels()

Description

Delete all Undos associated with the current document.


ClipboardAppendTo

Syntax

ClipboardAppendTo()

Description

Append the currently selected text to the contents of the Clipboard.

 Related topics


ClipboardRetrieve

Syntax

ClipboardRetrieve()

Description

Insert the Clipboard contents at the insertion point.

 Related topics


ClipboardSaveTo

Syntax

ClipboardSaveTo()

Description

Save the selected text or graphics to the Clipboard, replacing existing Clipboard contents. If text or graphics are not selected before this method, macro ends or goes to the ONERROR label.

 Related topics


ClipboardShippingMacro

Syntax

CloseAllShippingMacro()

Description

Play the shipping macro CLIPBRD.WCM to open the Clipboard Viewer. CLIPBRD.WCM must be installed.


Close

Syntax

Close([Save As _Close_Save_enum])

Description

Close the current window or text editor.

Parameters

Save: enumeration (optional)	Default: prompt user to save. No! Yes!
 Related topics


CloseAllShippingMacro

Syntax

CloseAllShippingMacro()

Description

Play the shipping macro CLOSEALL.WCM to display the Close All Documents dialog box, which presents a list of all open documents with modified documents marked for saving. CLOSEALL.WCM must be installed.


CloseNoSave

Syntax

CloseNoSave([Verify As _CloseNoSave_Verify_enum])

Description

Close the current document without saving it.

Parameters

Verify: enumeration (optional)	Prompt the user to verify close without saving. Default: no prompt. No! Yes!
 Related topics


CodePage

Syntax

CodePage([Dos As Integer], [Windows As Integer], [InputFile As Integer], [OutputFile As Integer])

Description

Specify code page preferences.

Parameters

Dos: numeric (optional)	The DOS code page setting. 333 Europa 437 US IBM Default 710 Arabic 850 PC Multilingual 852 Eastern Europe 853 Turkish 860 Portugal 861 Icelandic 862 Hebrew 863 Canada/French 865 Norway 866 Cyrillic 895 Czech-Kamenicky 897 Hungarian 8510 Alternate Greek 8600 Alternate Portugal 8601 Alternate Portugal 8660 Alternate Cyrillic
Windows: numeric (optional)	The Windows code page setting. 1004 Windows US 1250 Windows Latin-2 1251 Windows Cyrillic 1252 Windows US Standard 1253 Windows Greek 1254 Windows Turkish ISO 8859-1 Latin #1 ISO 8859-2 Latin #2 ISO 8859-6 Latin/Arabic ISO 8859-7 Latin/Greek ISO 8859-8 Latin/Hebrew
InputFile: numeric (optional)	Any code number listed for the DOS or Windows parameter.
OutputFile: numeric (optional)	Any code number listed for the DOS or Windows parameter.


CodePageDlg

Syntax

CodePageDlg()

Description

Display the Code Page Preferences dialog box.


ColumnBorderDlg

Syntax

ColumnBorderDlg()

Description

Display the Column Border/Fill dialog box.


ColumnDefineDlg

Syntax

ColumnDefineDlg()

Description

Display the Columns dialog box.

 Related topics


ColumnsDefinition

Syntax

ColumnsDefinition(ColumnsType As _ColumnsDefinition_ColumnsType_enum, VerticalSpacing As Double, [Spacing], [SpacingDef])

Description

Define columns.

Parameters

ColumnsType: enumeration	Newspaper! NewspaperBalanced! Parallel! ParallelBlockProtect!
VerticalSpacing: numeric	The spacing between sections of text in parallel columns.
Spacing: measurement (optional)	Alternate between specifying column width and the desired space between the columns. Always paired with the SpacingDef parameter. Enclose Spacing and SpacingDef parameters in braces ({}) separated by semicolons. For multiple columns, alternate Spacing and SpacingDef parameters.
SpacingDef: enumeration (optional)	The definition of column width and spacing between columns. Fixed! NotFixed!
 Related topics


ColumnsOff

Syntax

ColumnsOff()

Description

Turn off Columns.

 Related topics


ColumnsOn

Syntax

ColumnsOn()

Description

Turn on Columns.

 Related topics


CommentConvert

Syntax

CommentConvert()

Description

Convert a comment to text.

 Related topics


CommentCreate

Syntax

CommentCreate()

Description

Open a new comment window in order to create a new comment.

 Related topics


CommentEdit

Syntax

CommentEdit()

Description

Open the comment editing screen in order to edit a comment.

 Related topics


CommentInformation

Syntax

CommentInformation()

Description

Display the Comment Information dialog box.


CommentInsertTime

Syntax

CommentInsertTime()

Description

Insert the current time into a comment.

 Related topics


CommentInsertUserInitials

Syntax

CommentInsertUserInitials()

Description

Insert the user initials specified in Environment Preferences into a comment.

 Related topics


CommentInsertUserName

Syntax

CommentInsertUserName()

Description

Insert the user name specified in the Environment Preferences dialog box into a comment.

 Related topics


CommentNext

Syntax

CommentNext()

Description

Go to the next comment.


CommentPrevious

Syntax

CommentPrevious()

Description

Go to the previous comment.


CommentsDisplaySetup

Syntax

CommentsDisplaySetup([OnOff As _CommentsDisplaySetup_OnOff_enum])

Description

Turn comment display on or off in the current document for the current session. This method does not change display preferences for comments.

Parameters

OnOff: enumeration (optional)	Off! On!
 Related topics


ConditionalEndOfPage

Syntax

ConditionalEndOfPage(LinesTogether As Integer)

Description

Keep a specified number of lines together at a page break. If a page break falls between the lines, the lines move to the next page.

Parameters

LinesTogether: numeric
 Related topics


ConvertCaseInitialCaps

Syntax

ConvertCaseInitialCaps()

Description

Convert the selected text to lowercase, and capitalize the first letter of each word.

 Related topics


ConvertCaseLowercase

Syntax

ConvertCaseLowercase()

Description

Convert the selected text to lowercase, except the first word of each sentence and "I" and its forms, such as "I'm" and "I've."

 Related topics


ConvertCaseUppercase

Syntax

ConvertCaseUppercase()

Description

Convert the selected text to uppercase.

 Related topics


Copy

Syntax

Copy()

Description

Copy the selected text. Use Paste to retrieve the copied text. Recordable substitute: EditCopy.

 Related topics


CopyAndPaste

Syntax

CopyAndPaste()

Description

Copy the selected text to the Clipboard. Use EditPaste() or MoveModeEnd() to paste the copied text into the current document. Included for DOS compatibility. Recordable substitutes: EditCopy() and EditPaste().


CorelVersionArchiveCurrentDlg

Syntax

CorelVersionArchiveCurrentDlg()

Description

Save a version of the current document.


CorelVersionRetrieveCurrentDlg

Syntax

 CorelVersionRetrieveCurrentDlg()

Description

Retrieve any saved version of the current document.


CorelVersionRetrieveDocumentDlg

Syntax

CorelVersionRetrieveDocumentDlg()

Description

Retrieve any version already saved for any document.


CounterCreate

Syntax

(CounterName: any; {Method: enumeration})

Description

Specify a box reference number. You must pass the numeric value that corresponds to the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
Method: enumeration (optional)	The numbering method. To specify different numbering methods for each level, repeat the method parameter. LowLetter! LowRoman! Numbers! UpLetter! UpRoman!	1 3 0 2 4
 Related topics


CounterDecrement

Syntax

 CounterDecrement(CounterName, Level As Integer)

Description

Decrease a counter level by one. You must pass the value thatr corresponds to the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
Level	The level of the counter.	N/A
 Related topics


CounterDelete

Syntax

CounterDelete(CounterName)

Description

Delete a user-defined counter or reset a program-defined counter. You must pass the numeric value that corresponds to the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
 Related topics


CounterDisplay

Syntax

CounterDisplay(CounterName, Level As Integer)

Description

Display the counter value of a box or user-defined counter. You must pass the numeric value that corresponds to the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
Level	The level of the counter.	N/A


CounterDlg

Syntax

CounterDlg()

Description

Display the Counter Numbering dialog box.


CounterEditLevel

Syntax

CounterEditLevel(CounterName, NewNumLvls As Integer)

Description

Specify the number of levels a counter contains. You must pass the numeric value of the CounterName.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
NewNumLvls	The level of the counter.	N/A
 Related topics


CounterEditLevelMethod

Syntax

CounterEditLevelMethod(CounterName, LevelNum As Integer, NewMethod As _CounterEditLevelMethod_NewMethod_enum)

Description

Change the numbering method for a multi-level counter. You must pass the numeric value of the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
LevelNum	The counter level.
Method: enumeration (optional)	The numbering method. To specify different numbering methods for each level, repeat the method parameter. LowLetter! LowRoman! Numbers! UpLetter! UpRoman!	1 3 0 2 4
 Related topics


CounterEditLevelName

Syntax

CounterEditLevelName(OldCounterName, OldLevelName As String, NewLevelName As String)

Description

Rename the specified level of a multi-level counter. You must pass the numeric value of the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
OldLevelName: string	The original name of the level.	N/A
NewLevelName: string	The new name of the level.	N/A
 Related topics


CounterEditMethod

Syntax

 CounterEditMethod(CounterName, NewMethod As _CounterEditMethod_NewMethod_enum)

Description

Change a counter numbering method. You must pass the numeric value of the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
Method: enumeration (optional)	LowLetter! LowRoman! Numbers! UpLetter! UpRoman!	1 3 0 2 4
 Related topics


CounterEditName

Syntax

CounterEditName(OldName As String, NewName As String)

Description

Rename a user-defined counter.

Parameters

OldName: string	The old name of the counter.
NewName: string	The new name of the counter.
 Related topics


CounterIncrement

Syntax

CounterIncrement(CounterName, Level As Integer)

Description

Increase a counter level by one. You must pass the numeric value of the CounterName.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
Level: numeric	The level displayed on the counter.	N/A
 Related topics


CounterSetMethod

Syntax

CounterSetMethod(CounterName, CounterLevel As Integer, Method As _CounterSetMethod_Method_enum)

Description

Specify a counter numbering method. You must pass the numeric value of the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
LevelNum	The counter level.	N/A
Method: enumeration	LowLetter! LowRoman! Numbers! UpLetter! UpRoman!	1 3 0 2 4


CounterSetValue

Syntax

CounterSetValue(CounterName, [CounterLevel])

Description

Set a counter value. You must pass the numeric value of the style.

Parameters

CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4
CounterLevel: numeric (optional)	To change counter levels, repeat the CounterLevel parameter.


CreateBoxToggle

Syntax

CreateBoxToggle([State As _CreateBoxToggle_State_enum])

Description

Enable or disable Drag to Create, which allows you to create and size boxes by clicking and dragging.

Parameters

State: enumeration (optional)	Off! On!


CreateMapFile

Syntax

CreateMapFile([Filename As String])

Description

Create a .MAP file containing the current document's character mapping and save it with the specified filename and path.

Parameters

FileName: string (optional)	The filename for the character map file.


CreateRegionLink

Syntax

CreateRegionLink(Region As _CreateRegionLink_Region_enum)

Description

Indicate that a portion of the current document has been copied to the Clipboard, and specify the type of link that has been established.

Parameters

Region: enumeration	OBEXRegion! OLERegion!


CrossRefMarkReference

Syntax

CrossRefMarkReference(TargetName As String, RefType As _CrossRefMarkReference_RefType_enum, [CounterName])

Description

Create a cross-reference. You must pass the numeric value that correspopnds to the CounterName.

Parameters

TargetName: string	The reference name.	N/A`
RefType: enumeration	What is referenced. RefBox! RefChapter! RefCounter! RefEndnote! RefFootnote! RefPage! RefParagraph! RefSecondaryPage! RefVolume!	N/A
CounterName: any	EquationCounter! FigureCounter! None! TableBoxCounter! TextBoxCounter! UserBoxCounter!	5 1 0 2 3 4


CrossRefMarkTarget

Syntax

CrossRefMarkTarget([TagName As String])

Description

Create a cross-reference target.

Parameters

TagName: string (optional)	The name for the target tag.


CtrlBreak

Syntax

CtrlBreak()

Description

Cancel the current action in WordPerfect.


CustomBoxDlg

Syntax

CustomBoxDlg()

Description

Display the Custom Box dialog box.


Cut

Syntax

Cut()

Description

Remove the selected text and copy it to the Clipboard, replacing previous Clipboard contents. Included for DOS compatibility. Recordable substitute: EditCut.


CutAndPaste

Syntax

 CutAndPaste()

Description

Remove the selected text and copy to the Clipboard. Use EditPaste or MoveModeEnd to paste the selection in the current document. Included for DOS compatibility. Recordable substitutes: EditCut and EditPaste.


DateCode

Syntax

DateCode()

Description

Insert a code to display the current date at the insertion point. The date code updates to the system date when the document is retrieved or reformatted.

 Related topics


DateFormat

Syntax

DateFormat(DateFormatString As String)

Description

Specify a date format, and insert the Date Fmt code at the insertion point.

Parameters

DateFormatString: string	A combination of text characters, date, and/or time codes. Select date and time codes from the Macro Codes dialog. Click Codes on the Macro Bar to display the Macro Codes dialog.
 Related topics


DateFormatDlg

Syntax

 DateFormatDlg()

Description

Display the Document Date/Time Format dialog box.

Example

In the following example, the code will execute when the user clicks the 'Date' Command button. This code will produce the Date dialog box.

Private Sub CommandButtonDate_Click()

'******* Declare Object

Dim PS as PerfectScript

'****** Allocate memory to the object

Set PS = new PerfectScript

'***** Call the datye format dialog box

PS.DateFormatDlg

End Sub

 Related topics


DateText

Syntax

DateText()

Description

Insert the system date as text at the insertion point.

 Related topics


DDEChangeUpdateMode

Syntax

 DDEChangeUpdateMode(LiInkName As String, [UpdateMode As _DDEChangeUpdateMode_UpdateMode_enum])

Description

Specify a manual or automatic DDE link update method.

Parameters

LinkName: string	The name of the link to update.
UpdateMode: enumeration (optional)	Automatic! Manual!


DDECreateLink

Syntax

DDECreateLink(LinkName As String, Source As String, [UpdateMode As _DDECreateLink_UpdateMode_enum], [Format As _DDECreateLink_Format_enum])

Description

Establish a link between a WordPerfect document and a file in another application. Data changes in the source file are automatically made in the WordPerfect document.

Parameters

LinkName: string	The name of the link you want to create.
Source: string	The application, file, and optionally, an item within the file that is linked to a WordPerfect document. Separate the application and filename with a vertical bar (|). If an item (a section of a file) is specified, separate the item from the file name with a second vertical bar.
UpdateMode: enumeration (optional)	Manual! Automatic!
Format: enumeration (optional)	WP6DOC! WPDOC! WP6TEXT! WPG2! RTF! TEXT! OEMTEXT! METAFILE! WB1! WP7DOC! WP7TEXT! WP8DOC! WP8TEXT! WP9DOC! WP9TEXT!


DDECreateLinkDlg

Syntax

 DDECreateLinkDlg()

Description

Display the Links dialog box.


DDEDeleteLink

Syntax

DDEDeleteLink([LinkName])

Description

Remove a DDE link.

Parameters

LinkName: string(optional)


DDEDeleteLinkDlg

Syntax

DDEDeleteLinkDlg()

Description

Display the Links dialog box.


DDEEditLink

Syntax

 DDEEditLink(LinkName As String, [NewName As String], [NewSource As String])

Description

Change the properties of a DDE link.

Parameters

LinkName: string	The original name of the link.
NewName: string (optional)	The new name for the link.
NewSource: string (optional)	The new source application for the link.


DDEEditLinkDlg

Syntax

DDEEditLinkDlg()

Description

Display the Change Links dialog box.


DDEPasteLink

Syntax

DDEPasteLink([Format As _DDEPasteLink_Format_enum])

Description

Establish a link between a WordPerfect document and a file in another application. Data changes in the source file are automatically made in the WordPerfect document. After copying a selection in another application to the Clipboard, use DDEPasteLink to link it to a WordPerfect document.

Parameters

Format: enumeration (optional)	WP6DOC! WPDOC! WP6TEXT! WPG2! RTF! TEXT! OEMTEXT! METAFILE! WB1! WP7DOC! WP7TEXT! WP8DOC! WP8TEXT! WP9DOC! WP9TEXT!


DDEUpdateLink

Syntax

DDEUpdateLink([LinkName])

Description

Update a specified DDE link. If the optional LinkName parameter is left off, all links in the current document are updated.

Parameters

LinkName: string (optional)	The name of the link to update.


DDEUpdateLinkDlg

Syntax

 DDEUpdateLinkDlg()

Description

Display the Links dialog box.


DecimalAlignmentCharacter

Syntax

 DecimalAlignmentCharacter([Character As String]) As String

Description

Specify the ASCII numeric equivalent of a decimal character.

Parameters

Character: string	The decimal separator character.
 Related topics


DelayCodes

Syntax

 DelayCodes(PagesToDelay As Integer)

Description

Postpone the effects of codes for one or more pages.

Parameters

PagesToDelay: numeric


DelayCodesDlg

Syntax

 DelayCodesDlg()

Description

Display the Delay Codes dialog box.


DeleteAppend

Syntax

DeleteAppend()

Description

Delete a selection and append it to the Clipboard.


DeleteCharNext

Syntax

DeleteCharNext()

Description

Delete the character to the right of the insertion point.

 Related topics


DeleteCharPrevious

Syntax

 DeleteCharPrevious()

Description

Delete the character to the left of the insertion point.

 Related topics


DeleteToBeginningOfWord

Syntax

DeleteToBeginningOfWord()

Description

Delete the text and codes from the insertion point to the beginning of the current word. The insertion point must be in a word.

 Related topics


DeleteToEndOfLine

Syntax

 DeleteToEndOfLine()

Description

Delete the text and codes from the insertion point to the end of the current line. Does not delete hard returns or hard page breaks.


DeleteToEndOfPage

Syntax

DeleteToEndOfPage()

Description

Delete the text and codes from the insertion point to the end of the current page. Does not delete hard page breaks.


DeleteToEndOfWord

Syntax

DeleteToEndOfWord()

Description

Delete the text and codes from the insertion point to the end of the current word.

 Related topics


DeleteWord

Syntax

DeleteWord()

Description

Delete the current word or space.

 Related topics


DirectoryCreate

Syntax

 DirectoryCreate(Directory As String)

Description

Create a new directory.

Parameters

Directory: string	The path and directory name.
  Note It is more efficient to use the common dialog control.


DirectoryExists

Syntax

DirectoryExists(Variable, Directory As String)

Description

Return whether a specified directory exists.

Parameters

Variable: variable	True or False.
Directory: string	The name and path of the directory.


Display

Syntax

Display([State As _Display_State_enum]) As Boolean

Description

Display macro execution when a macro is played. A macro runs faster with display off. A "Macro Play" message appears on the Application Bar.

Return Value

Returns True if display is on, False if not. If the State parameter is omitted, its current value is returned. If it is included, the current value is returned, then the new value is set.

Parameters

State: enumeration	Off! On!
 Related topics


DisplayMode

Syntax

DisplayMode(DisplayMode As _DisplayMode_DisplayMode_enum)

Description

Display the current document in Draft or Page mode. Included for DOS compatibility. DOS enumerations do not correspond exactly with WordPerfect 8 View options. Text! and Graphics! specify Draft mode, and FullPage! specifies Page mode. Recordable substitutes: ViewDraft, ViewPage, and ViewTwoPage.

Parameters

DisplayMode: enumeration	Text! Graphics! FullPage! WebPage!


DisplaySuppressedBoxes

Syntax

 DisplaySuppressedBoxes([State As _DisplaySuppressedBoxes_State_enum]) As Boolean

Description

Lets you specify whether or not you want to display suppressed boxes.

Parameters

State: enumeration	No! Yes!


DisplayZoom

Syntax

 DisplayZoom(Percent As Integer)

Description

Specify the current zoom setting.

Parameters

Percent: numeric	Percent: 25-400.
Example

In the following example the document zoom is set to 150. The PS object references the PerfectScript object.

Private Sub CommandButtonZoom_Click()

'******* Declare the PerfectScript object

Dim PS as PerfectScript

'******* Allocate memory to the PerfectScript object

Set PS = new PerfectScript

'******* Set Zoom to 150

PS.DisplayZoom 150

End Sub


DocCompareAddMarkingsDlg

Syntax

DocCompareAddMarkingsDlg()

Description

Display the Add Markings dialog box.

 Related topics


DocCompareOptions

Syntax

(Precision: enumeration; SkipChars: string; CmpHdrsFtrs: enumeration; CmpComments: enumeration; ExpandMstrDocs: enumeration; SummaryOfCmp: enumeration; ListOfChanges: enumeration; InsertionBoldAttr: enumeration; InsertionItalicAttr: enumeration; InsertionUndAttr: enumeration; InsertionDUndAttr: enumeration; InsertionRedlineAttr: enumeration; InsColorRed: numeric; InsColorGreen: numeric; InsColorBlue: numeric; EncloseInsWith: enumeration; DeletionBoldAttr: enumeration; DeletionItalicAttr: enumeration; DeletionUndAttr: enumeration; DeletionDUndAttr: enumeration; DeletionRedlineAttr: enumeration; DeletionStkoutAttr: enumeration; DelColorRed: numeric; DelColorGreen: numeric; DelColorBlue: numeric; EncloseDelWidth: enumeration; ShowDelTextAs: enumeration; DelTextChar: string; ShowMoves: enumeration; MoveColorRed: numeric; MoveColorGreen: numeric; MoveColorBlue: numeric; ReviewOpt: enumeration;)

Description

Lets you specify the options for the DocCompare method.

Parameters

Precision: enumeration (optional)	Character! Word!
SkipChars: string (optional)
CmpHdrsFtrs: enumeration (optional)	No! Yes!
CmpComments: enumeration (optional)	No! Yes!
ExpandMstrDocs: enumeration (optional)	No! Yes!
SummaryOfCmp: enumeration (optional)	None! AtBeginning! AtEnd!
ListOfChanges: enumeration (optional)	None! ShowChgOnly! ShowContext!
InsertionBoldAttr: enumeration (optional)	Off! On!
InsertionItalicAttr: enumeration (optional)	Off! On!
InsertionUndAttr enumeration (optional)	Off! On!
InsertionDUndAttr enumeration (optional)	Off! On!
InsertionRedlineAttr enumeration (optional)	Off! On!
InsColorRed: numeric (optional)
InsColorGreen: numeric (optional)
InsColorBlue: numeric (optional)
EncloseInsWith enumeration (optional)	None! Brackets! Braces! Bkslashes! Quotes! GTLT!
DeletionBoldAttr enumeration (optional)	Off! On!
DeletionUndAttr enumeration (optional)	Off! On!
DeletionDUndAttr enumeration (optional)	Off! On!
DeletionRedlineAttr enumeration (optional)	Off! On!
DeletionStkoutAttr enumeration (optional)	Off! On!
DelColorRed: numeric (optional)
DelColorGreen: numeric (optional)
DelColorBlue: numeric (optional)
EncloseDelWith enumeration (optional)	None! Brackets! Braces! Bkslashes! Quotes! GTLT!
ShowDelTextAs enumeration (optional)	FullText! AbbrevText! NoText! Character!
DelTextChar: string (optional)
ShowMoves enumeration (optional)	NotShown! AtNewLoc! AtBothLocs!
MoveColorRed: numeric (optional)
MoveColorGreen: numeric (optional)
MoveColorBlue: numeric (optional)
ReviewOpt enumeration (optional)	CompareOnly! CompareThenReview!
 Related topics


DocCompareRemoveMarkingsDlg

Syntax

DocCompareRemoveMarkingsDlg()

Description

Display the Remove Markings dialog box.

 Related topics


DocCompareRemoveRedline

Syntax

DocCompareRemoveRedline(flag As _DocCompareRemoveRedline_Flag_enum)

Description

Remove Strikeout and Redline codes and Strikeout text, or remove only Strikeout codes and text.

Parameters

Flag: enumeration	LeaveRedline! RemoveAll!
 Related topics


DocInitialFont

Syntax

DocInitialFont(Name As String, [PointSize As Integer], [Family As _DocInitialFont_Family_enum], [Attributes As _DocInitialFont_Attributes_enum], [Weight As _DocInitialFont_Weight_enum], [Width As _DocInitialFont_Width_enum], [Source As _DocInitialFont_Source_enum], [Type As _DocInitialFont_Type_enum], [CharacterSet As _DocInitialFont_CharacterSet_enum])

Description

Set the default font for the current document.

Parameters

Name: string	The font face for the document.
PointSize: measurement (optional)	The font size for the document.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodoni! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenguiat! FamilyITCGaramond! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration (optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


DocInitialFontDlg

Syntax

DocInitialFontDlg()

Description

Display the Document Initial Font dialog box.

 Related topics


DocMaximize

Syntax

DocMaximize()

Description

Maximize the current document window. If the document is already maximized, the macro ends or goes to the ONERROR label.

 Related topics


DocMinimize

Syntax

DocMinimize()

Description

Minimize the current document window. If the document is already minimized, the macro ends or goes to the ONERROR label.

 Related topics


DocMove

Syntax

DocMove()

Description

Reposition or resize the current document if the application window has been minimized.

 Related topics


DocNext

Syntax

DocNext()

Description

Move the current document to the back and the most recently opened document to the front.

 Related topics


DocPrevious

Syntax

DocPrevious()

Description

Activate the previous document window, if the document is still open.

 Related topics


DocRedlineMethodDlg

Syntax

DocRedlineMethodDlg()

Description

Display the Redline dialog box.


DocRestore

Syntax

DocRestore()

Description

Restore the current document to the size it was before it was minimized or maximized. If the document is already restored, the macro ends or goes to the ONERROR label.

 Related topics


DocSize

Syntax

DocSize()

Description

Move or resize the current minimized document window. If the window is maximized, an error is displayed and the macro ends or goes to the ONERROR label.

 Related topics


DocSummaryConfig

Syntax

DocSummaryConfig([DocSumFieldName])

Description

Specify the fields to include in the current document summary.

Parameters

DocSumFieldName: enumeration (optional)	Repeat the parameter for as many fields as need to be specified. Enclose repeating parameters in braces ({}) and separate with semi-colons. Abstract! Account! Address! Attachments! Author! Authorization! BillTo! BlindCopy! CarbonCopy! Category! CheckedBy! Client! Comments! CreationDate! DateCompleted! Department! DescriptiveName! DescriptiveType! Destination! Disposition! Division! DocumentNumber! Editor! ForwardTo! Group! Keywords! Language! MailStop! Matter! Office! Owner! Project! Publisher! Purpose! ReceivedFrom! RecordedBy! RecordedDate! Reference! RevisionDate! RevisionNotes! RevisionNumber! Section! Security! Source! Status! Subject! TelephoneNumber! Typist! VersionDate! VersionNotes! VersionNumber!
 Related topics


DocSummaryDelete

Syntax

DocSummaryDelete()

Description

Delete the current document summary information.

 Related topics


DocSummaryPrint

Syntax

 DocSummaryPrint()

Description

Print the current document summary.

 Related topics


DocSummarySaveAs

Syntax

DocSummarySaveAs(Filename As String, [ExportType As _DocSummarySaveAs_ExportType_enum], [AppendReplace As _DocSummarySaveAs_AppendReplace_enum])

Description

Save the current document summary with a filename.

Parameters

Filename: string	The filename under which to save the document summary.
ExportType: enumeration (optional)	AmiPro_10! AmiPro_12! AmiPro_12A! AmiPro_12B! AmiPro_30! ANSIDelimitedTextWindows! ANSIGenericWordProcessor_Windows! ANSIText_Windows! ASCIIStandard! ASCIIStripped! DelimitedText! DisplayWrite_40! DisplayWrite_42! DisplayWrite_50! Excel_40! FFT! Kermit_7bit_Transfer! MicroSoftWord_40! MicroSoftWord_50! MicroSoftWord_55! MultiMate_33! MultiMate_40! MultiMateAdvantage_36! MultiMateAdvantageII_10! NavyDIF! OfficeWriter_60! OfficeWriter_61! OfficeWriter_611! OfficeWriter_62! RFT! RTF! RTFJ! WindowsWrite! WordForWindows_10! WordForWindows_11! WordForWindows_12! WordForWindows_1A! WordForWindows_20! WordForWindows_20a! WordForWindows_20b! WordForWindows_50! WordPerfect_42! WordPerfect_50! WordPerfect_51! WordPerfect_5xA! WordPerfect_60! WordPerfect_7! WordStar_33! WordStar_331! WordStar_34! WordStar_40! WordStar_50! WordStar_55! WordStar_60! WordStar2000_10! WordStar2000_20! WordStar2000_30! XyWriteIIIPlus_355! XyWriteIIIPlus_356!
AppendReplace: enumeration (optional)	Append! Replace!


DocSumSet

Syntax

DocSumSet([DocSumFieldName], [DocSumFieldData])

Description

Modify the data of the specified document-summary field. Repeat both parameters for each field of the summary. Enclose repeating parameters in braces ({}).

Parameters

DocSumFieldName: enumeration (optional)	The fields to modify. Abstract! Account! Address! Attachments! Author! Authorization! BillTo! BlindCopy! CarbonCopy! Category! CheckedBy! Client! Comments! CreationDate! DateCompleted! Department! DescriptiveName! DescriptiveType! Destination! Disposition! Division! DocumentNumber! Editor! ForwardTo! Group! Keywords! Language! MailStop! Matter! Office! Owner! Project! Publisher! Purpose! ReceivedFrom! RecordedBy! RecordedDate! Reference! RevisionNotes! RevisionNumber! Section! Security! Source! Status! Subject! TelephoneNumber! Typist! VersionDate! VersionNotes! VersionNumber!
DocSumFieldData: string (optional)	The data for a document-summary field. If CreationDate!, DateCompleted!, RecordedDate!, RevisionDate!, or VersionDate! is specified in the DocSumFieldName parameter, the date must be entered in the sequence of Year, Month, Day. For example: "1994, 9, 14." If the date format is incorrect, the specified date field is not updated.


DocumentCompare

Syntax

DocumentCompare(Filename As String, MarkIn As _DocumentCompare_MarkIn_enum)

Description

Compare two versions of a document and mark differences.

Parameters

Filename: string	The document you want to compare.
MarkIn: enumeration	NewDoc! CurrentDoc!


DotLeader

Syntax

DotLeader(Character As String, SpaceCount As Integer)

Description

Specify the ASCII number of a dot leader character, and the number of spaces between each character.

Parameters

Character: string	The ASCII number of a dot leader character.
SpaceCount: numeric	The number of spaces between the visible dot leader characters.
 Related topics


DoubleSidedPrint

Syntax

DoubleSidedPrint(Flags As _DoubleSidedPrint_Flags_enum)

Description

Turn double-sided printing (Duplex) on or off, and specify a binding edge. This method inserts a code in the document at the beginning of the current page.

Parameters

Flags: enumeration	LongEdge! None! ShortEdge!
 Related topics


DoubleSmartQuote

Syntax

DoubleSmartQuote([State As _DoubleSmartQuote_State_enum], [OpenDoubleQuote As Integer], [CloseDoubleQuote As Integer])

Description

Turn Double SmartQuotes on or off and specify a quote character.

Parameters

State: enumeration (optional)	Off! On!
OpenDoubleQuote: numeric (optional)	The numeric equivalent of the quote character.
CloseDoubleQuote: numeric (optional)	The numeric equivalent of the quote character.
 Related topics


DraftZoom100

Syntax

DraftZoom100()

Description

Display Draft view with screen text and graphics at 100%. Draft view does not display headers, footers, or other substructures.

 Related topics


DraftZoomMargin

Syntax

 DraftZoomMargin()

Description

Display Draft view with screen text and graphics reaching the margins. Draft view does not display headers, footers, and other substructures.

 Related topics


DropCapAdjustDlg

Syntax

DropCapAdjustDlg()

Description

Display the Drop Cap Options dialog box.


DropCapBegin

Syntax

DropCapBegin()

Description

Begin a drop cap. Follow with drop cap editing methods and DropCapEnd().


DropCapBorderFillDlg

Syntax

DropCapBorderFillDlg()

Description

Display the Drop Cap Border/Fill dialog box.

 Related topics


DropCapBorderStyle

Syntax

 DropCapBorderStyle(BorderStyleName)

Description

Specify a drop cap border style. Use with DropCapBegin() and DropCapEnd(). You must pass the numeric value of the BorderStyleName.

Parameters

BorderStyleName: any	Enclose custom styles in quotation marks. ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!	10 12 11 3 4 2 6 14 13 127 1 0 5 8 9 7
Example

In the following example, a drop cap is added. The border style used is 'ThickBorder', therefore the value 5 must be passed. The PS object is the PerfectScipt object.

'***** Declare the PerfectScript object

Dim PS as PerfectScript

'***** Allocate memory to the PerfectScript object

Set PS = new PerfectScript

'***** Begin Drop Cap

PS.DropCapBegin

PS.DropCapCharacters 1

PS.DropCapCharacterSize 2

'****** Set the border style

PS.DropCapBorderStyle 5

'***** End Drop Cap

PS.DropCapEnd Save_DropCapEnd_State

 Related topics


DropCapCharacters

Syntax

DropCapCharacters(Number As Integer)

Description

Specify the number of characters in a drop cap.

Parameters

Number: numeric	The number of characters included in a drop cap.
Example

In the following code fragment, one character has been specified for the drop cap. The PS object is the PerfectScript object.

'***** Declare the PerfectScript object

Dim PS as PerfectScript

'***** Allocate memory to the PerfectScript object

Set PS = new PerfectScript

'***** Begin Drop Cap

PS.DropCapBegin

PS.DropCapCharacters 1

PS.DropCapCharacterSize 2

'****** Set the border style

PS.DropCapBorderStyle 5

'***** End Drop Cap

PS.DropCapEnd Save_DropCapEnd_State

 Related topics


DropCapCharacterSize

Syntax

DropCapCharacterSize(Size As Double)

Description

Specify the size of a drop cap character(s). You should experiment to find the value that meets you needs.

Parameters

Size: numeric	The point size of the character(s) in a drop cap.
Example

In the following code fragment, the point size of the character used in the drop cap is 2. The PS object is the PerfectScript object.

'***** Declare the PerfectScript object

Dim PS as PerfectScript

'***** Allocate memory to the PerfectScript object

Set PS = new PerfectScript

'***** Begin Drop Cap

PS.DropCapBegin

PS.DropCapCharacters 1

PS.DropCapCharacterSize 2

PS.DropCapFillStyle 4

'****** Set the border style

PS.DropCapBorderStyle 5

'***** End Drop Cap

PS.DropCapEnd Save_DropCapEnd_State

 Related topics


DropCapContourWrap

Syntax

DropCapContourWrap(State)

Description

Wrap text around a drop cap.

Parameters

State: any	No! Yes!


DropCapControlBar

Syntax

DropCapControlBar()

Description

Display the Drop Cap feature bar.


DropCapEnd

Syntax

DropCapEnd(State As _DropCapEnd_State_enum)

Description

End a drop cap and save the changes. Precede with DropCapBegin() and drop cap editing methods.

Parameters

State: enumeration	Cancel! Save!


DropCapFillStyle

Syntax

DropCapFillStyle(FillStyleName)

Description

Specify a drop cap fill style. You must pass the numeric value that corresponds to the 'FillStyleName'.

Parameters

FillStyleName: any	Enclose custom styles in quotation marks. Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!	0 1 2 3 4 5 6 7 8 9 10 11 127
Example

In the following code fragment, the fill style used is 4. The PS object is the PerfectScript object.

'***** Declare the PerfectScript object

Dim PS as PerfectScript

'***** Allocate memory to the PerfectScript object

Set PS = new PerfectScript

'***** Begin Drop Cap

PS.DropCapBegin

PS.DropCapCharacters 1

PS.DropCapCharacterSize 2

PS.DropCapFillStyle 4

'****** Set the border style

PS.DropCapBorderStyle 5

'***** End Drop Cap

PS.DropCapEnd Save_DropCapEnd_State

 Related topics


DropCapFontDlg

Syntax

DropCapFontDlg()

Description

Display the Drop Cap Font dialog box.


DropCapHorizontalAdjustment

Syntax

DropCapHorizontalAdjustment(Adjustment As Double)

Description

Specify the percentage of a drop cap that is located in the margin.

Parameters

Adjustment: numeric	Percent.
 Related topics


DropCapIncludeDescender

Syntax

DropCapIncludeDescender(State)

Description

Allow descending characters in a drop cap.

Parameters

State: any	No! Yes!	0 1
 Related topics


DropCapIncludeDiacritic

Syntax

DropCapIncludeDiacritic(State As _DropCapIncludeDiacritic_State_enum)

Description

Include diacritic marks in a drop cap.

Parameters

State: enumeration	No! Yes!


DropCapKerning

Syntax

DropCapKerning(Adjustment As Integer)

Description

Specify the spacing between drop cap characters.

Parameters

Adjustment: measurement	The amount of space between drop cap characters.


DropCapNoWrap

Syntax

 DropCapNoWrap(State)

Description

Prevent text from wrapping around a drop cap.

Parameters

State: any	No! Yes!	0 1


DropCapOff

Syntax

DropCapOff()

Description

End the drop cap of the current paragraph.


DropCapPositionOtherDlg

Syntax

DropCapPositionOtherDlg()

Description

Display the Drop Cap Position dialog box.


DropCapSizeDlg

Syntax

 DropCapSizeDlg()

Description

Display the Drop Cap Size dialog box.


DropCapVerticalAdjustment

Syntax

DropCapVerticalAdjustment(Adjustment As Double)

Description

Specify the number of blank lines between a drop cap and the text that follows it.

Parameters

Adjustment: numeric	The number of blank lines between the text and the drop cap.
 Related topics


EditBoxDlg

Syntax

EditBoxDlg()

Description

Display the Edit Box dialog box.

 Related topics


EditBoxDlgClose

Syntax

EditBoxDlgClose()

Description

Close the Edit Box dialog box.

 Related topics


EditCopy

Syntax

EditCopy()

Description

Replace the Clipboard contents with the selected text or graphic.

 Related topics


EditCut

Syntax

 EditCut()

Description

Replace the Clipboard contents with the selected text or graphic, and delete the selection from the current document.

 Related topics


EditPaste

Syntax

EditPaste([ClipboardFormat As String], [FormatId As Integer], [LinkType As _EditPaste_LinkType_enum])

Description

Paste the Clipboard contents into the current document at the insertion point.

Parameters

ClipboardFormat: string (optional)	The registered Clipboard format. If the information you wish to paste is in a registered Clipboard format, this parameter is required and the FormatId parameter is ignored. Several different formats are supported. The options displayed in the Paste Special dialog box will depend on the contents in the Clipboard.
FormatId: numeric (optional)	The predefined Clipboard format ID number. If the information you wish to paste is in a Clipboard predefined format, this parameter is required and the ClipboardFormat parameter is ignored. Predefined Clipboard format ID numbers include: 5 = ANSI text. 6 = Old IBM PC character set. 7 = Device Independent Bitmap (DIB). 8 = Bitmap. 9 = Metafilepict.
LinkType: enumeration (optional)	DDE! OLE!
 Related topics


EditPasteSimple

Syntax

EditPasteSimple()

Description

Paste the Clipboard contents without text attributes (unless beginning and ending attribute codes are included in the pasted selection).

 Related topics


EndCenterOrAlignment

Syntax

EndCenterOrAlignment()

Description

Insert an [END Cntr/Align] code, which turns off Center, Flush Right, and alignment tabs at the insertion point for the current line only.


EndnoteCreate

Syntax

EndnoteCreate()

Description

Open a new endnote window, in order to create an endnote. Follow with methods that insert text and codes. End with SubstructureExit().

 Related topics


EndnoteEdit

Syntax

 EndnoteEdit([EndnoteNumber As String])

Description

Open a specific endnote window, in order to edit the endnote.

Parameters

EndnoteNumber - Letters, arabic numbers, or roman numerals.

 Related topics


EndnoteEditDlg

Syntax

EndnoteEditDlg()

Description

Display the Edit Endnote dialog box.

 Related topics


EndnoteFootnoteConvert

Syntax

EndnoteFootnoteConvert(Action As _EndnoteFootnoteConvert_Action_enum)

Description

Convert footnotes to endnotes or endnotes to footnotes in the current document.

Parameters

Action: enumeration	EndnoteToFootnote! FootnoteToEndnote!


EndnoteFootnoteNext

Syntax

EndnoteFootnoteNext()

Description

Go to the next endnote/footnote.


EndnoteFootnotePrev

Syntax

EndnoteFootnotePrev()

Description

Go to the previous endnote/footnote.


EndnoteMinimum

Syntax

EndnoteMinimum([Size As Integer]) As Integer

Description

Specify the amount of endnote text to keep together.

Parameters

Size: measurement	If less than 1, precede the decimal with 0. Default: 0.5".
 Related topics


EndnoteNewNumber

Syntax

EndnoteNewNumber(EndnoteNumber As String)

Description

Insert an [Endnote Num Set] code to begin new numbering for subsequent endnotes.

Parameters

EndnoteNumber: string	The new starting number or character.


EndnoteNumberDecrement

Syntax

EndnoteNumberDecrement()

Description

Decrease the current endnote number by one.

 Related topics


EndnoteNumberDisplay

Syntax

EndnoteNumberDisplay()

Description

Display the current endnote number.

 Related topics


EndnoteNumberIncrement

Syntax

EndnoteNumberIncrement()

Description

Increase the current endnote number by one.

 Related topics


EndnoteNumberMethod

Syntax

EndnoteNumberMethod(NumberingMethod As _EndnoteNumberMethod_NumberingMethod_enum, [Characters As String])

Description

Specify an endnote numbering method.

Parameters

NumberingMethod: enumeration	Characters! LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
Characters: string (optional)	Use when the first parameter is Characters!.
 Related topics


EndnoteOptions

Syntax

EndnoteOptions([NumberingMethod As _EndnoteOptions_NumberingMethod_enum], [Characters As String], [BetweenSpacing As Integer], [MinimumHeight As Integer])

Description

Specify endnote options beginning at the insertion point.

Parameters

NumberingMethod: enumeration (optional)	Characters! LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
Characters: string (optional)	Use up to five characters when the numbering method is Characters!.
BetweenSpacing: measurement (optional)	The space between endnotes.
MinimumHeight: measurement (optional)	How much of an endnote to keep together on a page.
 Related topics


EndnoteOptionsDlg

Syntax

EndnoteOptionsDlg()

Description

Display the Endnote Options dialog box.

 Related topics


EndnotePlacement

Syntax

EndnotePlacement([Restart As _EndnotePlacement_Restart_enum])

Description

Mark where to generate an endnote list, and specify whether to reset numbering for subsequent endnotes. This method applies to endnotes before the Endnote Placement code, or after the last Endnote Placement code.

Parameters

Restart: enumeration (optional)	No! Yes!
 Related topics


EndnotePlacementDlg

Syntax

EndnotePlacementDlg()

Description

Display the Endnote Placement dialog box.

 Related topics


EndnoteSetNumberDlg

Syntax

EndnoteSetNumberDlg()

Description

Display the Endnote Number dialog box.


EndnotesSpaceBetween

Syntax

EndnotesSpaceBetween([Width As Integer]) As Integer

Description

Specify the distance between endnotes.

Parameters

Width: measurement
 Related topics


EndnoteToFootnoteShippingMacro

Syntax

EndnoteToFootnoteShippingMacro()

Description

Play the shipping macro ENDFOOT.WCM to convert endnotes to footnotes in the current document or selected text. ENDFOOT.WCM must already be installed.

 Related topics


EndOfSentenceSpacing

Syntax

 EndOfSentenceSpacing(Type As _EndOfSentenceSpacing_Type_enum)

Description

Specify the number of spaces at the end of a sentence.

Parameters

Type: enumeration	DoubleToSingle! None! SingleToDouble!
 Related topics


EnterKey

Syntax

EnterKey()

Description

Perform an Enter function.


EnvelopeAddressPositionUpdate

Syntax

EnvelopeAddressPositionUpdate()

Description

Update the envelope address positions.


EnvelopeCreate

Syntax

EnvelopeCreate([Name As String], [MergeEnvelope As _EnvelopeCreate_MergeEnvelope_enum])

Description

Creates an envelope.

Parameters

Name: string	The name of the envelope.
MergeEnvelope: enumeration	CreateMrgEnvelope! EditMrgEnvelope!


EnvelopeDlg

Syntax

EnvelopeDlg()

Description

Display the Envelope dialog box.


EnvelopePositionsDlg

Syntax

EnvelopePositionsDlg()

Description

Modify the position of the return and mailing address.


EnvelopeSavePaperSize

Syntax

EnvelopeSavePaperSize()

Description

Save the size of the envelope paper.


EquationBaseFontDlg

Syntax

EquationBaseFontDlg()

Description

Display the Equation Font dialog box.


EquationCreate

Syntax

EquationCreate()

Description

Create an equation box and open the Equation Editor.

 Related topics


EquationPalette

Syntax

 EquationPalette([State As _EquationPalette_State_enum])

Description

Display the Equation Palette in the Equation Editor.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


EquationPaletteToggle

Syntax

EquationPaletteToggle()

Description

Toggle the Equation Editor palette on and off.

 Related topics


EquationRetrieveDlg

Syntax

EquationRetrieveDlg()

Description

Display the Retrieve Equation Text dialog box.


EquationZoomDlg

Syntax

 EquationZoomDlg()

Description

Display the Zoom Equation Display dialog box.


ExecScrapBook

Syntax

ExecScrapBook()

Description

Run the Scrapbook program. You can then drag images from the Scrapbook and drop them into your document.


ExitWordPerfect

Syntax

 ExitWordPerfect()

Description

Exit WordPerfect.


ExpandAllAbbrevShippingMacro

Syntax

ExpandAllAbbrevShippingMacro()

Description

Play the shipping macro EXPNDALL.WCM to expand all abbreviations in the current document. EXPNDALL.WCM must be installed.

 Related topics


ExpandDlg

Syntax

ExpandDlg()

Description

Display the Expand Master Document dialog box.

 Related topics


FancyPageBorder

Syntax

FancyPageBorder(Filename As String)

Description

Specify a Fancy Border for the current page. This method places a Fancy Border code in the current document at the beginning of the paragraph where the insertion point is located.

Parameters

Filename: string	The filename of the graphic you want to use as a page border.
 Related topics


FancyPageBorderInParagraph

Syntax

FancyPageBorderInParagraph() As Boolean

Description

Return a value indicating whether the current paragraph contains a Fancy Border code. The current paragraph is the paragraph where the insertion point is located. (This method returns 0 if the current paragraph contains a Fancy Border code following the insertion point. Since the Fancy Border code is always inserted at the beginning of the current paragraph when created or edited, this condition could exist only if the code was moved manually.)

Return Value

0	Fancy Border code not in current paragraph

1	Fancy Border code in current paragraph

 Related topics


FancyPageBorderOccur

Syntax

FancyPageBorderOccur() As Boolean

Description

Return True if Fancy Page Borders are active at the insertion point, False if not. This method will return False if there is no Fancy Border code in the document before the insertion point, even if a Fancy Border code follows the insertion point on the same page.

 Related topics


FancyPageBorderOff

Syntax

FancyPageBorderOff()

Description

Turn off Fancy Page Borders. This method inserts a Fancy Border End code at the insertion point. If the insertion point is located following the Fancy Border definition code and on the same page, rather than inserting a Fancy Border End code, the Fancy Border definition code is removed.

 Related topics


FigurePaletteDlg

Syntax

FigurePaletteDlg()

Description

Display the Image Tools palette in order to edit an image.

 Related topics


FigurePaletteDlgEnd

Syntax

FigurePaletteDlgEnd()

Description

Close the Image Tools palette.

 Related topics


FigureRetrieveDlg

Syntax

FigureRetrieveDlg()

Description

Display the Insert Image dialog box.


FileChangeAttributes

Syntax

FileChangeAttributes(Filename As String, [Attributes])

Description

Rename a file and specify a file type.

Parameters

Filename: string	The name of the file whose attributes you want to change.
Attributes: enumeration (optional)	Archive! Hidden! Normal! ReadOnly! System!


FileChangeDir

Syntax

FileChangeDir(Directory As String)

Description

Change the Documents or Graphics Files directory.

Parameters

Directory: string	The directory to which you want to move the file.


FileCopy

Syntax

 FileCopy(SourceFile As String, DestinationFile As String)

Description

Copy a source file to a destination file.

Parameters

SourceFile: string	The path and filename of the original file.
DestinationFile: string	The path and filename of the copy.
 Related topics


FileDelete

Syntax

 FileDelete([Filename As String])

Description

Delete a specific file.

Parameters

Filename: string (optional)	The name of the file to delete.
 Related topics


FileExists

Syntax

FileExists(Variable, Filename As String)

Description

Return whether a specified file exists.

Parameters

Variable: variable	True (exists) or False (not exist).
Filename: string	The name of the file.


FileInsert

Syntax

 FileInsert([Filename As String], [AutoDetect As _FileInsert_AutoDetect_enum], [InsertIntoDoc As _FileInsert_InsertIntoDoc_enum])

Description

Retrieve a file into the current document at the insertion point.

Parameters

Filename: string (optional)	The name of the file to insert.
AutoDetect: enumeration (optional)	No! Yes!
InsertIntoDoc: enumeration (optional)	Display a prompt before a file is inserted. Default: Insert! - insert file without prompt. Insert! Prompt!
 Related topics


FileInsertDlg

Syntax

FileInsertDlg()

Description

Display the Insert File dialog box, which allows you to retrieve an existing file.

 Related topics


FileMove

Syntax

FileMove([SourceFile As String], [DestinationFile As String])

Description

Rename and move a file.

Parameters

SourceFile: string (optional)	The original filename and/or location.
DestinationFile: string (optional)	The new filename and/or location.
 Related topics


FileNew

Syntax

FileNew()

Description

Create a new document based on the default template. If the maximum nine documents are open, the macro ends or goes to the ONERROR label.

Example

In the following example, three WordPerfect documents are saved in the 'C:\'. The code in the 'For' loop will be executed three times. A new WordPerfect document is created as a result of calling FileNew(). The name of the string variable is file.Notice that the value of i, which is the loop index, is added to the name of the file. This will ensure that each file has a unique name and is not overwritten. The BodyAll() is responsible for populating the WordPerfect document (This method is a User Defined Method and is not a member of the PerfectScript class). After the file is saved, the WordPerfect document is closed. The PS object is the PerfectScript object.

'****** Declare all variables

Dim mypath as String

Dim myfile as String

'****** Declare a PerfectScript Object

Dim PS as PerfectScript

'****** Allocate memory to the PerfectScript object

Set PS = new PerfectScript

'***** Create and Save three documents. Begin the For loop

For i = 1 To 3

'****** Create a new WordPerfect Document

PS.FileNew

PS.ClearDoc

'***** Define the path and file

mypath = "C:\Letter"

'***** Define the file to save

myfile = mypath & i & ".wpd"

'***** Populate the WordPerfect document

BodyAll

'***** Save the WordPerfect Document

PS.FileSave myfile

'***** Close the File

PS.Close No_Close_Save

'***** End the For loop

Next i

 Related topics


FileOpen

Syntax

FileOpen(Filename As String, [Format As _FileOpen_Format_enum])

Description

Retrieve a specified file into a new document window. If the maximum nine document windows are open, the macro ends or goes to the ONERROR label.

Parameters

Filename: string
Format: enumeration(optional)	AmiPro_12! AmiPro_12A! AmiPro_12B! AmiPro_20! AmiPro_30! ANSIDelimitedTextWindows! ANSIGenericWordProcessor_Windows! ANSIText_Windows! AreAHangol! Aruga_23! ASCIIStandard! ASCIIStripped! DelimitedText! DisplayWrite_40! DisplayWrite_42! DisplayWrite_50! Excel_40! FFT! Hana! HTML! Ichitaro_3x! Ichitaro_4x! Ichitaro_5x! Kermit_7bit_Transfer! Matu_4! Matu_5! Matu_6! MicroSoftWord_40! MicroSoftWord_50! MicroSoftWord_55! MultiMate_33! MultiMate_40! MultiMateAdvantage_36! MultiMateAdvantageII_10! NavyDIF! OfficeWriter_60! OfficeWriter_61! OfficeWriter_611! OfficeWriter_62! P1EXE! RFT! RTF! RTFJ! SGML! WaiSing_251! WindowsWrite! WordForWindows_10! WordForWindows_11! WordForWindows_12! WordForWindows_1A! WordForWindows_20! WordForWindows_20a! WordForWindows_20b! WordForWindows_20c! WordForWindows_50! WordForWindows_60! WordPerfect_42! WordPerfect_50! WordPerfect_51! WordPerfect_5xA! WordPerfect_60! WordPerfect_7! WordStar_33! WordStar_331! WordStar_34! WordStar_40! WordStar_50! WordStar_55! WordStar_60! WordStar2000_10! WordStar2000_20! WordStar2000_30! WPS_Chinese! XyWriteIIIPlus_355! XyWriteIIIPlus_356!
 Related topics


FileOpenDlg

Syntax

FileOpenDlg()

Description

Display the Open File dialog box.

 Related topics


FileRemoveDirectory

Syntax

FileRemoveDirectory(Directory As String)

Description

Remove a directory.

Parameters

Directory: string	The directory to remove.


FileSave

Syntax

 FileSave([Filename As String], [ExportType As _FileSave_ExportType_enum], [Overwrite As _FileSave_Overwrite_enum])

Description

Save the current file or display the Save As dialog box for a new document.

Parameters

Filename: string (optional)
ExportType: enumeration (optional)	AmiPro_12! AmiPro_12A! AmiPro_12B! AmiPro_20! AmiPro_30! ANSIDelimitedTextWindows! ANSIGeneratedWordProcessor_Windows! ANSIText_Windows! AreAHangol! Aruga_23! ASCIIStandard! ASCIIStripped! DelimitedText! DisplayWrite_40! DisplayWrite_42! DisplayWrite_50! EDGAR! Excel_40! FFT! Hana! HTML! Ichitaro_3x! Ichitaro_4x! Ichitaro_5x! Kermit_7bit_Transfer! Matu_4! Matu_5! Matu_6! MicroSoftWord_40! MicroSoftWord_50! MicroSoftWord_55! MultiMate_33! MultiMate_40! MultiMateAdvantage_36! MultiMateAdvantageII_10! NavyDIF! OfficeWriter_60! OfficeWriter_61! OfficeWriter_611! OfficeWriter_62! P1EXE! RFT! RTF! RTFJ! SGML! WaiSing_251! WindowsWrite! WordForWindows_10! WordForWindows_11! WordForWindows_12! WordForWindows_1A! WordForWindows_20! WordForWindows_20a! WordForWindows_20b! WordForWindows_20c! WordForWindows_50! WordForWindows_60! WordPerfect_42! WordPerfect_50! WordPerfect_51! WordPerfect_5xA! WordPerfect_60! WordPerfect_7! WordStar_33! WordStar_331! WordStar_34! WordStar_40! WordStar_50! WordStar_55! WordStar_60! WordStar2000_10! WordStar2000_20! WordStar2000_30! WPS_Chinese! XyWriteIIIPlus_355! XyWriteIIIPlus_356!
Overwrite: enumeration (optional)	Automatically overwrite a file with the same name, or prompt the user to enter a new filename. No! Prompt! Yes!
Example

In the following example, three WordPerfect documents are saved in the 'C:\'. The code in the 'For' loop will be executed three times. The name of the string variable is file.Notice that the value of i, which is the loop index, is added to the name of the file. This will ensure that each file has a unique name and is not overwritten. The BodyAll method is responsible for populating the WordPerfect document. After the file is saved, the WordPerfect document is closed. The PS object is the PerfectScript object.

'****** Declare all variables

Dim mypath as String

Dim myfile as String

'****** Declare a PerfectScript Object

Dim PS as PerfectScript

'****** Allocate memory to the PerfectScript object

Set PS = new PerfectScript

'***** Create and Save three documents. Begin the For loop

For i = 1 To 3

PS.FileNew

PS.ClearDoc

'***** Define the path and file

mypath = "C:\Letter"

'***** Define the file to save

myfile = mypath & i & ".wpd"

'***** Populate the WordPerfect document

BodyAll

'***** Save the WordPerfect Document

PS.FileSave myfile

'***** Close the File

PS.Close No_Close_Save

'***** End the For loop

Next i

 Related topics


FileSaveAsDlg

Syntax

FileSaveAsDlg()

Description

Display the Save As dialog box, which allows you to save a file.

 Related topics


FileStampShippingMacro

Syntax

FileStampShippingMacro()

Description

Play the shipping macro FILESTMP.WCM to display the File Stamp Options dialog box. The dialog box allows you to insert the path and filename of a document in a header or footer. FILESTMP.WCM must be installed.


FillColors

Syntax

FillColors([ForeColorName As String], [ForeRed As Integer], [ForeGreen As Integer], [ForeBlue As Integer], [ForeShade As Integer], [BackColorName As String], [BackRed As Integer], [BackGreen As Integer], [BackBlue As Integer], [BackShade As Integer])

Description

Specify a fill color for boxes and tables. Precede with methods such as BoxFill(), FillStyleCreate(), or TableBorderEditBegin(), and end with methods such as BoxUpdateDisplay() and BoxEnd(), FillStyleEnd(), or TableBorderEditEnd().

Parameters

ForeColorName: string (optional)
ForeRed: numeric (optional)	Value: 0-255.
ForeGreen: numeric (optional)	Value: 0-255.
ForeBlue: numeric (optional)	Value: 0-255.
ForeShade: numeric (optional)	Percent: 0-100.
BackColorName: string (optional)
BackRed: numeric (optional)	Value: 0-255.
BackGreen: numeric (optional)	Value: 0-255.
BackBlue: numeric (optional)	Value: 0-255.
BackShade: numeric (optional)	Percent: 0-100.
 Related topics


FillSetGradient

Syntax

FillSetGradient(Gradient As _FillSetGradient_Gradient_enum, [Angle As Double], [XLocation As Double], [YLocation As Double], [Calculate As Integer], [State As _FillSetGradient_State_enum])

Description

Customize a gradient fill. Precede with FillStyleCreate() or FillStyleEdit() and end with FillStyleEnd().

Parameters

Gradient: enumeration	LinearGradient! RadialGradient! RectangularGradient!
Angle: numeric (optional)	The angle of the gradient.
XLocation: numeric (optional)	The percentage of horizontal offset. A 10% offset places the center of the gradient effect toward the left edge; 50% centers it horizontally.
YLocation: numeric (optional)	The percentage of vertical offset. A 10% offset places the center of the gradient effect toward the top edge; 50% centers it vertically.
Calculate: numeric (optional)	The number of steps to create a gradient. Default: 30. Both maximum (999) and minimum (1) produce a solid appearance. The optimum is approximately 120.
State: enumeration (optional)	Turn the gradient fill on or off. No! Yes!
 Related topics


FillSetWPG2

Syntax

FillSetWPG2(PatternSet As Integer, index As _FillSetWPG2_Index_enum)

Description

Specify a pattern set and a pattern from the set. Precede with methods such as BoxFill(), FillStyleCreate(), or TableBorderEditBegin() and end with methods such as BoxUpdateDisplay(), FillStyleEnd(), or TableBorderEditEnd().

Parameters

PatternSet: numeric	Only 0 is available.
Index: enumeration	Specify a pattern: WPG2_12Gray! WPG2_25Gray! WPG2_50Gray! WPG2_Arch! WPG2_Balls! WPG2_Bricks1! WPG2_Bricks2! WPG2_Chainlink! WPG2_Checkboard1! WPG2_Checkboard2! WPG2_Crosses! WPG2_Crosshatch1! WPG2_Crosshatch2! WPG2_Crosshatch3! WPG2_Crosshatch4! WPG2_Fishscale! WPG2_Honeycomb! WPG2_Lines1! WPG2_Lines2! WPG2_Lines3! WPG2_Lines4! WPG2_Lines5! WPG2_Lines6! WPG2_Lines7! WPG2_Lines8! WPG2_Mesh! WPG2_Patio! WPG2_Plaid! WPG2_Solid! WPG2_Triangles! WPG2_Waves! WPG2_Weave!
 Related topics


FillStyleCopy

Syntax

FillStyleCopy(StyleName, FromLibrary As _FillStyleCopy_FromLibrary_enum, ToLibrary As _FillStyleCopy_ToLibrary_enum, [DestName As String])

Description

Copy a fill style. You must pass the numeric value of the StyleName.

Parameters

StyleName: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!	10 100 20 30 40 50 60 70 80 90 0 127
FromLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!	N/A
ToLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!	N/A
DestName: string(optional)	Rename a copied fill style.	N/A
 Related topics


FillStyleCreate

Syntax

FillStyleCreate(TemplateName As String, Library As _FillStyleCreate_Library_enum)

Description

Create a fill style.

Parameters

TemplateName: string	The name for the template.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FillStyleDelete

Syntax

FillStyleDelete(StyleName, [Library As _FillStyleDelete_Library_enum])

Description

Delete a fill style. You must pass the numeric value that corresponds to the StyleName.

Parameters

StyleName: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!	10 100 20 30 40 50 60 70 80 90 0 127
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FillStyleEdit

Syntax

FillStyleEdit(Style, [Library As _FillStyleEdit_Library_enum])

Description

Begin a FillStyleEdit()-FillStyleEnd() statement.

Parameters

StyleName: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!	10 100 20 30 40 50 60 70 80 90 0 127
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FillStyleEnd

Syntax

FillStyleEnd(State As _FillStyleEnd_State_enum)

Description

Save or cancel changes to a fill style.

Parameters

State: enumeration	Cancel! Save!	0 1
 Related topics


FillStyleName

Syntax

FillStyleEdit(Style, [Library As _FillStyleEdit_Library_enum])

Description

Name a user-created fill style. Precede with FillStyleEdit() and end with FillStyleEnd().

Parameters

FillName: string	The name of the new fill style.
 Related topics


FillStyleRetrieve

Syntax

FillStyleRetrieve(Filename As String, Library As _FillStyleRetrieve_Library_enum)

Description

Retrieve all fill graphics styles from the specified document or template and add to the specified style list.

Parameters

Filename: string	The path and filename of a document or template containing the styles to retrieve.
Library: enumeration	The destination for the retrieved styles. Use CurrentDoc! to add the styles to the current document style list. Use PersonalLibrary! to add the styles to the default template style list. Use SharedLibrary! to add the styles to the additional objects template style list. If an additional objects template is not specified in Files Preferences, and SharedLibrary! is used here, the method does nothing. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FillStyleSave

Syntax

 FillStyleSave(Filename As String, Library As _FillStyleSave_Library_enum)

Description

Save a fill style.

Parameters

Filename: string	The name for the fill style.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


FindDlg

Syntax

FindDlg()

Description

Display the Find and Replace Text dialog box.

 Related topics


FirstLineIndent

Syntax

FirstLineIndent(Width As Integer)

Description

Specify the distance between the left margin and the first word of indented text.

Parameters

Width: measurement	The length of the indention.
 Related topics


FloatingCellBegin

Syntax

FloatingCellBegin()

Description

Move the insertion point in a floating cell to the beginning of the cell.

 Related topics


FloatingCellCreate

Syntax

 FloatingCellCreate()

Description

Create a floating cell.

 Related topics


FloatingCellEdit

Syntax

FloatingCellEdit()

Description

Search backward for a floating cell and move the insertion point to the beginning of the first one found. If not found searching backward, the search continues from the insertion point forward.

 Related topics


FloatingCellEnd

Syntax

FloatingCellEnd()

Description

Move the insertion point in a floating cell to the end of the cell.

 Related topics


FloatingCellFormula

Syntax

FloatingCellFormula(Formula As String)

Description

Specify a floating-cell formula. Precede with FloatingCellCreate() or FloatingCellEdit().

Parameters

Formula: string	The floating cell formula.
 Related topics


FloatingCellNumAlignCurrency

Syntax

FloatingCellNumAlignCurrency(Align As _FloatingCellNumAlignCurrency_Align_enum)

Description

Align the currency symbols in a floating cell. Precede with FloatingCellCreate() or FloatingCellEdit().

Parameters

Align: enumeration	No! Yes!
 Related topics


FloatingCellNumberDateFormat

Syntax

FloatingCellNumberDateFormat(Format As Integer)

Description

Specify a floating-cell date format.

Parameters

Format: numeric	1 March 5, 1993 2 3/5/93 3 Mar 5, 1993 4 5 March 1993 5 Friday, March 5, 1993 6 4:18 pm 7 05Mar93 8 March 5, 1993 (4:18pm) 9 1993-03-05 10 3/05 11 Mar 05 12 04:18:53 (hh:mm:ss)
 Related topics


FloatingCellNumberDecDigits

Syntax

FloatingCellNumberDecDigits(Number As Integer)

Description

Specify the number of digits after the decimal point in a floating cell. The insertion point must be between floating cell codes (Flt Cell).

Parameters

Number: numeric	The number of decimal places after the decimal point.
 Related topics


FloatingCellNumberFormat

Syntax

FloatingCellNumberFormat(CellNumType As _FloatingCellNumberFormat_CellNumType_enum)

Description

Specify a number type for floating cells.

Parameters

CellNumType: enumeration	Accounting! Commas! Currency! DateFormat! Fixed2! General! Integer! Percent! Scientific! TextOnly!
 Related topics


FloatingCellNumberNegNumber

Syntax

FloatingCellNumberNegNumber(NegDisplay As _FloatingCellNumberNegNumber_NegDisplay_enum)

Description

Specify how to display negative numbers in a floating cell.

Parameters

NegDisplay: enumeration	CRDR! Minus! Parentheses!
 Related topics


FloatingCellNumberRound

Syntax

FloatingCellNumberRound(Round As _FloatingCellNumberRound_Round_enum)

Description

Round numbers for calculation in a floating cell.

Parameters

Round: enumeration	No! Yes!
 Related topics


FloatingCellNumberUseCommas

Syntax

FloatingCellNumberUseCommas(Commas As _FloatingCellNumberUseCommas_Commas_enum)

Description

Use commas in floating-cell numbers.

Parameters

Commas: enumeration	No! Yes!
 Related topics


FloatingCellNumberUseCurrency

Syntax

 FloatingCellNumberUseCurrency(Currency As _FloatingCellNumberUseCurrency_Currency_enum)

Description

Use currency symbols in a floating cell.

Parameters

Currency: enumeration	No! Yes!
 Related topics


FloatingCellNumSelectCurrency

Syntax

FloatingCellNumSelectCurrency(IntlCurrency As _FloatingCellNumSelectCurrency_IntlCurrency_enum)

Description

Specify a currency symbol for floating cells.

Parameters

IntlCurrency: enumeration	Austria! Belgium! BelgiumFrench! Brazil! Canada! China! Croatia! CzechRepublic! DefaultCurrency! Denmark! Dollar! Ecuador! ElSalvador! Euro! Finland! FinlandIntl! France! FrenchCanada! Germany! Greece! Guatemala! Honduras! HongKong! Hungary! Iceland! Israel! Italy! Japan! Korea! Netherlands! Norway! NorwayIntl! Paraguay! Peseta! Peso! Poland! Portugal! Ruble! RussianRuble! Singapore! SlovakRepublic! Slovenia! SouthAfrica! Sweden! Switzerland! Taiwan! Turkey! UnitedKingdom! Venezuela!
 Related topics


FlushRight

Syntax

FlushRight()

Description

Align text at the right margin.

 Related topics


FlushRightWithDotLeaders

Syntax

FlushRightWithDotLeaders()

Description

Right justify a line of text with dot leaders.

 Related topics


Font

Syntax

Font(Name As String, [Family As _Font_Family_enum], [Attributes As _Font_Attributes_enum], [Weight As _Font_Weight_enum], [Width As _Font_Width_enum], [Source As _Font_Source_enum], [Type As _Font_Type_enum], [CharacterSet As _Font_CharacterSet_enum])

Description

Specify font options.

Parameters

Name: string	The name of the font.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodon! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenguiat! FamilyITCGaramond! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration (optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


FontDlg

Syntax

FontDlg()

Description

Display the Font dialog box.

 Related topics


FontDnShippingMacro

Syntax

FontDnShippingMacro()

Description

Play the shipping macro FONTDN.WCM to reduce the font size of the selected text by two points. FONTDN.WCM must be installed.


FontDoubleUnderlineToggle

Syntax

FontDoubleUnderlineToggle()

Description

Toggle Double Underline at the insertion point.

 Related topics


FontExtraLargeToggle

Syntax

FontExtraLargeToggle()

Description

Toggle Extra Large at the insertion point.

 Related topics


FontFineToggle

Syntax

FontFineToggle()

Description

Toggle Fine at the insertion point. Recordable substitute: AttributeRelativeSizeToggle.

 Related topics


FontHiddenToggle

Syntax

FontHiddenToggle()

Description

Toggle Hidden at the insertion point.

 Related topics


FontItalicToggle

Syntax

FontItalicToggle()

Description

Toggle Italic at the insertion point.

 Related topics


FontLargeToggle

Syntax

FontLargeToggle()

Description

Toggle Large at the insertion point.

 Related topics


FontOutlineToggle

Syntax

FontOutlineToggle()

Description

Toggle the Outline font attribute at the insertion point.

 Related topics


FontRedlineToggle

Syntax

FontRedlineToggle()

Description

Toggle Redline at the insertion point.

 Related topics


FontShadowToggle

Syntax

FontShadowToggle()

Description

Toggle Shadow at the insertion point.

 Related topics


FontSize

Syntax

 FontSize(FontSize As Integer)

Description

Specify the size of a selected font at the insertion point.

Parameters

FontSize: measurement
 Related topics


FontSmallCapsToggle

Syntax

FontSmallCapsToggle()

Description

Toggle Small Caps at the insertion point.

 Related topics


FontSmallToggle

Syntax

FontSmallToggle()

Description

Toggle Small at the insertion point.

 Related topics


FontStrikeoutToggle

Syntax

FontStrikeoutToggle()

Description

Toggle Strikeout at the insertion point.

 Related topics


FontSubscriptToggle

Syntax

FontSubscriptToggle()

Description

Toggle Subscript at the insertion point.

 Related topics


FontSuperscriptToggle

Syntax

FontSuperscriptToggle()

Description

Toggle Superscript at the insertion point.

 Related topics


FontUnderlineToggle

Syntax

FontUnderlineToggle()

Description

Toggle Underline at the insertion point.

 Related topics


FontUpShippingMacro

Syntax

FontUpShippingMacro()

Description

Play the shipping macro FONTUP.WCM to increase the font size of the selected text by two points. FONTUP.WCM must be installed.


FontVeryLargeToggle

Syntax

FontVeryLargeToggle()

Description

Toggle Very Large at the insertion point.

 Related topics


FooterA

Syntax

FooterA(Action As _FooterA_Action_enum, [Occurrence As _FooterA_Occurrence_enum])

Description

Create, edit, or discontinue Footer A, and specify footer position.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!
 Related topics


FooterB

Syntax

FooterB(Action As _FooterB_Action_enum, [Occurrence As _FooterB_Occurrence_enum])

Description

Create, edit, or discontinue Footer B, and specify footer position.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!
 Related topics


FooterSeparationDistance

Syntax

FooterSeparationDistance(Distance As Integer)

Description

Specify the distance between text and footers.

Parameters

Distance: measurement	Default: .167".
 Related topics


FootnoteContinuedMessage

Syntax

FootnoteContinuedMessage(State As _FootnoteContinuedMessage_State_enum)

Description

Print "(continued...)" when a footnote continues on the next page.

Parameters

State: enumeration	No! Yes!
 Related topics


FootnoteCreate

Syntax

FootnoteCreate()

Description

Open a footnote window, in order to create a footnote. Subsequent methods insert text and codes. SubstructureExit closes the window and places a reference to the footnote at the insertion point.

 Related topics


FootnoteEdit

Syntax

FootnoteEdit([FootnoteNumber As String])

Description

Open a specified footnote window in order to edit the footnote. Subsequent methods apply to the footnote window until SubstructureExit.

Parameters

FootnoteNumber: string (optional)	Footnotes can be numbered with arabic numerals, roman numerals, or letters.
 Related topics


FootnoteEditDlg

Syntax

FootnoteEditDlg()

Description

Display the Edit Footnote dialog box.

 Related topics


FootnoteEndnoteDlg

Syntax

FootnoteEndnoteDlg()

Description

Display the Footnote/Endnote dialog box.


FootnoteMinimum

Syntax

FootnoteMinimum([Width As Integer]) As Integer

Description

Specify the amount of footnote text to keep together on a page.

Parameters

Width: measurement	The space available for footnotes on a page.
 Related topics


FootnoteNewNumber

Syntax

FootnoteNewNumber(FootnoteNumber As String)

Description

Specify a new footnote number, and increment subsequent footnotes from that number.

Parameters

FootnoteNumber: string	The starting footnote number.
 Related topics


FootnoteNewNumberDlg

Syntax

FootnoteNewNumberDlg()

Description

Display the Footnote Number dialog box.

 Related topics


FootnoteNumberDecrement

Syntax

FootnoteNumberDecrement()

Description

Decrease the last footnote number by one.

 Related topics


FootnoteNumberDisplay

Syntax

FootnoteNumberDisplay()

Description

Insert the current footnote number at the insertion point. This is a 0-based index. Therefore the value of the first footnote is 0.

 Related topics


FootnoteNumberIncrement

Syntax

FootnoteNumberIncrement()

Description

Increase the last footnote number by one.

 Related topics


FootnoteNumberMethod

Syntax

FootnoteNumberMethod(NumberingMethod As _FootnoteNumberMethod_NumberingMethod_enum, [Character As String])

Description

Specify a footnote numbering method.

Parameters

NumberingMethod: enumeration	Characters! LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
Character: string (optional)	Use up to five characters when the numbering method is Characters!.
 Related topics


FootnoteOptions

Syntax

FootnoteOptions([NumberingMethod As _FootnoteOptions_NumberingMethod_enum], [Characters As String], [BetweenSpacing As Integer], [MinimumHeight As Integer], [Restart As _FootnoteOptions_Restart_enum], [PrintContinued As _FootnoteOptions_PrintContinued_enum], [FootnotePosition As _FootnoteOptions_FootnotePosition_enum], [Separator As _FootnoteOptions_Separator_enum])

Description

Specify the footnote options from the insertion point forward.

Parameters

NumberingMethod: enumeration (optional)	Characters! LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
Characters: string (optional)	Use up to five characters when the numbering method is Characters!.
BetweenSpacing: measurement (optional)	The amount of space between footnotes.
MinimumHeight: measurement (optional)	How much of a footnote to keep together on a page.
Restart: enumeration (optional)	Restart the footnote numbers on every page. Off! On!
PrintContinued: enumeration (optional)	Print "(continued)..." on the last footnote line of the first page and "...(continued)" on the first footnote line of the next page. No! Yes!
FootnotePosition: enumeration (optional)	AfterText! BottomOfPage!
Separator: enumeration (optional)	MarginToMargin! NoLine! ShortLine!
 Related topics


FootnoteOptionsDlg

Syntax

FootnoteOptionsDlg()

Description

Display the Advanced Footnote Options dialog box.

 Related topics


FootnotePosition

Syntax

 FootnotePosition(Position As _FootnotePosition_Position_enum)

Description

Print footnotes at the bottom of the page or just below the last line of text.

Parameters

Position: enumeration	AfterText! BottomOfPage!
 Related topics


FootnoteRestartEachPage

Syntax

 FootnoteRestartEachPage(State As _FootnoteRestartEachPage_State_enum)

Description

Restart the footnote numbering on each page.

Parameters

State: enumeration	No! Yes!
 Related topics


FootnoteSeparatorLine

Syntax

FootnoteSeparatorLine(Style, SpaceAboveLine As Integer, SpaceBelowLine As Integer, Alignment As _FootnoteSeparatorLine_Alignment_enum, [Width As Integer], [Position As Integer])

Description

Specify a separator line between text and footnotes.

Parameters

Style: any	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
SpaceAboveLine: measurement	The space between the separator line and the last line of text.
SpaceBelowLine: measurement	The space between the separator line and the first footnote.
Alignment: enumeration	Center! Full! Left! Right! SetPosition!
Width: measurement (optional)	The separator line width.
Position: measurement (optional)	The distance of a separator line from the left edge of the page.
 Related topics


FootnoteSpaceBetween

Syntax

FootnoteSpaceBetween([Space As Integer]) As Integer

Description

Specify the amount of blank space between footnotes.

Parameters

Space: measurement	Default: .167".
 Related topics


FootnoteToEndnoteShippingMacro

Syntax

FootnoteToEndnoteShippingMacro()

Description

Play the shipping macro FOOTEND.WCM, which converts footnotes to endnotes in the current document or selected text. FOOTEND.WCM must be installed.

 Related topics


ForcePage

Syntax

ForcePage(EvenOddNew As _ForcePage_EvenOddNew_enum)

Description

Force a page break or specify that a certain page always has an odd or even number.

Parameters

EvenOddNew: enumeration	Even! New! Odd!
 Related topics


ForcePageDlg

Syntax

ForcePageDlg()

Description

Display the Force Page dialog box.

 Related topics


FormatMarginsDlg

Syntax

FormatMarginsDlg()

Description

Display the Margins dialog box.


GenerateDlg

Syntax

 GenerateDlg()

Description

Display the Generate dialog box.

 Related topics


GenerateDoc

Syntax

GenerateDoc([SaveSubDocs As _GenerateDoc_SaveSubDocs_enum], [UndoAction As _GenerateDoc_UndoAction_enum], [Hypertext As _GenerateDoc_Hypertext_enum])

Description

Generate indexes, tables of contents, lists, cross references, tables of authorities, and master documents.

Parameters

SaveSubDocs: enumeration (optional)	Save the subdocuments in a master document. Required only to generate a master document. DontSave! Save!
UndoAction: enumeration (optional)	Required only to generate a master document. NoUndo! Undo!
Hypertext: enumeration (optional)	CreateHypertext!
 Related topics


GetAcceleratorText

Syntax

GetAcceleratorText(Variable, Token As Integer)

Description

Assign the accelerator text of a macro method to a variable. When a method is mapped to a keystroke, the accelerator text represents the keystroke.

Parameters

Variable: variable	The name of the variable.
Token: method name	The macro method token.
 Related topics


GraphicBoxStyleDlg

Syntax

GraphicBoxStyleDlg()

Description

Display the Box Style dialog box.


GraphicCreateBox

Syntax

 GraphicCreateBox([BoxStyleName])

Description

Display the Insert Image dialog box.

Parameters

BoxStyleName: any (optional)	The box style to use.
FigureBox	0
TableBox	1
TextBox	2
UserBox	3
EquationBox	4
WatermarkImageBox	6
InLineEquationBox	7
NoBox	127
 Related topics


GraphicCreateChart

Syntax

GraphicCreateChart()

Description

Create a chart with Corel Presentations.


GraphicCreateTextArt

Syntax

GraphicCreateTextArt()

Description

Start TextArt to create a TextArt image. TextArt allows you to add special effects to text.


GraphicEditBox

Syntax

GraphicEditBox([BoxNumber As Integer])

Description

Display the Edit Box dialog box. If the current document contains more than one graphics box and none of them are selected, the Select Box to Edit dialog box displays. Also, if the current document does not contain a graphics box, an invalid function error is returned.

Parameters

BoxNumber: numeric (optional)	The number of the box you want to edit.
 Related topics


GraphicsBoxCaptionDlg

Syntax

GraphicsBoxCaptionDlg()

Description

Display the Box Caption dialog box.


GraphicsBoxContentDlg

Syntax

GraphicsBoxContentDlg()

Description

Display the Box Content dialog box.


GraphicsBoxFindDlg

Syntax

GraphicsBoxFindDlg()

Description

Display the Select Box to Edit dialog box. The current document must contain at least two boxes.


GraphicsBoxSizeDlg

Syntax

GraphicsBoxSizeDlg()

Description

Display the Box Size dialog box.


GraphicsFigureEditAllDlg

Syntax

GraphicsFigureEditAllDlg()

Description

Display the Image Settings dialog box.


GraphicsLineColor

Syntax

GraphicsLineColor([ColorName As String], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer])

Description

Specify the color of a graphics line.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0 to 100.
 Related topics


GraphicsLineCreate

Syntax

 GraphicsLineCreate([LineType As _GraphicsLineCreate_LineType_enum])

Description

Create a graphics line.

Parameters

LineType: enumeration (optional)	HorizontalLine! VerticalLine!
 Related topics


GraphicsLineDelete

Syntax

GraphicsLineDelete(Line As Integer)

Description

Delete a graphics line.

Parameters

Line: numeric	The line to delete.
 Related topics


GraphicsLineEdit

Syntax

GraphicsLineEdit(Line As Integer)

Description

Specify a graphics line to edit.

Parameters

Line: numeric	The line to edit.
 Related topics


GraphicsLineEditNext

Syntax

GraphicsLineEditNext([LineType As _GraphicsLineEditNext_LineType_enum])

Description

Begin editing of the next graphics line.

Parameters

LineType: enumeration (optional)	HorizontalLine! VerticalLine!
 Related topics


GraphicsLineEditPrevious

Syntax

 GraphicsLineEditPrevious([LineType As _GraphicsLineEditPrevious_LineType_enum])

Description

Begin editing of the previous graphics line.

Parameters

LineType: enumeration (optional)	HorizontalLine! VerticalLine!
 Related topics


GraphicsLineEnd

Syntax

 GraphicsLineEnd(State As _GraphicsLineEnd_State_enum)

Description

Save or cancel changes made to a graphics line.

Parameters

State: enumeration	Cancel! Save!
 Related topics


GraphicsLineHorizontalPosition

Syntax

GraphicsLineHorizontalPosition(Position As _GraphicsLineHorizontalPosition_Position_enum, [AbsPos As Integer], [LeftColNum As Integer])

Description

Position a graphics line horizontally.

Parameters

Position: enumeration	BetweenColumns! Center! FullAlign! Left! Right! Set!
AbsPos: measurement (optional)	Exact position on a page for a graphics line. Use if Position parameter is Set!.
LeftColNum: numeric (optional)	The column to the left of a graphics line. Use if the Position parameter is BetweenColumns!.
 Related topics


GraphicsLineLength

Syntax

GraphicsLineLength(Length As Integer)

Description

Specify the length of graphics lines. The horizontal or vertical position of the graphics line may not be set to Full in the Create Graphics Line (or Edit Graphics Line) dialog box. Precede with GraphicsLineCreate or GraphicsLineEdit and follow with GraphicsLineEnd.

Parameters

Length: measurement	The length of the line.
 Related topics


GraphicsLineSpacing

Syntax

GraphicsLineSpacing(TopSpace As Integer, [BottomSpace As Integer])

Description

Specify the amount of white space between a graphics line and text. Precede with GraphicsLineCreate or GraphicsLineEdit and follow with GraphicsLineEnd.

Parameters

TopSpace: measurement	The space above a horizontal graphics line or to the left of a vertical graphics line between the line and text.
BottomSpace: measurement (optional)	The space below a horizontal graphics line or to the right of a vertical graphics line between the line and text. Default: amount entered for the TopSpace parameter.
 Related topics


GraphicsLineStyle

Syntax

 GraphicsLineStyle(Style)

Description

Specify a graphics line style. Precede with GraphicsLineCreate() or GraphicsLineEdit() and follow with GraphicsLineEnd(). You must pass the numeric value of the style.

Parameters

Style: any	Enclose custom styles in quotation marks. ButtonBottomRight! ButtonTopLeft! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 3 4 1 5 11 10 127 0 126 5 7 6
 Related topics


GraphicsLineThickness

Syntax

GraphicsLineThickness(Thickness)

Description

Specify the thickness of a graphics line. Precede with GraphicsLineCreate() or GraphicsLineEdit() and follow with GraphicsLineEnd().

Parameters

Thickness: any	Specify the thickness of a graphics line.
 Related topics


GraphicsLineType

Syntax

 GraphicsLineType(LineType As _GraphicsLineType_LineType_enum)

Description

Specify whether a graphics line is horizontal or vertical.

Parameters

LineType: enumeration	Horizontal! Vertical!
 Related topics


GraphicsLineUpdateDisplay

Syntax

GraphicsLineUpdateDisplay(State As _GraphicsLineUpdateDisplay_State_enum)

Description

Update a graphics line display after editing.

Parameters

State: enumeration	Cancel! Save!


GraphicsLineUseColor

Syntax

GraphicsLineUseColor(State As _GraphicsLineUseColor_State_enum)

Description

Select or deselect the default line-style color for a graphics line. Precede with GraphicsLineCreate() or GraphicsLineEdit() and follow with GraphicsLineEnd().

Parameters

State: enumeration	No! Yes!
 Related topics


GraphicsLineVerticalPosition

Syntax

GraphicsLineVerticalPosition(Position As _GraphicsLineVerticalPosition_Position_enum, [Where As Integer])

Description

Specify the vertical position of a graphics line.

Parameters

Position: enumeration	Baseline! Bottom! Center! FullAlign! Set! Top!
Where: measurement (optional)	The exact position of a graphics line if the Position parameter is Set!.
 Related topics


GraphicsStylesDlg

Syntax

GraphicsStylesDlg()

Description

Display the Graphics Styles dialog box.


Guidelines

Syntax

Guidelines([ShowTableGuides As _Guidelines_ShowTableGuides_enum], [ShowMarginGuides As _Guidelines_ShowMarginGuides_enum], [ShowColumnGuides As _Guidelines_ShowColumnGuides_enum], [ShowHeaderFooterGuides As _Guidelines_ShowHeaderFooterGuides_enum], [EnableGuidesDrag As _Guidelines_EnableGuidesDrag_enum]) As Integer

Description

Show or hide guidelines and return the current state. To return the current state without changing any guideline settings, omit the parameters.

Return Value

If multiple options are on, Guidelines returns a summation of the values for each active option. To check for a specific option, use the return value for the option and the & operator. For example, the expression (4 & Guidelines) evaluates to 4 if column guidelines are on, 0 if not. To check for multiple options, add the return values of the options and use the & operator. To check for margin (2) and header/footer (8) guidelines, add the return values (2+8=10) and use the & operator. For example, the expression (10 & Guidelines) evaluates to 8 if header/footer guidelines are on, 2 if margin guidelines are on, 10 if both are on, 0 if neither are on. See Bitwise Operators.

0	All guidelines are off.

1	Table guidelines are on.

2	Margin guidelines are on.

4	Column guidelines are on.

8	Header/Footer guidelines are on.

Parameters

ShowTableGuides: enumeration (optional)	No! Yes!
ShowMarginGuides: enumeration (optional)	No! Yes!
ShowColumnGuides: enumeration (optional)	No! Yes!
ShowHeaderFooterGuides: enumeration (optional)	No! Yes!
EnableGuidesDrag: enumeration (optional)	No! Yes!
 Related topics


GuidelinesDlg

Syntax

GuidelinesDlg()

Description

Display the Guidelines dialog box.

 Related topics


HardColumnBreak

Syntax

HardColumnBreak()

Description

Insert a hard column break at the insertion point and begin a new column.

 Related topics


HardPageBreak

Syntax

HardPageBreak()

Description

Insert a hard page break at the insertion point and begin a new page.

 Related topics


HardPageBreakInsert

Syntax

HardPageBreakInsert()

Description

Insert a page break in columns without positioning the insertion point in the next column.

 Related topics


HardPageBreakKey

Syntax

HardPageBreakKey()

Description

Insert a hard page break at the insertion point and begin a new page. Recordable substitute: HardPageBreak().


HardReturn

Syntax

HardReturn()

Description

Insert a [HRt] code and begin a new line.

 Related topics


HardReturnInsert

Syntax

HardReturnInsert()

Description

Insert a [HRt] code in Outline mode.

 Related topics


HardSpace

Syntax

HardSpace()

Description

Insert an [HSpace] code at the insertion point. A hard space holds two words together.


HeaderA

Syntax

HeaderA(Action As _HeaderA_Action_enum, [Occurrence As _HeaderA_Occurrence_enum])

Description

Create, edit, or discontinue Header A, and specify the pages on which it will appear.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional).	The location of Header A: AllPages! EvenPages! NoPages! OddPages!
 Related topics


HeaderB

Syntax

HeaderB(Action As _HeaderB_Action_enum, [Occurrence As _HeaderB_Occurrence_enum])

Description

Create, edit, or discontinue Header B, and specify the pages on which it will appear.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	The location of Header B: AllPages! EvenPages! NoPages! OddPages!
 Related topics


HeaderFooterDistanceDlg

Syntax

HeaderFooterDistanceDlg()

Description

Display the Distance dialog box.


HeaderFooterDlg

Syntax

HeaderFooterDlg()

Description

Display the Headers/Footers dialog box.


HeaderFooterNext

Syntax

HeaderFooterNext()

Description

Advance to the next header/footer.


HeaderFooterPlacement

Syntax

HeaderFooterPlacement([State As _HeaderFooterPlacement_State_enum])

Description

Specify the pages on which headers and footers will appear. They can be placed on odd-numbered pages only, even-numbered pages only, or on all pages.

Parameters

State: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!


HeaderFooterPlacementDlg

Syntax

HeaderFooterPlacementDlg()

Description

Display the Pages dialog box.

 Related topics


HeaderFooterPrev

Syntax

HeaderFooterPrev()

Description

Advance to the next header/footer.


HeaderSeparationDistance

Syntax

HeaderSeparationDistance(Distance As Integer)

Description

Specify the distance between text and headers.

Parameters

Distance: measurement	If less than 1, precede the decimal with 0.
 Related topics


HelpAskThePerfectExpert

Syntax

HelpAskThePerfectExpert()

Description

Display the Ask the PerfectExpert dialog box.


HelpContents

Syntax

 HelpContents()

Description

Display the Help Topics window with the Contents tab active.


HelpFilesPath

Syntax

HelpFilesPath()

Description

Return the location of the WordPerfect Help files.


HelpHelpTopics

Syntax

HelpHelpTopics()

Description

Display the Help Topics window with the last selected tab displayed.


HelpHowDoI

Syntax

HelpHowDoI()

Description

Display instructions on how to use Help.

 Related topics


HelpHowToUseHelp

Syntax

HelpHowToUseHelp()

Description

Display instructions on how to use Help.

 Related topics


HelpKeystrokes

Syntax

HelpKeystrokes()

Description

Open Help for keystrokes.

 Related topics


HelpMacroManual

Syntax

HelpHelpMacro()

Description

Open the Macros Help file.

 Related topics


HelpOnlineSupportDlg

Syntax

HelpOnlineSupportDlg()

Description

Display the Corel Web Site dialog box.

 Related topics


HelpSearchForHelpOn

Syntax

HelpSearchForHelpOn()

Description

Display the Help Topics window with the Index tab active.

 Related topics


HelpShowMe

Syntax

HelpShowMe()

Description

Display the Ask the PerfectExpert dialog box.

 Related topics


HelpWhatIs

Syntax

HelpWhatIs()

Description

Activate the Windows What's This feature. (Use PAUSE to pause a macro when it encounters HelpWhatIs.)

 Related topics


HiddenText

Syntax

HiddenText(State As _HiddenText_State_enum)

Description

Turn Hidden Text on or off for selected text.

Parameters

State: enumeration	Off! On!
 Related topics


HiddenTextShowAll

Syntax

HiddenTextShowAll(State As _HiddenTextShowAll_State_enum)

Description

Display or hide hidden text.

Parameters

State: enumeration	Off! On!
 Related topics


HideBars

Syntax

HideBars([State As _HideBars_State_enum])

Description

Display the Hide Bars Information dialog box (unless user disabled) before hiding scroll bars, toolbars, etc.

Parameters

State: enumeration (optional)	Default: toggle. Off! On!


HighlightColor

Syntax

HighlightColor(Red As Integer, Green As Integer, Blue As Integer, Shade As Integer)

Description

Set the color and shade of the highlighter.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
Shade: numeric	Percent: 0-100.


HighlightColorDlg

Syntax

HighlightColorDlg()

Description

Display the Highlight Color dialog box.


HighlightPrint

Syntax

HighlightPrint()

Description

Toggle highlight printing and display on or off in the current document for the current session. Highlight Print/Show is active by default for all new and just-opened documents.


HighlightRemove

Syntax

HighlightRemove()

Description

Remove highlighting from the selected text and turn off the selection. If select mode is off and the insertion point is between Highlight codes, this method removes the codes and turns off the selection. If select mode is off and the insertion point is not between Highlight codes, this method does nothing. If select mode is on and the selection contains no highlighting, the selection is turned off.


HighlightToggle

Syntax

HighlightToggle()

Description

Toggle highlighting on or off. If text is selected, this method highlights the selected text and turns the selection off. If nothing is selected, highlight mode is turned on or off.


HLineCreate

Syntax

HLineCreate()

Description

Create a horizontal line. The line will extend from the left margin to the right margin.


Hypertext

Syntax

 Hypertext([State As _Hypertext_State_enum])

Description

Activate or deactivate all hyperlinks.

Parameters

State: enumeration	Active! Inactive!


HypertextCreate

Syntax

HypertextCreate(Action As _HypertextCreate_Action_enum, [Macro As String], [Bookmark As String], [Display As _HypertextCreate_Display_enum])

Description

Create a hyperlink to a find a bookmark, launch a Web browser and find a URL, or play a macro, and specify the appearance of the hyperlink.

Parameters

Action: enumeration	GoToBookmark! RunMacro!
Macro: string (optional)	The document filename, Web document URL (Internet address), or macro name if the Action parameter is RunMacro!.
Bookmark: string (optional)	Bookmark in the current document if the Action parameter is GoToBookmark!.
Display: enumeration (optional)	Button! HighlightedText!
 Related topics


HypertextCreateDlg

Syntax

HypertextCreateDlg()

Description

Display the Create Hyperlink dialog box.


HypertextDelete

Syntax

HypertextDelete()

Description

Delete the hyperlink that contains the insertion point.

 Related topics


HypertextEdit

Syntax

HypertextEdit(Action As _HypertextEdit_Action_enum, [Macro As String], [Bookmark As String], [Appearance As _HypertextEdit_Appearance_enum])

Description

Edit a hyperlink.

Parameters

Action: enumeration	GoToBookmark! RunMacro!
Macro: string (optional)	The document filename, Web document URL (Internet address), or macro name if the Action parameter is RunMacro!.
Bookmark: string (optional)	Bookmark in the current document if the Action parameter is GoToBookmark!.
Appearance: enumeration (optional)	Button! HighlightedText!
 Related topics


HypertextEditDlg

Syntax

HypertextEditDlg()

Description

Display the Edit Hyperlink dialog box.


HypertextExecute

Syntax

HypertextExecute()

Description

Perform a hyperlink.

 Related topics


HypertextInfo

Syntax

HypertextInfo(Data As _HypertextInfo_Data_enum)

Description

Return the specified information pertaining to the current hyperlink. If the insertion point is not on a hyperlink, information regarding the previous hyperlink is returned. If there are no hyperlinks preceding the insertion point, information regarding the next hyperlink is returned. If there are no hyperlinks in the current document, 0 is always returned, regardless of the value of the Data parameter.

Return Value

♦	If Data = Action!:

0	The link jumps to a document.

1	The link plays a macro.

♦	If Data = Appearance!:

0	Text

1	Button

♦	If Data = Bookmark!, the name of the bookmark is returned.

♦	If Data = Name!, a document filename, macro filename, or Web document URL is returned.

♦	If the hypertext link jumps to a bookmark in the current document, a null string is returned.

Parameters

Data: enumeration	Specify the link information to return. Action! Appearance! Bookmark! Name!
 Related topics


HypertextNext

Syntax

 HypertextNext()

Description

Advance to the next hyperlink.

 Related topics


HypertextPrevious

Syntax

HypertextPrevious()

Description

Return to the previous hyperlink.

 Related topics


HypertextReturnFrom

Syntax

HypertextReturnFrom()

Description

Return the insertion point from a bookmark to the bookmark's hyperlink.


HypertextStyleEdit

Syntax

 HypertextStyleEdit()

Description

Edit the Hyperlink Style.


Hyphenation

Syntax

Hyphenation(State As _Hyphenation_State_enum)

Description

Turn Hyphenation on or off.

Parameters

State: enumeration	Off! On!
 Related topics


HyphenationIgnore

Syntax

HyphenationIgnore()

Description

Cancel hyphenation of the current word.

 Related topics


HyphenationSoftReturn

Syntax

 HyphenationSoftReturn()

Description

Insert a hyphenation soft return code [Hyph SRt] at the insertion point. This code will break the word, if hyphenation is necessary, at the specified point.


HyphenationZoneLeft

Syntax

 HyphenationZoneLeft(HZone As Integer)

Description

Specify the lower limit of a hyphenation zone.

Parameters

HZone: numeric	The least amount of space allowable for hyphenation.
 Related topics


HyphenationZoneRight

Syntax

 HyphenationZoneRight(HZone As Integer)

Description

Specify the upper limit of a hyphenation zone.

Parameters

HZone: numeric	The greatest amount of space allowable for hyphenation.
 Related topics


ImportCreateDlg

Syntax

ImportCreateDlg()

Description

Display the Create Data Link dialog box.


ImportDlg

Syntax

ImportDlg()

Description

Display the Import Data dialog box.


ImportDoEdit

Syntax

ImportDoEdit()

Description

Modify and perform an existing link between a spreadsheet or database and the current document.

 Related topics


ImportDoImport

Syntax

ImportDoImport()

Description

Import ASCII text, ANSI text, table data, spreadsheet data, or database data.

 Related topics


ImportDoLink

Syntax

ImportDoLink()

Description

Create and perform a link between a spreadsheet or database and the current document.

 Related topics


ImportDoUpdate

Syntax

ImportDoUpdate()

Description

Update linked data in the current document to match the data in linked spreadsheet or database files.

 Related topics


ImportEditDlg

Syntax

ImportEditDlg()

Description

Display the Edit Data Link dialog box.


ImportOptionsDlg

Syntax

ImportOptionsDlg()

Description

Display the Link Options dialog box.


ImportSetAsciiEncap

Syntax

ImportSetAsciiEncap(EncapsulationChar As String)

Description

Specify an ASCII encapsulation character for importing spreadsheet or database data saved as ASCII delimited text.

Parameters

EncapsulationChar: string	The ASCII encapsulation character.
 Related topics


ImportSetAsciiFieldDelimiter

Syntax

ImportSetAsciiFieldDelimiter(FieldDelimiter As String)

Description

Specify the characters to mark the beginning or end of a field when importing spreadsheet or database data saved as ASCII delimited text.

Parameters

FieldDelimiter: string	The ASCII field delimiter.
 Related topics


ImportSetAsciiRecordDelimiter

Syntax

 ImportSetAsciiRecordDelimiter(RecordDelimiter As String)

Description

Specify the characters to mark the beginning or end of a record when importing spreadsheet or database data saved as ASCII delimited text.

Parameters

RecordDelimiter: string	The ASCII record delimiter.
 Related topics


ImportSetAsciiStrip

Syntax

 ImportSetAsciiStrip(StripChars As String)

Description

Delete extra characters when importing spreadsheet or database data saved as ASCII delimited text.

Parameters

StripChars: string	Characters to delete when importing ASCII text.
 Related topics


ImportSetDataSource

Syntax

ImportSetDataSource(Source As String)

Description

Specify the data source for an ODBC import.

Parameters

Source: string	The filename and location of a data file.


ImportSetDestination

Syntax

ImportSetDestination(DestinationType As _ImportSetDestination_DestinationType_enum)

Description

Specify a format for linked or imported spreadsheet or database data.

Parameters

DestinationType: enumeration	MergeData! TabbedText! WPTable!
 Related topics


ImportSetDictPath

Syntax

ImportSetDictPath(DictionaryPath As String)

Description

Specify the Novell NetWare SQL dictionary path for imported spreadsheet or database data. Available only for Pioneer Q+E drivers.

Parameters

DictionaryPath: string	The SQL dictionary path.
 Related topics


ImportSetFields

Syntax

ImportSetFields(FieldNames As String)

Description

Specify the database fields to import.

Parameters

FieldNames: string	Separate fields with a comma, enclosed in quotation marks.
 Related topics


ImportSetFileName

Syntax

 ImportSetFileName(Filename As String)

Description

Specify a source file to link to or import from.

Parameters

Filename: string	The filename of the source file.
 Related topics


ImportSetFilePath

Syntax

 ImportSetFilePath(FilePath As String)

Description

Specify a NetWare SQL file path. Available only for Pioneer Q+E drivers.

Parameters

FilePath: string	The path to the SQL file.
 Related topics


ImportSetFirstRecFieldNames

Syntax

ImportSetFirstRecFieldnames(State As _ImportSetFirstRecFieldnames_State_enum)

Description

Lets you specify whether or not to set the first record as field names.

Parameters

State: enumeration	No! Yes!


ImportSetIncludeNames

Syntax

ImportSetIncludeNames(State As _ImportSetIncludeNames_State_enum)

Description

Use the field names as headings for imported database data.

Parameters

State: enumeration	Off! On!
 Related topics


ImportSetPanel

Syntax

ImportSetPanel(PanelName As String)

Description

Specify a Corel DataPerfect panel to retrieve.

Parameters

PanelName: string	The name of the panel.
 Related topics


ImportSetPassword

Syntax

 ImportSetPassword(Password As String)

Description

Specify a password to import SQL data. Available only for Pioneer Q+E drivers.

Parameters

Password: string	The password for SQL data.


ImportSetQuery

Syntax

ImportSetQuery([FieldName1 As String], [FieldName2 As String], [FieldName3 As String], [Condition1Field1 As String], [Condition1Field2 As String], [Condition1Field3 As String], [Condition2Field1 As String], [Condition2Field2 As String], [Condition2Field3 As String], [Condition3Field1 As String], [Condition3Field2 As String], [Condition3Field3 As String], [Condition4Field1 As String], [Condition4Field2 As String], [Condition4Field3 As String])

Description

Specify the field conditions for a database import query. For examples of valid conditions, choose Example from the Define Selection Conditions dialog box.

Parameters

FieldName1: string (optional)	The name of the first field.
FieldName2: string (optional)	The name of the second field.
FieldName3: string (optional)	The name of the third field.
Condition1Field1: string (optional)	Importing condition.
Condition1Field2: string (optional)	Importing condition.
Condition1Field3: string (optional)	Importing condition.
Condition2Field1: string (optional)	Importing condition.
Condition2Field2: string (optional)	Importing condition.
Condition2Field3: string (optional)	Importing condition.
Condition3Field1: string (optional)	Importing condition.
Condition3Field2: string (optional)	Importing condition.
Condition3Field3: string (optional)	Importing condition.
Condition4Field1: string (optional)	Importing condition.
Condition4Field2: string (optional)	Importing condition.
Condition4Field3: string (optional)	Importing condition.


ImportSetRange

Syntax

 ImportSetRange(Range As String)

Description

Specify a range of spreadsheet cells to import.

Parameters

Range: string	The range of cells.


ImportSetServer

Syntax

 ImportSetServer(ServerName As String)

Description

Specify a server for a NetWare SQL database import. Available only for Pioneer Q+E drivers.

Parameters

ServerName: string	The name of the SQL server.


ImportSetSizeToFit

Syntax

ImportSetSizeToFit(State As _ImportSetSizeToFit_State_enum)

Description

Size table columns to fit data after it is imported.

Parameters

State: enumeration	No! Yes!


ImportSetSource

Syntax

ImportSetSource(SourceType As _ImportSetSource_SourceType_enum)

Description

Specify the format of spreadsheet or database data to import.

Parameters

SourceType: enumeration	ANSIText! ASCII! Clipper! DataPerfect! DB2! dBase! FoxPro! InFormix! NetWare! ODBC! ODBC_NO_SQL! Oracle! Paradox! Spreadsheet! SQLBase! SQLServer! Sybase! XDB!


ImportSetSQLQuery

Syntax

ImportSetSQLQuery(SQLQuery As String)

Description

Specify the conditions for a database link or import query. For examples of valid conditions, choose Example from the Define Selection Conditions dialog box.

Parameters

SQLQuery: string	The conditions for a database link or import query.


ImportSetTable

Syntax

ImportSetTable(TableName As String)

Description

Specify a table to import.

Parameters

TableName: string	The name of the table to import.


ImportSetUserID

Syntax

 ImportSetUserID(UserId As String)

Description

Specify a NetWare SQL database user identification. Available only for Pioneer Q+E drivers.

Parameters

UserId: string	The SQL user identification.
 Related topics


ImportUpdateDlg

Syntax

 ImportUpdateDlg()

Description

Display the Update import dialog box.


Indent

Syntax

Indent()

Description

Indent a paragraph one tab stop to the right without changing the margins.

 Related topics


IndentLeftRight

Syntax

IndentLeftRight()

Description

Indent both sides of a paragraph equally from the left and right margin.


IndexDefineDlg

Syntax

IndexDefineDlg()

Description

Display the Define Index dialog box.


IndexDefinition

Syntax

IndexDefinition(Heading, SubHeading, NumMode As _IndexDefinition_NumMode_enum, PgCombine As _IndexDefinition_PgCombine_enum, [Concordance As String], [UserFormat As String])

Description

Create and insert an index definition. You must pass thre numeric for the Heading and the SubHeading.

Parameters

Heading: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle! !	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 111 112 113 115 116
Any	The subheading style NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 111 112 113 114 115
NumMode: enumeration	The page numbering method after a heading. DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
PgCombine: enumeration	Combine sequential page numbers (for example, 51-53) or not (51, 52, 53). Combine! NoCombine!
Concordance: string (optional)	The concordance format.
UserFormat: string (optional)	The page number format. Default: document format.
 Related topics


IndexMark

Syntax

 IndexMark([Heading As String], [SubHeading As String])

Description

Mark the text to be indexed. You can specify both a heading and a subheading.

Parameters

Heading: string (optional)	The heading for the index entry.
Subheading: string (optional)	The subheading for the index entry.
 Related topics


InhibitInput

Syntax

InhibitInput([State As _InhibitInput_State_enum]) As Boolean

Description

Enable or disable keyboard and menu input during macro execution.

Return Value

Returns True if Inhibit Input is active, False if not. If the State parameter is omitted, its current value is returned. If it is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


InitialCodesDoc

Syntax

InitialCodesDoc()

Description

Begin initial codes. All codes between InitialCodesDoc and SubstructureExit are placed in initial codes.


InitialCodesStyleDlg

Syntax

 InitialCodesStyleDlg()

Description

Display the Styles Editor dialog box. Recordable equivalent: Format, Document, Initial Codes Style.


InsertDefaultBullet

Syntax

InsertDefaultBullet()

Description

Insert another bullet or number of the last type inserted.


InsertFilename

Syntax

InsertFilename()

Description

Insert the filename of the current document.

 Related topics


InsertFilenameWithPath

Syntax

InsertFilenameWithPath()

Description

Insert the path and filename of the current document.

 Related topics


InsertOtherCodesDlg

Syntax

InsertOtherCodesDlg()

Description

Display the Other Codes dialog box.


InternetPublisherDlg

Syntax

InternetPublisherDlg()

Description

Display the Internet Publisher dialog box.

 Related topics


InvokeDialog

Syntax

InvokeDialog(Dialog As Integer)

Description

Display a specified dialog box but do not pause the macro for input.

Parameters

Dialog: method name	The dialog box to display.


IrregularCap

Syntax

 IrregularCap(State As _IrregularCap_State_enum)

Description

Corrects two consecutive uppercase letters followed by a lowercase letter at the beginning of a word. The second uppercase letter is made lowercase.

Parameters

State: enumeration	Off! On!


IsTokenValid

Syntax

IsTokenValid(Variable, Token As Integer) As Boolean

Description

Indicate whether a specified macro method can be executed given the current state of the program. For example, when the Clipboard is empty, the EditPaste method is invalid. This method is equivalent to checking whether an option grayed is in the interface. Menu items and dialog boxes are represented by the macro methods that execute them. For example, to check the Open dialog, use FileOpenDlg.

Return Value

Returns True if the token specified in the Token parameter is valid, False if not.

Parameters

Variable: variable	The value of the variable specified in this parameter is set to True if token specified in the Token parameter is available, False if not.
Token: method name	The macro method (token) specifying item or dialog to check.


Justification

Syntax

Justification(Justification As _Justification_Justification_enum)

Description

Align text on the right or left margins, on both margins (including or not including the last line), or center it between the margins.

Parameters

Justification: enumeration	Center! DecAlign! Full! FullAll! Left! Right!
 Related topics


JustifyAll

Syntax

JustifyAll()

Description

Align all lines of text, including the last line of a paragraph, between the left and right margins from the current paragraph forward.

 Related topics


JustifyCenter

Syntax

JustifyCenter()

Description

Center all lines of text from the current paragraph forward.

 Related topics


JustifyFull

Syntax

JustifyFull()

Description

Align text, except the last line of each paragraph, along the left and right margins from the current paragraph forward.

 Related topics


JustifyLeft

Syntax

JustifyLeft()

Description

Align text at the left margin from the current paragraph forward.

 Related topics


JustifyRight

Syntax

JustifyRight()

Description

Align text at the right margin from the current paragraph forward.

 Related topics


KeepTextTogetherDlg

Syntax

KeepTextTogetherDlg()

Description

Display the Keep Text Together dialog box.

 Related topics


Kerning

Syntax

Kerning(State As _Kerning_State_enum)

Description

Turn Automatic Kerning on or off.

Parameters

State: enumeration	Off! On!
 Related topics


KerningSpacing

Syntax

KerningSpacing([KerningSpacingValue As Integer])

Description

Move the character to the right of the insertion point a specified distance to the left or right.

Parameters

KerningSpacingValue: measurement (optional)	The distance to move the character. Negative values move left, positive values move right.
 Related topics


KeyboardSelect

Syntax

KeyboardSelect(Keyboard As String, [LoadedFromDefaultTemplate As _KeyboardSelect_LoadedFromDefaultTemplate_enum])

Description

Select a keyboard, such as WPWin 6.0 Keyboard or the Equation Editor Keyboard.

Parameters

Keyboard: string (optional)	The name of the keyboard you want to use.
LoadedFromDefaultTemplate: enumeration	No! Yes!
 Related topics


KeyboardSelectDlg

Syntax

KeyboardSelectDlg()

Description

Display the Keyboard Preferences dialog box.

 Related topics


IDC_KEYTYPE
KeyType()

Syntax

KeyType([Text])

Paramater

Text - The string that you want to type.

Description

You can type the string you pass to this method in the WordPerfect document.

Example

In the following code fragment, a string variable called 'myString' is declared. This variable is populated with the string 'WordPerfect Office'. The contents of 'myString' is passed ot KeyType(). The PS object references the PerfectScript class.

'***** Declare all variables

Dim PS as PerfectScript

Dim myString as String

'****** Allocate memory to the PerfectScript Object

Set PS = new PerfectScript

'****** Define myString

myString = "WordPerfect Office"

'**** Type the contents of myString

PS.KeyType myString


LabelsDefine

Syntax

LabelsDefine(Filename As String, LabelName As String, LabelFlags As _LabelsDefine_LabelFlags_enum, SheetWidth As Integer, SheetLength As Integer, ColumnsPerPage As Integer, RowsPerPage As Integer, LabelWidth As Integer, LabelLength As Integer, LeftOffset As Integer, TopOffset As Integer, BetweenColumns As Integer, BetweenRows As Integer, MarginLeft As Integer, MarginRight As Integer, MarginTop As Integer, MarginBottom As Integer)

Description

Create a customized labels definition.

Parameters

Filename: string	The name of the label definition file.
LabelName: string	The name of the label definition.
LabelFlags: enumeration	Laser! LaserandTractorFed! TractorFed!
SheetWidth: measurement	The width of the label sheet.
SheetLength: measurement	The length of the label sheet.
ColumnsPerPage: numeric	The number of columns of labels on the sheet.
RowsPerPage: numeric	The number of rows of labels on the sheet.
LabelWidth: measurement	The width of the individual labels.
LabelLength: measurement	The length of the individual labels.
LeftOffset: measurement	The distance from the left edge of the page to the left edge of the first label column.
TopOffset: measurement	The distance from the top edge of the page to the top edge of the first label row.
BetweenColumns: measurement	The amount of space between columns.
BetweenRows: measurement	The amount of space between rows.
MarginLeft: measurement	The left margin.
MarginRight: measurement	The right margin.
MarginTop: measurement	The top margin.
MarginBottom: measurement	The bottom margin.
 Related topics


LabelsDelete

Syntax

LabelsDelete(Filename As String, LabelName As String

Description

Delete a labels definition.

Parameters

Filename: string	The filename of the label definition file.
LabelName: string	The name of the label definition.


LabelsDlg

Syntax

LabelsDlg()

Description

Display the Labels dialog box.


LabelsFileCreate

Syntax

 LabelsFileCreate(Filename As String)

Description

Create a labels file.

Parameters

Filename: string	The filename of the label file.
 Related topics


LabelsFileDescription

Syntax

LabelsFileDescription(Filename As String, Description As String)

Description

Create a description for a labels file.

Parameters

Filename: string	The filename of the label file.
Description: string	The description of the label file.
 Related topics


LabelsFileSelect

Syntax

LabelsFileSelect(Filename As String)

Description

Select a labels file.

Parameters

Filename: string	The filename of the label file.
 Related topics


LabelsOff

Syntax

LabelsOff()

Description

Turn off labels mode.

 Related topics


LabelsSelect

Syntax

LabelsSelect(Filename As String, LabelName As String)

Description

Select a label definition.

Parameters

Filename: string	The filename of the label file.
LabelName: string	The name of the label definition.


Language

Syntax

Language(Language As String)

Description

Specify a language for a document or a selection of text.

Parameters

Language: string	Two characters that specify a language.


LanguageDlg

Syntax

LanguageDlg()

Description

Display the Language dialog box.


LaunchOnlineService

Syntax

LaunchOnlineService(ProgramPath As String, Address As String)

Description

Start an online service and specify an address.

Parameters

ProgramPath: string	The path and filename of an online service program.
Address: string	The URL to open in your browser.
 Related topics


Leading

Syntax

Leading(Adjustment As Integer)

Description

Specify the leading adjustment.

Parameters

Adjustment: measurement	The amount of adjustment.


LineBreak

Syntax

LineBreak()

Description

Insert a Ln Brk (Line Break) code at the insertion point. This method begins a new line without ending the paragraph. It was created for use in Web documents, but it also works in regular documents.


LineCreateDlg

Syntax

LineCreateDlg()

Description

Display the Create Graphics Line dialog box.

 Related topics


LineEditDlg

Syntax

LineEditDlg()

Description

Display the Edit Graphics Line dialog box.

 Related topics


LineHeight

Syntax

 LineHeight(Height, [Minimum As Integer])

Description

Specify the line height, measured from baseline to baseline in single-spaced text. Fixed line height: specify unit of measurement by preceding LineHeight with DEFAULTUNITS or by specifying a unit of measurement identifier (", c, p, w) in the Height parameter. Auto line height: measured as point size of the current font plus two points.

Parameters

Height: any	Select Auto! or specify a fixed line height and unit of measurement. Auto!
Minimum: numeric {optional)	The minimum height.
 Related topics


LineHeightDlg

Syntax

 LineHeightDlg()()

Description

Display the Line Height dialog box.

 Related topics


LineHyphenationDlg

Syntax

LineHyphenationDlg()

Description

Display the Line Hyphenation dialog box.


LineNumbering

Syntax

LineNumbering(State As _LineNumbering_State_enum, [RestartAtNewPage As _LineNumbering_RestartAtNewPage_enum], [CountBlankLines As _LineNumbering_CountBlankLines_enum], [NumberColumns As _LineNumbering_NumberColumns_enum], [PositionRelativeToLeftEdge As _LineNumbering_PositionRelativeToLeftEdge_enum], [Position As Integer], [FirstPrintingNumber As Integer], [NumberInterval As Integer], [Default As _LineNumbering_Default_enum], [FontFace As String], [FontSize As Integer], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer], [AttributesOn])

Description

Turn Line Numbering on or off, and set numbering attributes. When the Default parameter is DontUseDefaultValues!, you can specify font, color, Shade, and AttributesOn parameters. You can see the values of a selected color in the Define Color Printing Palette dialog box.

Parameters

State: enumeration	Off! On!
RestartAtNewPage: enumeration (optional)	DontRestartNumbersEachPage! RestartNumbersEachPage!
CountBlankLines: enumeration (optional)	CountBlankLines! DontCountBlankLines!
NumberColumns: enumeration(optional)	DontNumberAllNewspaperColumns! NumberAllNewspaperColumns!
PositionRelativeToLeftEdge: enumeration (optional)	PosNumberFromLeftEdgeOfPaper! PosNumberFromLeftMargin!
Position: measurement (optional)	Where to print line numbers.
FirstPrintingNumber: numeric (optional)	The first number that prints.
NumberInterval: numeric (optional)	The intervals between numbers.
Default: enumeration (optional)	DontUseDefaultValues! UseDefaultValues!
FontFace: string (optional)	The font face to use for numbers.
FontSize: measurement (optional)	The font size to use for numbers.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
AttributesOn: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


LineNumberingDlg

Syntax

LineNumberingDlg()

Description

Display the Line Numbering dialog box.

 Related topics


LineNumberingMethod

Syntax

LineNumberingMethod(NumberingMethod As _LineNumberingMethod_NumberingMethod_enum)

Description

Specify a method for numbering lines.

Parameters

NumberingMethod: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


LineNumberSet

Syntax

LineNumberSet(Number As Integer)

Description

Specify the first line number on a page.

Parameters

Number: numeric	The number to start line numbering with.
 Related topics


LineSegmentColor

Syntax

LineSegmentColor([ColorName As String], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer])

Description

Specify the color of a line segment. Use with methods such as LineSegmentCreate() and LineSegmentEnd().

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatability with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100. Although Shade is optional, omitting it defaults the line color to black, regardless of the other parameter values.
 Related topics


LineSegmentCreate

Syntax

 LineSegmentCreate(Position As Integer)

Description

Create a custom line style of stacked lines. Use with methods such as LineStyleEdit().

Parameters

Position: numeric	First (inside) position: 1.
 Related topics


LineSegmentDelete

Syntax

 LineSegmentDelete(Position As Integer)

Description

Delete a single line of a stacked custom line. Use with methods such as LineStyleEdit() and LineSegmentEnd().

Parameters

Position: numeric	First (inside) position: 1.
 Related topics


LineSegmentEdit

Syntax

LineSegmentEdit(Position As Integer)

Description

Specify a line segment to edit. Follow with editing methods and LineSegmentEnd().

Parameters

Position: numeric	First (inside) position: 0.
 Related topics


LineSegmentEnd

Syntax

LineSegmentEnd(State As _LineSegmentEnd_State_enum)

Description

Save or cancel changes to a line segment. Precede with LineSegmentCreate() or LineSegmentEdit().

Parameters

State: enumeration	Cancel! Save!
 Related topics


LineSegmentSetUser

Syntax

LineSegmentSetUser(Onoffs As Integer)

Description

Begin the sequence that defines a custom line pattern, and specify the number of dashes and spaces in the pattern. Follow with the number of LineSegmentSetUserData() methods equal to the number of dashes and spaces specified, and by LineSegmentSetUserEnd().

Parameters

OnOffs: numeric	The number of dashes/spaces.
 Related topics


LineSegmentSetUserData

Syntax

(SegSize: measurement)

Description

Specify a dash or space length in a custom line pattern. Precede with LineSegmentSetUser() and follow with LineSegmentEnd().

Parameters

SegSize: measurement	The length of a dash or space.
 Related topics


LineSegmentSetUserEnd

Syntax

LineSegmentSetUserEnd()

Description

End the sequence that defines a custom line pattern.

 Related topics


LineSegmentSetWPG2

Syntax

 LineSegmentSetWPG2(Style As Integer, LineStyle As _LineSegmentSetWPG2_LineStyle_enum)

Description

Set a line segment pattern to a predefined WPG2 line pattern.

Parameters

Style: numeric	The pattern set. The only valid entry is 0.
LineStyle: enumeration	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!
 Related topics


LineSegmentSpacing

Syntax

LineSegmentSpacing(Spacing As Integer)

Description

Specify the distance between lines in a stacked custom line.

Parameters

Spacing: measurement	The distance between lines.
 Related topics


LineSegmentWavy

Syntax

 LineSegmentWavy(LineWavy As _LineSegmentWavy_LineWavy_enum)

Description

Lets you set the waviness of a line segment

Parameters

LineWavy: enumeration	NoWavy! SquareWavy! PointyWavy! BothWavy!


LineSegmentWavyWidth

Syntax

LineSegmentWavyWidth(index As Integer)

Description

Lets you set the width of a wavy line segment

Parameters

Index: numeric	The width of a wavy line segment


LineSegmentWidth

Syntax

 LineSegmentWidth(Width As Integer)

Description

Set the thickness (width) of a line segment.

Parameters

Width: measurement	The width of line segments.
 Related topics


LineSpacing

Syntax

LineSpacing(Spacing As Double)

Description

Specify line spacing for the current and subsequent paragraphs. When recorded, the tenths position is used. When typed, tenths is optional.

Parameters

Spacing: numeric	Amount of space between text lines.
 Related topics


LineSpacingDlg

Syntax

LineSpacingDlg()

Description

Display the Line Spacing dialog box.

 Related topics


LineStyleCopy

Syntax

LineStyleCopy(Style, FromLibrary As _LineStyleCopy_FromLibrary_enum, ToLibrary As _LineStyleCopy_ToLibrary_enum, [DestName As String])

Description

Copy a graphics line style. You must pass the numeric value of the style.

Parameters

Style: any	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
FromLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!	0 1 2
ToLibrary: enumeration	CurrentDocument! PersonalLibrary! SharedLibrary!	0 1 2
DestName: string (optional)	The new line name.
 Related topics


LineStyleCreate

Syntax

LineStyleCreate(Name As String, [Library As _LineStyleCreate_Library_enum])

Description

Create a graphics line style. Use with LineStyleEdit() and LineStyleEnd().

Parameters

Name: string	The name of the line style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


LineStyleDelete

Syntax

LineStyleDelete(Name, [Library As _LineStyleDelete_Library_enum])

Description

Delete a user-defined graphics line style. WordPerfect line styles cannot be deleted. You must pass the numeric value for the Name.

Parameters

Name: any	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


LineStyleEdit

Syntax

LineStyleEdit(Style, [Library As _LineStyleEdit_Library_enum])

Description

Edit a line style. Use with methods such as LineStyleCreate() and LineStyleEnd(). You must pass the numeric value for the Style.

Parameters

Style: any	ButtonBottomRightLine! ButtonTopLeftLine! DashedLine! DottedLine! DoubleLine! ExtraThickLine! HeavyDoubleLine! HeavySingleLine! NoLine! SingleLine! TableDefaultLine! ThickLine! ThickThinLine! ThinThickLine!	9 8 2 3 1 5 11 10 127 0 126 4 7 6
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


LineStyleEnd

Syntax

LineStyleEnd(State As _LineStyleEnd_State_enum)

Description

Save or cancel changes to a graphics line style.

Parameters

State: enumeration	Cancel! Save!
 Related topics


LineStyleName

Syntax

LineStyleName(LineName As String)

Description

Rename a user-defined graphics line style. WordPerfect line styles cannot be renamed. Precede with LineStyleCreate() or LineStyleEdit() and end with LineStyleEnd().

Parameters

LineName: string	The new name for the line style.
 Related topics


LineStyleRetrieve

Syntax

LineStyleRetrieve(Filename As String, Style As _LineStyleRetrieve_Style_enum)

Description

Retrieve all line graphics styles from the specified document or template and add to the specified style list.

Parameters

Filename: string	The path and filename of a document or template containing the styles to retrieve.
Style: enumeration	The destination for the retrieved styles. Use CurrentDoc! to add the styles to the current document style list. Use PersonalLibrary! to add the styles to the default template style list. Use SharedLibrary! to add the styles to the additional objects template style list. If an additional objects template is not specified in Files Preferences, and SharedLibrary! is used here, the method does nothing. CurrentDoc! PersonalLibrary! SharedLibrary!


LineStyleSave

Syntax

LineStyleSave(Filename As String, Style As _LineStyleSave_Style_enum)

Description

Save a line style library.

Parameters

FileName: string	The filename for the new line style.
Style: enumeration	CurrentDoc! PersonalLibrary! SharedLibary!


ListDefineDlg

Syntax

ListDefineDlg()

Description

Display the Define List dialog box.


ListDefinition

Syntax

ListDefinition(ListName As String, [Style], [Numbering As _ListDefinition_Numbering_enum], [Counter], [NumberingFormat As String])

Description

Select a list definition and specify where to generate the list. Use ListDefinitionCreate() to create a definition. You must pass the numeric value for the Style and the Counter.

Parameters

ListName: string	Name or rename a selected list definition.
Style: any (optional)	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 111 112 113 114 115
Numbering: enumeration optional)	The list numbering mode. DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
Counter: any (optional)	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!	5 4 0 7 127 1 2 3 6
NumberingFormat: string (optional)	The numbering characters.
 Related topics


ListDefinitionCreate

Syntax

ListDefinitionCreate(ListName As String, [Style], [Numbering As _ListDefinitionCreate_Numbering_enum], [Counter], [NumberingFormat As String])

Description

Create a list definition. Follow with methods such as ListDefinitionMode() and ListDefinitionStyle().

Parameters

ListName: string	The name of the list definition.
Style: any (optional)	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 111 112 113 114 115
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
Counter: any (optional)	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!
NumberingFormat: string (optional)	The style for numbering.
 Related topics


ListDefinitionDelete

Syntax

(ListName: string)

Description

Delete a list definition.

Parameters

ListName: string	The name of the list definition.


ListDefinitionEditBox

Syntax

ListDefinitionEditBox(Name As String, BoxName)

Description

Change the box type of a list definition.

Parameters

Name: string	The list definition.
BoxName: any	ButtonBox! EquationBox! FigureBox! InlineEquationBox! NoBox! TableBox! TextBox! UserBox! WatermarkImageBox!	5 4 0 7 127 1 2 3 6


ListDefinitionMode

Syntax

ListDefinitionMode(ListName As String, [Numbering As _ListDefinitionMode_Numbering_enum])

Description

Change the numbering mode of a list definition.

Parameters

ListName: string	The name of the list definition.
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!


ListDefinitionRename

Syntax

 ListDefinitionRename(OldName As String, NewName As String)

Description

Rename a list definition.

Parameters

OldName: string	The original name of the list definition.
NewName: string	The new name of the list definition.


ListDefinitionRetrieve

Syntax

ListDefinitionRetrieve(Filename As String, ListName As String)

Description

Retrieve a list definition from a document.

Parameters

Filename: string	The filename of the list definition.
ListName: string	The name of the list definition.


ListDefinitionStyle

Syntax

ListDefinitionStyle(ListName As String, Style)

Description

Edit a list definition and change the list style.

Parameters

ListName: string	The name of the list definition.
Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 669 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 111 112 113 114
 Related topics


ListEditPageFormat

Syntax

 ListEditPageFormat(ListName As String, NumberFormat)

Description

Edit the page-numbering format of a list definition.

Parameters

ListName: string	The name of the list definition.
NumberFormat: any	If there is nothing between the quotation marks, the list uses document style. DocFormat!
 Related topics


ListMark

Syntax

ListMark([ListName As String])

Description

Mark the selected text as an item to add to a list when a document is generated.

Parameters

ListName: string (optional)	The name of the list.


MacroCommandInserter

Syntax

MacroCommandInserter(State As _MacroCommandInserter_State_enum)

Description

Turn the WordPerfect Macro Command Inserter on or off.

Parameters

State: enumeration	Off! On!


MacroEditControlBar

Syntax

MacroEditControlBar([State As _MacroEditControlBar_State_enum])

Description

Display the Macro Edit feature bar.

Parameters

State: enumeration (optional)	Off! On!


MacroExecuteQuick

Syntax

MacroExecuteQuick()

Description

Playback the current QuickMacro.


MacroFileChain

Syntax

MacroFileChain(Filename As String)

Description

Specify a macro to play upon completion of the current macro.

Parameters

Filename: string	The filename of the next macro.
 Related topics


MacroFilePlay

Syntax

MacroFilePlay(Filename As String)

Description

Play a macro.

Parameters

Filename: string	The filename of the macro to play.


MacroMenuAdd

Syntax

MacroMenuAdd(UpdateBIF As _MacroMenuAdd_UpdateBIF_enum, MenuPos As Integer, Location As _MacroMenuAdd_Location_enum, [Filename As String], [TemplateName As String])

Description

Add a macro to the macro submenu.

Parameters

UpdateBIF: enumeration	No! Yes!
MenuPos: numeric	The menu position.
Location: enumeration	CurrentTemplate! FileOnDisk! StandardTemplate!
Filename: string (optional)	The filename of the macro.
TemplateName: string (optional)	The template containing the macro.


MacroMenuDelete

Syntax

MacroMenuDelete(UpdateBIF As _MacroMenuDelete_UpdateBIF_enum, [MenuPos])

Description

Delete a macro from a menu.

Parameters

UpdateBIF: enumeration	No! Yes!
MenuPos: numeric (optional)	The menu position.


MacroPause

Syntax

MacroPause()

Description

Pause a macro until the user presses Enter or selects Pause on the Macro menu.


MacroStatusPrompt

Syntax

MacroStatusPrompt(State As _MacroStatusPrompt_State_enum, [Prompt As String])

Description

Turn the macro status prompt line on or off.

Parameters

State: enumeration	Off! On!
Prompt: string (optional)	The text of the prompt.


MacroTemplatePlay

Syntax

 MacroTemplatePlay(Location As _MacroTemplatePlay_Location_enum, MacroName As String)

Description

Play a macro located on a template.

Parameters

Location: enumeration	CurrentTemplate! DefaultTemplate!
MacroName: string	The name of the macro.


MailDlg

Syntax

MailDlg()

Description

Determine if a mail system is running and start it if necessary. Display the mail view and attach a copy of the active WordPerfect document; or if text was selected, paste it into the message box. If multiple mail systems are available, the highest-priority mail system is used.


MakeItFit

Syntax

MakeItFit(TargetPage As Long, [Adjust])

Description

Shrink or expand a document to fill a specified number of pages.

Parameters

TargetPage: numeric	The number of pages to fill.
Adjust: enumeration (optional)	FitBottomMargin! FitFontSize! FitLeftMargin! FitLineSpacing! FitRightMargin! FitTopMargin!


MakeItFitDlg

Syntax

MakeItFitDlg()

Description

Display the Make It Fit Expert dialog box.


MarginAdjustLeft

Syntax

MarginAdjustLeft([AmtToAdjust As Integer]) As Integer

Description

Move the left margin to the left or right, relative to the current margin setting.

Parameters

AmtToAdjust: measurement (optional)	A positive value increases the margin; a negative value decreases it.
 Related topics


MarginAdjustRight

Syntax

MarginAdjustRight([AmtToAdjust As Integer]) As Intege

Description

Move the right margin to the left or right, relative to the current margin setting.

Parameters

AmtToAdjust: measurement	A positive value increases the margin; a negative value decreases it.
 Related topics


MarginBottom

Syntax

MarginBottom([MarginWidth As Integer]) As Integer

Description

Set the bottom margin.

Parameters

MarginWidth: measurement	The amount of space for the bottom margin.
 Related topics


MarginLeft

Syntax

MarginLeft([MarginWidth As Integer]) As Integer

Description

Set the left margin.

Parameters

MarginWidth: measurement	The amount of space for the left margin.
 Related topics


MarginReleaseInsert

Syntax

 MarginReleaseInsert()

Description

Insert a [Hd Back Tab] code at the insertion point. This moves the margin back one tab.


MarginRight

Syntax

MarginRight([MarginWidth As Integer]) As Integer

Description

Set the right margin.

Parameters

MarginWidth: measurement	The amount of space for the right margin.
 Related topics


MarginTop

Syntax

MarginTop([MarginWidth As Integer]) As Integer

Description

Set the top margin.

Parameters

MarginWidth: measurement	The amount of space for the top margin.
 Related topics


MarkCrossRef

Syntax

MarkCrossRef()

Description

Display the Cross-Reference feature bar.

 Related topics


MarkCrossRefUpdateList

Syntax

MarkCrossRefUpdateList(Target As String)

Description

Add a specified target name to the Target name list.

Parameters

Target: string	The target name to add to the Target name list.
 Related topics


MarkIndex

Syntax

MarkIndex()

Description

Display the Index feature bar.

 Related topics


MarkIndexUpdateList

Syntax

 MarkIndexUpdateList(Heading As String, SubHeading As String)

Description

Create a reference to a specified heading and subheading in the index.

Parameters

Heading: string	The heading for the entry.
SubHeading: string	The subheading for the entry.
 Related topics


MarkList

Syntax

MarkList()

Description

Display the List feature bar.

 Related topics


MarkListUpdateList

Syntax

MarkListUpdateList(ListName As String)

Description

Update the List feature bar.

Parameters

ListName: string	The name of the list.
 Related topics


MarkTableOfAuthorities

Syntax

MarkTableOfAuthorities()

Description

Display the Table of Authorities feature bar.


MarkTableOfContents

Syntax

MarkTableOfContents()

Description

Display the Table of Contents feature bar.


MarkTOAUpdateList

Syntax

MarkTOAUpdateList(ShortForm As String)

Description

Update the Table of Authorities feature bar.

Parameters

ShortForm: string	The list name in a table of authorities.


MasterDocCondense

Syntax

MasterDocCondense(Filename As String, Action As _MasterDocCondense_Action_enum)

Description

Condense selected subdocuments and save changes.

Parameters

Filename: string (optional)	The filename of the master document.
Action: enumeration	SaveSub! SkipSub!
 Related topics


MasterDocCondenseDlg

Syntax

MasterDocCondenseDlg()

Description

Display the Condense/Save Subdocuments dialog box.

 Related topics


MasterDocExpand

Syntax

MasterDocExpand([Filename As String])

Description

Expand a subdocument. Specify a subdocument with SubDocInclude.

Parameters

Filename: string (optional)	The filename of the master document.


MasterDocSubdocDlg

Syntax

MasterDocSubdocDlg()

Description

Display the Include Subdocument dialog box.


MatchElement

Syntax

MatchElement(Attribute As String, Value As String, Type As _MatchElement_Type_enum, [EditAttribute As _MatchElement_EditAttribute_enum])

Description

Specify that Find and Replace finds a tag that meets certain conditions. This method applies only to searches for specific elements. Begin your search with SpecificSearchStringBegin() and end it with SpecificStringEnd(). Use SGMLInsertElement() to specify which element name you are searching for. This method is valid only if the WordPerfect SGML program component is installed and the current document is a WordPerfect SGML document.

Parameters

Attribute: string (optional)	The font attribute the search text must have.
Value: string (optional)	The value of the search text.
Type: enumeration	End! Start!
EditAttribute: enumeration (optional)	No! Yes!
 Related topics


MatchExtendSelection

Syntax

MatchExtendSelection()

Description

In a Find and Replace search, extend the selected text to include matches that are not in the original selection.


MatchFindIfInElements

Syntax

MatchFindIfInElements(State As _MatchFindIfInElements_State_enum, [Action As _MatchFindIfInElements_Action_enum], [Element])

Description

Specify that Find and Replace search only in the specified SGML elements. This method is valid only if the WordPerfect SGML program component is installed, and the current document is a WordPerfect SGML document.

Parameters

State: enumeration	No! Yes!
Action: enumeration (optional)	If Action is AnyOrder!, then a match will occur only within any of the specified elements. If Action is ListedOrder!, then the match will occur only within any of the specified elements when the elements are in the order of the element string. For example, if you specify to find a word that is within <TITLE> which is within <titlpage>, a match will not be made if the word is within <TITLE> which is not within <titlpage>. AnyOrder! ListedOrder!
Element: string (optional)	The SGML element to find.


MatchLimit

Syntax

MatchLimit(State As _MatchLimit_State_enum, [LimitValue As Integer])

Description

Limit a Replace All search to a specified number of occurrences.

Parameters

State: enumeration	Limit a Find and Replace search. No! Yes!
LimitValue: numeric (optional)	The number of occurrences to replace.


MatchPositionAfter

Syntax

 MatchPositionAfter()

Description

Place the insertion point after matched text in a Find and Replace search.

 Related topics


MatchPositionBefore

Syntax

MatchPositionBefore()

Description

Place the insertion point before matched text in a Find and Replace search.

 Related topics


MatchSelection

Syntax

MatchSelection()

Description

Select matched text in a Find and Replace search.


MatchSkipIfInElements

Syntax

MatchSkipIfInElements([Element])

Description

Specify that Find and Replace search all of the document except within the specified SGML elements. This method is valid only if the WordPerfect SGML program component is installed and the current document is a WordPerfect SGML document.

Parameters

Element: string (optional)	The SGML elements to skip while searching.


MatchWithAttributes

Syntax

MatchWithAttributes(State As _MatchWithAttributes_State_enum, [Attribute])

Description

Match only text with specified attributes in a Find and Replace search.

Parameters

State: enumeration	No! Yes!
Attribute: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


MatchWithFont

Syntax

(State: enumeration; Typeface: string; Family: enumeration; Attributes: enumeration; Weight: enumeration; Width: enumeration; Source: enumeration; Type: enumeration; CharacterSet: enumeration)

Description

Match only text with specified font attributes in a Find and Replace search.

Parameters

State: enumeration	No! Yes!
Typeface: string (optional)	The font face.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodoni! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenguiat! FamilyITCGaramon! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration (optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


MatchWithFontSize

Syntax

MatchWithFontSize(State As _MatchWithFontSize_State_enum, [FontSize As Integer])

Description

Match only text with a specified font size in a Find and Replace search.

Parameters

State: enumeration	No! Yes!
FontSize: measurement (optional)	The point size of the font.
 Related topics


MenuAddFeature

Syntax

MenuAddFeature(Menu As String, Name As Integer, [Offset As Integer]) As Boolean

Description

Add a feature to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: method name	The name of the feature.
Offset: numeric (optional)	The position of the feature on the menu.
 Note

•	You can add a feature to a menu using MenuAddFeature() only if the feature does not require parameters.


MenuAddMacro

Syntax

MenuAddMacro(Menu As String, Name As String, MacroName As String, [Hint As String], [Offset As Integer]) As Boolean

Description

Add a macro to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: string	The filename of the macro.
MacroName: string	The name of the macro.
Hint: string (optional)	The text of the tip for the menu item.
Offset: numeric (optional)	The position of the macro on the menu.
Example

MenuAddMacro ("HelpMenu", "MyMacro", "C:\Macros\MyMacro.WCM", "This is MyMacro", 1)


MenuAddProgram

Syntax

MenuAddProgram(Menu As String, Name As String, ProgramName As String, [Hint As String], [Offset As Integer]) As Boolean

Description

Add a program to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: string	The name of the program.
ProgramName: string	The filename of the program's executable.
Hint: string (optional)	The text of the tip for the menu item.
Offset: numeric (optional)	The position of the program on the menu.


MenuAddScript

Syntax

 MenuAddScript(Menu As String, Name As String, Script As String, [Hint As String], [Offset As Integer]) As Boolean

Description

Add a keyboard script to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: string	The name of the script.
Script: string	The text of the script.
Hint: string (optional)	The text of the tip for the menu item.
Offset: numeric (optional)	The position of the script on the menu.


MenuAddSeparator

Syntax

MenuAddSeparator(Menu As String, [Offset As Integer]) As Boolean

Description

Add a separator to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Offset: numeric (optional)	The position of the separator on the menu.


MenuAddSubMenu

Syntax

MenuAddSubMenu(Menu As String, Name As String, [Hint As String], [Offset As Integer]) As Boolean

Description

Add a submenu to the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: string	The name of the submenu.
Hint: string (optional)	The text of the tip for the submenu.
Offset: numeric (optional)	The position of the submenu on the menu.


MenuDeleteItemEx

Syntax

MenuDeleteItemEx(Menu As String, [Name As String], [Offset As Integer]) As Boolean

Description

Delete an item from the current WordPerfect menu.

Parameters

Menu: string	The name of the menu.
Name: string (optional)	The name of the menu item to delete.
Offset: numeric (optional)	This parameter is optional only when you are deleting a feature from a menu. If you want to delete a macro or a program, then this parameter is required.


MenuSelect

Syntax

MenuSelect(MenuName As String, [LoadedFromDefaultTemplate As _MenuSelect_LoadedFromDefaultTemplate_enum])

Description

Choose a menu.

Parameters

MenuName: string (optional)	The name of the menu bar you want to use. The name of the menu must be enclosed by angle brackets.
 Related topics


MenuSelectDlg

Syntax

MenuSelectDlg()

Description

Display the Menu Bar Preferences dialog box.

 Related topics


MergeAddressBook

Syntax

MergeAddressBook(AddressBook As String)

Description

Specify an address book to associate with the current form file.

Parameters

AddressBook: string	The name of the address book to associate. If this parameter is left blank, the current association for the form file is removed whether it is associated with an address book or a data file.


MergeAddressBookSaveAs

Syntax

MergeAddressBookSaveAs(OutputFile As String, [AddressBook As String])

Description

Save address book records as a merge data file.

Parameters

OutputFile: string	The path and filename of the new merge data file.
AddressBook: string (optional)	The address book to save as a merge data file. If this parameter is blank, the currently selected records are used; if not, all records in the specified address book are used. Address book selections can include records from multiple address books.


MergeBlankField

Syntax

MergeBlankField(State As _MergeBlankField_State_enum)

Description

Leave or remove a blank field. If blank fields are removed, the remaining fields shift up one line.

Parameters

State: enumeration	Leave! Remove!


MergeCode

Syntax

 MergeCode(Codes As _MergeCode_Codes_enum, [String As String])

Description

Insert a merge code.

Parameters

Codes: enumeration	Assign! AssignLocal! Beep! Break! Call! CancelOff! CancelOn! Caps! CaseOf! ChainData! ChainForm! ChainMacro! Char! Codes! Comment! Continue! CtoN! Date! Default! DisplayStop! Document! Else! EmbedMacro! EndField! EndFor! EndIf! EndRecord! EndSwitch! EndWhile! Field! FieldNames! FirstCap! ForEach! ForNext! GetString! Go! If! IfBlank! IfExists! IfNotBlank! Insert! Keyboard! Label! Look! MrgCmnd! NestData! NestForm! NestMacro! Next! NextRecord! NtoC! OnCancel! OnError! PageOff! PageOn! PostNet! Print! ProcessOff! ProcessOn! Prompt! Quit! RepeatRow! Return! ReturnCancel! ReturnError! Rewrite! StatusPrompt! StepOff! StepOn! Stop! StrLen! StrPos! SubstData! SubstForm! SubStr! Switch! System! ToLower! ToUpper! Variable! Wait! While!
String: string (optional)	The field parameters.


MergeCodesDisplayEdit

Syntax

MergeCodesDisplayEdit(Display As _MergeCodesDisplayEdit_Display_enum)

Description

Display or hide merge codes, or display them as markers.

Parameters

Display: enumeration	Hide! Marker! Show!
 Related topics


MergeCodesDisplayRun

Syntax

MergeCodesDisplayRun(Display As _MergeCodesDisplayRun_Display_enum)

Description

Display or hide merge codes, or display them as markers in a merged document.

Parameters

Display: enumeration	Hide! Marker! Show!
 Related topics


MergeCodesDlg

Syntax

MergeCodesDlg()

Description

Display the Insert Merge Codes dialog box.


MergeCondition

Syntax

MergeCondition([Condition1 As String], [Condition2 As String], [Condition3 As String], [Condition4 As String], [Condition5 As String], [Condition6 As String], [Condition7 As String], [Condition8 As String], [Condition9 As String], [Condition10 As String], [Condition11 As String], [Condition12 As String], [Condition13 As String], [Condition14 As String], [Condition15 As String])

Description

Define a condition to select records from a data file.

Parameters

Condition1: string (optional)	Searching condition to find a record from a data file.
Condition2: string (optional)	Searching condition to find a record from a data file.
Condition3: string (optional)	Searching condition to find a record from a data file.
Condition4: string (optional)	Searching condition to find a record from a data file.
Condition5: string (optional)	Searching condition to find a record from a data file.
Condition6: string (optional)	Searching condition to find a record from a data file.
Condition7: string (optional)	Searching condition to find a record from a data file.
Condition8: string (optional)	Searching condition to find a record from a data file.
Condition9: string (optional)	Searching condition to find a record from a data file.
Condition10: string (optional)	Searching condition to find a record from a data file.
Condition11: string (optional)	Searching condition to find a record from a data file.
Condition12: string (optional)	Searching condition to find a record from a data file.
Condition13: string (optional)	Searching condition to find a record from a data file.
Condition14: string (optional)	Searching condition to find a record from a data file.
Condition15: string (optional)	Searching condition to find a record from a data file.


MergeDataFile

Syntax

MergeDataFile([DataFile As String])

Description

Specify the data file to associate with a form file.

Parameters

DataFile: string (optional)	The filename of the data file.
 Related topics


MergeDlg

Syntax

MergeDlg()

Description

Display the Merge dialog box.


MergeEndField

Syntax

MergeEndField()

Description

Insert an [ENDFIELD] code at the insertion point. Recordable substitute: MergeCode().

 Related topics


MergeEndRecord

Syntax

 MergeEndRecord()

Description

Insert an [ENDRECORD] code at the insertion point. Recordable substitute: MergeCode().

 Related topics


MergeEnvelope

Syntax

 MergeEnvelope(State As _MergeEnvelope_State_enum)

Description

Create an envelope for merged records.

Parameters

State: enumeration	Off! On!


MergeEnvelopeDefinitionBegin

Syntax

MergeEnvelopeDefinitionBegin()

Description

Begin a MergeEnvelopeDefinitionBegin-MergeEnvelopeDefinitionEnd statement. Contains address information.

 Related topics


MergeEnvelopeDefinitionEnd

Syntax

MergeEnvelopeDefinitionEnd()

Description

End a merge envelope definition. Precede with MergeEnvelopeDefinitionBegin().

 Related topics


MergeFileAssociate

Syntax

 MergeFileAssociate(FormFile As String, [DataFile As String])

Description

Associate form and data files. MergeDataFile creates a recordable association.

Parameters

FormFile: string	The filename of the form file to associate.
DataFile: string (optional)	The filename of the data file to associate.
 Related topics


MergeFileAssociateAddressBook

Syntax

MergeFileAssociateAddressBook(FormFile As String, [AddressBook As String])

Description

Associate a form file with an address book data source. This method also removes a data file association from the form file, if such an association exists.

Parameters

FormFile: string	The path and filename of the form file to associate with the address book.
AddressBook: string (optional)	The name of the address book to use as a data source for the form file. If this is blank, all associations will be removed.


MergeFileAssociateODBC

Syntax

MergeFileAssociateODBC(FormFile As String, [DataSource As String], [TableName As String])

Description

Associate a form file with an ODBC data source and table.

Parameters

FormFile: string	The filename of the form file.
DataSource: string (optional)	The filename of the ODBC data source.
TableName: string (optional)	The name of the data table.


MergeFilesDlg

Syntax

MergeFilesDlg()

Description

Display the Perform Merge dialog box.


MergeFileType

Syntax

MergeFileType(FileType As _MergeFileType_FileType_enum)

Description

Specify the file type to merge.

Parameters

FileType: enumeration	Form! None! TableData! TextData!


MergeFormDlg

Syntax

MergeFormDlg()

Description

Display the Create Merge File dialog box.


MergeMark

Syntax

MergeMark(RecordNum As Integer)

Description

Mark a record to include in a merge.

Parameters

RecordNum: numeric	A record number.


MergeODBC

Syntax

MergeODBC(DataSource As String, TableName As String)

Description

Specify an ODBC data source and table to associate with the current form file.

Parameters

DataSource: string	The filename of the ODBC data source.
TableName: string	The name of the table in the form file.


MergePageBreak

Syntax

MergePageBreak(State As _MergePageBreak_State_enum)

Description

Separate merged documents with a page break.

Parameters

State: enumeration	Off! On!


MergePrintText

Syntax

MergePrintText()

Description

Print a data file without page breaks between the records.

 Related topics


MergeRepeat

Syntax

 MergeRepeat(NumberToRepeat As Integer)

Description

Specify the number of times to merge each record.

Parameters

NumberToRepeat: numeric	The number of times to repeat the merge.


MergeRun

Syntax

MergeRun(FormFileType As _MergeRun_FormFileType_enum, FormFile As String, DataFileType As _MergeRun_DataFileType_enum, DataFile As String, OutputFileType As _MergeRun_OutputFileType_enum, [OutputFile As String], [AddressBook As String], [EmailAddress As String], [SubjectLine As String], [DataSource As String], [TableName As String])

Description

Merge a form file and a data file.

Parameters

FormFileType: enumeration	Clipboard! Current! FormFile!
FormFile: string (optional)	The filename of the form file.
DataFileType: enumeration	If this parameter is set to AddressBook!, the DataFile parameter is ignored. AddressBook! Clipboard! DataFile! NoData! ODBC!
DataFile: string (optional)	The filename of the data file.
OutputFileType: enumeration	ToCurrentDoc! ToEMail! ToFile! ToNewDoc! ToPrinter!
OutputFile: string (optional)	Merge the output file when OutputFileType parameter is ToFile!.
AddressBook: string (optional)	The name of the address book to use as the data source for the merge. This parameter is ignored if the DataFileType parameter is not set to AddressBook! If the Address Book parameter is set to AddressBook! and this parameter is left blank, the currently selected address book records are used as the data source for the merge.
EmailAddress: string (optional)	The e-mail address.
SubjectLine: string (optional)	The subject line.
DataSource: string (optional)	The data source.
TableName: string (optional)	The table name.


MergeSelect

Syntax

MergeSelect(SelectType As _MergeSelect_SelectType_enum, [Begin As Integer], [End As Integer])

Description

Specify the records to merge.

Parameters

SelectType: enumeration	If the data source for the merge is an Address Book, use the All! enumeration. All! Marked! Range!
Begin: numeric (optional)	The low end of a range.
End: numeric (optional)	The high end of a range.
 Related topics


MergeTableDataDlg

Syntax

MergeTableDataDlg()

Description

Display the Create Data File dialog box.


MergeTextDataDlg

Syntax

MergeTextDataDlg()

Description

Display the Create Merge File dialog box.


MinusSign

Syntax

MinusSign()

Description

Insert a minus sign (hyphen character) at the insertion point.


MoveModeEnd

Syntax

MoveModeEnd()

Description

End the method sequence to move text.


NewHFWOccurrence

Syntax

NewHFWOccurrence(Occurrence As _NewHFWOccurrence_Occurrence_enum)

Description

Specify the occurrence of headers, footers, and watermarks.

Parameters

Occurrence: enumeration	AllPages! EvenPages! NoPages! OddPages!
 Related topics


NumberingOptionDlg

Syntax

NumberingOptionDlg()

Description

Display the Page Numbering Options dialog box. Recordable equivalent: Format, Page, Numbering, Options.


ObjectImageArrow

Syntax

 ObjectImageArrow([HeadStyle], [TailStyle])

Description

Lets you create an arrow object

Parameters

HeadStyle: any	The head style
TailStyle: any	The tail style


ObjectImageCreate

Syntax

 ObjectImageCreate()

Description

Lets you create an image object.


ObjectImageDropShadow

Syntax

ObjectImageDropShadow([Location As _ObjectImageDropShadow_Location_enum], [XSize As Integer], [YSize As Integer], [ColorName As String], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer], [VerticalSize As Integer])

Description

Lets you create a drop shadow for an object image.

Parameters

Location: enumeration	NoShadow! UpperLeft! LowerLeft! LowerRight! UpperRight!
XSize: numeric
YSize: numeric
ColorName: numeric	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric	Value: 0 - 255
Green: numeric	Value: 0 - 255
Blue: numeric	Value: 0 - 255
Shade: numeric	Percent: 0 - 100
VerticalSize: numeric


ObjectImageLineColor

Syntax

 ObjectImageLineColor([RGBValue As Long])

Description

Lets you change the line color of an image object.

Parameter

RGBValue: numeric	The RGB value


ObjectImageLineStyle

Syntax

 ObjectImageLineStyle(Style)

Description

Lets you change the line style of an image object.

Parameters

Style: any	NoLine! SolidLine! XLDash! LDash! Dash! SDash! CloseDot! Dot! TripleDot! LDashDot! LDashDotDot! DashDashDot! DashDashDotDot! LDashDash! LDashSDashSDash! XLDashXLDashDash! XLDashXLDashSDashSDash!


ObjectImageLineThickness

Syntax

ObjectImageLineThickness(Thickness)

Description

Lets you change the line thickness of an image object.

Parameters

Thickness: any	AutoThickness!


ObjectImagePolyline

Syntax

 ObjectImagePolyline()

Description

Create a polyline image object.


ObjectImageRemove

Syntax

ObjectImageRemove()

Description

Lets you remove an image object.


ObjectImageRotation

Syntax

ObjectImageRotation(Degrees As Double)

Description

Lets you rotate an image object.

Parameters

Degrees: numeric	The number of degrees you want to rotate the image object.


OLE1InsertDlg

Syntax

OLE1InsertDlg()

Description

Display the Insert Object dialog box.

 Related topics


OLE1LinksDlg

Syntax

OLE1LinksDlg()

Description

Display the Links dialog box.

 Related topics


OLE1PasteDlg

Syntax

OLE1PasteDlg()

Description

Display the Paste Special dialog box.

 Related topics


OLEAcceptLinks

Syntax

OLEAcceptLinks()

Description

Accept a link updated or initialized between server and client applications. Included for 6.0 compatibility only.

 Related topics


OLECancelLink

Syntax

OLECancelLink(LinkName As String)

Description

Cancel a link to an object.

Parameters

LinkName: string	The name of the link to cancel.
 Related topics


OLEChangeLink

Syntax

OLEChangeLink(ObjectName As String, Filename As String)

Description

You can change the file in a link.

Parameters

ObjectName: string	The name of the linked object.
Filename: string	The replacement file.
 Related topics


OLEDeactivate

Syntax

OLEDeactivate()

Description

Remove an OLE object from in-place editing mode.


OLEInitializeLinks

Syntax

OLEInitializeLinks()

Description

Reinitialize a link with its server application. Record when you create, update, change, or perform any function on a link. Included for 6.0 compatibility only.

 Related topics


OLEInsertDlg

Syntax

 OLEInsertDlg()

Description

Display the Insert Object dialog box.


OLEInsertObject

Syntax

OLEInsertObject(objecttype As String, [DisplayMode As _OLEInsertObject_DisplayMode_enum])

Description

Specify the name of a program to insert an object into.

Parameters

ObjectType: string	The program name.
DisplayMode: enumeration (optional)	DisplayAsIcon! DisplayNormal!
 Related topics


OLEInsertObjectFile

Syntax

OLEInsertObjectFile(Filename As String, [DisplayMode As _OLEInsertObjectFile_DisplayMode_enum], [ObjectMode As _OLEInsertObjectFile_ObjectMode_enum])

Description

Insert an object file into the current document.

Parameters

Filename: string	The filename of the object to insert.
DisplayMode: enumeration (optional)	DisplayAsIcon! DisplayNormal!
ObjectMode: enumeration (optional)	Embedded! Linked!


OLELinksDlg

Syntax

OLELinksDlg()

Description

Display the Links dialog box. You cannot use OLELinksDlg() if an OLE object is currently selected.


OLEObject

Syntax

OLEObject()

Description

Open an OLE object in the current document.

 Related topics


OLEPasteDlg

Syntax

OLEPasteDlg()

Description

Display the Paste Special dialog box.


OLESetLinkUpdate

Syntax

OLESetLinkUpdate(ObjectName As String, UpdateType As _OLESetLinkUpdate_UpdateType_enum)

Description

Specify whether a linked object is always updated or manually updated.

Parameters

ObjectName: string	The name of the object to update.
UpdateType: enumeration	UpdateAlways! UpdateManually!


OLEUpdateLink

Syntax

OLEUpdateLink(LinkName As String)

Description

Update a specified link.

Parameters

LinkName: string	The name of the link to update.


OLEVerb

Syntax

 OLEVerb(Verb As Integer)

Description

Perform a pre-determined action on an OLE object. The action is determined by verbs defined by the OLE server. Verb 0 is the default verb (action) and is performed and recorded by double-clicking an object. For example, the default action for a sound clip is Play. Executing OLEVerb(Verb:0) on a sound clip plays the sound clip. Verbs range from 0 to the highest number defined by an OLE server for an object. See your OLE server documentation for valid verbs.

Parameters

Verb: numeric	Specify an action. 0 is the default verb.


OnlineHelpSupport

Syntax

OnlineHelpSupport()

Description

Gets help from the WordPerfect 10 home page.


OutlineApply

Syntax

OutlineApply(OutlineName As String, SysOrUser As _OutlineApply_SysOrUser_enum, SystemStyleId As Long, CreateOrResume As _OutlineApply_CreateOrResume_enum, Prompt As _OutlineApply_Prompt_enum, [TabEvery As Integer])

Description

Lets you apply the outline definition to a document.

Parameters

OutlineName: string	The name of the outline.
SysOrUser: enumeration (optional)	UserOutlineStyle! SystemOutlineStyle!
SystemStyleID: numeric (optional)
CreateOrResume: enumeration	ResumeOutline! CreateOutline! EmbedOutline!
Prompt: enumeration	No! Yes!
TabEvery: numeric (optional)


OutlineBarDisplay

Syntax

OutlineBarDisplay(State As _OutlineBarDisplay_State_enum)

Description

Turn on the Outline mode, insert the first-level number and style code of the current definition, and display the Outline Property Bar. Use Off! to hide the Property Bar. Recordable substitute: ViewOutline or OutlineOff.

Parameters

State: enumeration	Off! On!
 Related topics


OutlineBarSetup

Syntax

OutlineBarSetup([State As _OutlineBarSetup_State_enum])

Description

Display or hide outline symbols.

Parameters

State: enumeration(optional)	Off! On!
 Related topics


OutlineBeginNew

Syntax

OutlineBeginNew(Style As _OutlineBeginNew_Style_enum)

Description

Begin a new outline in a specified style.

Parameters

Style: enumeration	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!
 Related topics


OutlineBodyText

Syntax

 OutlineBodyText([State As _OutlineBodyText_State_enum])

Description

Display or hide outline body text.

Parameters

State: enumeration (optional)	If this parameter is not included, the method toggles to the opposite state. HideBodyText! ShowBodyText!
 Related topics


OutlineBodyTextToggle

Syntax

OutlineBodyTextToggle()

Description

Toggle the current paragraph between an outline item and body text.

 Related topics


OutlineChangeToBodyText

Syntax

OutlineChangeToBodyText()

Description

Change the current outline item to body text. Recordable substitute: OutlineBodyTextToggle().

 Related topics


OutlineDown

Syntax

OutlineDown()

Description

Move the insertion point to the next outline item or paragraph of body text.

 Related topics


OutlineEnd

Syntax

OutlineEnd()

Description

Turn off Outline.

 Related topics


OutlineFamilyCopy

Syntax

OutlineFamilyCopy()

Description

Copy the current family items to the Clipboard.

 Related topics


OutlineFamilyCut

Syntax

OutlineFamilyCut()

Description

Delete the current family items and adjust the numbering.

 Related topics


OutlineFamilyDemote

Syntax

OutlineFamilyDemote()

Description

Demote the current family items to the next level and adjust the numbering.

 Related topics


OutlineFamilyDown

Syntax

OutlineFamilyDown()

Description

Move the insertion point to the beginning of the next outline family.

 Related topics


OutlineFamilyDragDown

Syntax

OutlineFamilyDragDown()

Description

Move the current family items below the next family and adjust the numbering. Recordable equivalent: OutlineParagraphDragDown.

 Related topics


OutlineFamilyDragUp

Syntax

OutlineFamilyDragUp()

Description

Move the current family items above the previous family and adjust the numbering. Recordable equivalent: OutlineParagraphDragUp().

 Related topics


OutlineFamilyHide

Syntax

 OutlineFamilyHide(State As _OutlineFamilyHide_State_enum)

Description

Hide all but the current level of the outline family.

Parameters

State: enumeration	HideBodyText! ShowBodyText!
 Related topics


OutlineFamilyLeft

Syntax

OutlineFamilyLeft()

Description

Move the insertion point to the beginning of the previous outline family.

 Related topics


OutlineFamilyMove

Syntax

OutlineFamilyMove()

Description

Move an outline family.

 Related topics


OutlineFamilyPromote

Syntax

OutlineFamilyPromote()

Description

Raise the current family items one level.

 Related topics


OutlineFamilyRight

Syntax

OutlineFamilyRight()

Description

Move the insertion point to the next outline item, skipping body text.

 Related topics


OutlineFamilySelect

Syntax

OutlineFamilySelect()

Description

Select the current outline family, including body text.

 Related topics


OutlineFamilyShow

Syntax

OutlineFamilyShow(State As _OutlineFamilyShow_State_enum)

Description

Display or hide body text in the current outline family.

Parameters

State: enumeration	HideBodyText! ShowBodyText!
 Related topics


OutlineFamilyUp

Syntax

OutlineFamilyUp()

Description

Move the insertion point to the beginning of the previous outline family.

 Related topics


OutlineHideShowingBodyText

Syntax

OutlineHideShowingBodyText()

Description

Hide all outline items and display the body text.

 Related topics


OutlineIconsDisplay

Syntax

OutlineIconsDisplay(State As _OutlineIconsDisplay_State_enum)

Description

Display the outline-level icons.

Parameters

State: enumeration(optional)	Off! On!
 Related topics


OutlineInsertParagraphNumber

Syntax

OutlineInsertParagraphNumber(Level As Integer, InsertType As _OutlineInsertParagraphNumber_InsertType_enum)

Description

Lets you insert a paragraph number code in a document.

Parameters

Level: numeric
InsertType: enumeration	Fixed! Auto!


OutlineNumberDlg

Syntax

OutlineNumberDlg()

Description

Display the Set Paragraph Number dialog box.

 Related topics


OutlineOff

Syntax

OutlineOff()

Description

Close the Outline feature bar.

 Related topics


OutlineParagraphCopy

Syntax

OutlineParagraphCopy()

Description

Copy the current outline item to the Clipboard.

 Related topics


OutlineParagraphDelete

Syntax

OutlineParagraphDelete()

Description

Delete the current outline item and adjust the numbering.

 Related topics


OutlineParagraphDemote

Syntax

OutlineParagraphDemote()

Description

Demote the current outline item one level and adjust the numbering.

 Related topics


OutlineParagraphDragDown

Syntax

OutlineParagraphDragDown()

Description

Move the current outline item down one item and adjust the numbering.

 Related topics


OutlineParagraphDragUp

Syntax

OutlineParagraphDragUp()

Description

Move the current outline item up one item and adjust the numbering.

 Related topics


OutlineParagraphMove

Syntax

OutlineParagraphMove()

Description

Delete the current outline item and adjust the numbering.

 Related topics


OutlineParagraphNumber

Syntax

OutlineParagraphNumber([Level As Integer])

Description

Specify an outline level. Default: current level.

Parameters

Level: numeric (optional)	Value: 1-8.
 Related topics


OutlineParagraphNumberInsert

Syntax

OutlineParagraphNumberInsert()

Description

Insert a paragraph number code [Para Num] in the current document at the insertion point.

 Related topics


OutlineParagraphPromote

Syntax

OutlineParagraphPromote()

Description

Promote the current outline item one level.

 Related topics


OutlineParagraphSelect

Syntax

OutlineParagraphSelect()

Description

Select the current outline item or paragraph of body text.

 Related topics


OutlineRight

Syntax

OutlineRight()

Description

Move the insertion point to the next outline item before the indent and number codes.

 Related topics


OutlineShow

Syntax

OutlineShow(Level As Integer, State As _OutlineShow_State_enum)

Description

Specify the lowest outline level to display and whether to show body text.

Parameters

Level: numeric	Value: 1-8.
State: enumeration	HideBodyText! ShowBodyText!
 Related topics


OutlineStyleCopy

Syntax

OutlineStyleCopy(Style, [Source As _OutlineStyleCopy_Source_enum], [Destination As _OutlineStyleCopy_Destination_enum], [NewName As String])

Description

Copy an outline style. You must pass the numeric value of the style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 111 112 113 114 115
Source: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
Destination: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
NewName: string (optional)	The name for the copied style.
 Related topics


OutlineStyleCreate

Syntax

 OutlineStyleCreate(Style As String, [Library As _OutlineStyleCreate_Library_enum])

Description

Create, name, and save an outline style.

Parameters

Style: string	The name of the outline style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleDelete

Syntax

(Style: any; Library: enumeration)

Description

Delete an outline style. Predefined outline styles cannot be deleted. You must pass the numeric value of the style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 111 112 113 114 115
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleDescription

Syntax

OutlineStyleDescription(Description As String)

Description

Create an outline style description.

Parameters

Description: string	The description of the outline style.
 Related topics


OutlineStyleEditBegin

Syntax

OutlineStyleEditBegin(Style, [Library As _OutlineStyleEditBegin_Library_enum])

Description

Begin editing an outline style. You must pass the numeric value of the style.

Parameters

Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 111 112 113 114 115
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleEditEnd

Syntax

 OutlineStyleEditEnd(State As _OutlineStyleEditEnd_State_enum)

Description

Save the outline style changes.

Parameters

State: enumeration	Cancel! Save!
 Related topics


OutlineStyleLeadingZeros

Syntax

( OutlineStyleLeadingZeros(Level As Integer, Zeros As Integer)

Description

Lets you specify the number of leading zeros for each level of an outline style.

Parameters

Level: numeric	The level
Zeros: numeric	The number of leading zeros


OutlineStyleLevel

Syntax

OutlineStyleLevel(Level As Integer, Style)

Description

Specify an outline level and style. You must pass the numeric value for the style.

Parameters

Level: numeric	Value: 1-8.
Style: any	NormalStyle! FootnoteNumberInDocumentStyle! EndnoteNumberInDocumentStyle! FigureNumberStyle! TableBoxNumberStyle! TextBoxNumberStyle! UserBoxNumberStyle! EquationNumberStyle! HypertextStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! Index1Style! Index2Style! ListStyle! ToAStyle! DocStyle! BoxTextStyle! CaptionStyle! FootnoteStyle! EndnoteStyle! CommentStyle! HeaderAStyle! HeaderBStyle! FooterAStyle! FooterBStyle! WatermarkAStyle! WatermarkBStyle!AddressStyle! ParagraphOutlnStyle! OutlineStyle! LegalOutlnStyle! BulletsOutlnStyle! HeadingsOutlnStyle! Legal_2OutlnStyle! NumbersOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! MonospacedStyle! CustomHTMLStyle! PreformattedStyle! AddressStyle! QuotationsOutlnStyle! DefinitionsOutlnStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! Level9Style! Legal9Style! Heading9Style! Quotation9Style! DefinitionStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 111 112 113 114 115
 Related topics


OutlineStyleNumberFormat

Syntax

OutlineStyleNumberFormat(Level As Integer, Format As String)

Description

Specify the numbering format for each level of a selected outline style.

Parameters

Level: numeric	Value: 1-8.
Format: string	The numbering format for each outline level. Select a system format, or type a character expression to specify the format.
 Related topics


OutlineStyleNumbersOnly

Syntax

OutlineStyleNumbersOnly(State As _OutlineStyleNumbersOnly_State_enum)

Description

Apply the Numbers Only format to a selected outline.

Parameters

State: enumeration	No! Yes!
 Related topics


OutlineStyleRename

Syntax

 OutlineStyleRename(Name As String)

Description

Rename a user-defined outline style.

Parameters

Name: string	The new style name.
 Related topics


OutlineStyleRetrieve

Syntax

OutlineStyleRetrieve(Filename As String, Type As _OutlineStyleRetrieve_Type_enum, [Library As _OutlineStyleRetrieve_Library_enum])

Description

Retrieve an outline style.

Parameters

Filename: string	The filename of the outline style.
Type: enumeration	AllStyles! SystemStyles! UserStyles!
Library: enumeration(optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleSave

Syntax

OutlineStyleSave(Filename As String, Type As _OutlineStyleSave_Type_enum, [Library As _OutlineStyleSave_Library_enum])

Description

Save an outline style.

Parameters

Filename: string	The filename of the outline style.
Type: enumeration	UserStyles! SystemStyles! AllStyles!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


OutlineStyleSelect

Syntax

OutlineStyleSelect(Style)

Description

Select an outline style. You musty pass the numeric value for the style.

Parameters

Style: any	Use a string to specify a user-defined style. AddressStyle! BoxTextStyle! BulletsOutlnStyle! CaptionStyle! CommentStyle! CustomHTMLStyle! Definition1Style! Definition2Style! Definition3Style! Definition4Style! Definition5Style! Definition6Style! Definition7Style! Definition8Style! DefinitionsOutlnStyle! DocStyle! EndnoteNumberInDocumentStyle! EndnoteStyle! EquationNumberStyle! FigureNumberStyle! FooterAStyle! FooterBStyle! FootnoteNumberInDocumentStyle! FootnoteStyle! HeaderAStyle! HeaderBStyle! Heading1Style! Heading2Style! Heading3Style! Heading4Style! Heading5Style! Heading6Style! Heading7Style! Heading8Style! HeadingsOutlnStyle! HypertextStyle! Index1Style! Index2Style! Legal_2OutlnStyle! Legal1Style! Legal2Style! Legal3Style! Legal4Style! Legal5Style! Legal6Style! Legal7Style! Legal8Style! LegalOutlnStyle! Level1Style! Level2Style! Level3Style! Level4Style! Level5Style! Level6Style! Level7Style! Level8Style! ListStyle! MonospacedStyle! NormalStyle! NumbersOutlnStyle! OutlineStyle! ParagraphOutlnStyle! PreformattedStyle! Quotation1Style! Quotation2Style! Quotation3Style! Quotation4Style! Quotation5Style! Quotation6Style! Quotation7Style! Quotation8Style! QuotationsOutlnStyle! TableBoxNumberStyle! TextBoxNumberStyle! ToAStyle! ToC1Style! ToC2Style! ToC3Style! ToC4Style! ToC5Style! UserBoxNumberStyle! WatermarkAStyle! WatermarkBStyle!	0 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 111 112
 Related topics


OutlineStyleType

Syntax

OutlineStyleType(Bullets As _OutlineStyleType_Bullets_enum, SingleLevel As _OutlineStyleType_SingleLevel_enum)

Description

Lets you specify the outline attributes.

Parameters

Bullets: enumeration	No! Yes!
SingleLevel: enumeration	No! Yes!


OutlineUp

Syntax

OutlineUp()

Description

Move the insertion point to the beginning of the previous outline paragraph, before indent and number codes.

 Related topics


OverstrikeCreate

Syntax

OverstrikeCreate(OvrStrkStrg As String)

Description

Create an overstrike.

Parameters

OvrStrkStrg: string	Two or more characters.
 Related topics


OverstrikeCreateDlg

Syntax

OverstrikeCreateDlg()

Description

Display the Overstrike dialog box.

 Related topics


OverstrikeEdit

Syntax

OverstrikeEdit(OvrStrkStrg As String)

Description

Replace the first overstrike to the right of the insertion point with the text in the OvrStrkStrg parameter.

Parameters

OvrStrkStrg: string	The new overstrike characters.
 Related topics


PageBorderDlg

Syntax

PageBorderDlg()

Description

Display the Page Border/Fill dialog box.

 Related topics


PageNumber

Syntax

PageNumber(Page As Integer)

Description

Specify a new page number for the current page.

Parameters

Page: numeric	The new page number.
 Related topics


PageNumberDecrement

Syntax

PageNumberDecrement()

Description

Decrease the current page number by one.

 Related topics


PageNumberDisplay

Syntax

PageNumberDisplay()

Description

Insert the current page number at the insertion point.

 Related topics


PageNumberDisplayFormat

Syntax

PageNumberDisplayFormat()

Description

Display a formatted page number at the insertion point in the current document window.

 Related topics


PageNumberFormat

Syntax

PageNumberFormat(Format As String)

Description

Specify a page number format including text, page, total page, chapter, volume, or secondary page numbers.

Parameters

Format: string	Combine macro function codes and text to create a page number format.
 Related topics


PageNumberIncrement

Syntax

PageNumberIncrement()

Description

Increase the current page number by one.

 Related topics


PageNumberingAdjustDlg

Syntax

PageNumberingAdjustDlg()

Description

Display the Value/Adjust Number dialog box.


PageNumberingCountDlg

Syntax

PageNumberingCountDlg()

Description

Display the Page Count for Total Pages dialog box. Displaying this dialog box also updates the total page count.


PageNumberingDlg

Syntax

PageNumberingDlg()

Description

Display the Select Page Numbering Format dialog box.


PageNumberingInsertDlg

Syntax

PageNumberingInsertDlg()

Description

Display the Insert Number in Text dialog box.


PageNumberMethod

Syntax

PageNumberMethod(Method As _PageNumberMethod_Method_enum)

Description

Specify a page numbering method.

Parameters

Method: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


PageNumberPosition

Syntax

PageNumberPosition(Position As _PageNumberPosition_Position_enum, Default As _PageNumberPosition_Default_enum, [Font As String], [FontSize As Integer], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer], [Attributes])

Description

Specify the position and appearance of page numbering. Use Font, Color, Shade, and Attributes parameters only if the Default parameter is DontUseDefaultValues!.

Parameters

Position: enumeration	BottomAlternating! BottomCenter! BottomLeft! BottomRight! InsideTopAlternating! None! OutsideBottomAlternating! TopAlternating! TopCenter! TopLeft! TopRight!
Default: enumeration	DontUseDefaultValues! UseDefaultValues!
Font: string (optional)	The font face for the page number.
FontSize: measurement (optional)	The font size for the page number.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
Attributes: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


PageNumberSettingsDlg

Syntax

PageNumberSettingsDlg()

Description

Display the Numbering Value dialog box.


PageSetupDlg

Syntax

PageSetupDlg()

Description

Display the Page Setup dialog box.


PageSuppressDlg

Syntax

PageSuppressDlg()

Description

Display the Suppress dialog box.

 Related topics


PageZoomFull

Syntax

PageZoomFull()

Description

Display Page view, then zoom the current page to Full Page.

 Related topics


PaneNext

Syntax

PaneNext()

Description

Move the focus to the next pane in the Equation Editor.

 Related topics


PanePrevious

Syntax

PanePrevious()

Description

Move the focus to the previous pane in the Equation Editor.

 Related topics


PaperSizeAdd

Syntax

PaperSizeAdd(Name As String, Width As Integer, Length As Integer, WidthAdjust As Integer, LengthAdjust As Integer, Flags As _PaperSizeAdd_Flags_enum, Location As _PaperSizeAdd_Location_enum, Type As _PaperSizeAdd_Type_enum, [Use As _PaperSizeAdd_Use_enum], [ReturnAddressHoriz As Integer], [ReturnAddressVert As Integer], [MailingAddressHoriz As Integer], [MailingAddressVert As Integer])

Description

Create a page definition for the Page Size dialog box. Use address position parameters if the Type parameter is Envelope!.

Parameters

Name: string	Use if the Type parameter is Other!.
Width: measurement	The width of the page.
Length: measurement	The length of the page.
WidthAdjust: measurement	Move the page contents left (positive value) or right (negative value).
LengthAdjust: measurement	Move the page contents up (positive value) or down (negative value).
Flags: enumeration	FormCurrentlyLoaded! Landscape! LandscapeLoaded! LandscapePrimaryLoaded! Portrait! PortraitLoaded! PortraitPrimaryLoaded! PrimaryForm!
Location: enumeration	The printer paper feed. Continuous! Manual!
Type: enumeration	AllOthers! Bond! CardStock! ClayBased! Envelope! Glossy! Labels! Letterhead! Other! Standard! Transparency!
Use: enumeration (optional)	Europe! Japan! Latin_America! None! US!
ReturnAddressHoriz: measurement (optional)	Left and right position for the return address.
ReturnAddressVert: measurement(optional)	Top and bottom position for the return address.
MailingAddressHoriz: measurement(optional)	Left and right position for the return address.
MailingAddressVert: measurement(optional)	Top and bottom position for the return address.
 Related topics


PaperSizeDelete

Syntax

PaperSizeDelete(Name As String)

Description

Delete a page definition.

Parameters

Name: string	The name of the paper definition.
 Related topics


PaperSizeDlg

Syntax

PaperSizeDlg()

Description

Display the Page Size dialog box.

 Related topics


PaperSizeResave

Syntax

PaperSizeResave(OldName As String, NewName As String, Width As Integer, Length As Integer, WidthAdjustment As Integer, LengthAdjustment As Integer, Flags As _PaperSizeResave_Flags_enum, Location As _PaperSizeResave_Location_enum, Type As _PaperSizeResave_Type_enum, Use As _PaperSizeResave_Use_enum, ReturnAddressHoriz As Integer, ReturnAddressVert As Integer, MailingAddressHoriz As Integer, MailingAddressVert As Integer)

Description

Edit and save a page definition from the Page Size dialog box. Use address position parameters if the Type parameter is Envelope!.

Parameters

OldName: string	The original name of the page definition.
NewName: string	The name for the edited page definition.
Width: measurement	The width of the page.
Length: measurement	The length of the page.
WidthAdjustment: measurement	Move the page contents right (positive value) or left (negative value).
LengthAdjustment: measurement	Move the page contents up (positive value) or down (negative value).
Flags: enumeration	Specify the orientation. FormCurrentlyLoaded! Landscape! LandscapeLoaded! LandscapePrimaryLoaded! Portrait! PortraitLoaded! PortraitPrimaryLoaded! PrimaryForm!
Location: enumeration	The printer paper feed. Continuous! Manual!
Type: enumeration	AllOthers! Bond! CardStock! ClayBased! Envelope! Glossy! Labels! Letterhead! Other! Standard! Transparency!
Use: enumeration	Europe! Japan! Latin_America! None! US!
ReturnAddressHoriz: measurement	The left and right position for the return address.
ReturnAddressVert: measurement	The top and bottom position for the return address.
MailingAddressHoriz: measurement	The left and right position for the mailing address.
MailingAddressVert: measurement	The top and bottom position for the mailing address.
 Related topics


PaperSizeSelect

Syntax

PaperSizeSelect(Name As String, [Width As Integer], [Height As Integer], [Type As _PaperSizeSelect_Type_enum])

Description

Specify a page size for the current document.

Parameters

Name: string	The name of a paper definition.
Width: measurement (optional)	The width of the page.
Height: measurement (optional)	The height of the page.
Type: enumeration (optional)	Bond! Cardstock! ClayBased! Envelope! Glossy! Labels! Letterhead! Other! Standard! Transparency!
 Related topics


ParagraphBorderDlg

Syntax

ParagraphBorderDlg()

Description

Display the Paragraph Border/Fill dialog box.

 Related topics


ParagraphBreakShippingMacro

Syntax

ParagraphBreakShippingMacro()

Description

Play the shipping macro PARABRK.WCM to display the Paragraph Breaks dialog box, where graphical paragraph break markers can be edited and selected to insert after the next [HRt]. PARABRK.WCM must be installed.


ParagraphDown

Syntax

ParagraphDown()

Description

Move the insertion point to the beginning of the next paragraph (after [HRt] or [HRt]). Recordable substitute: PosParagraphNext().

 Related topics


ParagraphFormatDlg

Syntax

ParagraphFormatDlg()

Description

Display the Paragraph Format dialog box.


ParagraphHangingIndent

Syntax

ParagraphHangingIndent()

Description

Align the first line of a paragraph with the left margin and indent the remaining lines to the next tab stop.


ParagraphNumberDefDlg

Syntax

ParagraphNumberDefDlg()

Description

Display the Change Outline Level dialog box.

 Related topics


ParagraphSetNumber

Syntax

 ParagraphSetNumber(Level As Integer, StartValue As Integer)

Description

Specify the level and starting value for paragraph numbering.

Parameters

Level: numeric	The level of paragraph numbering.
StartValue: numeric	The start value of paragraph numbering.
 Related topics


ParagraphSpacing

Syntax

ParagraphSpacing(AmtSpc As Double, [DotSpc As Integer])

Description

Lets you specify the spacing between paragraphs. The default spacing is the font point size plus two points.

Parameters

AmtSpc: numeric	Default: 1.0.
DotSpc: numeric (optional)
 Related topics


ParagraphUp

Syntax

ParagraphUp()

Description

Move the insertion point to the beginning of the previous paragraph. Recordable substitute: PosParagraphPrevious.

 Related topics


Paste

Syntax

Paste()

Description

Paste the Clipboard contents at the insertion point.

 Related topics


PasteLink

Syntax

PasteLink(FormatName As String, FormatId As Integer, LinkType As _PasteLink_LinkType_enum)

Description

Insert an object from the Clipboard into the current document, thus creating a link with the server application that created the object.

Parameters

FormatName: string	The format of the linked object. Consult your server application's documentation for a valid format name.
FormatId: numeric	The identification number of the format of the linked object. Consult your server application's documentation for a valid format ID.
LinkType: enumeration	Dde! Ole!
 Related topics


PauseCommand

Syntax

PauseCommand(Token As Integer)

Description

Pause a macro until a specified macro method is executed. For example, Enter executes the HardReturn method. PauseCommand does not prompt the user to press a key, so it is often used with PROMPT.

Parameters

Token: method name	The method to pause.
 Related topics


PauseKey

Syntax

 PauseKey(Key As _PauseKey_Key_enum, [Character As String])

Description

Pause a macro until a specified key or character is pressed.

Parameters

Key: enumeration	The key to resume macro execution. Default: Enter!. Any! resumes when any key is pressed, including Backspace, Delete, and Ctrl+Enter. Any! Cancel! Character! Close! Enter!
Character: string (optional)	The case-sensitive character that resumes macro execution when pressed. Use if the Key parameter is Character!.
 Related topics


PauseSet

Syntax

 PauseSet(Token As Integer)

Description

Specify a method to replace a [HRt] that ends a PAUSE method.

Parameters

Token: method name	A method to resume a paused macro. Usually represents a keystroke.
 Related topics


PerfectExpert

Syntax

PerfectExpert([State As _PerfectExpert_State_enum]) As Boolean

Description

Open the User Assistant.

Return Value

True - The User Assistant opened.

False - The User Assistant did not open.


PersonalInfoDlg

Syntax

PersonalInfoDlg() As Boolean

Description

Display the Corel Address Book with the personal information record selected. If the personal information has not been previously specified, the first record in the current address book is selected.

Return Value

Returns True if the Select button was clicked to dismiss the dialog box, False if the Close button was clicked to dismiss the dialog box.

 Related topics


PersonalInfoFormatAddr

Syntax

PersonalInfoFormatAddr(Format As String) As String

Description

Return the personal information stored in the address book using the specified format.

Parameters

Format: string	The format specification used when returning the personal information. Use AddressBookFormatGetFormat() or AddressBookFormatGetCurrent() to retrieve an address format specification.
 Related topics


PersonalInfoGetField

Syntax

PersonalInfoGetField(Field) As String

Description

Return the value of a field from the current personal information stored in the address book.

Parameters

Field: any	If this parameter is a number, the method will try to return the value of the field with that code number. If this parameter is a string, the method will try to return the value of the field with that name.
 Related topics


PlayClipBoardShippingMacro

Syntax

PlayClipBoardShippingMacro()

Description

Play the shipping macro READCLP.WCM to speak Clipboard text. READCLP.WCM must be installed. ProVoice or Monologue text-to-speech software is required.


PlayFileShippingMacro

Syntax

 PlaySelectionShippingMacro()

Description

Play the shipping macro READFILE.WCM to speak a text file or play a .WAV, .AVI, or .MID file. READFILE.WCM must be installed. ProVoice or Monologue text-to-speech software is required.


PlaySelectionShippingMacro

Syntax

PlaySelectionShippingMacro()

Description

Play the shipping macro READSEL.WCM to speak selected text. Not recordable. READSEL.WCM must be installed. ProVoice or Monologue text-to-speech software is required.


PleadingShippingMacro

Syntax

PleadingShippingMacro()

Description

Play the shipping macro PLEADING.WCM to display the Pleading Paper dialog box, in which you specify and generate pleading options. PLEADING.WCM must be installed.


PosBlockBeg

Syntax

PosBlockBeg()

Description

Move the insertion point to the beginning of the selected text, then deselect the text. Included for DOS compatibility. Windows equivalent: PosSelectTop.

 Related topics


PosBlockBottom

Syntax

PosBlockBottom()

Description

Move the insertion point to the bottom of the selected text. Included for DOS compatibility. Windows equivalent: PosSelectBottom().

 Related topics


PosBlockTop

Syntax

PosBlockTop()

Description

Move the insertion point to the top of the selected text. Included for DOS compatibility. Windows equivalent: PosSelectTop().

 Related topics


PosCellDown

Syntax

PosCellDown()

Description

Move the insertion point down one row. Recordable equivalent: PosTableCellDown().

 Related topics


PosCellNext

Syntax

PosCellNext()

Description

Move the insertion point to the beginning of the next cell in the current table. If the insertion point is in the last cell of a table, the insertion point is moved to the beginning of that cell. Recordable equivalent: PosTableTopCellNext().

 Related topics


PosCellPrevious

Syntax

PosCellPrevious()

Description

Move the insertion point to the beginning of the previous cell in the current table. If the insertion point is in the first cell of a table, the insertion point is moved to the beginning of that cell. Recordable equivalent: PosTableCellPrevious().

 Related topics


PosCellUp

Syntax

PosCellUp()

Description

Move the insertion point up one cell. Recordable equivalent: PosTableCellUp().

 Related topics


PosCharacter

Syntax

PosCharacter(CharToMoveTo As String)

Description

Move the insertion point forward to a specified character. Maximum forward movement is 2,000 characters. Case sensitive. If the specified character is not found, this method does nothing.

Parameters

CharToMoveTo:	The single search character.
 Related topics


PosCharNext

Syntax

PosCharNext()

Description

Move the insertion point to the next character to the right.

 Related topics


PosCharPrevious

Syntax

PosCharPrevious()

Description

Move the insertion point to the previous character.

 Related topics


PosColBottom

Syntax

PosColBottom()

Description

Move the insertion point to the beginning of the last line before a page break. Move to the end of the document if there is no page break. In columns, move the insertion point to the beginning of the last line of the column. In tables, move to the beginning of the last line of the last cell in the current column that contains data.

 Related topics


PosColFirst

Syntax

PosColFirst()

Description

Move the insertion point to the beginning of the line. In columns, move the insertion point to the beginning of the line in the first column. In tables, no effect.

 Related topics


PosColLast

Syntax

PosColLast()

Description

Move the insertion point to the beginning of the current line. In columns, move the insertion point to the beginning of the current line in the last column. In tables, this method has no effect.

 Related topics


PosColNext

Syntax

PosColNext()

Description

Move the insertion point to the beginning of the current line in the next column or to the current line in the current row of the next table column.

 Related topics


PosColPrevious

Syntax

PosColPrevious()

Description

Move the insertion point to the beginning of the current line in the previous column or to the beginning of the current row and line in the previous table column.

 Related topics


PosColTop

Syntax

PosColTop()

Description

In columns, move the insertion point to the beginning of the current column. In tables, move to the beginning of the current row in the previous column. If there are multiple lines in the current cell, move the insertion point to the beginning of the previous line in the current cell. In regular (non-column) text, move the insertion point to the beginning of the previous line.

 Related topics


PosDocBottom

Syntax

PosDocBottom()

Description

Move the insertion point to the end of the document, after all codes.

 Related topics


PosDocTop

Syntax

PosDocTop()

Description

Move the insertion point to the beginning of the document, after any initial codes.

 Related topics


PosDocVeryTop

Syntax

 PosDocVeryTop()

Description

Move the insertion point to the beginning of a document, before any codes.

 Related topics


PosEndnote

Syntax

PosEndnote([EndnoteNumber As Integer])

Description

Moves the insertion point to an endnote.

Parameters

EndnoteNumber: numeric	The number of the endnote.


PosFootnote

Syntax

PosFootnote([FootnoteNumber As Integer])

Description

Moves the insertion point to a footnote.

Parameters

FootnoteNumber:	The number of the footnote.


PosFunction

Syntax

 PosFunction(Function As _PosFunction_Function_enum)

Description

Move the insertion point to the right of the next occurrence of the code specified in the Function parameter.

Parameters

Function: enumeration	CancelHyphenation! HardEndOfLine! HardHyphen! HardSpace! SoftEndOfLine! Tab!
 Related topics


PosGoPrevious

Syntax

PosGoPrevious()

Description

Move the insertion point to its previous position.

 Related topics


PosGoToDlg

Syntax

PosGoToDlg()

Description

Display the Go To dialog box.

 Related topics


PosHeading

Syntax

PosHeading([HeadingNumber As Integer])

Description

Move the insertion point to a heading.

Parameter

HeadingNumber: numeric	The number of the heading.


PosIndex

Syntax

 PosIndex()

Description

Move the insertion point to the index.


PosLine

Syntax

PosLine([LineNumber As Integer])

Description

Lets you specify the line number to which to move the insertion point.

Parameter

LineNumber:	The line number


PosLineBeg

Syntax

PosLineBeg()

Description

Move the insertion point to the beginning of the current line.

 Related topics


PosLineDown

Syntax

PosLineDown()

Description

Move the insertion point down one line.

 Related topics


PosLineEnd

Syntax

PosLineEnd()

Description

Move the insertion point to the end of the current line.

 Related topics


PosLineUp

Syntax

 PosLineUp()

Description

Move the insertion point up one line.

 Related topics


PosLineVeryBeg

Syntax

PosLineVeryBeg()

Description

Move the insertion point to the beginning of a line, before codes.

 Related topics


PosLineVeryEnd

Syntax

PosLineVeryEnd()

Description

Move the insertion point to the end of the current line after codes, except [HRt] and [SRt].

 Related topics


PosNextComment

Syntax

 PosNextComment()

Description

Move the insertion point to the next comment.


PosNextEndnote

Syntax

PosNextEndnote()

Description

Move the insertion point to the next endnote.


PosNextFootnote

Syntax

PosNextFootnote()

Description

Move the insertion point to the next footnote.


PosNextHeading

Syntax

 PosNextHeading()

Description

Move the insertion point to the next heading.


PosNextTOC

Syntax

PosNextTOC()

Description

Move the insertion point to the next table of contents.


PosNextIndex

Syntax

PosNextIndex()

Description

Move the insertion point to the next index.


PosNextTOA

Syntax

 PosNextTOA()

Description

Move the insertion point to the next table of authorities.


PosPage

Syntax

PosPage(Volume As _PosPage_Volume_enum, Chapter As _PosPage_Chapter_enum, Page As _PosPage_Page_enum, [Direction As _PosPage_Direction_enum])

Description

Move the insertion point to a specified page.

Parameters

Volume: enumeration	NoneSpecified!
Chapter: enumeration	NoneSpecified!
Page: enumeration	NoneSpecified!
Direction: enumeration (optional)	Down! Up!
 Related topics


PosPageBottom

Syntax

PosPageBottom()

Description

Move the insertion point to the beginning of the last line on the current page. On the last page of a document, move to the end of the last line.

 Related topics


PosPageNext

Syntax

PosPageNext()

Description

Move the insertion point to the beginning of the next page. On the last page of the document, move to the end.

 Related topics


PosPagePrevious

Syntax

 PosPagePrevious()

Description

Move the insertion point to the beginning of the previous page. On the first page of the document, move to the top of the page.

 Related topics


PosPageTop

Syntax

PosPageTop()

Description

Move the insertion point to the beginning of the current page. In columns, move to the beginning of the current column.

 Related topics


PosParagraphNext

Syntax

PosParagraphNext()

Description

Move the insertion point to the beginning of the next paragraph. In the last paragraph of a document, move to the end.

 Related topics


PosParagraphPrevious

Syntax

PosParagraphPrevious()

Description

Move the insertion point to the beginning of the current paragraph. At the beginning of a paragraph, move to the beginning of the previous paragraph.

 Related topics


PosPrevFootnote

Syntax

PosPrevFootnote()

Description

Move the insertion point to the previous endnote.


PosPrevEndnote

Syntax

PosPrevEndnote()

Description

Move the insertion point to the previous endnote.


PosPrevHeading

Syntax

PosPrevHeading()

Description

Move the insertion point to the previous heading.


PosPrevComment

Syntax

PosPrevComment()

Description

Move the insertion point to the previous comment.


PosPrevTOC

Syntax

 PosPrevTOC()

Description

Move the insertion point to the previous table of contents.


PosPrevIndex

Syntax

 PosPrevIndex()

Description

Move the insertion point to the previous index.


PosPrevTOA

Syntax

PosPrevTOA()

Description

Move the insertion point to the previous table of authorities.


PosScreenDown

Syntax

PosScreenDown()

Description

Move the insertion point to the bottom of the screen, then down one screen at a time with each repetition of the method.

 Related topics


PosScreenLeft

Syntax

PosScreenLeft()

Description

Move the insertion point to the left edge of the screen, then left one screen at a time with each repetition of the method.

 Related topics


PosScreenRight

Syntax

PosScreenRight()

Description

Move the insertion point to the right edge of the screen, then right one screen at a time with each repetition of the method.

 Related topics


PosScreenUp

Syntax

PosScreenUp()

Description

Move the insertion point to the top of the screen, then up one screen at a time with each repetition of the method.

 Related topics


PosSelectBottom

Syntax

PosSelectBottom()

Description

Move the insertion point to the end of the selected text.

 Related topics


PosSelectTop

Syntax

PosSelectTop()

Description

Move the insertion point to the beginning of selected text.

 Related topics


PosTableBegin

Syntax

PosTableBegin()

Description

Move the insertion point to the first cell of a table.

 Related topics


PosTableBlockBeg

Syntax

PosTableBlockBeg()

Description

Deselect all selected table cells except the first cell in the selection.

 Related topics


PosTableCell

Syntax

 PosTableCell(Cell As String)

Description

Move the insertion point to a specified cell.

Parameters

Cell: string	The cell you want to have the insertion point move to.


PosTableCellBottom

Syntax

 PosTableCellBottom()

Description

Move the insertion point to the beginning of the last line in a cell.

 Related topics


PosTableCellDown

Syntax

PosTableCellDown()

Description

Move the insertion point down one table row to the beginning of the first line in the cell.

 Related topics


PosTableCellNext

Syntax

PosTableCellNext()

Description

Move the insertion point to the beginning of the next cell.

 Related topics


PosTableCellPrevious

Syntax

PosTableCellPrevious()

Description

Move the insertion point to the beginning of the previous cell. If there are two or more lines in the current cell but only one line in the previous cell, move to the beginning of the previous cell. If there are one or more lines in both the current and previous cells, move to the beginning of the current line in the previous cell.

 Related topics


PosTableCellTop

Syntax

PosTableCellTop()

Description

Move the insertion point to the beginning of the cell.

 Related topics


PosTableCellUp

Syntax

PosTableCellUp()

Description

Move the insertion point up one table cell.

 Related topics


PosTableColBottom

Syntax

PosTableColBottom()

Description

Move the insertion point to the beginning of the last cell in the current column. If select mode is on, the selection is extended.

 Related topics


PosTableColumnBottom

Syntax

PosTableColumnBottom()

Description

Move the insertion point to the beginning of the last cell in the current column. If select mode is on, select mode is turned off before the insertion point moves.

 Related topics


PosTableColumnTop

Syntax

PosTableColumnTop()

Description

Move the insertion point to the beginning of the table column.

 Related topics


PosTableEnd

Syntax

PosTableEnd()

Description

Move the insertion point to the beginning of the last table cell.

 Related topics


PosTableGoPrevious

Syntax

PosTableGoPrevious()

Description

Return the insertion point to its previous position in a table.


PosTableRowBegin

Syntax

PosTableRowBegin()

Description

Move the insertion point to the beginning of the current row.

 Related topics


PosTableRowEnd

Syntax

PosTableRowEnd()

Description

Move the insertion point to the beginning of the last cell in the row.

 Related topics


PosTableScreenDown

Syntax

PosTableScreenDown()

Description

Move the insertion point to the beginning of the last complete cell of the current column in the current screen, and down one screen with each repetition of the method.

 Related topics


PosTableScreenLeft

Syntax

PosTableScreenLeft()

Description

Move the insertion point to the beginning of the first complete cell in the row, and left one screen at a time with each repetition.

 Related topics


PosTableScreenRight

Syntax

PosTableScreenRight()

Description

Move the insertion point to the beginning of the last complete table cell of the row in the current screen, and right one screen at a time with each repetition.

 Related topics


PosTableScreenUp

Syntax

PosTableScreenUp()

Description

Move the insertion point to the beginning of first table cell of the screen in a table, and up one screen with each repetition.

 Related topics


PosTableTopCellNext

Syntax

PosTableTopCellNext()

Description

Move the insertion point to the beginning of the next cell. If the cells contain two or more lines, move to the beginning of the current line in the next cell. If the insertion point is in the last cell of a table, a new table row is created at the bottom of the table.

 Related topics


PosTableTopCellPrevious

Syntax

PosTableTopCellPrevious()

Description

Move the insertion point to the top of the previous table cell.

 Related topics


PosTOC

Syntax

PosTOC()

Description

Move the insertion point to the table of contents.


PosTOA

Syntax

PosTOA()

Description

Move the insertion point to the table of authorities.


PosWordNext

Syntax

PosWordNext()

Description

Move the insertion point to the beginning of the next word. Words separated by two hyphens or an em dash are treated as one word.

 Related topics


PosWordPrevious

Syntax

PosWordPrevious()

Description

Move the insertion point to the beginning of the previous word. If the insertion point is located within a word, the insertion point is moved to the beginning of the current word. Words separated by two hyphens or an em dash are treated as one word.

 Related topics


PowerBarEditDlg

Syntax

PowerBarEditDlg()

Description

Display the Toolbar Editor - Power Bar dialog box.

 Related topics


PowerBarOptionsDlg

Syntax

PowerBarOptionsDlg()

Description

Display the Power Bar Options dialog box.

 Related topics


PowerBarShow

Syntax

 PowerBarShow([State As _PowerBarShow_State_enum])

Description

Display (On!) or hide (Off!) the Power Bar. If no parameter is specified, this method toggles the Power Bar display.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


PowerTableNumericFormat

Syntax

PowerTableNumericFormat()

Description

Change the number format of a cell.

 Related topics


PrefApplicationBarEdit

Syntax

 PrefApplicationBarEdit([State As _PrefApplicationBarEdit_State_enum])

Description

Edit the Application Bar by adding or removing items.

Parameters

State: enumeration (optional)	Off! On!


PrefBackupPath

Syntax

 PrefBackupPath([BackupDir As String], [UpdateQuickList As _PrefBackupPath_UpdateQuickList_enum])

Description

Specify the document backup directory and whether to update the QuickList.

Parameters

BackupDir: string (optional)	The directory where backup files are stored.
UpdateQuickList: enumeration (optional)	No! Yes!


PrefBeep

Syntax

PrefBeep([Error As _PrefBeep_Error_enum], [Hyphenation As _PrefBeep_Hyphenation_enum], [SearchFailure As _PrefBeep_SearchFailure_enum])

Description

Specify when to turn Beep on or off.

Parameters

Error: enumeration (optional)	Off! On!
Hyphenation: enumeration (optional)	Off! On!
SearchFailure: enumeration (optional)	Off! On!
 Related topics


PrefButtonBar

Syntax

PrefButtonBar()

Description

Display the Toolbar Preferences dialog box.


PrefDisplayDlg

Syntax

 PrefDisplayDlg()

Description

Display the Display Preferences dialog box.


PrefDisplaySet

Syntax

 PrefDisplaySet([DefaultView As _PrefDisplaySet_DefaultView_enum], [ShowTableGridLines As _PrefDisplaySet_ShowTableGridLines_enum], [ShowComments As _PrefDisplaySet_ShowComments_enum], [ShowGraphics As _PrefDisplaySet_ShowGraphics_enum], [TextInSystemColors As _PrefDisplaySet_TextInSystemColors_enum], [ShowHiddenText As _PrefDisplaySet_ShowHiddenText_enum], [SculpturedDialogs As _PrefDisplaySet_SculpturedDialogs_enum], [VerticalScrollBar As _PrefDisplaySet_VerticalScrollBar_enum], [HorizontalScrollBar As _PrefDisplaySet_HorizontalScrollBar_enum], [ShowHotSpots As _PrefDisplaySet_ShowHotSpots_enum], [ShowShadowCursor As _PrefDisplaySet_ShowShadowCursor_enum], [ShowTabBarIcons As _PrefDisplaySet_ShowTabBarIcons_enum], [ShowMarginIcons As _PrefDisplaySet_ShowMarginIcons_enum], [ShowRealWYSBYGI As _PrefDisplaySet_ShowRealWYSBYGI_enum])

Description

Specify how to display features.

Parameters

DefaultView: enumeration (optional)	ViewDraft! ViewPage! ViewTwoPage!
ShowTableGridLines: enumeration (optional)	No! Yes!
ShowComments: enumeration (optional)	No! Yes!
ShowGraphics: enumeration (optional)	No! Yes!
TextInSystemColors: enumeration (optional)	No! Yes!
ShowHiddenText: enumeration (optional)	No! Yes!
SculpturedDialogs: enumeration (optional)	No effect in version 7. No! Yes!
VerticalScrollBar: enumeration (optional)	No! Yes!
HorizontalScrollBar: enumeration (optional)	Hide! Show!
ShowHotSpots: enumeration (optional)	Set the QuickSpot display state. No effect after version 7. No! Yes!
ShowMarginIcons: enumeration (optional)	No! Yes!
ShowRealWYSIWYG: enumeration (optional)	No! Yes!
ShowShadowCursor: enumeration (optional)	No! Yes!
ShowTabBarIcons: enumeration (optional)	No! Yes!
 Related topics


PrefDocSummary

Syntax

 PrefDocSummary([SubjectSearchText As String], [DefaultDescriptiveType As String], [CreateOnExit As _PrefDocSummary_CreateOnExit_enum], [UseDescrOnOpen As _PrefDocSummary_UseDescrOnOpen_enum], [MakeFilenameDescrOnSaveAs As _PrefDocSummary_MakeFilenameDescrOnSaveAs_enum])

Description

Specify subject search text and default descriptive type for a document summary, and whether to create the summary automatically when saving a document.

Parameters

SubjectSearchText: string (optional)	The text before the subject line.
DefaultDescriptiveType: string (optional)	The description of the file type.
CreateOnExit: enumeration (optional)	No! Yes!
UseDescrOnOpen: enumeration (optional)	No! Yes!
MakeFilenameDescrOnSaveAs: enumeration (optional)	No! Yes!
 Related topics


PrefDocSummaryDlg

Syntax

PrefDocSummaryDlg()

Description

Display the Document Summary Preferences dialog box.

 Related topics


PrefEnvironment

Syntax

 PrefEnvironment([UserName As String], [UserInitials As String], [UserColorRed As Integer], [UserColorGreen As Integer], [UserColorBlue As Integer], [ConfirmCodeDeletion As _PrefEnvironment_ConfirmCodeDeletion_enum], [ConfirmTableFormulaDeletion As _PrefEnvironment_ConfirmTableFormulaDeletion_enum], [SetQuickMarkOnSave As _PrefEnvironment_SetQuickMarkOnSave_enum], [ActivateHypertext As _PrefEnvironment_ActivateHypertext_enum], [FormatForDefaultPrinter As _PrefEnvironment_FormatForDefaultPrinter_enum], [SaveWorkspace As _PrefEnvironment_SaveWorkspace_enum], [AutoWordSelect As _PrefEnvironment_AutoWordSelect_enum], [GoToQuickMarkOnOpen As _PrefEnvironment_GoToQuickMarkOnOpen_enum], [Use51LetterStyle As _PrefEnvironment_Use51LetterStyle_enum])

Description

Specify environment settings.

Parameters

UserName: string (optional)	The user name.
UserInitials: string (optional)	The user ID.
UserColorRed: numeric (optional)	Value: 0-255.
UserColorGreen: numeric (optional)	Value: 0-255.
UserColorBlue: numeric (optional)	Value: 0-255.
ConfirmCodeDeletion: enumeration (optional)	No! Yes!
ConfirmTableFormulaDeletion: enumeration (optional)	No! Yes!
SetQuickMarkOnSave: enumeration (optional)	No! Yes!
ActivateHypertext: enumeration (optional)	Off! On!
FormatForDefaultPrinter: enumeration (optional)	No! Yes!
SaveWorkSpace: enumeration (optional)	Save the current WorkSpace on exit. Always! Never! PromptOnExit!
AutoWordSelect: enumeration (optional)	Off! On!
GoToQuickMarkOnOpen: enumeration (optional)	No! Yes!
Use51LetterStyle: enumeration (optional)	No! Yes!
  Related topics


PrefEnvSettingsDlg

Syntax

PrefEnvSettingsDlg()

Description

Display the Environment Settings dialog box.


PrefHyphenation

Syntax

PrefHyphenation([Prompt As _PrefHyphenation_Prompt_enum])

Description

Turn on Hyphenation and specify prompt conditions.

Parameters

Prompt: enumeration (optional)	Always! Never! WhenRequired!
 Related topics


PrefImportDlg

Syntax

PrefImportDlg()

Description

Display the Convert Preferences dialog box.


PrefImportOptions

Syntax

 PrefImportOptions([FieldDelimiters As String], [RecordDelimiters As String], [StripCharacter As String], [EncapsulationCharacter As String]

Description

Specify how certain characters are interpreted during document imports.

Parameters

FieldDelimiters: string (optional)	The delimiters for imported files.
RecordDelimiters: string (optional)	The record delimiters for imported files.
StripCharacter: string (optional)	The characters to strip out of imported files.
EncapsulationCharacter: string (optional)	The encapsulated character for the imported files.


PrefLanguageSet

Syntax

PrefLanguageSet(LanguageCode As String)

Description

Specify a language.

Parameters

LanguageCode: string	The interface language.


PrefLiteCodes

Syntax

PrefLiteCodes([Show As _PrefLiteCodes_Show_enum], [Space As _PrefLiteCodes_Space_enum], [HardReturn As _PrefLiteCodes_HardReturn_enum], [Tab As _PrefLiteCodes_Tab_enum], [Indent As _PrefLiteCodes_Indent_enum], [SoftHyphen As _PrefLiteCodes_SoftHyphen_enum], [Advance As _PrefLiteCodes_Advance_enum], [Center As _PrefLiteCodes_Center_enum], [CenterPage As _PrefLiteCodes_CenterPage_enum], [FlushRight As _PrefLiteCodes_FlushRight_enum])

Description

Display document symbols in new and current document windows.

Parameters

Show: enumeration (optional)	Display document symbols. No! Yes!
Space: enumeration (optional)	No! Yes!
HardReturn: enumeration (optional)	No! Yes!
Tab: enumeration (optional)	No! Yes!
Indent: enumeration (optional)	No! Yes!
SoftHyphen: enumeration (optional)	No! Yes!
Advance: enumeration (optional)	No! Yes!
Center: enumeration (optional)	No! Yes!
CenterPage: enumeration (optional)	No! Yes!
FlushRight: enumeration (optional)	No! Yes!


PrefLocationDlg

Syntax

PrefLocationDlg()

Description

Display the File Preferences dialog box.


PrefLocationOfDocuments

Syntax

 PrefLocationOfDocuments([Path As String], [UseDefExt As _PrefLocationOfDocuments_UseDefExt_enum], [DefExt As String], [UpdateQuickList As _PrefLocationOfDocuments_UpdateQuickList_enum], [DefFormat As String], [UseExplorerStyleFileDialogs As _PrefLocationOfDocuments_UseExplorerStyleFileDialogs_enum], [UseOrigFileFormat As _PrefLocationOfDocuments_UseOrigFileFormat_enum], [UseODMAIntegration As _PrefLocationOfDocuments_UseODMAIntegration_enum])

Description

Specify the location of document and backup files and the default file format.

Parameters

Path: string (optional)	The directory for the backup files.
UseDefExt: enumeration (optional)	Use the default extension on Open and Save. No! Yes!
DefExt: string (optional)	The default filename extension.
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!
DefFormat: string (optional)	The default document file format.
UseExplorerStyleFileDialogs: enumeration (optional)	No! Yes!
UseOrigFileFormat: enumeration (optional)	No! Yes!
UseODMAIntegration: enumeration (optional)	No! Yes!


PrefLocationOfGraphicsFiles

Syntax

PrefLocationOfGraphicsFiles([GraphicsDir As String], [GraphicsSupplDir As String], [UpdateQuickList As _PrefLocationOfGraphicsFiles_UpdateQuickList_enum], [GraphicsFancyBordersDir As String])

Description

Specify the location of graphics files.

Parameters

GraphicsDir: string (optional)	The directory for graphics files
GraphicsSupplDir: string (optional)	The directory for supplemental graphics..
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!
GraphicsFancyBordersDir: string (optional)	The directory for fancy border files.


PrefLocationOfMacroFiles

Syntax

PrefLocationOfMacroFiles([MacroDir As String], [MacroSupplDir As String], [UpdateQuickList As _PrefLocationOfMacroFiles_UpdateQuickList_enum])

Description

Specify the location of macro files.

Parameters

MacroDir: string (optional)	The directory for macros files.
MacroSupplDir: string (optional)	The macro supplemental directory.
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!


PrefLocationOfPrinterFiles

Syntax

PrefLocationOfPrinterFiles([PrinterDir As String], [PrinterSupplDir As String], [LabelFile As String], [LabelsDisplay As _PrefLocationOfPrinterFiles_LabelsDisplay_enum], [UpdateQuickList As _PrefLocationOfPrinterFiles_UpdateQuickList_enum])

Description

Specify the location of label files and set related options.

Parameters

PrinterDir: string (optional)	Formerly, the Printer directory was used to store WordPerfect printer driver and label files. WordPerfect printer driver files were not used in WordPerfect 8 and 7. Therefore, this directory is used for label files only.
PrinterSupplDir: string (optional)	This parameter is obsolete.
LabelFile: string (optional)	The label filename, including the full path.
LabelsDisplay: enumeration (optional)	DisplayBoth! DisplayLaser! DisplayTractorFed!
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!
 Related topics


PrefLocationOfSpreadsheetFiles

Syntax

 PrefLocationOfSpreadsheetFiles([SpreadsheetDir As String], [SpreadsheetSupplDir As String], [DatabaseDir As String], [DatabaseSupplDir As String], [UpdateQuickList As _PrefLocationOfSpreadsheetFiles_UpdateQuickList_enum])

Description

Specify the location of spreadsheet and database files.

Parameters

SpreadsheetDir: string (optional)	The directory for spreadsheet files.
SpreadsheetSupplDir: string (optional)	The supplemental spreadsheet directory.
DatabaseDir: string (optional)	The directory for database files.
DatabaseSupplDir: string (optional)	The supplemental database directory.
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!


PrefLocationOfTemplates

Syntax

PrefLocationOfTemplates([TemplateDir As String], [TemplateSupplPath As String], [File As String], [SupplFile As String], [DefExt As String], [UpdateQuickList As _PrefLocationOfTemplates_UpdateQuickList_enum], [UpdateDefaultTemplate As _PrefLocationOfTemplates_UpdateDefaultTemplate_enum])

Description

Specify the location of template files.

Parameters

TemplateDir: string (optional)	The directory for template files.
TemplateSupplPath: string (optional)	The supplemental directory.
File: string (optional)	The templates filename.
SupplFile: string (optional)	The supplemental filename.
DefExt: string (optional)	The default filename extension.
UpdateQuickList: enumeration (optional)	Update the QuickList with changes. No! Yes!
UpdateDefaultTemplate: enumeration (optional)	No! Yes!


PrefMenu

Syntax

PrefMenu([DisplayShortcuts As _PrefMenu_DisplayShortcuts_enum], [DisplayLastOpened As _PrefMenu_DisplayLastOpened_enum], [DisplayHelpPrompts As _PrefMenu_DisplayHelpPrompts_enum])

Description

Display QuickTips, shortcut keys next to menu items, and the most recently opened documents at the bottom of the File menu.

Parameters

DisplayShortcuts: enumeration (optional)	No! Yes!
DisplayLastOpened: enumeration (optional)	No! Yes!
DisplayHelpPrompts: enumeration (optional)	No! Yes!
 Related topics


PrefMergeCodes

Syntax

 PrefMergeCodes(Show As _PrefMergeCodes_Show_enum)

Description

Change how merge codes appear in the document.

Parameters

Show: enumeration	Hide! Show! ShowAsBars! ShowAsMarkers!


PrefMergeExtensions

Syntax

PrefMergeExtensions([UseDefaultFormExt As _PrefMergeExtensions_UseDefaultFormExt_enum], [FormFileExt As String], [UseDefaultDataExt As _PrefMergeExtensions_UseDefaultDataExt_enum], [DataFileExt As String])

Description

Specify merge form and data file extension options.

Parameters

UseDefaultFormExt: enumeration (optional)	No! Yes!
FormFileExt: string (optional)	The extension for form files.
UseDefaultDataExt: enumeration (optional)	No! Yes!
DataFileExt: string (optional)	The extension for data files.
 Related topics


PrefMetafileOptions

Syntax

PrefMetafileOptions(State As _PrefMetafileOptions_State_enum)

Description

Specify what format to use for imported graphics files.

Parameters

State: enumeration	Convert to WordPerfect (.WPG) format, retain both formats, or retain Metafile (.WMF) format. ConvertToWPG! RetainWindowsAndWPG! RetainWindowsFormat!


PrefPowerBar

Syntax

PrefPowerBar([Font As String], [Size As Integer], [Style As _PrefPowerBar_Style_enum], [ShowQuickTips As _PrefPowerBar_ShowQuickTips_enum])

Description

Specify how the Power Bar looks.

Parameters

Font: string (optional)	The font face.
Size: numeric (optional)	The font size.
Style: enumeration (optional)	A button style. Picture! PictureAndText! Text!
ShowQuickTips: enumeration (optional)	No! Yes!


PrefPowerBarEdit

Syntax

PrefPowerBarEdit([Action As _PrefPowerBarEdit_Action_enum])

Description

Open and close the Power Bar Preferences dialog box.

Parameters

Action: enumeration (optional)	Enter! Exit!


PrefPrintEnvironment

Syntax

PrefPrintEnvironment(FormatForDefaultPrinter As _PrefPrintEnvironment_FormatForDefaultPrinter_enum)

Description

Turn on or off Reformat documents for the WordPerfect default printer on open.

Parameters

FormatForDefaultPrinter: enumeration	No! Yes!
 Related topics


PrefPrintRedline

Syntax

 PrefPrintRedline([Method As _PrefPrintRedline_Method_enum], [Character As String])

Description

Specify the default method and character of redlined text for new documents. Follow this method with PrefSave to save the setting for future WordPerfect sessions. Use RedlineMethod() and RedlineCharacter() to change the redline method and/or character of the current document.

Parameters

Method: enumeration (optional)	Accept the printer setting, or specify a column of characters down the right, left, or alternating sides of redlined text. Alternating! Left! PrinterDependent! Right!
Character: string (optional)	The character to display down the side of redlined text. Omit if Method parameter is PrinterDependent!.
 Related topics


PrefPrintSizeRatio

Syntax

PrefPrintSizeRatio([Fine As Integer], [Small As Integer], [Large As Integer], [VeryLarge As Integer], [ExtraLarge As Integer], [SuperSubscript As Integer])

Description

Specify the size for each font attribute as a percent of the selected font size.

Parameters

Fine: numeric (optional)	Value: 1-100.
Small: numeric (optional)	Value: 1-100.
Large: numeric (optional)	Value: 1-100.
VeryLarge: numeric (optional)	Value: 1-100.
ExtraLarge: numeric (optional)	Value: 1-100.
SuperSubscript: numeric (optional)	Value: 1-100.
 Related topics


PrefRevealCodes

Syntax

PrefRevealCodes([FontFace As String], [FontSize As Integer], [WindowSize As Integer], [ShowOnNew As _PrefRevealCodes_ShowOnNew_enum], [ShowSpacesAsBullets As _PrefRevealCodes_ShowSpacesAsBullets_enum], [WrapAtWindow As _PrefRevealCodes_WrapAtWindow_enum], [ShowInDetail As _PrefRevealCodes_ShowInDetail_enum], [Sculptured As _PrefRevealCodes_Sculptured_enum], [ForeColorRed As Integer], [ForeColorGreen As Integer], [ForeColorBlue As Integer], [BackColorRed As Integer], [BackColorGreen As Integer], [BackColorBlue As Integer], [ShowHelpPrompts As _PrefRevealCodes_ShowHelpPrompts_enum], [UseSystemColors As _PrefRevealCodes_UseSystemColors_enum])

Description

Specify Reveal Code settings.

Parameters

FontFace: string (optional)	The font face for reveal codes.
FontSize: numeric (optional)	The font size for reveal codes.
WindowSize: numeric (optional)	A percent of the screen.
ShowOnNew: enumeration (optional)	Display the codes in current and new documents. No! Yes!
ShowSpacesAsBullets: enumeration (optional)	No! Yes!
WrapAtWindow: enumeration (optional)	Wrap the lines at the window edge. No! Yes!
ShowInDetail: enumeration (optional)	No! Yes!
Sculptured: enumeration (optional)	No! Yes!
ForeColorRed: numeric (optional)	Value: 0-255.
ForeColorGreen: numeric (optional)	Value: 0-255.
ForeColorBlue: numeric (optional)	Value: 0-255.
BackColorRed: numeric (optional)	Value: 0-255.
BackColorGreen: numeric (optional)	Value: 0-255.
BackColorBlue: numeric (optional)	Value: 0-255.
ShowHelpPrompts: enumeration (optional)	No! Yes!
UseSystemColors: enumeration (optional)	No! Yes!
 Related topics


PrefRevealCodesDlg

Syntax

PrefRevealCodesDlg()

Description

Display the Display Preferences dialog box with Reveal Codes selected.

 Related topics


PrefRuler

Syntax

PrefRuler([RulerOnNew As _PrefRuler_RulerOnNew_enum], [TabsToGrid As _PrefRuler_TabsToGrid_enum], [ShowRulerGuides As _PrefRuler_ShowRulerGuides_enum])

Description

Specify how the Ruler looks.

Parameters

RulerOnNew: enumeration (optional)	No! Yes!
TabsToGrid: enumeration (optional)	Tabs "snap" to invisible grid lines every 1/16th of an inch or 1/5th of a centimeter. No! Yes!
ShowRulerGuides: enumeration (optional)	Display a Ruler Bar guide when tab stops move. No! Yes!
SculpturedRuler: enumeration (optional)	No! Yes!
 Related topics


PrefSave

Syntax

PrefSave()

Description

Save preference method changes as defaults for future sessions.

 Related topics


PrefStatusBarEdit

Syntax

PrefStatusBarEdit([State As _PrefStatusBarEdit_State_enum])

Description

Edit the default Application Bar. Precede with PrefStatusBar(). Default: toggle.

Parameters

State: enumeration (optional)	Off! On!


PrefStatusBarOptions

Syntax

 PrefStatusBarOptions([FontFace As String], [FontSize As Integer], [Bold As _PrefStatusBarOptions_Bold_enum], [BoxStyle As _PrefStatusBarOptions_BoxStyle_enum], [EvenSpaced As _PrefStatusBarOptions_EvenSpaced_enum])

Description

Specify the size and font of the Application Bar text.

Parameters

FontFace: string (optional)	The font face for the Application Bar.
FontSize: numeric (optional)	The font size for the Application Bar.
Bold: enumeration (optional)	Bold status bar font. No! Yes!
BoxStyle: enumeration (optional)	Flat! Inset! Raised!
EvenSpaced: enumeration (optional)	Space items evenly. No! Yes!
 Related topics


PrefStatusBarOptionsDlg

Syntax

PrefStatusBarOptionsDlg()

Description

Display the Application Bar Options dialog box.

 Related topics


PrefTaskBar

Syntax

 PrefTaskBar([Box], [TextOrIcon], [Width])

Description

Specify the items for the Application Bar, and their position and width.

Parameters

Box: enumeration (optional)	AlignChar! CapsLockState! CombinedAbsPosition! CombinedPosition! CurrentTag! Date! Font! GeneralStatus! InsertMode! Keyboard! LGCName! NumLockState! Printer! ScrollLockState! Select! Time! Zoom!
TextOrIcon: numeric (optional)	The display type of the items on the Application Bar.
Width: numeric (optional)	The width of the items on the Application Bar.


PrefTOA

Syntax

 PrefTOA([Underlining As _PrefTOA_Underlining_enum], [Runs As _PrefTOA_Runs_enum])

Description

Specify a table of authorities format.

Parameters

Underlining: enumeration (optional)	Allow underlining in the full form. Allowed! NotAllowed!
Runs: enumeration (optional)	Allowed! NotAllowed!


PrefUnitsOfMeasure

Syntax

 PrefUnitsOfMeasure([DisplayUnits As _PrefUnitsOfMeasure_DisplayUnits_enum], [StatusBarUnits As _PrefUnitsOfMeasure_StatusBarUnits_enum])

Description

Specify the unit-of-measure settings.

Parameters

DisplayUnits: enumeration (optional)	Centimeters! InchesI! InchesQuote! Millimeter! Point! Wpu!
StatusBarUnits: enumeration (optional)	The unit of measure for the Application Bar and Ruler. Centimeters! InchesI! InchesQuote! Millimeter! Point! Wpu!


PrefZoom

Syntax

PrefZoom(Type As _PrefZoom_Type_enum, [Percent As Integer])

Description

Specify the document window view.

Parameters

Type: enumeration	FixedPercent! FullPage! MarginWidth! PageWidth!
Percent: numeric (optional)	Normal: 100.
 Related topics


PrintAction

Syntax

PrintAction([Action As _PrintAction_Action_enum]) As Integer

Description

Specify a print action and return the current print action.

Return Value

If the Action parameter is omitted, its current value is returned. If it is included, the current value is returned, then the new value is set.

1	FullDocument!

2	CurrentPage!

3	MultiplePages!

4	AdvancedMultiplePages!

5	SelectedText!

6	DocumentSummary!

7	DocumentOnDisk!

Parameters

Action: enumeration (optional)	AdvancedMultiplePages! CurrentPage! DocumentOnDisk! DocumentSummary! FullDocument! MultiplePages! SelectedText!
 Related topics


PrintAdvancedRangeData

Syntax

 PrintAdvancedRangeData(Pages As String, SecondaryPages As String, Chapters As String, Volumes As String)

Description

Specify the pages to print. Follow this method with Print(AdvancedMultiplePages!).

The following rules apply to all PrintAdvancedRangeData parameter specifications:

♦	To specify all Pages, Secondary Pages, Chapters, or Volumes use ("all").

♦	Use the same numbering method as the document uses. For example, if the current Page number method is (A,B,C,...) and you want to print the first three pages, use ("A-C") in the Pages parameter, not ("1-3").

♦	If you do not wish to specify a range or value for a parameter, use a null string ("").

Parameters

Pages: string	The pages to print.
SecondaryPages: string	The secondary pages to print.
Chapters: string	The chapters to print.
Volumes: string	The volumes to print.
 Related topics


PrintBooklet

Syntax

 PrintBooklet([State As _PrintBooklet_State_enum]) As Integer

Description

Turn booklet printing on or off.

Return Value

If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

0	Booklet printing is off.

1	Booklet printing is on.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintCopies

Syntax

PrintCopies([NumberOfCopies As Integer]) As Integer

Description

Specify the number of copies to print.

Return Value

Returns the number of copies to print. If the NumberOfCopies parameter is omitted, its current value is returned. If the NumberOfCopies parameter is included, the current value is returned, then the new value is set.

Parameters

NumberOfCopies: numeric	The number of copies of each page to print.
 Related topics


PrintDestination

Syntax

 PrintDestination([Destination])

Description

Specify to print to a printer, file, or printer port.

Return Value

Returns the filename string, printer name string, 0 (if DriverPort! was selected), or 1 (if PromptForFilename! was selected). If the Destination parameter is omitted, its current value is returned. If the Destination parameter is included, the current value is returned, then the new value is set.

Parameters

Destination: any (optional)	Use a string specifying a path and filename to print to a file. Use a string specifying the name of a printer to print to a specific printer. Use PromptForFilename! to prompt the user for a filename to print to. Use DriverPort! to print to the current printer port. DriverPort! PromptForFilename!
 Related topics


PrintDlg

Syntax

PrintDlg()

Description

Display the Print dialog box.

 Related topics


PrinterCommand

Syntax

 PrinterCommand(flag As _PrinterCommand_Flag_enum, Command As String)

Description

Insert a [Ptr Cmnd] code at the insertion point.

Parameters

Flag: enumeration	Specify whether the Command parameter contains a printer method or filename. Command! File!
Command: string	The printer method or name of a file that contains one or more printer methods.
 Related topics


PrinterCommandDlg

Syntax

PrintCommandDlg()

Description

Display the Printer Command dialog box.

 Related topics


PrinterPause

Syntax

PrinterPause()

Description

Insert a [Pause Ptr] code at the insertion point to pause the current print job.

 Related topics


PrinterSelectByName

Syntax

 PrinterSelectByName([PrinterName]) As String

Description

Specify a printer to print to.

Return Value

Returns the printer name string, or 0, if Default! was selected. If the PrinterName parameter is omitted, its current value is returned. If the PrinterName parameter is included, the current value is returned, then the new value is set.

Parameters

PrinterName: any (optional)	The name of the printer to print to. For a list of valid names for the current computer, see the Name drop-down list in the Printer dialog tab of the Print dialog box. This list will probably vary from one computer to another. Default!
 Related topics


PrinterSelectDlg

Syntax

PrinterSelectDlg()

Description

Display the Print to dialog box with the Printer tab selected.

 Related topics


PrintGraphically

Syntax

PrintGraphically([State As _PrintGraphically_State_enum]) As Boolean

Description

Turn the Print graphically option on or off.

Return Value

Returns True if the Print graphically option is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintGraphics

Syntax

 PrintGraphics([State As _PrintGraphics_State_enum]) As Boolean

Description

Turn graphics printing on or off.

Return Value

Returns True if graphics printing is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintHistoryDlg

Syntax

PrintHistoryDlg()

Description

Display the Print Status and History dialog box.

 Related topics


PrintImageBinding

Syntax

PrintImageBinding([Edge As _PrintImageBinding_Edge_enum]) As Integer

Description

Specify the binding edge. Use this method with PrintImageOffset and PrintTwoSided. This is a print-time option and does not insert a code in the document.

Return Value

If the Edge parameter is omitted, its current value is returned. If the Edge parameter is included, the current value is returned, then the new value is set.

0	Left edge

1	Right edge

2	Top edge

3	Bottom edge

4	Inside edge

5	Outside edge

Parameters

Edge: enumeration (optional)	BottomEdge! InsideEdge! LeftEdge! OutsideEdge! RightEdge! TopEdge!
 Related topics


PrintImageOffset

Syntax

PrintImageOffset([Offset As Long]) As Long

Description

Specify the binding edge offset. Use this method with PrintImageBinding(). This is a print-time option and does not insert a code in the document.

Return Value

Returns the current printing offset value in WordPerfect Units (1/1200 in). If the Offset parameter is omitted, its current value is returned. If the Offset parameter is included, the current value is returned, then the new value is set.

Parameters

Offset: measurement (optional)	The distance to shift a page image. WordPerfect Units (1/1200 in) are assumed unless the DefaultUnits method precedes this method, or the units of the parameter are specified. To specify units for this parameter, include a unit indicator following the value. For example, PrintImageOffset(Offset: 1") specifies the value 1 as inches.
 Related topics


PrintInColor

Syntax

PrintInColor([State As _PrintInColor_State_enum]) As Boolean

Description

Turn color printing on or off. This is a print-time option and does not insert a code in the document. PrintInColor() takes effect only when the current printer is capable of color printing, regardless of the value returned.

Return Value

Returns True if Print in color is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintInReverseOrder

Syntax

PrintInReverseOrder([State As _PrintInReverseOrder_State_enum]) As Boolean

Description

Turn reverse order printing on or off. This is a print-time option and does not insert a code in the document.

Return Value

Returns True if reverse order printing is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, then current value is returned.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintRangeFrom

Syntax

PrintRangeFrom([Page As Integer]) As Integer

Description

Specify the first page in the print range. This is a print-time option and does not insert a code in the document. Use this method with PrintRangeTo and Print(Action: MultiplePages!).

Return Value

Returns the first page in the current print range. If the Page parameter is omitted, its current value is returned. If the Page parameter is included, the current value is returned, then the new value is set.

Parameters

Page: numeric (optional)	The first page to print.
 Related topics


PrintRangeTo

Syntax

PrintRangeTo([Page As Integer]) As Integer

Description

Specify the last page in the print range. This is a print-time option and does not insert a code in the document. Use this method with PrintRangeFrom and Print(Action: MultiplePages!).

Return Value

Returns the last page in the current print range. If the Page parameter is omitted, its current value is returned. If the Page parameter is included, the current value is returned, then the new value is set.

Parameters

Page: numeric (optional)	If this parameter equals zero, print to the end of the document.
 Related topics


PrintResolution

Syntax

PrintResolution([Quality As _PrintResolution_Quality_enum]) As Integer

Description

Specify the print resolution (quality).

Return Value

If the Quality parameter is omitted, its current value is returned. If the Quality parameter is included, the current value is returned, then the new value is set.

1	Low

2	Medium

3	High

Parameters

Quality: enumeration (optional)	The print quality. Some printers allow more levels of print quality. To specify print quality on those printers, use 0-10. Refer to the specific printer documentation for print quality levels. High! Low! Medium!
 Related topics


PrintResolutionDpiX

Syntax

PrintResolutionDpiX([Dpi As Integer]) As Integer

Description

Specify the horizontal dots per inch (DPI) for a print job. The direction is relative to the printer, not the page. Always use this method together with PrintResolutionDPIY(). PrintResolutionDPIX() and PrintResolutionDPIY() will always override PrintResolution() unless the value specified in the DPI parameter is not valid for the printer used. See your printer documentation for valid DPI values.

Return Value

Returns the horizontal dots per inch. If the DPI parameter is omitted, its current value is returned. If the DPI parameter is included, the current value is returned, then the new value is set.

Parameters

DPI: numeric (optional)	The horizontal print resolution.
 Related topics


PrintResolutionDpiY

Syntax

 PrintSettings(Action As _PrintSettings_Action_enum, [SettingName])

Description

Specify the vertical dots per inch (DPI) for a print job. The direction is relative to the printer, not the page. Always use this method together with PrintResolutionDPIX(). PrintResolutionDPIX() and PrintResolutionDPIY() will always override the PrintResolution() method unless the value specified in the DPI parameter is not valid for the printer used. See your printer documentation for valid DPI values.

Return Value

Returns the vertical dots per inch. If the DPI parameter is omitted, its current value is returned. If the DPI parameter is included, the current value is returned, then the new value is set.

Parameters

DPI: numeric (optional)	The vertical print resolution.
 Related topics


PrintSettings

Syntax

 PrintSettings(Action As _PrintSettings_Action_enum, [SettingName])

Description

Add, delete, update, and use printer named settings. Use other print option methods to set current options. Then use this method to save those options as a named setting.

Parameters

Action: enumeration	Add! Delete! Update! Use!
SettingName: any (optional)	The name of the driver Named Setting. To apply the action specified in the Action parameter to the default setting, use Default!. Default! DriverSettings!
 Related topics


PrintSortOrder

Syntax

PrintSortOrder([Order As _PrintSortOrder_Order_enum]) As Integer

Description

Specify how to sort the pages of multiple-copy print jobs.

Return Value

Returns the current sorting for multiple-copy print jobs. If the Order parameter is omitted, its current value is returned. If the Order parameter is included, the current value is returned, then the new value is set.

Parameters

Order: enumeration (optional)	Collate! Group!
 Related topics


PrintSourceFileName

Syntax

PrintSourceFileName([Filename As String]) As String

Description

Specify a document on disk to print.

Return Value

Returns the current filename to print from. If the PrinterName parameter is omitted, its current value is returned. If the PrinterName parameter is included, the current value is returned, then the new value is set.

Parameters

Filename: string (optional)	The filename of the document you want to print.
 Related topics


PrintSuppressedBoxes

Syntax

 PrintSuppressedBoxes([State As _PrintSuppressedBoxes_State_enum]) As Boolean

Description

Lets you specify whether or not to print boxes.

Parameter

State: enumeration (optional)	No! Yes!


PrintTo

Syntax

PrintTo(Filename As String, PrinterName As String, [PrinterDevice As String], [PrinterPort As String])

Description

Print a specified file on disk to a specified printer.

Parameters

Filename: string	The path and filename of the file to print.
PrinterName: string	The name of the printer to print to. For a list of valid names for the current computer, see the Name drop-down list in the Printer dialog tab of the Print dialog box. This list will probably vary from one computer to another.
PrinterDevice: string	Not used.
PrinterPort: string	Not used.
 Related topics


PrintTwoSided

Syntax

 PrintTwoSided([Option As _PrintTwoSided_Option_enum]) As Integer

Description

Turn two-sided printing on or off and specify options. Use PrintTwoSided() with PrintUseTwoSidedDocCodes(State: False!) to ensure predictable results. This is a print-time option and does not insert a code in the document.

Return Value

If the Option parameter is omitted, its current value is returned. If the Option parameter is included, the current value is returned, then the new value is set.

0	None

1	Use Long edge for binding

3	Use Short edge for binding

4	Odd pages only

5	Even pages only

Parameters

Option: enumeration (optional)	EvenOnly! LongEdge! None! OddOnly! ShortEdge!
 Related topics


PrintTwoSidedDocCodesDlg

Syntax

PrintTwoSidedDocCodesDlg()

Description

Display the Two-Sided Document Settings dialog box.

 Related topics


PrintUseTwoSidedDocCodes

Syntax

PrintUseTwoSidedDocCodes([State As _PrintUseTwoSidedDocCodes_State_enum]) As Boolean

Description

Turn Use two-sided document settings on or off.

Return Value

Returns True if Use two-sided document settings is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


PrintWithDocumentSummary

Syntax

PrintWithDocumentSummary([State As _PrintWithDocumentSummary_State_enum]) As Boolean

Description

Turn document summary printing on or off.

Return Value

Returns True if document summary printing is on, False if not. If the State parameter is omitted, its current value is returned. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	False! True!
 Related topics


ProofReadAsYouGoOff

Syntax

ProofReadAsYouGoOff()

Description

Turn off Spell-As-You-Go and Grammar-As-You-Go.

 Related topics


ProofReadGrammar

Syntax

ProofReadGrammar()

Description

Mark and correct grammar errors as you type.

 Related topics


PublishToFaxDlg

Syntax

PublishToFaxDlg([Filename As String])

Description

Fax a document.

Parameter

FileName: string (optional)	The name of the file you want to fax.


QuattroPro

Syntax

QuattroPro()

Description

Insert a Corel Quattro Pro OLE object file in the current document.

 Related topics


QuickCorrect

Syntax

QuickCorrect(State As _QuickCorrect_State_enum)

Description

Specify whether QuickCorrect will replace words as you type.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectAddItem

Syntax

QuickCorrectAddItem(Item As String, Replacement As String, Type As _QuickCorrectAddItem_Type_enum)

Description

Add a QuickCorrect entry.

Parameters

Item: string	The word or typo you want to have QuickCorrect automatically replace.
Replacement: string	The word or phrase you want to use as a replacement.
Type: enumeration	QCException! QuickCorrect! QuickLink!
 Related topics


QuickCorrectAutoCreateException

Syntax

QuickCorrectAutoCreateException(State As _QuickCorrectAutoCreateException_State_enum)

Description

Turn the QuickCorrect Create Auto Exception List on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectCapsFixQry

Syntax

QuickCorrectCapsFixQry()

Description

Return True if the QuickCorrect CapsFix option is on, False if not.

 Related topics


QuickCorrectCapsFixSet

Syntax

 QuickCorrectCapsFixSet(State As _QuickCorrectCapsFixSet_State_enum)

Description

Turn the QuickCorrect CapsFix option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectDeleteItem

Syntax

QuickCorrectDeleteItem(Item As String)

Description

Delete a QuickCorrect entry.

Parameters

Item: string	The entry to delete.
 Related topics


QuickCorrectDlg

Syntax

QuickCorrectDlg()

Description

Display the QuickCorrect dialog box.

 Related topics


QuickCorrectOtherWords

Syntax

QuickCorrectOtherWords(State As _QuickCorrectOtherWords_State_enum)

Description

Turn Correct other mis-typed words when possible on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickBulletsSet

Syntax

QuickCorrectQuickBulletsSet(State As _QuickCorrectQuickBulletsSet_State_enum)

Description

Turn the QuickCorrect QuickBullets option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickIndentQry

Syntax

QuickCorrectQuickIndentQry()

Description

Return True if the QuickCorrect QuickIndent option is on, False if not.

 Related topics


QuickCorrectQuickIndentSet

Syntax

QuickCorrectQuickIndentSet(State As _QuickCorrectQuickIndentSet_State_enum)

Description

Turn the QuickCorrect QuickIndent option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickLinesQry

Syntax

QuickCorrectQuickLinesQry()

Description

Return True if the QuickCorrect QuickLines option is on, False if not.

 Related topics


QuickCorrectQuickLinesSet

Syntax

QuickCorrectQuickLinesSet(State As _QuickCorrectQuickLinesSet_State_enum)

Description

Turn the QuickCorrect QuickLines option on or off. QuickLines replace character lines with graphics lines.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickOrdinalsSet

Syntax

QuickCorrectQuickOrdinalsSet(State As _QuickCorrectQuickOrdinalsSet_State_enum)

Description

Turn the QuickCorrect QuickOrdinals option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectQuickSymbolsSet

Syntax

 QuickCorrectQuickSymbolsSet(State As _QuickCorrectQuickSymbolsSet_State_enum)

Description

Turn the QuickSymbols option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickCorrectReplaceWord

Syntax

QuickCorrectReplaceWord(String As String)

Description

Replace the current word in the document with specified text. The Insertion point must be in the word to be replaced. The specified text must correspond to a QuickCorrect entry.

Parameters

String: string	The replacement text.
 Related topics


QuickFontEx

Syntax

QuickFontEx(FontFace As String, FontSize As Integer, [Red As Integer], [Green As Integer], [Blue As Integer], [FontType As _QuickFontEx_FontType_enum], [Attributes])

Description

Insert a QuickFont into the document.

Parameters

FontFace: string	The font face.
FontSize: measurement	The font size.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
FontType: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
Attributes: enumeration (optional)	Bold! DoubleUnderline! Every! Italics! Outline! Redline! Shadow! SmallCaps! Strikeout! Underline!
 Related topics


QuickFormat

Syntax

QuickFormat(Format As _QuickFormat_Format_enum)

Description

Format text based on selected fonts and attributes, or paragraph styles, or both.

Parameters

Format: enumeration	Attributes! CharacterStyle! Graphics! Off! Styles! StylesAndAttributes! TableCells! TableStruct!
 Related topics


QuickFormatDiscontinue

Description

QuickFormatDiscontinue(AllParagraphs As _QuickFormatDiscontinue_AllParagraphs_enum)

Turn off the QuickFormat link for all paragraphs with the associated heading.

Parameters

AllParagraphs: enumeration	False! True!
 Related topics


QuickFormatDlg

Syntax

QuickFormatDlg()

Description

Display the QuickFormat dialog box.

 Related topics


QuickFormatToggle

Syntax

QuickFormatToggle()

Description

Display the QuickFormat dialog box.

 Related topics


QuickLink

Syntax

QuickLink(State As _QuickLink_State_enum)

Description

Turn QuickLink on or off.

Parameters

State: enumeration	Off! On!


QuickmarkFind

Syntax

QuickmarkFind()

Description

Move the insertion point to the first character after a QuickMark.

 Related topics


QuickmarkSet

Syntax

QuickmarkSet()

Description

Place a unique bookmark, or QuickMark, in a document at the insertion point. If Set QuickMark in Document on Save is on, the QuickMark moves to the insertion point when the document is saved.

 Related topics


QuickWords

Syntax

QuickWords(State As _QuickWords_State_enum)

Description

Turn Expand QuickWords when you type them on or off.

Parameters

State: enumeration	Off! On!
 Related topics


QuickWordsDlg

Syntax

QuickWordsDlg()

Description

Display the QuickCorrect dialog box with the QuickWords tab displayed.

 Related topics


Redisplay

Syntax

Redisplay()()

Description

Rewrite the screen contents without moving the insertion point.


RedlineCharacter

Syntax

RedlineCharacter(Character As String)

Description

Specify a character to redline text.

Parameters

Character: string	The character for redlining.
 Related topics


RedlineMethod

Syntax

RedlineMethod(RedlineMethod As _RedlineMethod_RedlineMethod_enum)

Description

Specify a redline method.

Parameters

RedlineMethod: enumeration	Alternating! LeftMargin! PrinterDependent! RightMargin!
 Related topics


Redo

Syntax

Redo([Number As Integer])

Description

Reverse the last Undo made to the document or reverse the specified Undo.

Parameters

Number: numeric (optional)	The number of redo levels.
 Related topics


RepeatDlg

Syntax

RepeatDlg()

Description

Display the Repeat dialog box.

 Related topics


RepeatSet

Syntax

RepeatSet(Value As Integer)

Description

Specify the Repeat default number.

Parameters

Value: numeric	The number of times to repeat the current operation.
 Related topics


RepeatValue

Syntax

RepeatValue([Value As Integer])

Description

Specify the number of times to repeat an action.

Parameters

Value: numeric (optional)	The number of times to repeat the current operation.
 Related topics


ReplaceAll

Syntax

ReplaceAll([SearchMode As _ReplaceAll_SearchMode_enum])

Description

Replace all occurrences of a matched word, code, or phrase. Precede with methods such as SearchString(), ReplaceString(), and SearchNext().

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


ReplaceBackward

Syntax

 ReplaceBackward([SearchMode As _ReplaceBackward_SearchMode_enum])

Description

Replace specified text or codes from the current insertion point to the beginning of the document. Precede with other methods such as SearchString() and ReplaceString().

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


ReplaceConfirm

Syntax

ReplaceConfirm(State As _ReplaceConfirm_State_enum)

Description

Specify whether Find and Replace Text prompts the user to confirm replacement in WordPerfect for DOS. Included for DOS compatibility. No effect in WordPerfect for Windows. Use ReplaceAll() or ReplaceCurrent().

Parameters

State: enumeration	Prompt for confirmation before replacing text. No! Yes!
 Related topics


ReplaceCurrent

Syntax

ReplaceCurrent()

Description

Replace a matched word, code, or phrase. Precede with methods such as SearchString and SearchNext.

 Related topics


ReplaceDlg

Syntax

ReplaceDlg()

Description

Display the Find and Replace Text dialog box.

 Related topics


ReplaceForward

Syntax

ReplaceForward([SearchMode As _ReplaceForward_SearchMode_enum])

Description

Replace the specified text or codes from the insertion point to the end of the document. Precede with other methods such as SearchString() or ReplaceString().

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


ReplaceString

Syntax

 ReplaceString(RplcStrg As String)

Description

Specify the search text or codes.

Parameters

RplcStrg: string	The text or codes to search for.
 Related topics


ReplaceWithAttributes

Syntax

ReplaceWithAttributes(State As _ReplaceWithAttributes_State_enum, [Attribute As _ReplaceWithAttributes_Attribute_enum])

Description

Specify the font attributes and/or relative font size for the replacement text.

Parameters

State: enumeration	No! Yes!
Attribute: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


ReplaceWithCase

Syntax

ReplaceWithCase(State As _ReplaceWithCase_State_enum)

Description

Specify the case(s) of the replacement text.

Parameters

State: enumeration	No! Yes!


ReplaceWithFont

Syntax

ReplaceWithFont(State As _ReplaceWithFont_State_enum, [Name As String], [Family As _ReplaceWithFont_Family_enum], [Attributes As _ReplaceWithFont_Attributes_enum], [Weight As _ReplaceWithFont_Weight_enum], [Width As _ReplaceWithFont_Width_enum], [Source As _ReplaceWithFont_Source_enum], [Type As _ReplaceWithFont_Type_enum], [CharacterSet As _ReplaceWithFont_CharacterSet_enum])

Description

Specify the font and font style of the replacement text.

Parameters

State: enumeration	No! Yes!
Name: string (optional)	The font name.
Family: enumeration (optional)	FamilyAestheticOrnamented! FamilyAlbertus! FamilyBodoni! FamilyBroadway! FamilyBrush! FamilyCenturySchoolbook! FamilyComputer! FamilyCourier! FamilyHelvetica! FamilyHobo! FamilyITCBenguiat! FamilyITCGaramond! FamilyITCLubalinGraph! FamilyITCRonda! FamilyITCZapfDingbats! FamilyLetterGothic! FamilyMadrone! FamilyMicrostyle! FamilyOldEnglish! FamilyOptima! FamilyParkAvenue! FamilyPonderosa! FamilyPTBarnum! FamilyRevue! FamilySignetRoundhand! FamilyTekton! FamilyTimesRoman! FamilyUncial!
Attributes: enumeration (optional)	FontMatchItalic! FontMatchNormal! FontMatchOutline! FontMatchShadow! FontMatchSmallCaps!
Weight: enumeration (optional)	WeightBlack! WeightBold! WeightBook! WeightDemiBold! WeightDemiLight! WeightExtraBlack! WeightExtraBold! WeightExtraHeavy! WeightExtraLight! WeightExtraThin! WeightHeavy! WeightLight! WeightMaximum! WeightMedium! WeightRegular! WeightRoman! WeightSemiBold! WeightSemiLight! WeightThin! WeightUltraBlack! WeightUltraHeavy! WeightUltraLight! WeightUltraThin! WeightUnknown!
Width: enumeration (optional)	WidthCompressed! WidthCondensed! WidthDoubleWide! WidthExpanded! WidthExtraCondensed! WidthExtraExpanded! WidthNormal! WidthSemiCondensed! WidthSemiExpanded! WidthTripleWide! WidthUltraCompressed! WidthUltraCondensed! WidthUltraExpanded! WidthUnknown!
Source: enumeration (optional)	DRSFile! PRSFile!
Type: enumeration (optional)	Intellifont! Speedo! TrueType! Type1!
CharacterSet: enumeration (optional)	FontMatchArabic! FontMatchArabicScript! FontMatchASCII! FontMatchBoxDrawing! FontMatchCyrillic! FontMatchGreek! FontMatchHebrew! FontMatchIconicSymbols! FontMatchJapaneseKana! FontMatchMath! FontMatchMathExtension! FontMatchMultinational1! FontMatchMultinational2! FontMatchTypographicSymbols! FontMatchUserDefined!
 Related topics


ReplaceWithFontSize

Syntax

ReplaceWithFontSize(State As _ReplaceWithFontSize_State_enum, [FontSize As Integer])

Description

Specify the font size of the replacement text.

Parameters

State: enumeration	No! Yes!
FontSize: measurement (optional)	The font size of the replacement text.
 Related topics


ReselectLastBlock

Syntax

ReselectLastBlock()

Description

Select the last selected text. Recordable substitute: ReselectLastSelection.


ReselectLastSelection

Syntax

ReselectLastSelection()

Description

Select the last selected text.


ResetKeyboardMenu

Syntax

ResetKeyboardMenu()

Description

Resets the keyboard and menus to the WordPerfect default settings.


RevealCodes

Syntax

 RevealCodes([State As _RevealCodes_State_enum])

Description

Turn Reveal Codes on or off.

Parameters

State: enumeration (optional)	Default: toggle. Off! On!


ReverseShippingMacro

Syntax

ReverseShippingMacro()

Description

Play the shipping macro REVERSE.WCM to reverse the foreground and background colors in selected text and cells. REVERSE.WCM must be installed.


ReviewDocAnnotationAccept

Syntax

ReviewDocAnnotationAccept()

Description

Incorporate the selected annotation into the current document and select the next annotation. If an annotation is not currently selected, the next annotation is selected. If there are no annotations following the insertion point, a not found condition is returned. Use this method in Review Document Author mode. If Review Document Author mode is not active, this method fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationAcceptAll

Syntax

ReviewDocAnnotationAcceptAll()

Description

Incorporate all annotations into the current document. If the current document contains no annotations, a not found condition is returned. Substructures like Headers and Footers are treated independently. Use this method in Review Document Author mode. If Review Document Author mode is not active, this method fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationFirst

Syntax

ReviewDocAnnotationFirst()

Description

Select the first annotation in the current document. If the current document contains no annotations, a not found condition is returned. Use this method in Review Document Author mode. If Review Document Author mode is not active, this method fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationNext

Syntax

ReviewDocAnnotationNext()

Description

Select the next annotation in the current document. If there are no annotations following the insertion point, a not found condition is returned. Use this method in Review Document Author mode. If Review Document Author mode is not active, this method fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationPrev

Syntax

ReviewDocAnnotationPrev()

Description

Select the previous annotation in the current document. If there are no annotations before the insertion point, a not found condition is returned. Use this method in Review Document Author mode. If Review Document Author mode is not active, this method fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationReject

Syntax

ReviewDocAnnotationReject()

Description

Delete the selected annotation and select the next annotation. If an annotation is not currently selected, the next annotation is selected. If there are no annotations following the insertion point, a not found condition is returned. Use this method in Review Document Author mode. If Review Document Author mode is not active, this method fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAnnotationRejectAll

Syntax

ReviewDocAnnotationRejectAll()

Description

Delete all annotations in the current document. If the current document contains no annotations, a not found condition is returned. Substructures like Headers and Footers are treated independently. Use this method in Review Document Author mode. If Review Document Author mode is not active, this method fails unless display is on. You are then prompted to activate Author mode before proceeding.

 Related topics


ReviewDocAuthorDlg

Syntax

ReviewDocAuthorDlg()

Description

Display the Review Document Author Mode dialog box and activate Author mode.

 Related topics


ReviewDocDisplayModeToggle

Syntax

ReviewDocDisplayModeToggle()

Description

Turn annotation display on or off.


ReviewDocDlg

Syntax

ReviewDocDlg()

Description

Display the Review Document dialog box.


ReviewDocManualModeToggle

Syntax

 ReviewDocManualModeToggle([Mode As _ReviewDocManualModeToggle_Mode_enum]

Description

Enter or exit the Review Document Author or Reviewer annotation modes. When entering Author mode, this method activates the Author mode and selects the first annotation.

Parameters

Mode: enumeration (optional)	Specify the annotation mode. Author! Off! Reviewer!
 Related topics


ReviewDocReviewerDlg

Syntax

ReviewDocReviewerDlg()

Description

Display the Review Document Reviewer mode dialog box and activate Reviewer mode.

 Related topics


ReviewDocSetCurrentUserColor

Syntax

 ReviewDocSetCurrentUserColor(Red As Integer, Green As Integer, Blue As Integer)

Description

Set the annotation color for the current reviewer.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


RotateShapeDlg

Syntax

RotateShapeDlg()

Description

Lets you rotate a shape object


RulerBarShow

Syntax

 RulerBarShow([State As _RulerBarShow_State_enum])

Description

Display (On!) or hide (Off!) the Ruler and save the setting as the new default.

Parameters

State: enumeration (optional)	Default: toggle. Off! On!


SetDocumentMapping

Syntax

SetDocumentMapping(MapName As String, Location As _SetDocumentMapping_Location_enum, [Filename As String])

Description

Specify a character map for one-byte characters, as opposed to extended characters, when additional character maps are installed.

Parameters

MapName: string	The name of the character map.
Location: enumeration	MapExternal! MapInternal!
Filename: string (optional)	The filename of the character map.


SetSelEx

Syntax

 SetSelEx(Start As Long, End As Long)

Description

Lets you set up a selection. This method enables the user to set the size of the selection in characters.

Parameters

Start: numeric	The start of the selection
End: numeric	The end of the selection.


SettingsDlg

Syntax

SettingsDlg()

Description

Display the Settings dialog box.


SetUndoLevels

Syntax

 SetUndoLevels(Levels As Integer)

Description

Specify the number of Undo/Redo items to maintain in the document.

Parameters

Levels: numeric	Value: 0-300.
 Related topics


SGMLAddToAttrList

Syntax

SGMLAddToAttrList(Name As String, Value As String)

Description

Append a value to an existing attribute value. The attribute named must be present in the previous start tag. The value in the previous start tag is appended with a space followed by the value. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute.
Value: string	The value to append to the attribute.
 Related topics


SGMLBoxAddToAttrList

Syntax

SGMLBoxAddToAttrList(Element As String, Name As String, Value As String)

Description

Append a value to an existing graphics box element attribute value. The element and attribute name must be present in the selected graphics box. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the element.
Name: string	The name of the attribute.
Value: string	The value to append to the attribute.
 Related topics


SGMLBoxAttribute

Syntax

 SGMLBoxAttribute(Element As String, Name As String, Value As String)

Description

Set the attribute value of a graphics box element. The element must be present in the selected graphics box. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the element.
Name: string	The name of the attribute.
Value: string	The value to set.
 Related topics


SGMLBoxDeleteAttribute

Syntax

 SGMLBoxDeleteAttribute(Element As String, Name As String)

Description

Delete a graphics box element attribute. The element and named attribute must be present in the selected graphics box. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the element.
Name: string	The name of the attribute.
 Related topics


SGMLBoxDeleteMarkup

Syntax

 SGMLBoxDeleteMarkup(Type As _SGMLBoxDeleteMarkup_Type_enum)

Description

Delete an element of the selected graphics box. This method is valid only if the Corel WordPerfet SGML program component is installed.

Parameters

Type: enumeration	Box! Caption! Content!
 Related topics


SGMLBoxElementDlg

Syntax

SGMLBoxElementDlg()

Description

Select SGML elements for the selected graphics box. This method is valid only if the WordPerfect SGML program component is installed.


SGMLBoxMarkup

Syntax

 SGMLBoxMarkup(Type As _SGMLBoxMarkup_Type_enum, Name As String)

Description

Set the element for a graphics box. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Type: enumeration	Box! Caption! Content!
Name: string	The name of the element.
 Related topics


SGMLCDATASection

Syntax

SGMLCDATASection()

Description

Insert an XML CDATA section.


SGMLCharRef

Syntax

SGMLCharRef(Character As String, [Type As _SGMLCharRef_Type_enum])

Description

Insert a character reference. The character needs to be mapped as an 8-bit ASCII character in the document type. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Character: string	The character to use.
Type: enumeration (optional)	Decimal! Hexadecimal!


SGMLContentModelDlg

Syntax

SGMLContentModelDlg([Element As String])

Description

Display the Element Content dialog box, which allows you to view an element's content model. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string (optional)	The name of the element.


SGMLCreateDocType

Syntax

 SGMLCreateDocType(DocTypeName As String, LogicFile As String, [LayoutFile As String], [AliasFile As String], [OptFile1 As String], [OptFile2 As String], [OptFile3 As String], [OptFile4 As String], [OptFile5 As String], [OptFile6 As String], [OptFile7 As String], [OptFile8 As String], [OptFile9 As String], [OptFile10 As String])

Description

Create a document-type entry. You must include at least a document-type name and a logic filename. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

DocTypeName: string	The name for the document type.
LogicFile: string	The filename of the logic file.
LayoutFile: string (optional)	The filename of the layout file.
AliasFile: string (optional)	The filename of the alias file.
OptFile1: string (optional)	The filename of an optional file.
OptFile2: string (optional)	The filename of an optional file.
OptFile3: string (optional)	The filename of an optional file.
OptFile4: string (optional)	The filename of an optional file.
OptFile5: string (optional)	The filename of an optional file.
OptFile6: string (optional)	The filename of an optional file.
OptFile7: string (optional)	The filename of an optional file.
OptFile8: string (optional)	The filename of an optional file.
OptFile9: string (optional)	The filename of an optional file.
OptFile10: string (optional)	The filename of an optional file.


SGMLDeleteAttribute

Syntax

SGMLDeleteAttribute(Name As String)

Description

Delete an attribute. The attribute must be present in the previous start tag. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute to delete.
 Related topics


SGMLDeleteDocType

Syntax

SGMLDeleteDocType(DocTypeName As String)

Description

Delete a document-type entry. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

DocTypeName: string	The name of the document type to delete.


SGMLDocTypeDlg

Syntax

SGMLDocTypeDlg()

Description

Display the Document Types dialog box. This method is valid only if the WordPerfect SGML program component is installed.


SGMLEditAttributeDlg

Syntax

SGMLEditAttributeDlg(Name As String)

Description

Display the Edit Attribute dialog box. This method differs from SGMLEditAttributesDlg() in that it allows you to edit a specific attribute of an element. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute to edit.
 Related topics


SGMLEditAttributesDlg

Syntax

SGMLEditAttributesDlg()

Description

Display the Edit Attributes dialog box. This method differs from SGMLEditAttributeDlg() in that it allows you to edit all the attributes of an element. This method is valid only if the WordPerfect SGML program component is installed.

 Related topics


SGMLEditBoxAttributeDlg

Syntax

SGMLEditBoxAttributeDlg(Element As String, Name As String)

Description

Display the Edit Attribute dialog box. This method differs from SGMLEditBoxAttributesDlg() in that it allows you to edit a specific attribute of an element of the selected graphics box. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the element.
Name: string	The name of the attribute to edit.
 Related topics


SGMLEditBoxAttributesDlg

Syntax

SGMLEditBoxAttributesDlg(Element As String)

Description

Edit the attributes of a box element.

Parameters

Element: string	The name of the element to edit.


SGMLEditLayout

Syntax

SGMLEditLayout([Name As String], [CreateGenericLayout As _SGMLEditLayout_CreateGenericLayout_enum])

Description

Lets you edit Layout from XML Project Template.

Parameters

Name: string (optional)	The name of the layout
CreateGenericLayout: enumeration (optional)	No! Yes!


SGMLElementDlg

Syntax

 SGMLElementDlg()

Description

Lets you insert an XML element.

 Note

•	New method


SGMLElementEditDlg

Syntax

SGMLElementEditDlg()

Description

Lets you edit an XML element.


SGMLElementList

Syntax

SGMLElementList()

Description

Lets you display valid elements in an XML document.


SGMLElementsDlg

Syntax

SGMLElementsDlg()

Description

Display the SGML Elements dialog box. This method is valid only if the WordPerfect SGML program component is installed.


SGMLEndElement

Syntax

SGMLEndElement()

Description

Lets you end the current XML element.


SGMLEntityRef

Syntax

SGMLEntityRef(Name As String)

Description

Insert an entity reference. For text references, entity references must be declared in the document type. For file references, entity references must be user declared or declared in the document type. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the entity.
 Related topics


SGMLExportImport

Syntax

 SGMLExportImport(Name As String, [DocType As String])

Description

Lets you export or import XML files.

Parameters

Name: string	The name of the XML file.
DocType: string (optional)


SGMLFileRefDataType

Syntax

 SGMLFileRefDataType(FileRefName As String, DataType As _SGMLFileRefDataType_DataType_enum)

Description

Specify the data type of a file reference. Can be used only with user-declared file references. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The filename of the reference file.
DataType: enumeration	CDATA! NDATA! None! SDATA! SUBDOC!


SGMLFileRefDelAttribute

Syntax

SGMLFileRefDelAttribute(FileRefName As String, Name As String)

Description

Delete a file reference notation attribute. Can be used only if a user-declared file reference exists for the specified FileRefName. An attribute of the specified Name must already exist for the file reference. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The filename of the reference file.
Name: string	The file reference notation attribute to delete.


SGMLFileRefDelete

Syntax

SGMLFileRefDelete(Name As String)

Description

Delete a file reference declaration and all entity references that use the file reference declaration. Only user-declared file references can be deleted. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The file reference declaration to delete.


SGMLFileRefDlg

Syntax

SGMLFileRefDlg()

Description

Display the File References dialog box. This method is valid only if the WordPerfect SGML program component is installed.


SGMLFileRefFilePath

Syntax

SGMLFileRefFilePath(FileRefName As String, FilePath As String)

Description

Specify the file path of a file reference. Can be used only with user-declared file references. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The filename of the reference file.
FilePath: string	The path of the reference file.


SGMLFileRefNew

Syntax

SGMLFileRefNew(Name As String, [PublicID As String], [FilePath As String], [DataType As _SGMLFileRefNew_DataType_enum], [NotationName As String])

Description

Create a file reference declaration. A file reference of the Name cannot already exist. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the reference file.
PublicID: string	The ID of the reference file.
FilePath: string (optional)	The path of the reference file.
DataType: enumeration (optional)	CDATA! NDATA! None! SDATA! SUBDOC!
NotationName: string (optional)	The name of the reference file notation.


SGMLFileRefNewAttribute

Syntax

 SGMLFileRefNewAttribute(FileRefName As String, Name As String, Value As String)

Description

Create a file reference notation attribute. Can be used only if a user-declared file reference exists for the specified FileRefName. An attribute of the specified Name cannot already exist for the file reference. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The name of the reference file.
Name: string	The name of the file reference notation.
Value: string	The value of the file reference notation.


SGMLFileRefNotation

Syntax

SGMLFileRefNotation(FileRefName As String, Notation As String)

Description

Specify the notation for a file reference. Can be used only with user-declared file references. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The name of the reference file.
Notation: string	The file reference notation.


SGMLFileRefPubID

Syntax

SGMLFileRefPubID(FileRefName As String, PublicID As String)

Description

Specify the public identifier for a file reference. Can be used only with user-declared file references. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

FileRefName: string	The name of the reference file.
PublicID: string	The ID of the file reference.


SGMLFileRefRename

Syntax

 SGMLFileRefRename(OldName As String, NewName As String)

Description

Change the name of a file reference. Can be used only with user-declared file references. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

OldName: string	The original name of the file reference.
NewName: string	The new name of the file reference.


SGMLFindElementEnd

Syntax

SGMLFindElementEnd()

Description

Position the insertion point after the current element's end tag. If the element is defined by the layout file to be a WordPerfect type (for example, a header, footer, or image), and the element's end is located at the end of the WordPerfect type, the type is also exited. This method is valid only if the WordPerfect SGML program component is installed.


SGMLFindElementStart

Syntax

SGMLFindElementStart([CursorPos As _SGMLFindElementStart_CursorPos_enum])

Description

Position the insertion point at the beginning of the current element. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

CursorPos: enumeration (optional)	After! Before!


SGMLFindNextTable

Syntax

SGMLFindNextTable()

Description

Position the insertion point in the next table. Can be used only with a document type that allows table tagging. This method is valid only if the WordPerfect SGML program component is installed.


SGMLFindStartTag

Syntax

 SGMLFindStartTag([Name As String], [Direction As _SGMLFindStartTag_Direction_enum], [AttributeEditFind As SGMLFindStartTag_AttributeEditFind_enum])

Description

Find the start of an element. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string (optional)	The name of the element.
Direction: enumeration (optional)	Either! Searches backward first, then forward for the start tag. Next! Previous!
AttributeEditFind: enumeration (optional)	No! Yes! Limits the find to start tags with attributes present, or start tags with attributes declared in the document type.


SGMLGetAttributeData

Syntax

SGMLGetAttributeData(Variable, Item As _SGMLGetAttributeData_Item_enum, Type As SGMLGetAttributeData_Type_enum, Element As _SGMLGetAttributeData_Element_enum, [ItemNum As Integer])

Description

Assign information to a variable about the attributes of the current element. The macro uses the variable with other methods to retrieve information, or to determine whether to perform specified actions. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Variable: variable	The name of the variable.
Item: enumeration	Count! Returns a count of all the attributes of a given type. DefaultValue! Returns the default value for the attribute specified in the document type. The string returned can be CONREF, CURRENT, IMPLIED, REQUIRED, or a string up to 1000 characters. ErrorType! Returns one of the following values, representing the type of error for the attribute:  0 No error  1 Unknown attribute  2 Invalid character in NAME attribute  3 Invalid character in NMTOKEN attribute  4 Invalid character in NUMBER attribute  5 Invalid character in NUTOKEN attribute  6 An attribute value exceeds NAMELEN  7 Only one value is allowed  8 Attribute length exceeds LITLEN  9 No mapping for an attribute extended character  10 Attribute has no value assigned  11 Entity open (&...) in the attribute is not validated  12 Char Ref (&#...) in the attribute is not validated  13 An attribute value is not in the declared list  14 Attribute is not the declared FIXED value  15 Attribute is not a declared entity  16 Attribute is not a data or SUBDOC entity  17 More than one attribute has the same name Name! Returns the name of the attribute specified by ItemNum. Status! Returns one of the following values, representing the statue of the attribute:  0 Does not have a value currently specified  1 Has a value  2 Has a value but is in error Type! Returns one of the following values:  0 Unknown  1 FIXED  2 The declared type was a list  3 CDATA  4 ENTITIES  5 ENTITY  6 ID  7 IDREF  8 IDREFS  9 NAME  10 NAMES  11 NMTOKEN  12 NMTOKENS  13 NOTATION  14 NUMBER  15 NUMBERS  16 NUTOKEN  17 NUTOKENS Value! Returns the value of an attribute specified in the tag. (Value! always returns an error if the attribute has not been given a value.)
Type: enumeration	Specify the type of attribute a variable belongs to. All! Returns information about all attributes available in the open or previous element, relative to the insertion point. InTag! Returns information about the attributes that have been given a value in the open or previous element, relative to the insertion point. Invalid! Returns information about the attributes that have been given an invalid value in the open or previous element, relative to the insertion point. NotInTag! Returns information about the attributes that have not been given a value in the open or previous element, relative to the insertion point.
Element: enumeration	Specify which element to act on. Previous elements are used for empty elements. Open! Previous!
ItemNum: numeric (optional)	Specify the number of the item from which the Item parameter extracts information.


SGMLGetElementData

Syntax

SGMLGetElementData(Variable, Item As _SGMLGetElementData_Item_enum, Type As SGMLGetElementData_Type_enum, [ItemNum As Integer])

Description

Assign information to a variable about the elements available in a WordPerfect document. The macro uses the variable with other methods to retrieve information or to determine whether to perform specified actions. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Variable: variable	The name of the variable.
Item: enumeration	Count! Returns a count of all the elements of a given type. LSIType! Returns one of the following values:  0 Watermark B  1 Endnote  2 Header A  3 Header B  4 Footer A  5 Footer B  6 Footnote  7 Image Box  8 Watermark A  9 Table  10 Text Box  11 Equation Box  12 Normal (unspecified) Name! Returns the name of the element specified by ItemNum.
Type: enumeration	All! Returns information about all elements available in the document. Open! Returns information about all elements that are open at the insertion point. Previous! Valid! Returns information about elements that are valid to insert at the insertion point (with the exception of inclusions).
ItemNum: numeric (optional)	Specify the number of the item from which the Item parameter extracts information.


SGMLGetFileRefData

Syntax

SGMLGetFileRefData(Variable, Item As _SGMLGetFileRefData_Item_enum, Type As SGMLGetFileRefData_Type_enum, [ItemNum As Intege

Description

Assign information to a variable about the external file references available in a WordPerfect document. The macro uses the variable with other methods to retrieve information or to determine whether to perform specified actions. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Variable: variable	The name of the variable.
Item: enumeration	Count! Returns a count of all the file references of a given type. DataType! Returns one of the following values:  0 None  1 CDATA  2 NDATA  3 SDATA  4 SUBDOC FilePath! Returns the file path of the file reference. Name! Returns the name of the file reference. Notation! Returns the notation type of the file reference. PublicID! Returns the public identifier of the file reference.
Type: enumeration	DTD! Returns information about all file references declared in the document type. User! Returns information about all file references the user has defined in the document.
ItemNum: numeric (optional)	Specify the number of the item from which the Item parameter extracts information.


SGMLIDIDREFListDlg

Syntax

 SGMLIDIDREFListDlg()

Description

Display the list of ID and IDREF attributes. This method is valid only if the WordPerfect SGML program component is installed.


SGMLIgnore

Syntax

SGMLIgnore()

Description

Insert SGML IGNORE codes. If you insert IGNORE codes around selected text that includes start and end tags, other SGML IGNORE codes, or subdocument marker codes, be sure the selection includes both the beginning and end tag or code. This method is valid only if the WordPerfect SGML program component is installed.


SGMLInsertElement

Syntax

SGMLInsertElement(Name As String, [Options As _SGMLInsertElement_Options_enum], [Attribute], [Value])

Description

Insert an element. If you insert an element around selected text that includes start and end tags, SGML IGNORE codes, or subdocument marker codes, be sure the selection includes both the beginning and end tag or code. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the element.
Options: enumeration (optional)	None! Spawn! Empty!
Attribute: string (optional)	The attribute of the element.
Value: string (optional)	The value of the element.


SGMLLoadDocType

Syntax

SGMLLoadDocType(DocTypeName As String)

Description

Select a document type for the current document. The document-type includes at least a document type name and logic file (.LGC), but may also include a layout file (.LSI), and an alias file (.LNM). This method is valid only if the WordPerfect program component is installed.

Parameters

DocTypeName: string	The document type.


SGMLLogicErrorDlg

Syntax

SGMLLogicErrorDlg()

Description

Display the Logic Errors dialog box. This method is valid only if the WordPerfect SGML program component is installed.


SGMLMarkedSecParamEntity

Syntax

SGMLMarkedSecParamEntity(Name As String, [Keyword As _SGMLMarkedSecParamEntity_Keyword_enum])

Description

Lets you create or replace a marked section parameter entity declaration.

Parameters

Name: string	The name of the marked section parameter entity declaration.
Keyword: enumeration (optional)	None! CDATA! RCDATA! IGNORE! INCLUDE! TEMP!


SGMLMarkedSection

Syntax

SGMLMarkedSection([Keyword As _SGMLMarkedSection_Keyword_enum], [Name])

Description

Lets you insert a marked section.

Parameters

Keyword: enumeration (optional)	The keyword
Name: string (optional)	The name


SGMLMarkedSectionDlg

Syntax

SGMLMarkedSectionDlg()

Description

Lets you insert a marked section.


SGMLMrkSecPEDelete

Syntax

SGMLMrkSecPEDelete(Name As String)

Description

Lets you delete a marked section parameter entity declaration.

Parameter

Name: string	The marked section parameter entity declaration


SGMLMrkSecPERename

Syntax

SGMLMrkSecPERename(Name As String, NewName As String)

Description

Lets you create an attribute.

Parameters

Name: string	The name
Value: string	The value


SGMLNewAttribute

Syntax

SGMLNewAttribute(Name As String, Value As String)

Description

Create an attribute value. The name of the attribute must be different from any attribute in the previous start tag. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute.
Value: string	The value of the attribute.
 Related topics


SGMLOpenFileDlg

Syntax

SGMLOpenFileDlg()

Description

Display the Open SGML File dialog box. This method is valid only if the WordPerfect SGML program component is installed.

 Related topics


SGMLPreferences

Syntax

SGMLPreferences([DocTypeDir As String], [Show As _SGMLPreferences_Show_enum], [RevealCode As _SGMLPreferences_RevealCode_enum], [Red As Integer], [Green As Integer], [Blue As Integer], [FontSize As Integer], [HTMLImport As _SGMLPreferences_HTMLImport_enum], [ImportPrompt As _SGMLPreferences_ImportPrompt_enum], [OmitTagsImport As _SGMLPreferences_OmitTagsImport_enum], [DefaultSaveAsXML As _SGMLPreferences_DefaultSaveAsXML_enum], [TemplateFolder As String], [ProjBaseTemplate As String], [GraphicsFolder As String], [CatalogFile])

Description

Specify a default directory for the document-type files and the display preferences for tags in the document and in Reveal Codes. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

DocTypeDir: string (optional)	The directory for the document type files.
Show: enumeration (optional)	Hide! Show! ShowAsMarkers!
RevealCode: enumeration (optional)	ShowLayout! ShowAttributes!
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
FontSize: measurement (optional)	The size of the font.
HTMLImport: enumeration (optional)	No! Yes!
ImportPrompt: enumeration (optional)	No! Yes!
OmitTagsImport: enumeration (optional)	No! Yes!
DefaultSaveAsXML: enumeration (optional)	No! Yes!
TemplateFolder: string (optional)	The template folder.
ProjBaseTemplate: string (optional)
GraphicsFolder: string (optional)	The graphics folder.


SGMLProcessingInstruction

Syntax

SGMLProcessingInstruction([Name As String])

Description

Lets you insert an XML processing instruction.

Parameter

Name: string (optional)	The name of the instruction


SGMLProcessingInstructionDlg

Syntax

SGMLProcessingInstructionDlg()

Description

Lets you insert an XML processing instruction.


SGMLProcessTarget

Syntax

SGMLProcessTarget(Name As String, [PublicID As String], [FilePath As String])

Description

Lets you create a process target declaration.

Parameters

Name: string	The name of the target
PublicID: string (optional)	The ID
FilePath: string (optional)	The file path


SGMLProcessTargetDelete

Syntax

SGMLProcessTargetDelete(Name As String)

Description

Lets you delete a process target.

Parameter

Name: string	The name of the target


SGMLProcessTargetFilePath

Syntax

SGMLProcessTargetFilePath(TargetName As String, FilePath As String)

Description

Lets you set the file path of a process target.

Parameters

TargetName: string	The name of the target
FilePath: string	The file path


SGMLProcessTargetPubID

Syntax

SGMLProcessTargetPubID(TargetName As String, PublicID As String)

Description

Lets you change the public ID of a process target.

Parameters

TargetName: string	The name of the target
FilePath: string	The file path


SGMLProcessTargetRename

Syntax

SGMLProcessTargetRename(OldName As String, NewName As String)

Description

Lets you change the name of a process target.

Parameters

OldName: string	The old name
NewName: string	The new name


SGMLRenameElement

Syntax

SGMLRenameElement(Name As String)

Description

Rename the element previous to the insertion point. Does not change the element attributes. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The new name for the element.


SGMLReplaceAttribute

Syntax

SGMLReplaceAttribute(Name As String, Value As String)

Description

Replace the current attribute value. The attribute must be present in the previous start tag. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Name: string	The name of the attribute.
Value: string	The value of the attribute.
 Related topics


SGMLRootElement

Syntax

SGMLRootElement(Element As String)

Description

Change the root element of the current document type. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Element: string	The name of the root element.


SGMLRootElementDlg

Syntax

SGMLRootElementDlg()

Description

Display the Select Root Element dialog box. This method is valid only if the WordPerfect SGML program component is installed.


SGMLSaveAsOptions

Syntax

SGMLSaveAsOptions(DocTypeDeclaration As _SGMLSaveAsOptions_DocTypeDeclaration_enum, [SGMLDeclaration As _SGMLSaveAsOptions_SGMLDeclaration_enum], [WrapText As SGMLSaveAsOptions_WrapText_enum])

Description

Set options for saving a document in SGML format. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

DocTypeDeclaration: enumeration	Include the Document Type Declaration in the saved SGML document. Default: Yes! No! Yes!
SGMLDeclaration: enumeration (optional)	Include the SGML declaration at the beginning of the file. Default: No! No! Yes!
ConvertSRT: enumeration (optional)	Convert soft returns in the document to hard returns in the saved SGML document. This method is obsolete in version 9; it has been left in for backwards compatibility. No! Yes!


SGMLSelectElement

Syntax

SGMLSelectElement()

Description

Select the open element at the insertion point. This method is valid only if the WordPerfect SGML program component is installed.


SGMLSelectLayout

Syntax

SGMLSelectLayout([LayoutFile As String])

Description

Change the layout of the SGML elements. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

LayoutFile: string (optional)	The filename of the layout file.
 Related topics


SGMLSelectLayoutDlg

Syntax

SGMLSelectLayoutDlg()

Description

Display the Select Layouts dialog box. This method is valid only if the WordPerfect SGML program component is installed.

 Related topics


SGMLSetValidation

Syntax

SGMLSetValidation([Options])

Description

Specify the types of errors to find during validation. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

Options: enumeration (optional)	CharMap! Entity! EntityDecl! IdIdref! Logic! TextSeq!


SGMLSplitElement

Syntax

SGMLSplitElement()

Description

Split the current SGML element into two separate elements of the same type. The attribute values will be duplicated for each element created. This method is valid only if the WordPerfect SGML program component is installed.


SGMLTagAllTables

Syntax

SGMLTagAllTables()

Description

Tag all tables in a document. Can be used only with a document type that allows table tagging. This method is valid only if the WordPerfect SGML program component is installed.


SGMLTagBox

Syntax

SGMLTagBox()

Description

Tag the selected box based on the mappings specified in the layout (.LSI) file. This method is valid only if the WordPerfect SGML program component is installed.


SGMLTagCurrentTable

Syntax

SGMLTagCurrentTable()

Description

Tag the current table. Your document type must use one of the table methods supported by the SGML edition of WordPerfect. For more information about the supported table methods, see Tag Tables in the main Help file. Any elements that are not part of the basic table structure (see below) must start and end within a single table cell. Any elements that are part of the basic table structure must start within the table.

Basic Table Structure:

For CALS: colspec, entry, row, spanspec, table, tbody, tgroup, thead, and title.

For AAP: ctbf, ctbl, ctby, ctc, cte, cth, cthd, cthr, ctr, ctsb1, ctsb2, ctsb3, ctsb4, and ctsh.

For HTML: table, tr, td, th.

For WP6: table, cell, colinf, and row.

For WP6MIN: table, cell, and row.

For WP: wpcell, wprow, and wptable.

This method is valid only if the WordPerfect SGML program component is installed.


SGMLTagTablesDlg

Syntax

SGMLTagTablesDlg()

Description

Display the Tag Tables dialog box. This method is valid only if the WordPerfect SGML program component is installed.


SGMLTextRefDlg

Syntax

SGMLTextRefDlg()

Description

Display the Text References dialog box. This method is valid only if the WordPerfect SGML program component is installed. Not recordable.


SGMLUnloadDocType

Syntax

SGMLUnloadDocType()

Description

Deselect a document type for the current document. The document type includes at least a document type name and logic file (.LGC), but may also include a layout file (.LSI) and an alias file (.LNM). This method is valid only if the WordPerfect SGML program component is installed.


SGMLValidate

Syntax

SGMLValidate()

Description

Find the next validation error. This method is valid only if the WordPerfect SGML program component is installed.


SGMLValidationDlg

Syntax

SGMLValidationDlg()

Description

Display the Validation dialog box. This method is valid only if the WordPerfect SGML program component is installed.


ShadowCursorOptions

Syntax

ShadowCursorOptions([State As _ShadowCursorOptions_State_enum], [Snap As _ShadowCursorOptions_Snap_enum], [Shape As _ShadowCursorOptions_Shape_enum], [ColorRed As Integer], [ColorGreen As Integer], [ColorBlue As Integer])

Description

Set the shape, type, and color of the shadow cursor.

Parameters

State: enumeration (optional)	Text! TextAndWhiteSpace! WhiteSpace!
Snap: enumeration (optional)	Indents! Margins! Spaces! Tabs!
Shape: enumeration (optional)	Arrows! BottomArrow! BrokenCaret! Caret! DottedCaret! IBeam!
ColorRed: numeric (optional)	Value 0 - 250.
ColorGreen: numeric (optional)	Value 0 - 250.
ColorBlue: numeric (optional)	Value 0 - 250.


ShadowCursorShow

Syntax

ShadowCursorShow([State As _ShadowCursorShow_State_enum]) As Boolean

Description

Turn the shadow cursor on or off. Omitting the parameter toggles the state. This method also changes the display preferences for the shadow cursor.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


ShiftTabKey

Syntax

ShiftTabKey()

Description

Insert a [Hd Back Tab] code at the insertion point. If the insertion point is in a table, it will go to the previous table cell. If the insertion point is in an outline, it will go to the previous outline level.


ShowBoxes

Syntax

ShowBoxes(State As _ShowBoxes_State_enum)

Description

Display graphics boxes.

Parameters

State: enumeration	Off! On!
 Related topics


ShowGraphics

Syntax

ShowGraphics()

Description

Toggle Graphics.


ShowHiddenText
ShowGraphics

Syntax

ShowGraphics()

Description

Toggle Hidden Text.


ShowMarginIcons

Syntax

ShowMarginIcons([State As _ShowMarginIcons_State_enum]) As Boolean

Description

Lets you toggle whether the visibility of margin icons is off or on.

Parameter

State: enumeration (optional)	Off! On!


ShowSGMLTree

Syntax

 ShowSGMLTree([State As _ShowSGMLTree_State_enum])

Description

Display or hide the SGML Tree. The tree will be displayed only if an SGML document is being edited. Switching to a non-SGML document does not close the tree. As soon as all SGML documents are closed, the tree will be hidden. This method is valid only if the WordPerfect SGML program component is installed.

Parameters

State: enumeration (optional)	Off! On!


ShowSymbols

Syntax

ShowSymbols()

Description

Toggle display of document symbols for codes such as [HRt], [Indent], and [Tab].


SingleSmartQuote

Syntax

SingleSmartQuote([State As _SingleSmartQuote_State_enum], [OpenSingleQuote As Integer], [CloseSingleQuote As Integer])

Description

Turn Single SmartQuotes on or off and specify a quote character.

Parameters

State: enumeration (optional)	Off! On!
OpenSingleQuote: numeric (optional)	The numeric equivalent of the quote character.
CloseSingleQuote: numeric (optional)	The numeric equivalent of the quote character.
 Related topics


SingleSpaceInSentence

Syntax

SingleSpaceInSentence(State As _SingleSpaceInSentence_State_enum)

Description

Change double spaces in a sentence to single spaces.

Parameters

State: enumeration	Off! On!


SoftHyphen

Syntax

SoftHyphen()

Description

Insert a soft hyphen at the insertion point. If the word needs to be hyphenated, it will break at the soft hyphen.


SoftSpace

Syntax

SoftSpace()

Description

Insert a space at the insertion point.

 Related topics


Sort

Syntax

Sort([InFile As String], [OutFile As String], [State As _Sort_State_enum])

Description

Specify a file to sort and a file to which the changes are written.

Parameters

InFile: string (optional)	Default: current document.
OutFile: string (optional)	Default: current document.
State: enumeration (optional)	NoUndo! Undo!
 Related topics


SortAction

Syntax

 SortAction(SortAction As _SortAction_SortAction_enum)

Description

Sort a file or selected records.

Parameters

SortAction: enumeration	SelectOnly! Sort!
 Related topics


SortCaseOrder

Syntax

 SortCaseOrder(Case As _SortCaseOrder_Case_enum)

Description

Specify the case priority in a sort.

Parameters

Case: enumeration	LowercaseFirst! UppercaseFirst!
 Related topics


SortDlg

Syntax

SortDlg()

Description

Display the Sort (Source and Destination) dialog box.


SortKeys

Syntax

SortKeys([Field], [Line], [Word], [SortType], [SortOrder])

Description

Specify the sort key options.

Parameters

Field: numeric (optional)	The field to sort by.
Line: numeric (optional)	The line to sort within a specified field. This parameter is always 1 if the sort type is Line.
Word: numeric (optional)	The word to sort within a specified line and field.
SortType: enumeration (optional)	Alphanumeric! Numeric!
SortOrder: enumeration (optional)	Specify an ascending (a-z and 0-9) or descending (z-a and 9-0) sort. Ascending! Descending!
 Related topics


SortSelectString

Syntax

SortSelectString(SelectString As String)

Description

Insert a character string into the Select Records text box of the Sort dialog box.

Parameters

SelectString: string	Character string to insert.
 Related topics


SortType

Syntax

SortType(SortType As _SortType_SortType_enum)

Description

Specify a source file format. ParagraphSort! sorts files leaving paragraphs intact. ColumnSort! sorts parallel columns. TableSort! sorts tables (rows = lines, cells = fields). MergeSort! sorts data files.

Parameters

SortType: enumeration	ColumnSort! LineSort! MergeSort! ParagraphSort! TableSort!
 Related topics


SortUndo

Syntax

 SortUndo(State As _SortUndo_State_enum)

Description

Enable or disable Undo in Sort.

Parameters

State: enumeration	NoUndo! Undo!
 Related topics


SoundClipAddInstance

Syntax

 SoundClipAddInstance(Description As String)

Description

Add another reference to a sound clip already in the document.

Parameters

Description: string	The sound clip name.


SoundClipCreate

Syntax

SoundClipCreate(Description As String, Filename As String, SoundFileType As _SoundClipCreate_SoundFileType_enum, ClipType As _SoundClipCreate_ClipType_enum, LeftVolume As Integer, RightVolume As Integer)

Description

Insert a sound clip from a file into the Sound Clips in the Document dialog box.

Parameters

Description: string	The description for the sound file.
Filename: string	The filename of the sound file.
SoundFileType: enumeration	InDoc! OnDisk!
ClipType: enumeration	DigitalAudio! MIDI!
LeftVolume: numeric	Amount of left-speaker volume.
RightVolume: numeric	Amount of right-speaker volume.


SoundClipDelete

Syntax

SoundClipDelete(Description As String)

Description

Delete a sound clip.

Parameters

Description: string	The description of the sound file.


SoundClipDlg

Syntax

SoundClipDlg()

Description

Display the Sound Clips dialog box.


SoundClipPlayNext

Syntax

SoundClipPlayNext([Description As String], [StartPos As Integer], [EndPos As Integer])

Description

Play the next sound clip in the document.

Parameters

Description: string (optional)	The description of the sound clip.
StartPos: numeric (optional)	The sound clip starting point in seconds.
EndPos: numeric (optional)	The sound clip ending point in seconds.


SoundClipSetAttributes

Syntax

SoundClipSetAttributes(Description As String, Type As _SoundClipSetAttributes_Type_enum, [LeftVolume As Integer], [RightVolume As Integer])

Description

Specify sound clip attributes.

Parameters

Description: string	The description of the sound file.
Type: enumeration	DigitalAudio! MIDI!
LeftVolume: numeric (optional)	The amount of left-speaker volume.
RightVolume: numeric (optional)	The amount of right-speaker volume.


SoundClipSetDescription

Syntax

 SoundClipSetDescription(OldDescription As String, NewDescription As String)

Description

Assign a new description to a sound clip.

Parameters

OldDescription: string	The original description of the sound file.
NewDescription: string	The new description for the sound file.


SoundClipSetFilename

Syntax

(Description: string; Filename: string; Location: enumeration)

Description

Change a sound clip to point to a different sound file on disk.

Parameters

Description: string	The description of the sound file.
Filename: string	The filename of the sound file.
Location: enumeration	InDoc! OnDisk!


SpecificDeleteStringBegin

Syntax

SpecificDeleteStringBegin()

Description

Delete specific codes. Follow with a method that specifies the specific code to delete, then SpecificStringEnd(). Use with methods such as ReplaceBackward() and ReplaceForward().

 Related topics


SpecificReplaceStringBegin

Syntax

SpecificReplaceStringBegin()

Description

Specify a specific code replacement. Follow with a method corresponding to a specific replacement code. Use with methods such as ReplaceBackward(), ReplaceForward(), SpecificSearchStringBegin(), and SpecificStringEnd().

 Related topics


SpecificSearchStringBegin

Syntax

SpecificSearchStringBegin()

Description

Find a specific code. Follow with the macro method corresponding to the specific code to be found. Use with SpecificStringEnd().

 Related topics


SpecificStringEnd

Syntax

SpecificStringEnd()

Description

End a specific code search. Precede with SpecificSearchStringBegin(), SpecificReplaceStringBegin(), or SpecificDeleteStringBegin(), and a method which specifies the specific code to search.

 Related topics


SpellAsYouGo

Syntax

SpellAsYouGo([State As _SpellAsYouGo_State_enum]) As Boolean

Description

Turn or toggle Spell-As-You-Go on or off, and return the original state. If the macro toolbar is active in the current document, this method causes a run-time error.

Return Value

Returns True if Spell-As-You-Go is on, False if not. If the State parameter is omitted, its current value is returned, then the value is toggled. If the State parameter is included, the current value is returned, then the new value is set.

Parameters

State: enumeration (optional)	Omitting this parameter toggles Spell-As-You-Go on or off. Off! On!
 Related topics


SpreadsheetShowLinkCode

Syntax

SpreadsheetShowLinkCode(State As _SpreadsheetShowLinkCode_State_enum)

Description

Display or hide spreadsheet link codes.

Parameters

State: enumeration	No! Yes!
 Related topics


SpreadsheetUpdateOnRetrieve

Syntax

SpreadsheetUpdateOnRetrieve(State As _SpreadsheetUpdateOnRetrieve_State_enum)

Description

Turn the Update on retrieve option on or off for spreadsheet/database links.

Parameters

State: enumeration	No! Yes!
 Related topics


StatusBarShow

Syntax

StatusBarShow([State As _StatusBarShow_State_enum])

Description

Display or hide the Application Bar.

Parameters

State: enumeration (optional)	Default: toggle. Off! On!
 Related topics


StyleCodes

Syntax

StyleCodes([State As _StyleCodes_State_enum], [Library As _StyleCodes_Library_enum])

Description

Edit style codes. Use with methods such as StyleEditBegin(), StyleEditEnd(), and SubstructureExit().

Parameters

State: enumeration (optional)	Include codes that take effect when the style is off. WithOffCodes! WithoutOffCodes!
Library: enumeration (optional)	The styles codes location. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleCopy

Syntax

StyleCopy(Style, [FromLibrary As _StyleCopy_FromLibrary_enum], [ToLibrary As _StyleCopy_ToLibrary_enum], [NewName As String])

Description

Copy a style between the current document, the personal library, and the shared library. You must pass the numeric value of the style.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle![0] FootnoteNumberInDocumentStyle![16] EndnoteNumberInDocumentStyle![17] FigureNumberStyle![18] TableBoxNumberStyle![19] TextBoxNumberStyle![20] UserBoxNumberStyle![21] EquationNumberStyle![22] HypertextStyle![23] ToC1Style![24] ToC2Style![25] ToC3Style![26] ToC4Style![27] ToC5Style![28] Index1Style![29] Index2Style![30] ListStyle![31] ToAStyle![32] DocStyle![33] BoxTextStyle![34] CaptionStyle![35] FootnoteStyle![36] EndnoteStyle![37] CommentStyle![38] HeaderAStyle![39] HeaderBStyle![40] FooterAStyle![41] FooterBStyle![42] WatermarkAStyle![43] WatermarkBStyle![44] ParagraphOutlnStyle![45] OutlineStyle![46] LegalOutlnStyle![47] BulletsOutlnStyle![48] HeadingsOutlnStyle![49] Legal_2OutlnStyle![50] NumbersOutlnStyle![51] Level1Style![52] Level2Style![53] Level3Style![54] Level4Style![55] Level5Style![56] Level6Style![57] Level7Style![58] Level8Style![59] Legal1Style![60] Legal2Style![61] Legal3Style![62] Legal4Style![63] Legal5Style![64] Legal6Style![65] Legal7Style![66] Legal8Style![67] Heading1Style![68] Heading2Style![69] Heading3Style![70] Heading4Style![71] Heading5Style![72] Heading6Style![73] Heading7Style![74] Heading8Style![75] MonospacedStyle![76] CustomHTMLStyle![77] PreformattedStyle![78] AddressStyle![79] QuotationsOutlnStyle![80] DefinitionsOutlnStyle![81] Quotation1Style![82] Quotation2Style![83] Quotation3Style![84] Quotation4Style![85] Quotation5Style![86] Quotation6Style![87] Quotation7Style![88] Quotation8Style![89] Definition1Style![90] Definition2Style![91] Definition3Style![92] Definition4Style![93] Definition5Style![94] Definition6Style![95] Definition7Style![96] Definition8Style![97] Level9Style![111] Legal9Style![112] Heading9Style![113] Quotation9Style![114] Definition9Style![115]
FromLibrary: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
ToLibrary: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
NewName: string (optional)	The new style name.
 Related topics


StyleCreate

Syntax

StyleCreate(Name As String, Type As _StyleCreate_Type_enum, [CreateFlag As _StyleCreate_CreateFlag_enum], [Library As _StyleCreate_Library_enum])

Description

Create a style.

Parameters

Name: string	The name of the style.
Type: enumeration	AutoCharacterStyle! AutoParagraphStyle! CharacterStyle! NewBulletStyle! OpenStyle! ParagraphStyle!
CreateFlag: enumeration (optional)	The pattern to base a style on. CreateBulletStyle! CreateFromCurrent! CreateFromCurrentHS! CreateNumberStyle! CreateOutlineStyle!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleDelete

Syntax

StyleDelete(Style, Codes As _StyleDelete_Codes_enum, [Library As _StyleDelete_Library_enum])

Description

Delete a style. You must pass the numeric value of the style.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle![0] FootnoteNumberInDocumentStyle![16] EndnoteNumberInDocumentStyle![17] FigureNumberStyle![18] TableBoxNumberStyle![19] TextBoxNumberStyle![20] UserBoxNumberStyle![21] EquationNumberStyle![22] HypertextStyle![23] ToC1Style![24] ToC2Style![25] ToC3Style![26] ToC4Style![27] ToC5Style![28] Index1Style![29] Index2Style![30] ListStyle![31] ToAStyle![32] DocStyle![33] BoxTextStyle![34] CaptionStyle![35] FootnoteStyle![36] EndnoteStyle![37] CommentStyle![38] HeaderAStyle![39] HeaderBStyle![40] FooterAStyle![41] FooterBStyle![42] WatermarkAStyle![43] WatermarkBStyle![44] ParagraphOutlnStyle![45] OutlineStyle![46] LegalOutlnStyle![47] BulletsOutlnStyle![48] HeadingsOutlnStyle![49] Legal_2OutlnStyle![50] NumbersOutlnStyle![51] Level1Style![52] Level2Style![53] Level3Style![54] Level4Style![55] Level5Style![56] Level6Style![57] Level7Style![58] Level8Style![59] Legal1Style![60] Legal2Style![61] Legal3Style![62] Legal4Style![63] Legal5Style![64] Legal6Style![65] Legal7Style![66] Legal8Style![67] Heading1Style![68] Heading2Style![69] Heading3Style![70] Heading4Style![71] Heading5Style![72] Heading6Style![73] Heading7Style![74] Heading8Style![75] MonospacedStyle![76] CustomHTMLStyle![77] PreformattedStyle![78] AddressStyle![79] QuotationsOutlnStyle![80] DefinitionsOutlnStyle![81] Quotation1Style![82] Quotation2Style![83] Quotation3Style![84] Quotation4Style![85] Quotation5Style![86] Quotation6Style![87] Quotation7Style![88] Quotation8Style![89] Definition1Style![90] Definition2Style![91] Definition3Style![92] Definition4Style![93] Definition5Style![94] Definition6Style![95] Definition7Style![96] Definition8Style![97] Level9Style![111] Legal9Style![112] Heading9Style![113] Quotation9Style![114] Definition9Style![115]
Codes: enumeration	Delete or leave style codes. IncludingCodes! LeavingCodes!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleDescription

Syntax

 StyleDescription(Description As String)

Description

Change a style description. Use with methods such as StyleEditBegin() and StyleEditEnd().

Parameters

Description: string	The description of the style.
 Related topics


StyleEditBegin

Syntax

StyleEditBegin(Style, [Library As _StyleEditBegin_Library_enum])

Description

Begin editing a style. End with StyleEditEnd. Use with StyleCodes. You must pass the numeric value of the style.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle![0] FootnoteNumberInDocumentStyle![16] EndnoteNumberInDocumentStyle![17] FigureNumberStyle![18] TableBoxNumberStyle![19] TextBoxNumberStyle![20] UserBoxNumberStyle![21] EquationNumberStyle![22] HypertextStyle![23] ToC1Style![24] ToC2Style![25] ToC3Style![26] ToC4Style![27] ToC5Style![28] Index1Style![29] Index2Style![30] ListStyle![31] ToAStyle![32] DocStyle![33] BoxTextStyle![34] CaptionStyle![35] FootnoteStyle![36] EndnoteStyle![37] CommentStyle![38] HeaderAStyle![39] HeaderBStyle![40] FooterAStyle![41] FooterBStyle![42] WatermarkAStyle![43] WatermarkBStyle![44] ParagraphOutlnStyle![45] OutlineStyle![46] LegalOutlnStyle![47] BulletsOutlnStyle![48] HeadingsOutlnStyle![49] Legal_2OutlnStyle![50] NumbersOutlnStyle![51] Level1Style![52] Level2Style![53] Level3Style![54] Level4Style![55] Level5Style![56] Level6Style![57] Level7Style![58] Level8Style![59] Legal1Style![60] Legal2Style![61] Legal3Style![62] Legal4Style![63] Legal5Style![64] Legal6Style![65] Legal7Style![66] Legal8Style![67] Heading1Style![68] Heading2Style![69] Heading3Style![70] Heading4Style![71] Heading5Style![72] Heading6Style![73] Heading7Style![74] Heading8Style![75] MonospacedStyle![76] CustomHTMLStyle![77] PreformattedStyle![78] AddressStyle![79] QuotationsOutlnStyle![80] DefinitionsOutlnStyle![81] Quotation1Style![82] Quotation2Style![83] Quotation3Style![84] Quotation4Style![85] Quotation5Style![86] Quotation6Style![87] Quotation7Style![88] Quotation8Style![89] Definition1Style![90] Definition2Style![91] Definition3Style![92] Definition4Style![93] Definition5Style![94] Definition6Style![95] Definition7Style![96] Definition8Style![97] Level9Style![111] Legal9Style![112] Heading9Style![113] Quotation9Style![114] Definition9Style![115]
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleEditEnd

Syntax

(State: enumeration)

Description

Save or cancel style changes. Use with StyleEditBegin() and StyleCodes().

Parameters

State: enumeration	Cancel! Save!
 Related topics


StyleEnterKeySetting

Syntax

StyleEnterKeySetting(Action As _StyleEnterKeySetting_Action_enum)

Description

Specify the effect of pressing Enter when a style is on. Use with methods such as StyleEditBegin() and StyleEditEnd().

Parameters

Action: enumeration	HardReturn! StyleOff! StyleOffOn!
 Related topics


StyleLinkTo

Syntax

StyleLinkTo(Style)

Description

Specify a style to turn on when Enter is pressed. Use with methods such as StyleEditBegin() and StyleEditEnd(). You must pass the numeric value of the style.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle![0] FootnoteNumberInDocumentStyle![16] EndnoteNumberInDocumentStyle![17] FigureNumberStyle![18] TableBoxNumberStyle![19] TextBoxNumberStyle![20] UserBoxNumberStyle![21] EquationNumberStyle![22] HypertextStyle![23] ToC1Style![24] ToC2Style![25] ToC3Style![26] ToC4Style![27] ToC5Style![28] Index1Style![29] Index2Style![30] ListStyle![31] ToAStyle![32] DocStyle![33] BoxTextStyle![34] CaptionStyle![35] FootnoteStyle![36] EndnoteStyle![37] CommentStyle![38] HeaderAStyle![39] HeaderBStyle![40] FooterAStyle![41] FooterBStyle![42] WatermarkAStyle![43] WatermarkBStyle![44] ParagraphOutlnStyle![45] OutlineStyle![46] LegalOutlnStyle![47] BulletsOutlnStyle![48] HeadingsOutlnStyle![49] Legal_2OutlnStyle![50] NumbersOutlnStyle![51] Level1Style![52] Level2Style![53] Level3Style![54] Level4Style![55] Level5Style![56] Level6Style![57] Level7Style![58] Level8Style![59] Legal1Style![60] Legal2Style![61] Legal3Style![62] Legal4Style![63] Legal5Style![64] Legal6Style![65] Legal7Style![66] Legal8Style![67] Heading1Style![68] Heading2Style![69] Heading3Style![70] Heading4Style![71] Heading5Style![72] Heading6Style![73] Heading7Style![74] Heading8Style![75] MonospacedStyle![76] CustomHTMLStyle![77] PreformattedStyle![78] AddressStyle![79] QuotationsOutlnStyle![80] DefinitionsOutlnStyle![81] Quotation1Style![82] Quotation2Style![83] Quotation3Style![84] Quotation4Style![85] Quotation5Style![86] Quotation6Style![87] Quotation7Style![88] Quotation8Style![89] Definition1Style![90] Definition2Style![91] Definition3Style![92] Definition4Style![93] Definition5Style![94] Definition6Style![95] Definition7Style![96] Definition8Style![97] Level9Style![111] Legal9Style![112] Heading9Style![113] Quotation9Style![114] Definition9Style![115]
 Related topics


StyleOff

Syntax

StyleOff([Style])

Description

Turn off a style. Begin with StyleOn(). You must pass the numeric value of the style.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle![0] FootnoteNumberInDocumentStyle![16] EndnoteNumberInDocumentStyle![17] FigureNumberStyle![18] TableBoxNumberStyle![19] TextBoxNumberStyle![20] UserBoxNumberStyle![21] EquationNumberStyle![22] HypertextStyle![23] ToC1Style![24] ToC2Style![25] ToC3Style![26] ToC4Style![27] ToC5Style![28] Index1Style![29] Index2Style![30] ListStyle![31] ToAStyle![32] DocStyle![33] BoxTextStyle![34] CaptionStyle![35] FootnoteStyle![36] EndnoteStyle![37] CommentStyle![38] HeaderAStyle![39] HeaderBStyle![40] FooterAStyle![41] FooterBStyle![42] WatermarkAStyle![43] WatermarkBStyle![44] ParagraphOutlnStyle![45] OutlineStyle![46] LegalOutlnStyle![47] BulletsOutlnStyle![48] HeadingsOutlnStyle![49] Legal_2OutlnStyle![50] NumbersOutlnStyle![51] Level1Style![52] Level2Style![53] Level3Style![54] Level4Style![55] Level5Style![56] Level6Style![57] Level7Style![58] Level8Style![59] Legal1Style![60] Legal2Style![61] Legal3Style![62] Legal4Style![63] Legal5Style![64] Legal6Style![65] Legal7Style![66] Legal8Style![67] Heading1Style![68] Heading2Style![69] Heading3Style![70] Heading4Style![71] Heading5Style![72] Heading6Style![73] Heading7Style![74] Heading8Style![75] MonospacedStyle![76] CustomHTMLStyle![77] PreformattedStyle![78] AddressStyle![79] QuotationsOutlnStyle![80] DefinitionsOutlnStyle![81] Quotation1Style![82] Quotation2Style![83] Quotation3Style![84] Quotation4Style![85] Quotation5Style![86] Quotation6Style![87] Quotation7Style![88] Quotation8Style![89] Definition1Style![90] Definition2Style![91] Definition3Style![92] Definition4Style![93] Definition5Style![94] Definition6Style![95] Definition7Style![96] Definition8Style![97] Level9Style![111] Legal9Style![112] Heading9Style![113] Quotation9Style![114] Definition9Style![115]
 Related topics


StyleOn

Syntax

StyleOn(Style, [Action As _StyleOn_Action_enum])

Description

Turn on a style. You must pass the numeric value of the style. .

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle![0] FootnoteNumberInDocumentStyle![16] EndnoteNumberInDocumentStyle![17] FigureNumberStyle![18] TableBoxNumberStyle![19] TextBoxNumberStyle![20] UserBoxNumberStyle![21] EquationNumberStyle![22] HypertextStyle![23] ToC1Style![24] ToC2Style![25] ToC3Style![26] ToC4Style![27] ToC5Style![28] Index1Style![29] Index2Style![30] ListStyle![31] ToAStyle![32] DocStyle![33] BoxTextStyle![34] CaptionStyle![35] FootnoteStyle![36] EndnoteStyle![37] CommentStyle![38] HeaderAStyle![39] HeaderBStyle![40] FooterAStyle![41] FooterBStyle![42] WatermarkAStyle![43] WatermarkBStyle![44] ParagraphOutlnStyle![45] OutlineStyle![46] LegalOutlnStyle![47] BulletsOutlnStyle![48] HeadingsOutlnStyle![49] Legal_2OutlnStyle![50] NumbersOutlnStyle![51] Level1Style![52] Level2Style![53] Level3Style![54] Level4Style![55] Level5Style![56] Level6Style![57] Level7Style![58] Level8Style![59] Legal1Style![60] Legal2Style![61] Legal3Style![62] Legal4Style![63] Legal5Style![64] Legal6Style![65] Legal7Style![66] Legal8Style![67] Heading1Style![68] Heading2Style![69] Heading3Style![70] Heading4Style![71] Heading5Style![72] Heading6Style![73] Heading7Style![74] Heading8Style![75] MonospacedStyle![76] CustomHTMLStyle![77] PreformattedStyle![78] AddressStyle![79] QuotationsOutlnStyle![80] DefinitionsOutlnStyle![81] Quotation1Style![82] Quotation2Style![83] Quotation3Style![84] Quotation4Style![85] Quotation5Style![86] Quotation6Style![87] Quotation7Style![88] Quotation8Style![89] Definition1Style![90] Definition2Style![91] Definition3Style![92] Definition4Style![93] Definition5Style![94] Definition6Style![95] Definition7Style![96] Definition8Style![97] Level9Style![111] Legal9Style![112] Heading9Style![113] Quotation9Style![114] Definition9Style![115]
Action: enumeration (optional)	SkipEmptyParagraphs!
 Related topics


StylePersonalLibrary

Syntax

StylePersonalLibrary(Filename As String)

Description

Specify a DOS Personal Library style file for the current document. Included for DOS compatibility. Use StyleSave() or StyleCopy() to place a style in a style file.

Parameters

Filename: string	The filename of the Personal Library file.


StyleRename

Syntax

(Name: string)

Description

Rename a style. Use with methods such StyleEditBegin() and StyleEditEnd().

Parameters

Name: string	The new name.
 Related topics


StyleRetrieve

Syntax

StyleRetrieve(File As String, Styles As _StyleRetrieve_Styles_enum, [Library As _StyleRetrieve_Library_enum])

Description

Retrieve the styles in a style file.

Parameters

File: string	The filename of the style to retrieve.
Styles: enumeration	AllStyles! SystemStyles! UserStyles!
Library: enumeration (optional)	The destination library. CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleSave

Syntax

StyleSave(Filename As String, StyleType As _StyleSave_StyleType_enum, [Library As _StyleSave_Library_enum])

Description

Save styles from a library to a style file.

Parameters

Filename: string	The filename of the style.
StyleType: enumeration	AllStyles! SystemStyles! UserStyles!
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


StyleSharedLibrary

Syntax

StyleSharedLibrary(Filename As String)

Description

Specify a DOS shared library style file for the current document. Included for DOS compatibility. StyleSave() or StyleCopy() places a style in a style file.

Parameters

Filename: string	The filename of the shared library style file.


StylesListDlg

Syntax

StylesListDlg()

Description

Display the Style List dialog box.


StyleSystemOn

Syntax

StyleSystemOn(Style, [Action As _StyleSystemOn_Action_enum])

Description

Turn on a WordPerfect or user-defined style. You must pass the numeric value of the style.

Parameters

Style: any	Use a string to specify a user-defined style. NormalStyle![0] FootnoteNumberInDocumentStyle![16] EndnoteNumberInDocumentStyle![17] FigureNumberStyle![18] TableBoxNumberStyle![19] TextBoxNumberStyle![20] UserBoxNumberStyle![21] EquationNumberStyle![22] HypertextStyle![23] ToC1Style![24] ToC2Style![25] ToC3Style![26] ToC4Style![27] ToC5Style![28] Index1Style![29] Index2Style![30] ListStyle![31] ToAStyle![32] DocStyle![33] BoxTextStyle![34] CaptionStyle![35] FootnoteStyle![36] EndnoteStyle![37] CommentStyle![38] HeaderAStyle![39] HeaderBStyle![40] FooterAStyle![41] FooterBStyle![42] WatermarkAStyle![43] WatermarkBStyle![44] ParagraphOutlnStyle![45] OutlineStyle![46] LegalOutlnStyle![47] BulletsOutlnStyle![48] HeadingsOutlnStyle![49] Legal_2OutlnStyle![50] NumbersOutlnStyle![51] Level1Style![52] Level2Style![53] Level3Style![54] Level4Style![55] Level5Style![56] Level6Style![57] Level7Style![58] Level8Style![59] Legal1Style![60] Legal2Style![61] Legal3Style![62] Legal4Style![63] Legal5Style![64] Legal6Style![65] Legal7Style![66] Legal8Style![67] Heading1Style![68] Heading2Style![69] Heading3Style![70] Heading4Style![71] Heading5Style![72] Heading6Style![73] Heading7Style![74] Heading8Style![75] MonospacedStyle![76] CustomHTMLStyle![77] PreformattedStyle![78] AddressStyle![79] QuotationsOutlnStyle![80] DefinitionsOutlnStyle![81] Quotation1Style![82] Quotation2Style![83] Quotation3Style![84] Quotation4Style![85] Quotation5Style![86] Quotation6Style![87] Quotation7Style![88] Quotation8Style![89] Definition1Style![90] Definition2Style![91] Definition3Style![92] Definition4Style![93] Definition5Style![94] Definition6Style![95] Definition7Style![96] Definition8Style![97] Level9Style![111] Legal9Style![112] Heading9Style![113] Quotation9Style![114] Definition9Style![115]
Action: enumeration (optional)	SkipEmptyParagraphs!


StyleType

Syntax

StyleType(Type As _StyleType_Type_enum)

Description

Specify a style type. Use with methods such as StyleEditBegin() and StyleEditEnd().

Parameters

Type: enumeration	AutoCharacterStyle! AutoParagraphStyle! CharacterStyle! NewBulletStyle! OpenStyle! ParagraphStyle!
 Related topics


StyleUpdate

Syntax

StyleUpdate()

Description

Update all styles in the current document.


SubdividePage

Syntax

SubdividePage(Columns As Integer, Rows As Integer)

Description

Divide a physical page into logical pages.

Parameters

Columns: numeric	The number of logical-page columns on a physical page
Rows: numeric	The number of logical-page rows on a physical page.


SubdividePageDlg

Syntax

SubdividePageDlg()

Description

Display the Divide Page tab of the Page Setup dialog box.


SubdividePageOff

Syntax

SubdividePageOff()

Description

Turn off Subdivide Page.

 Related topics


SubdocInclude

Syntax

SubdocInclude(DocumentName As String)

Description

Insert a document into the current document as a subdocument.

Parameters

DocumentName: string	The file to insert.


SubstructureExit

Syntax

SubstructureExit([Action As _SubstructureExit_Action_enum])

Description

Close the current substructure and optionally open an existing substructure of the same type.

Parameters

Action: enumeration (optional)	Next! Previous!


Suppress

Syntax

 Suppress([Item])

Description

Turn off the specified page formatting items for the current page.

Parameters

Item: enumeration	FooterA! FooterB! HeaderA! HeaderB! PageNumberBottomCenter! PageNumbering! WatermarkA! WatermarkB!


SwitchDoc

Syntax

SwitchDoc(DocNum As Integer)

Description

Specify a document to switch to.

Parameters

DocNum: numeric	The number of the open document to display.


SaveAll

Syntax

SaveAll()

Description

Save all unsaved documents.

 Related topics


SaveAllShippingMacro

Syntax

SaveAllShippingMacro()

Description

Play the shipping macro SAVEALL.WCM to display a list of open documents to select for saving. SAVEALL.WCM must be installed.


SaveToDriveAMacro

Syntax

SaveToDriveAMacro()

Description

Play the shipping macro SAVETOA.WCM to save the current document and make a copy of it on drive A. SAVETOA.WCM must be installed.


SaveUndoInformation

Syntax

 SaveUndoInformation(State As _SaveUndoInformation_State_enum)

Description

Save Undo and Redo information with the current document. Saving Undo/Redo information increases the document size.

Parameters

State: enumeration	No! Yes!
 Related topics


ScrollScreenLeft

Syntax

ScrollScreenLeft()

Description

Scroll to the left side of the document window.

 Related topics


ScrollScreenRight

Syntax

ScrollScreenRight()

Description

Scroll to the right side of the document window.

 Related topics


SearchCaseSensitive

Syntax

SearchCaseSensitive(State As _SearchCaseSensitive_State_enum)

Description

Make Find case sensitive.

Parameters

State: enumeration	No! Yes!
 Related topics


SearchFindWholeWordsOnly

Syntax

SearchFindWholeWordsOnly(State As _SearchFindWholeWordsOnly_State_enum)

Description

Specify whether Find matches only a whole word (Yes!) or also matches partial words (No!).

Parameters

State: enumeration	No! Yes!


SearchInSelection

Syntax

SearchInSelection(State As _SearchInSelection_State_enum)

Description

Restrict the search to the selected text.

Parameters

State: enumeration	No! Yes!


SearchNext

Syntax

 SearchNext([SearchMode As _SearchNext_SearchMode_enum])

Description

Search forward to find the next occurrence of the last search performed.

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


SearchNextCurrentWord

Syntax

 SearchNextCurrentWord([SearchMode As _SearchNextCurrentWord_SearchMode_enum])

Description

Find the next occurrence of the current selection or word.

Parameters

SearchMode: enumeration (optional)	Extended! Regular!


SearchPrevious

Syntax

 SearchPrevious([SearchMode As _SearchPrevious_SearchMode_enum])

Description

Search backward to find the previous occurrence of the last search.

Parameters

SearchMode: enumeration (optional)	An extended search includes substructures such as headers and footnotes. Extended! Regular!
 Related topics


SearchPreviousCurrentWord

Syntax

SearchPreviousCurrentWord([SearchMode As _SearchPreviousCurrentWord_SearchMode_enum])

Description

Find the previous occurrence of the current selection or word.

Parameters

SearchMode: enumeration (optional)	Extended! Regular!


SearchString

Syntax

SearchString(StrgToLookFor As String)

Description

Specify a search string. Follow with SearchNext or SearchPrevious.

Parameters

StrgToLookFor: string	The text and/or codes to search for.
 Related topics


SearchWordForms

Syntax

SearchWordForms(State As _SearchWordForms_State_enum)

Description

Find and/or replace word forms.

Parameters

State: enumeration	No! Yes!


SearchWrap

Syntax

 SearchWrap(State As _SearchWrap_State_enum)

Description

Specify whether Find searches from the beginning of a document after it reaches the end of a document.

Parameters

State: enumeration	No! Yes!


SecondaryPageNumber

Syntax

SecondaryPageNumber(Page As Integer)

Description

Specify a secondary page number and insert the code into a document. The code is inserted at the beginning of the page where the insertion point is located.

Parameters

Page: numeric	The page number to insert.
 Related topics


SecondaryPageNumberDecrement

Syntax

SecondaryPageNumberDecrement()

Description

Decrease the current secondary page number by one.


SecondaryPageNumberDisplay

Syntax

SecondaryPageNumberDisplay()

Description

Insert a code at the insertion point that displays the current secondary page number. The number is updated as the document is modified.


SecondaryPageNumberIncrement

Syntax

SecondaryPageNumberIncrement()

Description

Increase the current secondary page number by one.


SecondaryPageNumberMethod

Syntax

SecondaryPageNumberMethod(NumberingMethod As _SecondaryPageNumberMethod_NumberingMethod_enum)

Description

Specify a numbering method for secondary page numbers.

Parameters

NumberingMethod: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


SelectAll

Syntax

SelectAll()

Description

Select all text and graphics in the current document.

 Related topics


SelectCell

Syntax

SelectCell()

Description

Select the current cell. Not valid for floating cells.

 Related topics


SelectCellDown

Syntax

SelectCellDown()

Description

Select from the insertion point down one row. In the bottom row, it does not select text or codes below a table.

 Related topics


SelectCellDownArrow

Syntax

SelectCellDownArrow()

Description

Select the current cell and one cell down. In the bottom row, it selects the current cell down to the line below the table. Not valid for floating cells.

 Related topics


SelectCellLeft

Syntax

SelectCellLeft()

Description

Select the current cell (cell containing the insertion point) and extend the selection to the previous cell. If the current cell is the first cell in the first row (A1), select the current cell. If the current cell is in the first column (column A) and not in the first row, select the current cell, extend the selection up one row, then continue to extend the selection to the rightmost column. The resulting selection includes the current row and the previous row with the insertion point in the last column of the previous row.

 Related topics


SelectCellRight

Syntax

SelectCellRight()

Description

Select the current cell and the next cell to the right. In the farthest-right cell, select the entire current row and the row below.

 Related topics


SelectCellUp

Syntax

SelectCellUp()

Description

Select the current cell and one cell above. In the top row of a table, do not select text or codes above the table.

 Related topics


SelectCellUpArrow

Syntax

SelectCellUpArrow()

Description

Select the current cell and one cell above. In the top row of a table, select from the insertion point to the line above the table.

 Related topics


SelectCharNext

Syntax

SelectCharNext()

Description

Select the text or code one character position to the right of the insertion point.

 Related topics


SelectCharPrevious

Syntax

SelectCharPrevious()

Description

Select the text or code one character position to the left of the insertion point.

 Related topics


SelectColumnBottom

Syntax

SelectColumnBottom()

Description

Select the text and codes from the insertion point to the bottom of the current column.

 Related topics


SelectColumnNext

Syntax

SelectColumnNext()

Description

Select the text and codes from the insertion point to the right one column. In the farthest-right column, select the text and codes from the insertion point to the beginning of the current line.

 Related topics


SelectColumnPrevious

Syntax

SelectColumnPrevious()

Description

Select the text and codes from the insertion point to the top of the current column, and from the bottom up to and including the corresponding line in the column to the left. In the farthest-left column, select the text and codes from the insertion point to the beginning of the current line.

 Related topics


SelectColumnTop

Syntax

SelectColumnTop()

Description

Select the text and codes from the insertion point to the top of the current column.

 Related topics


SelectDelete

Syntax

SelectDelete()

Description

Delete the selected text.

 Related topics


SelectDocBottom

Syntax

SelectDocBottom()

Description

Select the text and codes from the insertion point to the end of the document.

 Related topics


SelectDocTop

Syntax

SelectDocTop()

Description

Select the text and codes from the insertion point to the beginning of the document.

 Related topics


SelectDocVeryTop

Syntax

SelectDocVeryTop()

Description

Select the text and codes from the insertion point to the very beginning of the document, before all codes.

 Related topics


SelectedReplaceString

Syntax

SelectedReplaceString(RplcString As String, [State As _SelectedReplaceString_State_enum])

Description

Replace a search string with specified text.

Parameters

RplcString: string	The replacement text.
State: enumeration (optional)	UseAlways!
 Related topics


SelectLineBegin

Syntax

SelectLineBegin()

Description

Select the text and codes from the insertion point to the beginning of the current line.

 Related topics


SelectLineDown

Syntax

SelectLineDown()

Description

Select the text and codes from the insertion point down one line.

 Related topics


SelectLineEnd

Syntax

SelectLineEnd()

Description

Select the text and codes from the insertion point to the end of the current line.

 Related topics


SelectLineUp

Syntax

SelectLineUp()

Description

Select the text and codes from the insertion point backward to the corresponding position on the line above.

 Related topics


SelectLineVeryBegin

Syntax

SelectLineVeryBegin()

Description

Select the text and codes from the insertion point to the beginning of the current line, before any codes.

 Related topics


SelectLineVeryEnd

Syntax

SelectLineVeryEnd()

Description

Select the text and codes from the insertion point to the end of the current line, after all text and codes.

 Related topics


SelectMode

Syntax

SelectMode([State As _SelectMode_State_enum])

Description

Turn Select on or off. Default: toggle. Use the Arrow keys to extend a selection.

Parameters

State: enumeration (optional)	Off! On!
 Related topics


SelectOff

Syntax

SelectOff()

Description

Turn off Select.

 Related topics


SelectOn

Syntax

SelectOn(SelectMode As _SelectOn_SelectMode_enum)

Description

Turn on Select and specify the mode.

Parameters

SelectMode: enumeration	CharMode! CharNoCellMode! DocMode! PageMode! ParagraphMode! RectangleMode! SentenceMode! TabularColumnsMode! WordMode!
 Related topics


SelectOnEmptyDoc

Syntax

SelectOnEmptyDoc(SelectMode As _SelectOnEmptyDoc_SelectMode_enum)

Description

Activate Select and specify a Select mode in an empty document.

Parameters

SelectMode: enumeration	CharMode! CharNoCellMode! DocMode! PageMode! ParagraphMode! RectangleMode! SentenceMode! TabularColumnsMode! WordMode!
 Related topics


SelectPage

Syntax

SelectPage()

Description

Select all the text on the current page.

 Related topics


SelectPageNext

Syntax

SelectPageNext()

Description

Select the text and codes from the insertion point to the beginning of the next page. On the last page, select text and codes from the insertion point to the end of the document.

 Related topics


SelectPagePrevious

Syntax

SelectPagePrevious()

Description

Select the text and codes from the insertion point to the beginning of the previous page. On the first page, select the text and codes from the insertion point to the beginning of the document.

 Related topics


SelectParagraph

Syntax

SelectParagraph()

Description

Select the current paragraph and the subsequent codes until the text resumes.

 Related topics


SelectParagraphNext

Syntax

SelectParagraphNext()

Description

Select the text and codes from the insertion point to the beginning of the next paragraph. In the last paragraph, select the text and codes from the insertion point to the end.

 Related topics


SelectParagraphPrevious

Syntax

SelectParagraphPrevious()

Description

Select the text and codes from the insertion point to the beginning of the current paragraph. At the beginning of a paragraph, select the text and codes from the insertion point to the beginning of the preceding paragraph.

 Related topics


SelectRectangle

Syntax

SelectRectangle()

Description

Select a rectangle. SelectMode must be on (press F8) to record. Use the positioning keys to extend the selection.

 Related topics


SelectSave

Syntax

SelectSave(Filename As String)

Description

Save the selected text as a new file.

Parameters

Filename: string	The filename for the selected text.
 Related topics


SelectScreenDown

Syntax

SelectScreenDown()

Description

Select the text and codes from the insertion point to the bottom of the screen. If the insertion point is already at the bottom of the screen, select the text and codes from the insertion point to the bottom of the next screen.

 Related topics


SelectScreenLeft

Syntax

SelectScreenLeft()

Description

Select the current line from the insertion point to the left side of the screen. If the insertion point is already at the left side, select the current line from the insertion point to the left side of the next screen, or to the left margin of a document.

 Related topics


SelectScreenRight

Syntax

SelectScreenRight()

Description

Select the current line from the insertion point to the right side of the screen. If the insertion point is already at the right side, select the current line from the insertion point to the right side of the next screen, or to the right margin of a document. Not recordable.

 Related topics


SelectScreenUp

Syntax

SelectScreenUp()

Description

Select the text and codes from the insertion point to the top of the screen. If the insertion point is already at the top of the screen, select the text and codes from the insertion point to the top of the next screen.

 Related topics


SelectSentence

Syntax

SelectSentence()

Description

Select the current sentence.

 Related topics


SelectSentenceNext

Syntax

SelectSentenceNext()

Description

Select the text and codes from the insertion point to the beginning of the next sentence.

 Related topics


SelectSentencePrevious

Syntax

SelectSentencePrevious()

Description

Select the text and codes from the insertion point to the end of the previous sentence.

 Related topics


SelectTable

Syntax

SelectTable()

Description

Select all cells in the current table. If the insertion point is not in a table, the macro ends or goes to the ONERROR label.

 Related topics


SelectTableColumn

Syntax

SelectTableColumn()

Description

Select all cells in the current column of a table.

 Related topics


SelectTableColumnExtendLeft

Syntax

SelectTableColumnExtendLeft()

Description

Select the text and codes from the insertion point to the beginning of the current row.

 Related topics


SelectTableColumnExtendRight

Syntax

SelectTableColumnExtendRight()

Description

Select the text and codes from the insertion point to the beginning of the last column.

 Related topics


SelectTableRow

Syntax

SelectTableRow()

Description

Select all cells in the current row.

 Related topics


SelectTabularColumn

Syntax

SelectTabularColumn()

Description

Select one or more tabular columns. SelectMode must be on to record (press F8). Use the positioning keys to extend the selection.

 Related topics


SelectToggle

Syntax

SelectToggle()

Description

Toggle Select mode.

 Related topics


SelectWord

Syntax

SelectWord()

Description

Select the current word.

 Related topics


SelectWordNext

Syntax

SelectWordNext()

Description

Select the text and codes from the insertion point to the beginning of the next word.

 Related topics


SelectWordPrevious

Syntax

SelectWordPrevious()

Description

Select the text and codes from the insertion point to the end of the previous word.

 Related topics


TemplateCopyObject

Syntax

TemplateCopyObject(CopyFrom As String, objecttype As _TemplateCopyObject_ObjectType_enum, ObjectName As String)

Description

Copy a template object, such as a style or a macro, from one template to another.

Parameters

CopyFrom: string	The template to copy the object from.
ObjectType: enumeration	Abbreviation! ButtonBar! Keyboard! Macro! Menu! QuickWords!
ObjectName: string	The name of the object to copy.


TemplateCopyObjectDlg

Syntax

TemplateCopyObjectDlg()

Description

Display the Copy/Remove Template Objects dialog box.


TemplateCreate

Syntax

TemplateCreate(Filename As String, [BasedOn As String])

Description

Create a new template based on an existing template and open the new template in edit mode.

Parameters

Filename: string	The filename of the new template. If a path is not included in this parameter, the new template file is created in the default template folder.
BasedOn: string (optional)	The filename of the existing template to base the new template on. If a path is not included in this parameter, the method looks for the existing template in the default template folder.


TemplateDescriptionDlg

Syntax

TemplateDescriptionDlg()

Description

Display the Template Description dialog box.


TemplateDlg

Syntax

TemplateDlg()

Description

Display the Select New Document dialog box. When you use this method, the macro continues processing while the dialog box is displayed. Displaying the dialog box does not pause the macro.


TemplateEdit

Syntax

TemplateEdit(Filename As String)

Description

Edit a template.

Parameters

Filename: string	The full path and filename of the template file.


TemplateFill

Syntax

TemplateFill()

Description

Display a dialog box for entering template data. This dialog box varies depending on the fields required for the current template. If the personal information is not specified, this method first prompts the user to specify the personal information regardless of what data the current template requires. If the current template does not require data beyond the personal information, and the personal information has been set, this method updates the personal information in the document without displaying the dialog. If the current document is not based on an automated template, and the personal information has been set, this method does nothing.


TemplateGetAssociation

Syntax

TemplateGetAssociation(FeatureTrigger As _TemplateGetAssociation_FeatureTrigger_enum, Object As _TemplateGetAssociation_Object_enum) As String

Description

Return the name of the specified object that is associated in the current template with the specified feature or trigger. If the specified association does not exist in the current template, nothing is returned.

Parameters

FeatureTrigger: enumeration	BoxSelected! Comment! Endnote! EquationEditor! Footers! Footnote! Headers! Main! Outline! PostClose! PostDocument! PostNew! PostOpen! PostPrint! PostStartup! PostTables! PreClose! PreDocument! PreNew! PreOpen! PrePrint! PreTables! SGML! Tables! Watermark!
Object: enumeration	ButtonBar! Keyboard! Macro! Menu!
 Related topics


TemplateMacroEditControlBar

Syntax

TemplateMacroEditControlBar([State As _TemplateMacroEditControlBar_State_enum])

Description

Display the Template Macro Edit feature bar.

Parameters

State: enumeration (optional)	Off! On!


TemplateSelect

Syntax

TemplateSelect(Filename As String)

Description

Select a document template. This method applies the selected method to the active document, rather than creating a new document based on that template, as File | New from template does

Parameters

Filename: string	The filename of the document template.


TemplateSetAssociation

Syntax

TemplateSetAssociation(FeatureTrigger As _TemplateSetAssociation_FeatureTrigger_enum, Object As _TemplateSetAssociation_Object_enum, ObjectName As String)

Description

Assign menus, keyboards, and toolbars to selected WordPerfect features or triggers in the current template.

Parameters

FeatureTrigger: enumeration	BoxSelected! Comment! Endnote! EquationEditor! Footers! Footnote! Headers! Main! Outline! PostClose! PostDocument! PostNew! PostOpen! PostPrint! PostStartup! PostTables! PreClose! PreDocument! PreNew! PreOpen! PrePrint! PreTables! SGML! Tables! Watermark!
Object: enumeration	ButtonBar! Keyboard! Macro! Menu!
ObjectName: string	The name of the object.
 Related topics


TextBorderCreate

Syntax

TextBorderCreate(Style, FillName, BorderFunction As _TextBorderCreate_BorderFunction_enum)

Description

Create a border for the current paragraph, column, or page. Use with TextBorderEnd(). You must pass the numeric values for Style and FillName.

Parameters

Style: any	ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!	10 12 11 3 4 2 6 14 13 127 1 0 5 9 9 7
FillName: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!	0 9 1 2 3 11 4 5 6 7 8 10 127
BorderFunction: enumeration	ColumnBorder! PageBorder! ParagraphBorder!
 Related topics


TextBorderEdit

Syntax

TextBorderEdit(BorderType As _TextBorderEdit_BorderType_enum)

Description

Begin editing changes to the current border.

Parameters

BorderType: enumeration	Column! Page! Paragraph!
 Related topics


TextBorderEnd

Syntax

 TextBorderEnd(State As _TextBorderEnd_State_enum)

Description

End text border creation or editing, and save or cancel changes.

Parameters

State: enumeration	Cancel! Save!
 Related topics


TextBorderFillStyle

Syntax

TextBorderFillStyle(FillName)

Description

Specify a fill style for the current border. You must pass ther numeric value for FillName.

Parameters

FillName: any	Fill10! Fill100! Fill20! Fill30! Fill40! Fill5! Fill50! Fill60! Fill70! Fill80! Fill90! FillButton! NoFill!	0 9 1 2 3 11 4 5 6 7 8 10 127
 Related topics


TextBorderStyle

Syntax

TextBorderStyle(Style)

Description

Specify the current border style.

Parameters

Style: any	ButtonBorder! ColumnBorderAll! ColumnBorderBetween! DashedBorder! DottedBorder! DoubleBorder! ExtraThickBorder! HeavyDoubleBorder! HeavySingleBorder! NoBorder! SingleBorder! SpacingOnly! ThickBorder! ThickThinBorder! ThickTopBottomBorder! ThinThickBorder!	10 12 11 3 4 2 6 14 13 127 1 0 5 9 9 7
 Related topics


TextBoxCreate

Syntax

TextBoxCreate()

Description

Create a text box and display the Text Box feature bar.

 Related topics


TextColor

Syntax

TextColor([ColorName As String], [Red As Integer], [Green As Integer], [Blue As Integer])

Description

Specify a text color.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


TextShade

Syntax

TextShade(ShadingValue As Integer)

Description

Specify the intensity of a text color.

Parameters

ShadingValue: numeric	Percent. Full intensity: 100%.
 Related topics


ThirdPartyCreate

Syntax

ThirdPartyCreate(Id As Integer, Data)

Description

Insert a third-party function into a document.

Parameters

Id: numeric	The ID for the third party function.
Data: raw binary data	The data for the third party function.


ThirdPartyDelete

Syntax

ThirdPartyDelete(Id As Integer, From As _ThirdPartyDelete_From_enum, Direction As _ThirdPartyDelete_Direction_enum)

Description

Delete a third-party function from a document.

Parameters

Id: numeric	The ID for the third party function.
From: enumeration	BegOfFile! CurrentPos!
Direction: enumeration	Backward! Forward!


ThirdPartyFind

Syntax

 ThirdPartyFind(From As _ThirdPartyFind_From_enum, Direction As _ThirdPartyFind_Direction_enum) As Integer

Description

Find the third-party id of the next or previous third party.

Parameters

From: enumeration	BegOfFile! CurrentPos!
Direction: enumeration	Backward! Forward!


ThirdPartyFindByID

Syntax

 ThirdPartyFindByID(Id As Integer, From As _ThirdPartyFindByID_From_enum, Direction As _ThirdPartyFindByID_Direction_enum)

Description

Get the data from a third-party function.

Parameters

Id: numeric	The ID for the third party function.
From: enumeration	BegOfFile! CurrentPos!
Direction: enumeration	Backward! Forward!


ThousandsSeparator

Syntax

ThousandsSeparator([Character As String]) As String

Description

Specify a character to separate each three digits. Use when the FormatType parameter of TableCellNumberFormat(), TableColumnNumberFormat(), or TableNumberFormat ()is Comma!; or use with TableCellNumberUseCommas(), TableColumnNumberUseCommas(), or TableNumberUseCommas().

Parameters

Character: string	The character to use as a thousands separator.
 Related topics


TOACreateFullFormDlg

Syntax

TOACreateFullFormDlg()

Description

Display the Create Full Form dialog box.


TOADefineDlg

Syntax

TOADefineDlg()

Description

Display the Define Table of Authorities dialog box.


TOADefinition

Syntax

TOADefinition(SectionName As String, [Style], [Numbering As _TOADefinition_Numbering_enum], [Underline As _TOADefinition_Underline_enum], [PageCombine As _TOADefinition_PageCombine_enum], [NumberingFormat As String])

Description

Specify a section, define format options, and insert a table of authorities definition in the document. You must pass the numeric value for the Style.

Parameters

SectionName: string	The name of the section.
Style: any (optional)	NormalStyle! [0] FootnoteNumberInDocumentStyle! [16] EndnoteNumberInDocumentStyle! [17] FigureNumberStyle! [18] TableBoxNumberStyle! [19] TextBoxNumberStyle! [20] UserBoxNumberStyle! [21] EquationNumberStyle! [22] HypertextStyle! [23] ToC1Style! [24] ToC2Style! [25] ToC3Style! [26] ToC4Style! [27] ToC5Style! [28] Index1Style! [29] Index2Style! [30] ListStyle! [31] ToAStyle! [32] DocStyle! [33] BoxTextStyle! [34] CaptionStyle! [35] FootnoteStyle! [36] EndnoteStyle! [37] CommentStyle! [38] HeaderAStyle! [39] HeaderBStyle! [40] FooterAStyle! [41] FooterBStyle! [42] WatermarkAStyle! [43] WatermarkBStyle!AddressStyle! [44] ParagraphOutlnStyle! [45] OutlineStyle! [46] LegalOutlnStyle! [47] BulletsOutlnStyle! [48] HeadingsOutlnStyle! [48] Legal_2OutlnStyle! [49] NumbersOutlnStyle! [50] Level1Style! [51] Level2Style! [52] Level3Style! [53] Level4Style! [54] Level5Style! [55] Level6Style! [56] Level7Style! [57] Level8Style! [58] Legal1Style! [59] Legal2Style! [60] Legal3Style! [61] Legal4Style! [62] Legal5Style! [63] Legal6Style! [64] Legal7Style! [65] Legal8Style! [66] Heading1Style! [67] Heading2Style! [68] Heading3Style! [69] Heading4Style! [70] Heading5Style! [71] Heading6Style! [72] Heading7Style! [73] Heading8Style! [74] MonospacedStyle! [75] CustomHTMLStyle! [76] PreformattedStyle! [77] AddressStyle! [78] QuotationsOutlnStyle! [79] DefinitionsOutlnStyle! [80] Quotation1Style! [81] Quotation2Style! [82] Quotation3Style! [83] Quotation4Style! [84] Quotation5Style! [85] Quotation6Style! [86] Quotation7Style! [87] Quotation8Style! [88] Definition1Style! [89] Definition2Style! [90] Definition3Style! [91] Definition4Style! [92] Definition5Style! [93] Definition6Style! [94] Definition7Style! [95] Definition8Style! [96] Level9Style! [97] Legal9Style! [111] Heading9Style! [112] Quotation9Style! [113] DefinitionStyle [114]
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
Underline: enumeration (optional)	NoToAUnderline! ToAUnderline!
PageCombine: enumeration (optional)	Combine sequential page numbers. Combine! NoCombine!
NumberingFormat: string (optional)	The numbering format for the table.
 Related topics


TOADefinitionCombine

Syntax

 TOADefinitionCombine(SectionName As String, [Combine As _TOADefinitionCombine_Combine_enum])

Description

Combine sequential page numbers in a table of authorities section.

Parameters

SectionName: string	The name of the section.
Combine: enumeration (optional)	Combine! NoCombine!


TOADefinitionCreate

Syntax

TOADefinitionCreate(SectionName As String, [Style], [Numbering As _TOADefinitionCreate_Numbering_enum], [Underline As _TOADefinitionCreate_Underline_enum], [PageCombine As _TOADefinitionCreate_PageCombine_enum], [NumberingFormat As String])

Description

Create a table of authorities definition. You must pass the numeric value for the Style.

Parameters

SectionName: string	The name of the section.
Style: any (optional)	NormalStyle! [0] FootnoteNumberInDocumentStyle! [16] EndnoteNumberInDocumentStyle! [17] FigureNumberStyle! [18] TableBoxNumberStyle! [19] TextBoxNumberStyle! [20] UserBoxNumberStyle! [21] EquationNumberStyle! [22] HypertextStyle! [23] ToC1Style! [24] ToC2Style! [25] ToC3Style! [26] ToC4Style! [27] ToC5Style! [28] Index1Style! [29] Index2Style! [30] ListStyle! [31] ToAStyle! [32] DocStyle! [33] BoxTextStyle! [34] CaptionStyle! [35] FootnoteStyle! [36] EndnoteStyle! [37] CommentStyle! [38] HeaderAStyle! [39] HeaderBStyle! [40] FooterAStyle! [41] FooterBStyle! [42] WatermarkAStyle! [43] WatermarkBStyle!AddressStyle! [44] ParagraphOutlnStyle! [45] OutlineStyle! [46] LegalOutlnStyle! [47] BulletsOutlnStyle! [48] HeadingsOutlnStyle! [48] Legal_2OutlnStyle! [49] NumbersOutlnStyle! [50] Level1Style! [51] Level2Style! [52] Level3Style! [53] Level4Style! [54] Level5Style! [55] Level6Style! [56] Level7Style! [57] Level8Style! [58] Legal1Style! [59] Legal2Style! [60] Legal3Style! [61] Legal4Style! [62] Legal5Style! [63] Legal6Style! [64] Legal7Style! [65] Legal8Style! [66] Heading1Style! [67] Heading2Style! [68] Heading3Style! [69] Heading4Style! [70] Heading5Style! [71] Heading6Style! [72] Heading7Style! [73] Heading8Style! [74] MonospacedStyle! [75] CustomHTMLStyle! [76] PreformattedStyle! [77] AddressStyle! [78] QuotationsOutlnStyle! [79] DefinitionsOutlnStyle! [80] Quotation1Style! [81] Quotation2Style! [82] Quotation3Style! [83] Quotation4Style! [84] Quotation5Style! [85] Quotation6Style! [86] Quotation7Style! [87] Quotation8Style! [88] Definition1Style! [89] Definition2Style! [90] Definition3Style! [91] Definition4Style! [92] Definition5Style! [93] Definition6Style! [94] Definition7Style! [95] Definition8Style! [96] Level9Style! [97] Legal9Style! [111] Heading9Style! [112] Quotation9Style! [113] DefinitionStyle [114]
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
Underline: enumeration (optional)	Allow underlining. NoToAUnderline! ToAUnderline!
PageCombine: enumeration (optional)	Combine sequential page numbers. Combine! NoCombine!
NumberingFormat: string (optional)	The numbering format for the section.
 Related topics


TOADefinitionDelete

Syntax

TOADefinitionDelete(SectionName As String)

Description

Delete a table of authorities section definition.

Parameters

SectionName: string	The name of the section definition to delete.
 Related topics


TOADefinitionMode

Syntax

TOADefinitionMode(SectionName As String, [Numbering As _TOADefinitionMode_Numbering_enum])

Description

Specify a page numbering mode in a section.

Parameters

SectionName: string	The name of the section definition.
Numbering: enumeration (optional)	DefFlushRight! DefFollows! DefFollowsParenthesis! DefLeaders! DefNone!
 Related topics


TOADefinitionRename

Syntax

TOADefinitionRename(OldSection As String, NewSection As String)

Description

Rename a section.

Parameters

OldSection: string	The original name of the section.
NewSection: string	The new name of the section.
 Related topics


TOADefinitionRetrieve

Syntax

TOADefinitionRetrieve(Filename As String, SectionName As String)

Description

Retrieve a section from another document into the current document.

Parameters

Filename: string	The filename of the section file.
SectionName: string	The name of the section to retrieve.
 Related topics


TOADefinitionStyle

Syntax

 TOADefinitionStyle(SectionName As String, Style)

Description

Specify a table of authorities section style. You must pass the numeric value of the Style.

Parameters

SectionName: string	The name of the section.
Style: any (optional)	NormalStyle! [0] FootnoteNumberInDocumentStyle! [16] EndnoteNumberInDocumentStyle! [17] FigureNumberStyle! [18] TableBoxNumberStyle! [19] TextBoxNumberStyle! [20] UserBoxNumberStyle! [21] EquationNumberStyle! [22] HypertextStyle! [23] ToC1Style! [24] ToC2Style! [25] ToC3Style! [26] ToC4Style! [27] ToC5Style! [28] Index1Style! [29] Index2Style! [30] ListStyle! [31] ToAStyle! [32] DocStyle! [33] BoxTextStyle! [34] CaptionStyle! [35] FootnoteStyle! [36] EndnoteStyle! [37] CommentStyle! [38] HeaderAStyle! [39] HeaderBStyle! [40] FooterAStyle! [41] FooterBStyle! [42] WatermarkAStyle! [43] WatermarkBStyle!AddressStyle! [44] ParagraphOutlnStyle! [45] OutlineStyle! [46] LegalOutlnStyle! [47] BulletsOutlnStyle! [48] HeadingsOutlnStyle! [48] Legal_2OutlnStyle! [49] NumbersOutlnStyle! [50] Level1Style! [51] Level2Style! [52] Level3Style! [53] Level4Style! [54] Level5Style! [55] Level6Style! [56] Level7Style! [57] Level8Style! [58] Legal1Style! [59] Legal2Style! [60] Legal3Style! [61] Legal4Style! [62] Legal5Style! [63] Legal6Style! [64] Legal7Style! [65] Legal8Style! [66] Heading1Style! [67] Heading2Style! [68] Heading3Style! [69] Heading4Style! [70] Heading5Style! [71] Heading6Style! [72] Heading7Style! [73] Heading8Style! [74] MonospacedStyle! [75] CustomHTMLStyle! [76] PreformattedStyle! [77] AddressStyle! [78] QuotationsOutlnStyle! [79] DefinitionsOutlnStyle! [80] Quotation1Style! [81] Quotation2Style! [82] Quotation3Style! [83] Quotation4Style! [84] Quotation5Style! [85] Quotation6Style! [86] Quotation7Style! [87] Quotation8Style! [88] Definition1Style! [89] Definition2Style! [90] Definition3Style! [91] Definition4Style! [92] Definition5Style! [93] Definition6Style! [94] Definition7Style! [95] Definition8Style! [96] Level9Style! [97] Legal9Style! [111] Heading9Style! [112] Quotation9Style! [113] DefinitionStyle [114]
 Related topics


TOADefinitionUnderline

Syntax

TOADefinitionUnderline(Section As String, [Action As _TOADefinitionUnderline_Action_enum])

Description

Turn Underlining on or off in a table of authorities section.

Parameters

Section: string	The name of the section.
Action: enumeration (optional)	NoToAUnderline! ToAUnderline!


TOAEditFullForm

Syntax

TOAEditFullForm(ShortForm As String)

Description

Begin editing changes to a full form. SubstructureExit ends editing and saves changes.

Parameters

ShortForm: string	The name of the form.
 Related topics


TOAEditFullFormCBar

Syntax

TOAEditFullFormCBar()

Description

Display the Table of Authorities Full Form feature bar.

 Related topics


TOAEditFullFormDlg

Syntax

TOAEditFullFormDlg()

Description

Display the Edit Full Form dialog box.

 Related topics


TOAEditPageFormat

Syntax

TOAEditPageFormat(ListName As String, NumberFormat))

Description

Specify the text for page numbering in a table of authorities.

Parameters

Listname: string	The name of the list.
NumberFormat: any	Use a string to specify a custom format. DocFormat!
 Related topics


TOAEditSection

Syntax

TOAEditSection(OldName As String, NewName As String)

Description

Rename a section name in the full form of a table of authorities.

Parameters

OldName: string	The original name of the form.
NewName: string	The new name of the form.


TOAEditShortForm

Syntax

 TOAEditShortForm(OldName As String, NewName As String)

Description

Rename a short form name in the full form of a table of authorities.

Parameters

OldName: string	The original name of the form.
NewName: string	The new name of the form.
 Related topics


TOAMark

Syntax

TOAMark([SectionName As String], [ShortForm As String])

Description

Mark the selected text as a table of authorities reference.

Parameters

SectionName: string (optional)	The name of the section.
ShortForm: string (optional)	The name of the form.
 Related topics


TOAMarkShortForm

Syntax

TOAMarkShortForm(ShortForm As String)

Description

Mark the current short form citation at the insertion point.

Parameters

ShortForm: string	The name of the form.
 Related topics


TOCDefine

Syntax

TOCDefine([WrapLastLevel As _TOCDefine_WrapLastLevel_enum], [NumberingFormat As String], [Style], [Numbering])

Description

Define a table of contents and insert the definition. You must pass the numeric value for the Style.

Parameters

WrapLastLevel: enumeration (optional)	Wrap the last level. No! Yes!
NumberingFormat: string (optional)	The page numbering format.
Style: any (optional)	NormalStyle! [0] FootnoteNumberInDocumentStyle! [16] EndnoteNumberInDocumentStyle! [17] FigureNumberStyle! [18] TableBoxNumberStyle! [19] TextBoxNumberStyle! [20] UserBoxNumberStyle! [21] EquationNumberStyle! [22] HypertextStyle! [23] ToC1Style! [24] ToC2Style! [25] ToC3Style! [26] ToC4Style! [27] ToC5Style! [28] Index1Style! [29] Index2Style! [30] ListStyle! [31] ToAStyle! [32] DocStyle! [33] BoxTextStyle! [34] CaptionStyle! [35] FootnoteStyle! [36] EndnoteStyle! [37] CommentStyle! [38] HeaderAStyle! [39] HeaderBStyle! [40] FooterAStyle! [41] FooterBStyle! [42] WatermarkAStyle! [43] WatermarkBStyle!AddressStyle! [44] ParagraphOutlnStyle! [45] OutlineStyle! [46] LegalOutlnStyle! [47] BulletsOutlnStyle! [48] HeadingsOutlnStyle! [48] Legal_2OutlnStyle! [49] NumbersOutlnStyle! [50] Level1Style! [51] Level2Style! [52] Level3Style! [53] Level4Style! [54] Level5Style! [55] Level6Style! [56] Level7Style! [57] Level8Style! [58] Legal1Style! [59] Legal2Style! [60] Legal3Style! [61] Legal4Style! [62] Legal5Style! [63] Legal6Style! [64] Legal7Style! [65] Legal8Style! [66] Heading1Style! [67] Heading2Style! [68] Heading3Style! [69] Heading4Style! [70] Heading5Style! [71] Heading6Style! [72] Heading7Style! [73] Heading8Style! [74] MonospacedStyle! [75] CustomHTMLStyle! [76] PreformattedStyle! [77] AddressStyle! [78] QuotationsOutlnStyle! [79] DefinitionsOutlnStyle! [80] Quotation1Style! [81] Quotation2Style! [82] Quotation3Style! [83] Quotation4Style! [84] Quotation5Style! [85] Quotation6Style! [86] Quotation7Style! [87] Quotation8Style! [88] Definition1Style! [89] Definition2Style! [90] Definition3Style! [91] Definition4Style! [92] Definition5Style! [93] Definition6Style! [94] Definition7Style! [95] Definition8Style! [96] Level9Style! [97] Legal9Style! [111] Heading9Style! [112] Quotation9Style! [113] DefinitionStyle [114]
Numbering: enumeration (optional)	The page numbering mode for references. DefFlushRight! DefFollows! DefLeader! DefNone! DefParentheses!
 Related topics


TOCDefineDlg

Syntax

TOCDefineDlg()

Description

Display the Define Table of Contents dialog box.

 Related topics


TOCMark

Syntax

 TOCMark(Level As Integer)

Description

Mark the selected text for the table of contents.

Parameters

Level: numeric
 Related topics


TotalPages

Syntax

()

Description

Return the total number of pages in the current document. Not recordable. If something was added to the middle of a document that increased the total number of pages, TotalPages may not return the current value. Several techniques can be used to make sure this value is current. Moving to the end of the document is one of them.

If you do not use any of the optional parameters available, any existing code will be removed from the document in question.

The following is an example of moving to the end of the document before using TotalPages:

QuickmarkSet ()

PosDocBottom ()

QuickMarkFind ()

BookmarkDelete (Name: "QuickMark")

vPages := TotalPages ()

 Related topics


TotalPagesDisplay

Syntax

TotalPagesDisplay()

Description

Insert a code in the text to display the total number of pages.


TotalPagesMethod

Syntax

 TotalPagesMethod([Method As _TotalPagesMethod_Method_enum])

Description

Specify the page-numbering method for the total number of pages.

Parameters

Method: enumeration (optional)	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Note

•	If you do not specify an enumeration, any page numbering in your document in the Page (Page #) of (Tot Pages#) format is removed.

 Related topics


TwainAcquire

Syntax

TwainAcquire()

Description

Scan an image into WordPerfect. This token is valid only if the optional TWAIN support files were installed using the Custom install option, and a TWAIN-compatible scanning device is installed.


TwainSelectSourceDlg

Syntax

TwainSelectSourceDlg()

Description

Display the Select Image Source dialog box. This token is valid only if the optional TWAIN support files were installed using the Custom install option, and a TWAIN-compatible scanning device is installed.


TypeChar

Syntax

TypeChar(CharacterSet As Integer, Offset As Integer)

Description

Insert a character from the WordPerfect character sets.

Parameters

CharacterSet: numeric	The character to insert.
Offset: numeric	A WordPerfect character.
 Related topics


Typeover

Syntax

Typeover(State As _Typeover_State_enum)

Description

Turn Typeover on or off.

Parameters

State: enumeration	Off! On!
 Related topics


TypeoverKey

Syntax

Typeover(State As _Typeover_State_enum)()

Description

 urn Typeover on or off

 Related topics


TypesetManualKerningDlg

Syntax

TypesetManualKerningDlg()

Description

Display the Manual Kerning dialog box, which allows you to increase or decrease the space between two characters.

 Related topics


Tab
ìTab

Syntax

Tab()

Description

Insert a tab.

 Related topics


TabAdd

Syntax

TabAdd(Position As Integer, Type As _TabAdd_Type_enum, [SpaceBetweenTabs As Integer])

Description

Add one or more tab sets to the current tab setting. If the parameter SpaceBetweenTabs is included, all tabs following an added tab reset to the new type and spacing.

Parameters

Position: measurement	The tab position relative to left edge of the page.
Type: enumeration	TabCenter! TabCenterDot! TabDecimal! TabDecimalDot! TabLeft! TabLeftDot! TabRight! TabRightDot!
SpaceBetweenTabs: measurement (optional)	The amount of space between tab settings.
 Related topics


TabBarIconShow

Syntax

TabBarIconShow(State As _TabBarIconShow_State_enum) As Boolean

Description

Turn Tab Bar Icons on or off for the current session and return the current state. This method does not change display preferences for Tab Bar Icons.

Return Value

Returns True if Tab Bar Icons are on, False if not. The current state is returned before the new state specified in the State parameter is set.

Parameters

State: enumeration	Off! On!
 Related topics


TabCenter

Syntax

TabCenter([Type As _TabCenter_Type_enum])

Description

Insert a Hard Centered Tab code.

Parameters

Type: enumeration (optional)	DotLeader! Normal!
 Related topics


TabCenterDot

Syntax

TabCenterDot()

Description

Insert a Hard Centered Tab code with a dot leader.


TabClearAll

Syntax

TabClearAll()

Description

Clear all tab settings.


TabDecimal

Syntax

TabDecimal([Type As _TabDecimal_Type_enum])

Description

Insert a hard decimal-aligned tab.

Parameters

Type: enumeration (optional)	DotLeader! Normal!
 Related topics


TabDecimalDot

Syntax

TabDecimalDot()

Description

Insert a Hard Decimal Tab code with a dot leader.


TabDelete

Syntax

 TabDelete(Position As Integer)

Description

Delete one tab setting without affecting any other tab settings.

Parameters

Position: measurement
 Related topics


TabForced

Syntax

 TabForced()

Description

Insert a forced tab. Forced tabs cannot be replaced by the QuickIndent feature.

 Related topics


TabInsert

Syntax

TabInsert()

Description

Insert a tab into the document.

 Related topics


TabKey
TabInsert

Syntax

TabInsert()

Description

Perform the functions of Tab: insert a tab, go to the next table cell, or go to the next outline level, depending on the location of the insertion point.

 Related topics


TableAdjustBegin

Syntax

TableAdjustBegin()

Description

Begin table adjustments from the Ruler. Follow with methods such as TableAdjustColumnWidth() and TableAdjustPosition(), and end with TableAdjustEnd().

 Related topics


TableAdjustColumnWidth

Syntax

TableAdjustColumnWidth(Column As Integer, Width As Integer)

Description

Specify a column width in WordPerfect units when adjusting columns from the Ruler. Use with TableAdjustBegin() and TableAdjustEnd().

Parameters

Column: numeric	The leftmost column is 0.
Width: measurement
 Related topics


TableAdjustEnd

Syntax

TableAdjustEnd()

Description

End table adjustments from the Ruler. Precede with TableAdjustBegin() and methods such as TableAdjustColumnWidth() and TableAdjustPosition().

 Related topics


TableAdjustPosition

Syntax

TableAdjustPosition(Position As Integer)

Description

Specify the number of WordPerfect units from the left margin to the left edge of a table when adjusting table position from the Ruler.

Parameters

Position: measurement	The distance from the left margin to the left edge of the table.
 Related topics


TableAlternateFillSet

Syntax

TableAlternateFillSet(State As _TableAlternateFillSet_State_enum, [Span As Integer], [AlternateSpan As Integer])

Description

Specify the type of alternating table fill and the cell range to which the fill is applied.

Parameters

State: enumeration	CheckerBoard! Column! Off! Row!
Span: numeric (optional)	The cells to automatically fill.
AlternateSpan: numeric (optional)	The cells to automatically fill.
 Related topics


TableAppendRow

Syntax

TableAppendRow()

Description

Insert a new row below the current row.

 Related topics


TableApplyStyle

Syntax

TableApplyStyle(Style, [ResetAttributes As _TableApplyStyle_ResetAttributes_enum], [ShowIn60 As _TableApplyStyle_ShowIn60_enum])

Description

Apply a table style using Table SpeedFormat.

Parameters

Style: any	NoTableStyle! [127] TableStyle1! [0] TableStyle10! [9] TableStyle11! [10] TableStyle12! [11] TableStyle13! [12] TableStyle14! [13] TableStyle15! [14] TableStyle16! [15] TableStyle17! [16] TableStyle18! [17] TableStyle19! [18] TableStyle2! [1] TableStyle20! [19] TableStyle21! [20] TableStyle22! [21] TableStyle23! [22] TableStyle24! [23] TableStyle25! [24] TableStyle26! [25] TableStyle27! [26] TableStyle28! [27] TableStyle29! [28] TableStyle3! [3] TableStyle30![29] TableStyle31! [30] TableStyle32! [31] TableStyle33! [32] TableStyle34! [33] TableStyle35! [34] TableStyle36! [35] TableStyle37! [36] TableStyle38! [37] TableStyle39! [38] TableStyle4! [3] TableStyle40! [39] TableStyle5! [4] TableStyle6! [5] TableStyle7! [6] TableStyle8! [7] TableStyle9![8]
ResetAttributes: enumeration (optional)	Clear the current table settings. No! Yes!
ShowIn60: enumeration (optional)	Apply a style on a cell-by-cell basis. No! Yes!


TableAttributeOff

Syntax

 TableAttributeOff([Attribute]

Description

Turn off the specified font attributes and relative font size attributes in a table.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableAttributeOn

Syntax

TableAttributeOn([Attribute])

Description

Turn on the specified character attributes in a table.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableAutoCalc

Syntax

TableAutoCalc(State As _TableAutoCalc_State_enum

Description

Specify automatic calculation for tables.

Parameters

State: enumeration	AutoDoc! AutoTbl! Off!
 Related topics


TableAutoFill

Syntax

TableAutoFill()

Description

Use TableDataFill() to increment values across a row or down a column.


TableBlockOff

Syntax

TableBlockOff()

Description

Turn off Select in a table.


TableBlockOn

Syntax

TableBlockOn()

Description

Turn on Select in a table.


TableBorder

Syntax

TableBorder(Style)

Description

Specify a table border type. Use with methods such as TableBorderEditBegin() and TableBorderEditEnd(). You must pass the numeric value of the style.

Parameters

Style: any	ButtonBorder! [10] ColumnBorderAll! [12] ColumnBorderBetween! [11] DashedBorder! [3] DottedBorder! [4] DoubleBorder! [2] ExtraThickBorder! [6] HeavyDoubleBorder! [14] HeavySingleBorder! [13] NoBorder! [127 SingleBorder! [1] SpacingOnly! [0] ThickBorder! [5] ThickThinBorder![8] ThickTopBottomBorder! [9] ThinThickBorder! [7]
 Related topics


TableBorderEditBegin

Syntax

TableBorderEditBegin()

Description

Begin table border editing. Follow with editing methods and TableBorderEditEnd().

 Related topics


TableBorderEditEnd

Syntax

TableBorderEditEnd(State As _TableBorderEditEnd_State_enum)

Description

Save table border editing changes. Precede with TableBorderEditBegin() and editing methods.

Parameters

State: enumeration	Cancel! Save!
 Related topics


TableCalculate

Syntax

TableCalculate()

Description

Calculate the formula values in the current table or selected cells.

 Related topics


TableCalculateAll

Syntax

TableCalculateAll()

Description

Calculate the formula values for all tables and floating cells in the current document.

 Related topics


TableCalculateDlg

Syntax

TableCalculateDlg()

Description

Display the Calculate dialog box.

 Related topics


TableCellAttributeOff

Syntax

 TableCellAttributeOff([Attribute])

Description

Turn off the specified font appearance, position, and relative size attributes in the selected cells.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableCellAttributeOn

Syntax

TableCellAttributeOn([Attribute])

Description

Apply the specified font appearance, position, and relative size attributes of the selected cells.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableCellCopy

Syntax

TableCellCopy(CopyType As _TableCellCopy_CopyType_enum, [Count As Integer])

Description

Copy the content of the specified cell(s) to the Clipboard, and paste it in the cell(s) specified by the CopyType parameter.

Parameters

CopyType: enumeration	Cell! Down! Right!
Count: numeric (optional)	The number of cells to paste the copied cell into. Use when the CopyType parameter is Down! or Right!.
 Related topics


TableCellDiagonalLine

Syntax

TableCellDiagonalLine(Diagonal As _TableCellDiagonalLine_Diagonal_enum)

Description

Add diagonal lines to a table cell.

Parameters

Diagonal: enumeration	BotLeftToTopRight! None! TopLeftToBotRight! TwoDiagonals!


TableCellDiagonalLineQry

Syntax

TableCellDiagonalLineQry()

Description

Return the diagonal lines options to active in the current table selection.

Return Value

0	None

1	Bottom Left to Top Right

2	Top Left to Bottom Right

3	Two Diagonals

 Related topics


TableCellFillColors

Syntax

TableCellFillColors([ForeColorName As String], [ForeColorRed As Integer], [ForeColorGreen As Integer], [ForeColorBlue As Integer], [ForeColorShade As Integer], [BackColorName As String], [BackColorRed As Integer], [BackColorGreen As Integer], [BackColorBlue As Integer], [BackColorShade As Integer])

Description

Specify the foreground and background colors for the current cell or selected cells.

Parameters

ForeColorName: string (optional)	The name of the foreground color.
ForeColorRed: numeric (optional)	Value: 0-255.
ForeColorGreen: numeric (optional)	Value: 0-255.
ForeColorBlue: numeric (optional)	Value: 0-255.
ForeColorShade: numeric (optional)	Percent: 0-100.
BackColorName: string (optional)	The name of the background color.
BackColorRed: numeric (optional)	Value: 0-255.
BackColorGreen: numeric (optional)	Value: 0-255.
BackColorBlue: numeric (optional)	Value: 0-255.
BackColorShade: numeric (optional)	Percent: 0-100.
 Related topics


TableCellFillStyle

Syntax

TableCellFillStyle(FillPattern)

Description

Specify a shading style for the current cell or selected cells. You must pass the numeric value of the FillPattern.

Parameters

FillPattern: any	Fill10! [0] Fill100! [9] Fill20! [1] Fill30! [2] Fill40! [3] Fill5! [11] Fill50! [4] Fill60! [5] Fill70! [6] Fill80! [7] Fill90! [8] FillButton! [10] NoFill! [127]
 Related topics


TableCellIgnoreCalculation

Syntax

TableCellIgnoreCalculation(State As _TableCellIgnoreCalculation_State_enum)

Description

Specify one or more selected cells to ignore when calculating formulas.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellJustification

Syntax

TableCellJustification(Mode As _TableCellJustification_Mode_enum)

Description

Justify the current cell or selected cells.

Parameters

Mode: enumeration	Center! DecAlign! Full! FullAll! Left! Right!
 Related topics


TableCellLine

Syntax

TableCellLine(Position As _TableCellLine_Position_enum, Style)

Description

Change the specified lines around a cell or selected cells, or between selected cells. You must pass the numeric value of the style.

Parameters

Position: enumeration	Bottom! Inside! Left! Outside! Right! Top!
Style: any	ButtonBorder! [10] ColumnBorderAll! [12] ColumnBorderBetween! [11] DashedBorder! [3] DottedBorder! [4] DoubleBorder! [2] ExtraThickBorder! [6] HeavyDoubleBorder! [14] HeavySingleBorder! [13] NoBorder! [127 SingleBorder! [1] SpacingOnly! [0] ThickBorder! [5] ThickThinBorder![8] ThickTopBottomBorder! [9] ThinThickBorder! [7]
 Related topics


TableCellLineColor

Syntax

TableCellLine(Position As _TableCellLine_Position_enum, Style)

Description

Specify the line color of the current cell or selected cells.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatability with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
 Related topics


TableCellLock

Syntax

TableCellLock(State As _TableCellLock_State_enum)

Description

Lock the current cell or selected cells.

Parameters

State: enumeration	No! Yes!


TableCellLockToggle

Syntax

TableCellLockToggle()

Description

Lock or unlock the current cell or selected cells.


TableCellNumberAlignCurrency

Syntax

TableCellNumberAlignCurrency(State As _TableCellNumberAlignCurrency_State_enum)

Description

Align the currency symbols in the current cell or selected cells.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellNumberDateFormat

Syntax

TableCellNumberDateFormat(DateFormatNumber As Integer)

Description

Specify a date format for one or more selected cells.

Parameters

DateFormatNumber: numeric	1 July 5, 1959 2 7/5/59 3 Jul 5, 1959 4 5 July 1959 5 Sunday, July 5, 1959 6 12:00 pm 7 05Jul59 8 July 5, 1959 (12:00pm) 9 1959-07-05 10 7/5 11 Jul 5 12 12:00:00
 Related topics


TableCellNumberDecimalDigits

Syntax

TableCellNumberDecimalDigits(NumDigits As Integer)

Description

Specify how many digits appear after the decimal. Use when the FormatType parameter of TableCellNumberFormat() is Fixed2!.

Parameters

NumDigits: numeric	The number of digits appearing after the decimal.
 Related topics


TableCellNumberFormat

Syntax

TableCellNumberFormat(FormatType As _TableCellNumberFormat_FormatType_enum)

Description

Specify a number format for the current cell or selected cells.

Parameters

FormatType: enumeration	Accounting! Commas! Currency! DateFormat! Fixed2! General! Integer! Percent! Scientific! TextOnly!
 Related topics


TableCellNumberNegativeNumber

Syntax

 TableCellNumberNegativeNumber(NegDisplayType As _TableCellNumberNegativeNumber_NegDisplayType_enum)

Description

Specify how to display negative numbers in the current cell or selected cells.

Parameters

NegDisplayType: enumeration	CRDR! Minus! Parentheses!


TableCellNumberRound

Syntax

 TableCellNumberRound(State As _TableCellNumberRound_State_enum)

Description

Convert round numbers entered as decimals to integers. Use when the FormatType parameter of TableCellNumberFormat() is an integer!.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellNumberSelectCurrency

Syntax

TableCellNumberSelectCurrency(IntlCurrency As _TableCellNumberSelectCurrency_IntlCurrency_enum)

Description

Specify an international currency type for the current cell or selected cells.

Parameters

IntlCurrency: enumeration	DefaultCurrency! Dollar! Peso! FrenchCanada! Canada! Brazil! Denmark! Peseta! Croatia! CzechRepublic! SlovakRepublic! Finland! FinlandIntl! France! Germany! Greece! Hungary! Iceland! Italy! Japan! Netherlands! Norway! NorwayIntl! Ruble! RussianRuble! SouthAfrica! Sweden! Turkey! UnitedKingdom! Switzerland! Austria! Belgium! Ecuador! ElSalvador! Guatemala! Honduras! Paraguay! Venezuela! Poland! Slovenia! Israel! Korea! China! Taiwan! HongKong! Singapore! Portugal! BelgiumFrench! Euro!
 Related topics


TableCellNumberUseCommas

Syntax

TableCellNumberUseCommas(State As _TableCellNumberUseCommas_State_enum)

Description

Display commas in numbers with more than three digits to the left of the decimal.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellNumberUseCurrency

Syntax

TableCellNumberUseCurrency(State As _TableCellNumberUseCurrency_State_enum)

Description

Display a currency symbol with numbers.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellRotateContents

Syntax

TableCellRotateContents(Angle As _TableCellRotateContents_Angle_enum)

Description

Rotate the contents of the selected table cell(s).

Parameters

Angle: enumeration	Degrees180! Degrees270! Degrees90! None!


TableCellUseColumnAttribute

Syntax

TableCellUseColumnAttribute(State As _TableCellUseColumnAttribute_State_enum)

Description

Apply a specified column attribute to the current cell or selected cells.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellUseColumnJust

Syntax

 TableCellUseColumnJust(State As _TableCellUseColumnJust_State_enum)

Description

Turn column justification on or off in the current cell.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellUseColumnNumberType

Syntax

TableCellUseColumnNumberType(State As _TableCellUseColumnNumberType_State_enum)

Description

Turn the current column number type on or off in the current cell or selected cells.

Parameters

State: enumeration	No! Yes!
 Related topics


TableCellUseLineColor

Syntax

TableCellUseLineColor()

Description

Turn on table line color for the current cell or selected cells.

 Related topics


TableCellVerticalAlignment

Syntax

TableCellVerticalAlignment(Alignment As _TableCellVerticalAlignment_Alignment_enum)

Description

Align the current cell or selected cells vertically.

Parameters

Alignment: enumeration	Bottom! Center! Top!
 Related topics


TableCellsJoin

Syntax

TableCellsJoin()

Description

Join the selected table cells to form one cell. Recordable substitute: TableJoinCells.


TableColumnAttributeOff

Syntax

TableColumnAttributeOff([Attribute])

Description

Turn off the specified character attributes in a table column.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! Every! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableColumnAttributeOn

Syntax

TableColumnAttributeOn([Attribute])

Description

Turn on the specified character attributes in a table column.

Parameters

Attribute: enumeration (optional)	Bold! DoubleUnderline! ExtraLarge! Fine! Italics! Large! Outline! Redline! Shadow! Small! SmallCaps! Strikeout! Subscript! Superscript! Underline! VeryLarge!
 Related topics


TableColumnDecimalAlignDigits

Syntax

TableColumnDecimalAlignDigits(Digits As Integer)

Description

Specify the number of digits to display between the decimal point and the right edge of cells with decimal align justification in the current column.

Parameters

Digits: numeric	The number of digits to display between the decimal point and right edge of the cell.
 Related topics


TableColumnDecimalAlignDist

Syntax

TableColumnDecimalAlignDist(Distance As Integer))

Description

Specify the distance between the decimal and the right edge of cells with decimal align justification in the current column.

Parameters

Distance: measurement	The distance between the decimal and the right edge of the cell.
 Related topics


TableColumnFixedWidth

Syntax

 TableColumnFixedWidth(State As _TableColumnFixedWidth_State_enum)

Description

Specify a fixed column width.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnJustification

Syntax

TableColumnJustification(Mode As _TableColumnJustification_Mode_enum)

Description

Specify column justification.

Parameters

Mode: enumeration	Center! DecAlign! Full! FullAll! Left! Right!
 Related topics


TableColumnMarginLeft

Syntax

TableColumnMarginLeft(Margin As Integer)

Description

Specify the distance between the left edge of a column and the text in the column.

Parameters

Margin: measurement	The amount of space for the left margin.
 Related topics


TableColumnMarginRight

Syntax

 TableColumnMarginRight(Margin As Integer)

Description

Specify the distance between the right edge of a column and the text in the column.

Parameters

Margin: measurement	The amount of space for the right margin.
 Related topics


TableColumnNumberAlignCurrency

Syntax

TableColumnNumberAlignCurrency(State As _TableColumnNumberAlignCurrency_State_enum)

Description

Align the currency symbols in a column.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnNumberDateFormat

Syntax

TableColumnNumberDateFormat(DateFmtNum As Integer)

Description

Specify a date format for the current column.

Parameters

DateFmtNum: numeric	1 July 5, 1959 2 7/5/59 3 Jul 5, 1959 4 5 July 1959 5 Sunday, July 5, 1959 6 12:00 pm 7 5Jul59 8 July 5, 1959 (12:00pm) 9 1959-07-05 10 7/5 11 Jul 5 12 15:02:02
 Related topics


TableColumnNumberDecimalDigits

Syntax

TableColumnNumberDecimalDigits(NumDigits As Integer)

Description

Specify the number of digits after the decimal when TableColumnNumberFormat is Fixed2!. Precede with TableColumnNumberFormat().

Parameters

NumDigits: numeric	The number of digits after the decimal.
 Related topics


TableColumnNumberFormat

Syntax

 TableColumnNumberFormat(FormatType As _TableColumnNumberFormat_FormatType_enum)

Description

Specify a number format for the current column.

Parameters

FormatType: enumeration	Accounting! Commas! Currency! DateFormat! Fixed2! General! Integer! Percent! Scientific! TextOnly!
 Related topics


TableColumnNumberNegNumber

Syntax

TableColumnNumberNegNumber(NegDisplayType As _TableColumnNumberNegNumber_NegDisplayType_enum)

Description

Specify how to display negative numbers in the current column.

Parameters

NegDisplayType: enumeration	CRDR! Minus! Parentheses!


TableColumnNumberRound

Syntax

 TableColumnNumberRound(State As _TableColumnNumberRound_State_enum)

Description

Round numbers entered as decimals to integers in the current column when TableColumnNumberFormat() is set to an integer.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnNumberSelCurrency

Syntax

TableColumnNumberSelCurrency(IntlCurrency As _TableColumnNumberSelCurrency_IntlCurrency_enum)

Description

Specify a currency type for the current column.

Parameters

IntlCurrency: enumeration	DefaultCurrency! Dollar! Peso! FrenchCanada! Canada! Brazil! Denmark! Peseta! Croatia! CzechRepublic! SlovakRepublic! Finland! FinlandIntl! France! Germany! Greece! Hungary! Iceland! Italy! Japan! Netherlands! Norway! NorwayIntl! Ruble! RussianRuble! SouthAfrica! Sweden! Turkey! UnitedKingdom! Switzerland! Austria! Belgium! Ecuador! ElSalvador! Guatemala! Honduras! Paraguay! Venezuela! Poland! Slovenia! Israel! Korea! China! Taiwan! HongKong! Singapore! Portugal! BelgiumFrench! Euro!
 Related topics


TableColumnNumberUseCommas

Syntax

TableColumnNumberUseCommas(State As _TableColumnNumberUseCommas_State_enum)

Description

Display commas in numbers with three or more digits to the left of the decimal.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnNumberUseCurrency

Syntax

 TableColumnNumberUseCurrency(State As _TableColumnNumberUseCurrency_State_enum)

Description

Display a currency symbol with numbers.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnsFixedWidth

Syntax

TableColumnsFixedWidth(State As _TableColumnsFixedWidth_State_enum)

Description

Turn on the fixed-width option for all columns in the current table.

Parameters

State: enumeration	No! Yes!
 Related topics


TableColumnSize2Fit

Syntax

TableColumnSize2Fit()

Description

Adjust the table-column width to the width of a selected cell or to fit data.


TableColumnWidth

Syntax

TableColumnWidth(ColumnWidth As Integer)

Description

Specify the width of the current column.

Parameters

ColumnWidth: measurement	The width of the column.
 Related topics


TableColumnWidthEqualize

Syntax

TableColumnWidthEqualize()

Description

Make the widths of all the selected columns equal. This method sums the widths of the selected columns, finds the average, and applies it to each of the selected columns.

 Related topics


TableColumnWidthGrow

Syntax

TableColumnWidthGrow()

Description

Increase the width of a table column.


TableColumnWidthShrink

Syntax

TableColumnWidthShrink()

Description

Decrease the width of a table column.


TableConvertDlg

Syntax

TableConvertDlg()

Description

Display the Convert Table dialog box. If no text is selected, the macro ends or goes to the ONERROR label.


TableConvertFrom

Syntax

TableConvertFrom(Type As _TableConvertFrom_Type_enum)

Description

Convert the selected text in tabular or parallel columns to a table.

Parameters

Type: enumeration	TabularColumns! ParallelColumns! MergeDataFile!
 Related topics


TableCopy

Syntax

TableCopy(Copy As _TableCopy_Copy_enum)

Description

Copy the contents of the selected cells to the current column or the current row using (Block!). TableMoveModeEnd() inserts selected cells into the table.

Parameters

Copy: enumeration	Block! Column! Row!
 Related topics


TableCopyFormula

Syntax

 TableCopyFormula(CellIDCntToCell As _TableCopyFormula_CellIDCntToCell_enum, [Where])

Description

Copy a formula from the current cell to another cell.

Parameters

CellIDCntToCell: enumeration	Cell! Down! Right!
Where: any (optional)	The cell address if CellIDCntToCell is Cell! or Right!


TableCreate

Syntax

 TableCreate(Columns As Integer, Rows As Integer)

Description

Create a table.

Parameters

Columns: numeric	The number of columns in the new table.
Rows: numeric	The number of rows in the new table.
 Related topics


TableCreateDlg

Syntax

TableCreateDlg()

Description

Display the Create Table dialog box.

 Related topics


TableCreateNewDlg

Syntax

TableCreateNewDlg()

Description

Display the Create Table dialog box.

 Related topics


TableDataFill

Syntax

TableDataFill()

Description

Fill a cell with a formula or data. Select at least two cells. The first must contain data or a formula. At least one other selected cell must be empty.


TableDecimalAlignmentDigits

Syntax

TableDecimalAlignmentDigits([Number As Integer])

Description

Specify the number of digits between the decimal point and the right edge of cells.

Parameters

Number: numeric (optional)	The number of digits between the decimal and the right edge of the cell.
 Related topics


TableDecimalAlignmentDistance

Syntax

TableDecimalAlignmentDistance([Position As Integer])

Description

Specify the distance between the decimal and the right edge of cells.

Parameters

Position: measurement (optional)	The space between the decimal and the right edge of the cell.
 Related topics


TableDefaultLine

Syntax

TableDefaultLine(Style)

Description

Specify the default line style of a table. You must pass the numeric value of the style.

Parameters

Style: any	Enclose user-defined graphics line styles in quotation marks. ButtonBottomRightLine! [9] ButtonTopLeftLine! [8] DashedLine! [2] DottedLine! [3] DoubleLine! [1] ExtraThickLine! [5] HeavyDoubleLine! [11] HeavySingleLine! [10] NoLine! [127] SingleLine! [0] TableDefaultLine! [126] ThickLine! [4] ThickThinLine! [7] ThinThickLine!-[6]
 Related topics


TableDefaultLineColor

Syntax

TableDefaultLineColor([ColorName As String], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer])

Description

Specify the default line color for a table.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatability with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0-255.
Green: numeric (optional)	Value: 0-255.
Blue: numeric (optional)	Value: 0-255.
Shade: numeric (optional)	Percent: 0-100.
 Related topics


TableDeleteBlock

Syntax

TableDeleteBlock()

Description

Delete the contents of selected cells.

 Related topics


TableDeleteCellFormula

Syntax

TableDeleteCellFormula()

Description

Delete the formulas in the current cell.


TableDeleteColumn

Syntax

 TableDeleteColumn(Number As Integer)

Description

Delete table columns.

Parameters

Number: numeric	The number of columns to delete, beginning with the current column and moving left. Default: current column or selected columns.
 Related topics


TableDeleteDlg

Syntax

TableDeleteDlg()

Description

Display the Delete dialog box.

 Related topics


TableDeleteRow

Syntax

TableDeleteRow([Number As Integer])

Description

Delete table rows.

Parameters

Number: numeric (optional)	The number of rows to delete, beginning with the current row and moving down.
 Related topics


TableDeleteTable

Syntax

TableDeleteTable(DelWhat As _TableDeleteTable_DelWhat_enum)

Description

Delete a table and/or its contents, or convert the table data to tabbed text or merge fields.

Parameters

DelWhat: enumeration	ConvertOnly! Deletes table contents only. ConvertToMerge! Converts cells of each row to ENDFIELD codes. ConvertToMergeNames! Converts first row cells to FIELDNAMES, and cells in remaining rows to ENDFIELD codes. ConvertToTabs! Deletes table structure and converts contents to tabbed text. EntireTable!


TableDeleteTableDlg

Syntax

TableDeleteTableDlg()

Description

Display the Delete Table dialog box.


TableDisableCellLocks

Syntax

TableDisableCellLocks(State As _TableDisableCellLocks_State_enum)

Description

Turn off cell locks.

Parameters

State: enumeration	No! Yes!


TableDragToCreate

Syntax

TableDragToCreate([State As _TableDragToCreate_State_enum])

Description

Turn the Drag to Create Tables option on or off.

Parameters

State: enumeration (optional)	Off! On!


TableEdit

Syntax

TableEdit()

Description

Begin a table-editing method sequence. If not in a table, the macro searches backward for a table to edit. If no table is found, it searches forward.

 Related topics


TableExpertDlg

Syntax

TableExpertDlg()

Description

Display the Table SpeedFormat dialog box.


TableFill

Syntax

(Pattern: any)

Description

Specify a table fill pattern. Precede with TableBorderEditBegin() and follow TableBorderEditEnd(). You must pass the numeric value for FillPattern.

Parameters

FillPattern: any	Fill10! [0] Fill100! [9] Fill20! [1] Fill30! [2] Fill40! [3] Fill5! [11] Fill50! [4] Fill60! [5] Fill70! [6] Fill80! [7] Fill90! [8] FillButton! [10] NoFill! [127]
 Related topics


TableFormatDlg

Syntax

TableFormatDlg()

Description

Display the Properties for Table Format tab.


TableFormatJustification

Syntax

TableFormatJustification(Justification As _TableFormatJustification_Justification_enum)

Description

Specify table justification.

Parameters

Justification: enumeration	Center! DecAlign! Full! FullAll! Left! Right!
 Related topics


TableFormatWidths

Syntax

 TableFormatWidths(Width As Integer)

Description

Set table column width.

Parameters

Width: measurement	The width for columns in the table.


TableFormula

Syntax

TableFormula(Formula As String)

Description

Specify a formula for the current cell.

Parameters

Formula: string	The formula for the current cell.
 Related topics


TableFormulaCBar

Syntax

TableFormulaCBar()

Description

Display the Table Formula feature bar, which helps you view and edit formulas in a table.


TabLeft

Syntax

 TabLeft([Type As _TabLeft_Type_enum])

Description

Insert a Hard Left Tab with or without a dot leader.

Parameters

Type: enumeration (optional)	DotLeader! Normal!
 Related topics


TabLeftDot

Syntax

TabLeftDot()

Description

Insert a Hard Left Tab code with a dot leader.


TableGridLinesToggle

Syntax

TableGridLinesToggle()

Description

Display or hide table grid lines.


TableGuides

Syntax

TableGuides(State As _TableGuides_State_enum)

Description

Turn Table Guides on or off.

Parameters

State: enumeration	Off! On!
 Related topics


TableHardColumnBreak

Syntax

TableHardColumnBreak()

Description

Insert a column break and continue the table in the next column. Cannot be in the first row. In the last column, the table continues on the next page.

 Related topics


TableHardRow
TableHardColumnBreak

Syntax

TableHardColumnBreak()

Description

Insert a page break and continue the table on the next page.

 Related topics


TableHeader

Syntax

TableHeader(State As _TableHeader_State_enum)

Description

Specify the current row as a header row.

Parameters

State: enumeration	No! Yes!


TableInsertAutoRow

Syntax

TableInsertAutoRow(State As _TableInsertAutoRow_State_enum)

Description

Turn Auto Row Insert on or off.

Parameters

State: enumeration	No! Yes!


TableInsertColumn

Syntax

 TableInsertColumn(Number As Integer, InsertPos As _TableInsertColumn_InsertPos_enum, [PreserveWidths As _TableInsertColumn_PreserveWidths_enum])

Description

Insert table columns before or after the insertion point.

Parameters

Number: numeric	The number of columns to insert.
InsertPos: enumeration	After! Before!
PreserveWidths: enumeration (optional)	No! Yes!
 Related topics


TableInsertDlg

Syntax

TableInsertDlg()

Description

Display the Insert Columns/Rows dialog box.

 Related topics


TableInsertOneRow

Syntax

TableInsertOneRow()

Description

Insert a new row above the current row.


TableInsertRow

Syntax

TableInsertRow(NumberOfRows As Integer, InsertPosition As _TableInsertRow_InsertPosition_enum)

Description

Insert rows before or after the insertion point.

Parameters

NumberOfRows: numeric	The number of rows to insert.
InsertPosition: enumeration	After! Before!
 Related topics


TableJoin

Syntax

TableJoin()

Description

Join the current and following tables. The tables must have the same number of columns.

 Related topics


TableJoinCells

Syntax

TableJoinCells()

Description

Join the selected table cells.


TableJoinCellTool

Syntax

TableJoinCellTool()

Description

Turn on or off the join cells tools.


TableLineFillDlg

Syntax

TableLineFillDlg()

Description

Display the Table Lines/Fill dialog box. The insertion point must be in a table.


TableMarginLeft

Syntax

TableMarginLeft(Margin As Integer)

Description

Specify the distance from the left edge of all cells in a table to the cell text.

Parameters

Margin: measurement	The left margin in a cell.
 Related topics


TableMarginRight

Syntax

TableMarginRight(Margin As Integer)

Description

Specify the distance from the right edge of all cells in a table to the cell text.

Parameters

Margin: measurement	The right margin in a cell.
 Related topics


TableMove

Syntax

TableMove(Move As _TableMove_Move_enum)

Description

Move the contents of the current cell, selected cells, current column, or current row. At least two cells must be selected. Follow with TableMoveModeEnd() to insert contents.

Parameters

Move: enumeration	Block! Cell! Column! Row!
 Related topics


TableMoveCopyDlg

Syntax

TableMoveCopyDlg()

Description

Display the Copy Formula dialog box.

 Related topics


TableMoveModeCancel

Syntax

 TableMoveModeCancel()

Description

Cancel TableMove() or TableCopy().


TableMoveModeEnd

Syntax

TableMoveModeEnd()

Description

Paste the contents moved or copied with TableMove() or TableCopy() into a table at the insertion point.


TableNameAdd

Syntax

TableNameAdd(RefType As _TableNameAdd_RefType_enum, [Name As String])

Description

Name a cell, block of cells, row, column, or table.

Parameters

RefType: enumeration	Block! Cell! CellsDown! CellsRight! Column! FloatingCell! Row! Table!
Name: string (optional)	The name for the table cells.
 Related topics


TableNameChange

Syntax

TableNameChange(OldName As String, [NewName As String], [NewRef As String])

Description

Rename an existing table.

Parameters

OldName: string	The original name.
NewName: string (optional)	The new name.
NewRef: string (optional)	The new reference cells.


TableNameCreateDlg

Syntax

TableNameCreateDlg()

Description

Display the Create Name dialog box.


TableNameDelete

Syntax

TableNameDelete(TableName As String)

Description

Delete a table name.

Parameters

TableName: string	The table name to delete.
 Related topics


TableNameListDlg

Syntax

TableNameListDlg()

Description

Display the Table Names in Current Document dialog box.

 Related topics


TableNumberAlignCurrency

Syntax

 TableNumberAlignCurrency(State As _TableNumberAlignCurrency_State_enum)

Description

Align the currency symbols in a table.

Parameters

State: enumeration	No! Yes!
 Related topics


TableNumberDateFormat

Syntax

TableNumberDateFormat(DateFmtNum As Integer)

Description

Specify a date format for the current table.

Parameters

DateFmtNum: numeric	1 July 5, 1959 2 7/5/59 3 Jul 5, 1959 4 5 July 1959 5 Sunday, July 5, 1959 6 12:00 pm 7 05Jul59 8 July 5, 1959 (12:00pm)
 Related topics


TableNumberDecimalDigits

Syntax

TableNumberDecimalDigits()

Description

Specify the number of digits after the decimal.

Parameters

NumDigits: numeric	The number of digits to display after the decimal.
 Related topics


TableNumberFormat

Syntax

TableNumberFormat(FormatType As _TableNumberFormat_FormatType_enum)

Description

Specify a numbering type for the current table.

Parameters

FormatType: enumeration	Accounting! Commas! Currency! DateFormat! Fixed2! General! Integer! Percent! Scientific! TextOnly!
 Related topics


TableNumberNegativeNumber

Syntax

TableNumberNegativeNumber(NegDisplay As _TableNumberNegativeNumber_NegDisplay_enum)

Description

Specify the display of negative numbers in the current table.

Parameters

NegDisplay: enumeration	CRDR! Minus! Parentheses!


TableNumberRound

Syntax

TableNumberRound(State As _TableNumberRound_State_enum)

Description

Round decimal numbers to integers when the FormatType parameter of TableNumberFormat is Integer!.

Parameters

State: enumeration	No! Yes!
 Related topics


TableNumberSelectCurrency

Syntax

TableNumberSelectCurrency(IntlCurrency As _TableNumberSelectCurrency_IntlCurrency_enum)

Description

Specify a currency type for the current table.

Parameters

IntlCurrency: enumeration	DefaultCurrency! Dollar! Peso! FrenchCanada! Canada! Brazil! Denmark! Peseta! Croatia! CzechRepublic! SlovakRepublic! Finland! FinlandIntl! France! Germany! Greece! Hungary! Iceland! Italy! Japan! Netherlands! Norway! NorwayIntl! Ruble! RussianRuble! SouthAfrica! Sweden! Turkey! UnitedKingdom! Switzerland! Austria! Belgium! Ecuador! ElSalvador! Guatemala! Honduras! Paraguay! Venezuela! Poland! Slovenia! Israel! Korea! China! Taiwan! HongKong! Singapore! Portugal! BelgiumFrench! Euro!
 Related topics


TableNumberTypeDlg

Syntax

TableNumberTypeDlg()

Description

Display the Properties for Table Numeric Format tab.


TableNumberUseCommas

Syntax

TableNumberUseCommas(State As _TableNumberUseCommas_State_enum)

Description

Display commas in numbers with more than three digits to the left of the decimal.

Parameters

State: enumeration	No! Yes!
 Related topics


TableNumberUseCurrency

Syntax

TableNumberUseCurrency(State As _TableNumberUseCurrency_State_enum)

Description

Display a currency symbol with numbers.

Parameters

State: enumeration	No! Yes!
 Related topics


TablePointMode

Syntax

TablePointMode(State As _TablePointMode_State_enum)

Description

Toggle Formula Edit in a table.

Parameters

State: enumeration	Off! On!


TablePosition

Syntax

TablePosition(PositionVal As _TablePosition_PositionVal_enum, [SetAbsPos As Integer])

Description

Specify table position.

Parameters

PositionVal: enumeration	AlignAbsolute! AlignCenter! AlignFull! AlignLeft! AlignRight!
SetAbsPos: measurement (optional)	The absolute position from the left edge of the paper when PositionVal is AlignAbsolute!.


TablePosNextTable

Syntax

TablePosNextTable()

Description

Move the insertion point to the beginning of the next table.

 Related topics


TablePosPreviousTable

Syntax

TablePosPreviousTable()

Description

Move the insertion point to the beginning of the previous table.

 Related topics


TableQuickSum

Syntax

TableQuickSum()

Description

Calculate the sum of cells above the current cell in the current column. Or, if the cell immediately above the current cell is blank, calculates the sum of cells left of the current cell in the current row. Cells above or to the left of a blank cell are not included in the calculation.


TableReformatAll

Syntax

TableReformatAll()

Description

Reformat all tables in the current document. Used particularly to reformat floating cell numbers and currency symbols if the language is changed.


TableRetrieve

Syntax

TableRetrieve(Reference As _TableRetrieve_Reference_enum)

Description

Retrieve the last item moved or copied in a table.

Parameters

Reference: enumeration	Block! Cell! Column! Row!
 Related topics


TableRotateCell

Syntax

TableRotateCell()

Description

Rotate the contents of the current cell by 90 degrees.


TableRowCanSpanPages

Syntax

TableRowCanSpanPages(State As _TableRowCanSpanPages_State_enum)

Description

Allow a table row to span two or more pages.

Parameters

State: enumeration	No! Yes!


TableRowColIndicators

Syntax

TableRowColIndicators()

Description

Turn row and column indicators on or off.


TableRowHeight

Syntax

TableRowHeight(RowHeight As _TableRowHeight_RowHeight_enum, [Amount As Integer])

Description

Specify whether row height is automatic or fixed, and if fixed, specify the height.

Parameters

RowHeight: enumeration	Auto! Fixed!
Amount: measurement (optional)	The row height when the Type parameter is Fixed!.
 Related topics


TableRowMarginBottom

Syntax

TableRowMarginBottom(Margin As Integer)

Description

Specify the distance between the last line of text and the bottom of the cell.

Parameters

Margin: measurement	The bottom margin in a cell.
 Related topics


TableRowMarginTop

Syntax

 TableRowMarginTop(Margin As Integer)

Description

Specify the distance between the top of a cell and the first line of text in the cell.

Parameters

Margin: measurement	The top margin in a cell.
 Related topics


TableRowNumberOfLines

Syntax

TableRowNumberOfLines(RowLines As _TableRowNumberOfLines_RowLines_enum)

Description

Specify single or multiple lines in the cells of a row.

Parameters

RowLines: enumeration	Multiple! Single!


TableSecondFill

Syntax

TableSecondFill(FillStyle)

Description

Specify an alternating fill style for a table. You must pass the numeric value of the FillPattern.

Parameters

FillPattern: any	Fill10! [0] Fill100! [9] Fill20! [1] Fill30! [2] Fill40! [3] Fill5! [11] Fill50! [4] Fill60! [5] Fill70! [6] Fill80! [7] Fill90! [8] FillButton! [10] NoFill! [127]
 Related topics


TableSecondFillColors

Syntax

TableSecondFillColors([ForeColorName As String], [ForeRed As Integer], [ForeGreen As Integer], [ForeBlue As Integer], [ForeShade As Integer], [BackColorName As String], [BackRed As Integer], [BackGreen As Integer], [BackBlue As Integer], [BackShade As Integer])

Description

Specify the color of a table alternating fill. Use TableBorderEditBegin() before this method and follow with TableBorderEditEnd().

Parameters

ForeColorName: string (optional)	The name of the foreground color.
ForeRed: numeric (optional)	Value: 0-225.
ForeGreen: numeric (optional)	Value: 0-225.
ForeBlue: numeric (optional)	Value: 0-225.
ForeShade: numeric (optional)	Percent: 0-100.
BackColorName: string (optional)	The name of the background color.
BackRed: numeric (optional)	Value: 0-225.
BackGreen: numeric (optional)	Value: 0-225.
BackBlue: numeric (optional)	Value: 0-225.
BackShade: numeric (optional)	Percent: 0-100.
 Related topics


TableSelectOff

Syntax

TableSelectOff()

Description

Turn off Select.


TableSelectOn

Syntax

 TableSelectOn(SelectionMode As _TableSelectOn_SelectionMode_enum)

Description

Select a row, column, cell, or table.

Parameters

SelectionMode: enumeration	Cell! Column! Row! Table!


TableSize

Syntax

TableSize([Rows As Integer], [Columns As Integer])

Description

Change the number of rows or columns in an existing table. Rows are added or deleted from the bottom of the existing table. Columns are added or deleted from the right of the existing table.

Parameters

Rows: numeric (optional)	The number of rows in the resulting table.
Columns: numeric (optional)	The number of columns in the resulting table.
 Related topics


TableSkewColumn

Syntax

TableSkewColumn(Column As _TableSkewColumn_Column_enum, SkewValue As Integer)

Description

Lets you specify a skew value for the first or last column of the current table.

Parameter

Column: enumeration	FirstColumn! LastColumn!
SkewValue: numeric	The skew value


TableSkewColumnText

Syntax

 TableSkewColumnText(State As _TableSkewColumnText_State_enum)

Description

Lets you specify whether you want to skew or to unskew the text in a skewed table column.

Parameter

State: enumeration	No! Yes!


TableSkewJoinCorners

Syntax

TableSkewJoinCorners(State As _TableSkewJoinCorners_State_enum)

Description

Lets you specify whether or not you want to join the corners in a skewed table. The TableSkewJoinCorners() method adjusts the row height or the column width.

Parameter

State: enumeration	No! Yes!


TableSkewRow

Syntax

TableSkewRow(SkewValue As Integer)

Description

Lets you specify a skew value for the top row of the current table.

Parameter

SkewValue: numeric	The skew value


TableSkewRowText

Syntax

TableSkewRowText(State As _TableSkewRowText_State_enum)

Description

Lets you specify whether to skew or to unskew the text in a skewed table row.

Parameters

State: enumeration	No! Yes!


TableSortTable

Syntax

 TableSortTable([SortType], [SortOrder])

Description

Sort a table by the contents of a selected cell.

Parameters

SortType: enumeration (optional)	Alphanumeric! Numeric!
SortOrder: enumeration (optional)	Ascending! Descending!


TableSplit

Syntax

TableSplit()

Description

Split a table into two tables. A table cannot be split on the first row. The second table begins with the current row.

 Related topics


TableSplitCellsDlg

Syntax

TableSplitCellsDlg()

Description

Display the Split Cell dialog box.


TableSplitColumn

Syntax

TableSplitColumn(ColumnCount As Integer, [ColumnPos As Integer])

Description

Split the current cell into two columns.

Parameters

ColumnCount: numeric	The number of columns to create.
ColumnPos: measurement (optional)	The width of the new columns.
 Related topics


TableSplitColumnTool

Syntax

TableSplitColumnTool([State As _TableSplitColumnTool_State_enum])

Description

Turn the split column tool on or off.

Parameters

State: enumeration (optional)	Off! On!


TableSplitRow

Syntax

 TableSplitRow(RowCount As Integer, [RowPos As Integer])

Description

Split the current cell into multiple rows.

Parameters

RowCount: numeric	The number of rows to create.
RowPos: numeric (optional)	The position of the new rows.
 Related topics


TableSplitRowTool

Syntax

TableSplitRowTool([State As _TableSplitRowTool_State_enum])

Description

Turn the split row tool on or off.

Parameters

State: enumeration (optional)	Off! On!


TableSquareSkewedRow

Syntax

TableSquareSkewedRow(Column As _TableSquareSkewedRow_Column_enum, State As _TableSquareSkewedRow_State_enum)

Description

Lets you square the first or last column of a skewed table row.

Parameters

Column: enumeration	FirstColumn! LastColumn!
State: enumeration	No! Yes!


TableStyleCreate

Syntax

TableTextBoxCreate(Columns As Integer, Rows As Integer)

Description

Create a table style.

Parameters

Style: string	The name of the style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


TableStyleDelete

Syntax

TableStyleDelete(Style As String, [Library As _TableStyleDelete_Library_enum])

Description

Delete a table style.

Parameters

Style: string	The name of the style to delete.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


TableStyleEdit

Syntax

TableStyleEdit(Style, [Library As _TableStyleEdit_Library_enum])

Description

Edit a table style. Use with TableStyleName() and TableStyleReplace().

Parameters

Style: any	NoTableStyle! [127] TableStyle1! [0] TableStyle10! [9] TableStyle11! [10] TableStyle12! [11] TableStyle13! [12] TableStyle14! [13] TableStyle15! [14] TableStyle16! [15] TableStyle17! [16] TableStyle18! [17] TableStyle19! [18] TableStyle2! [1] TableStyle20! [19] TableStyle21! [20] TableStyle22! [21] TableStyle23! [22] TableStyle24! [23] TableStyle25! [24] TableStyle26! [25] TableStyle27! [26] TableStyle28! [27] TableStyle29! [28] TableStyle3! [3] TableStyle30![29] TableStyle31! [30] TableStyle32! [31] TableStyle33! [32] TableStyle34! [33] TableStyle35! [34] TableStyle36! [35] TableStyle37! [36] TableStyle38! [37] TableStyle39! [38] TableStyle4! [3] TableStyle40! [39] TableStyle5! [4] TableStyle6! [5] TableStyle7! [6] TableStyle8! [7] TableStyle9![8]
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


TableStyleEnd

Syntax

TableStyleEnd(State As _TableStyleEnd_State_enum)

Description

Save or cancel table style settings.

Parameters

State: enumeration	Cancel! Save!


TableStyleName

Syntax

 TableStyleName(Style As String)

Description

Specify the name of a new table style. Use with TableStyleEdit().

Parameters

Style: string	The name for the table style.
 Related topics


TableStyleReplace

Syntax

TableStyleReplace(Style As String, [Library As _TableStyleReplace_Library_enum])

Description

Specify a user-defined table style to replace the current table style. Use with TableStyleEdit().

Parameters

Style: string	The name of the table style.
Library: enumeration (optional)	CurrentDoc! PersonalLibrary! SharedLibrary!


TableStyleRetrieve

Syntax

 TableStyleRetrieve(Filename As String, Library As _TableStyleRetrieve_Library_enum)

Description

Retrieve a table style from the specified style library.

Parameters

Filename: string	The filename of the style library file.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


TableStyleSave

Syntax

TableStyleSave(Filename As String, Library As _TableStyleSave_Library_enum)

Description

Save a table style to the specified style library.

Parameters

Filename: string	The filename for the style library file.
Library: enumeration	CurrentDoc! PersonalLibrary! SharedLibrary!
 Related topics


TableTextBoxCreate

Syntax

TableTextBoxCreate(Columns As Integer, Rows As Integer)

Description

Create a table in a text box.

Parameters

Columns: numeric	The number of columns.
Rows: numeric	The number of rows.


TableTextToFormula

Syntax

TableTextToFormula()

Description

Convert the contents of the current cell to a formula.

 Related topics


TableToolsDlg

Syntax

TableToolsDlg()

Description

Display the Tools dialog box for editing a table. If the insertion point is not in a table when this method is executed, nothing happens.


TableUndelete

Syntax

TableUndelete()

Description

Insert the last deleted item. Available only in table editing mode.

 Related topics


TableUpdateAssociatedCharts

Syntax

 TableUpdateAssociatedCharts(State As _TableUpdateAssociatedCharts_State_enum)

Description

Turn the Update associated charts option on or off.

Parameters

State: enumeration	Off! On!
 Related topics


TableUseDefaultLinesColor

Syntax

TableUseDefaultLinesColor()

Description

Specify the Line Style line color as the default line color for a table.

 Related topics


TabRight

Syntax

TabRight([Type As _TabRight_Type_enum])

Description

Insert a right-aligned tab (with or without a dot leader) at the insertion point.

Parameters

Type: enumeration (optional)	DotLeader! Normal!
 Related topics


TabRightDot

Syntax

TabRightDot()()

Description

Insert a Hard Right Tab code with a dot leader.


TabSet

Syntax

TabSet(Origin As _TabSet_Origin_enum, [Position], [TabType])

Description

Specify tab settings.

Parameters

Origin: enumeration	Set tabs relative to the left edge of the paper (absolute) or the left margin setting (relative). Absolute! Relative!
Position: measurement (optional)	The position of the tabs.
TabType: enumeration (optional)	TabCenter! TabCenterDot! TabDecimal! TabDecimalDot! TabLeft! TabLeftDot! TabRight! TabRightDot!
 Related topics


TabSetDlg

Syntax

TabSetDlg()

Description

Display the Tab Set dialog box.

 Related topics


Undelete

Syntax

 Undelete(Which As Integer)

Description

Restore the specified deletion at the insertion point. The first, second, or third most recent deletions can be restored.

Parameters

Which: numeric	The level to restore (1-3).
 Related topics


UndeleteDlg

Syntax

UndeleteDlg()

Description

Display the Undelete dialog box, which will allow you to restore one of the last three deletions.


UnderlineColor

Syntax

 UnderlineColor([ColorName As String], [Red As Integer], [Green As Integer], [Blue As Integer], [Shade As Integer])

Description

Lets you specify the underline color.

Parameters

ColorName: string (optional)	This parameter has been left in for backward compatibility with previous versions of WordPerfect. To specify a color in WordPerfect 8, use the Red, Green, and Blue parameters.
Red: numeric (optional)	Value: 0 - 255
Green: numeric (optional)	Value: 0 - 255
Blue: numeric (optional)	Value: 0 - 255
Shade: numeric (optional)	Percent: 0 - 100


UnderlineSpaces

Syntax

UnderlineSpaces(State As _UnderlineSpaces_State_enum)

Description

Underline spaces.

Parameter

State: enumeration	No! Yes!
 Related topics


UnderlineStyle

Syntax

 UnderlineStyle(Style As _UnderlineStyle_Style_enum)

Description

Lets you specify the underline style.

Parameter

Style: enumeration	Solid! Dotted! Dashed! DashDot! DashDotDot! Wave! Thick!


UnderlineTabs

Syntax

UnderlineTabs(State As _UnderlineTabs_State_enum)

Description

Underline tabs.

Parameters

State: enumeration	No! Yes!
 Related topics


Undo

Syntax

 Undo([Number As Integer])

Description

Restore the last or the specified document change. Choosing Undo a second time restores the last undo.

Parameters

Number: numeric (optional)	Allow for multi-level undos.
 Related topics


UndoRedoDlg

Syntax

UndoRedoDlg()

Description

Display the Undo/Redo History dialog box, which allows you to cancel or restore recent changes to a document.


UseRegQuotesWithNumbers

Syntax

UseRegQuotesWithNumbers(State As _UseRegQuotesWithNumbers_State_enum)

Description

Turn Use Regular Quotes with Numbers on or off.

Parameters

State: enumeration	Off! On!
 Related topics


UserFunction

Syntax

UserFunction(Action As String, [Data])

Description

Execute a third-party execution method.

Parameters

Action: string	The action a third-party program performs. Form: <signature>:<action>. The four-character <signature> identifies a third-party application. The <action> specifies a third-party method.


ViewDraft

Syntax

ViewDraft()

Description

Display a document without substructures such as headers, footers, and footnotes.

 Related topics


ViewOutline

Syntax

ViewOutline()

Description

Display the Outline feature bar and insert the first-level heading.


ViewPage

Syntax

ViewPage()

Description

Display a document with substructures such as headers, footers, and footnotes.

 Related topics


ViewToggle

Syntax

ViewToggle()

Description

Toggle the view between HTML and Page.


ViewToolbarsDlg

Syntax

ViewToolbarsDlg()

Description

Display the Toolbars dialog box.

 Related topics


ViewTwoPage

Syntax

ViewTwoPage()

Description

Display two document pages.

 Related topics


VLineCreate

Syntax

VLineCreate()

Description

Create a vertical line at the insertion point between the top and bottom margin.


VolumeNumber

Syntax

VolumeNumber(Volume As Integer)

Description

Specify the active volume number.

Parameters

Volume: numeric	The number for the current volume.
 Related topics


VolumeNumberDecrement

Syntax

VolumeNumberDecrement()

Description

Decrease the active volume number by one.


VolumeNumberDisplay

Syntax

VolumeNumberDisplay()

Description

Insert the active volume number at the insertion point.


VolumeNumberIncrement

Syntax

VolumeNumberIncrement()

Description

Increase the active volume number by one.


VolumeNumberMethod

Syntax

VolumeNumberMethod(NumberingMethod As _VolumeNumberMethod_NumberingMethod_enum)

Description

Specify a numbering type to display volume numbers.

Parameters

NumberingMethod: enumeration	LowerLetters! LowerRoman! Numbers! UpperLetters! UpperRoman!
 Related topics


WatermarkA

Syntax

WatermarkA(Action As _WatermarkA_Action_enum, [Occurrence As _WatermarkA_Occurrence_enum], [State As _WatermarkA_State_enum])

Description

Create, edit, or turn off Watermark A on the specified pages.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!
State: enumeration (optional)	NoOverlay! Overlay!
 Related topics


WatermarkB

Syntax

 WatermarkB(Action As _WatermarkB_Action_enum, [Occurrence As _WatermarkB_Occurrence_enum], [State As _WatermarkB_State_enum])

Description

Create, edit, or turn off Watermark B on the specified pages.

Parameters

Action: enumeration	Create! Edit! Off!
Occurrence: enumeration (optional)	AllPages! EvenPages! NoPages! OddPages!
State: enumeration (optional)	NoOverlay! Overlay!
 Related topics


WatermarkDlg

Syntax

WatermarkDlg()

Description

Display the Watermark dialog box in order to create a watermark.


WatermarkNext

Syntax

WatermarkNext()

Description

Go to the next watermark.


WatermarkPlacementDlg

Syntax

WatermarkPlacementDlg()

Description

Display the Pages dialog box to specify the pages on which your watermark will appear.


WatermarkPrev

Syntax

WatermarkPrev()

Description

Go to the previous watermark.


WatermarkShadingDlg

Syntax

WatermarkShadingDlg()

Description

Display the Watermark Shading dialog box.


WatermarkShippingMacro

Syntax

WatermarkShippingMacro()

Description

Play the shipping macro WATERMRK.WCM to display the Watermark Options dialog box, where you can select Watermark A or B, and graphics or text. If Graphics is selected, the Graphics Watermarks dialog box is displayed with a list of watermarks to preview or insert. If Text is selected, the Watermark Creation Macro dialog box is displayed when you enter watermark text to insert. WATERMARK.WCM must be installed.


WebActiveLinkColor

Syntax

WebActiveLinkColor(Red As Integer, Green As Integer, Blue As Integer)

Description

Set the active hypertext-link color of the active Web document. This method is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


WebBackgroundColor

Syntax

WebBackgroundColor(Red As Integer, Green As Integer, Blue As Integer)

Description

Set the background color of the active Web document. This method is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


WebBackgroundImage

Syntax

 WebBackgroundImage([Filename As String])

Description

Specify a background image for the active Web document. This method is valid only when WordPerfect is in Web Editor mode.

Parameters

Filename: string	The filename of the image you want to use as a page background.
 Related topics


WebBaseURL

Syntax

WebBaseURL([URL As String])

Description

Specify the base URL for the active Web document. This method is valid only when WordPerfect is in Web Editor mode.

Parameters

URL: string	The URL to use as the base for the current Web document.
 Related topics


WebBoxHTMLProperties

Syntax

 WebBoxHTMLProperties(Properties As String)

Description

Specify the HTML properties of the active box. Precede with BoxCreate() or BoxEdit() and end with BoxEnd().

Parameters

Properties: string	The properties of the current box.
 Related topics


WebBoxHTMLPropertiesDlg

Syntax

WebBoxHTMLPropertiesDlg()()

Description

Display the Box HTML Properties dialog box. Valid only when a graphics box is selected.

 Related topics


WebColorDlg

Syntax

WebColorDlg()

Description

Display the HTML Document Properties (Text/Background color) dialog box.


WebColumnDefineDlg

Syntax

WebColumnDefineDlg()

Description

Specify the number and size of columns.


WebCustomHTMLToggle

Syntax

WebCustomHTMLToggle()

Description

Turn Web Custom HTML on or off.


WebFormsFormPropertiesDlg

Syntax

WebFormsFormPropertiesDlg()

Description

Display the Properties dialog for a form.


WebFormsHiddenDlg

Syntax

WebFormsHiddenDlg()

Description

Display the Properties dialog for a hidden field.


WebFormsListPropertiesDlg

Syntax

WebFormsListPropertiesDlg()

Description

Display the Properties dialog for a selection list.


WebFormsProperties

Syntax

WebFormsProperties()

Description

Edit the properties of the form or form field.


WebFormsRadioPropertiesDlg

Syntax

WebFormsRadioPropertiesDlg()

Description

Display the Properties dialog for a radio button or check box.


WebFormsTextAreaPropertiesDlg

Syntax

WebFormsTextAreaPropertiesDlg()

Description

Display the Properties dialog for a multi-line text field.


WebFormsTextPropertiesDlg

Syntax

WebFormsTextPropertiesDlg()

Description

Display the Properties dialog for a text or password field.


WebInsertCheckBox

Syntax

WebInsertCheckBox()

Description

Insert a check box into the form.


WebInsertForm

Syntax

WebInsertForm()

Description

Create a new Web form.


WebInsertHiddenField

Syntax

WebInsertHiddenField()

Description

Insert a hidden field into the form.


WebInsertPassword

Syntax

WebInsertPassword()

Description

Insert a password field into the form.


WebInsertRadioButton

Syntax

WebInsertRadioButton()

Description

Insert a radio button into the form.


WebInsertResetButton

Syntax

WebInsertResetButton()

Description

Insert a reset button into the form.


WebInsertSelectList

Syntax

WebInsertSelectList()

Description

Insert a selection list into the form.


WebInsertSubmitButton

Syntax

WebInsertSubmitButton()

Description

Insert a submit button into the form.


WebInsertSubmitImage

Syntax

WebInsertSubmitImage()

Description

Insert a submit image into the form.


WebInsertTextArea

Syntax

WebInsertTextArea()

Description

Insert a text area into the form.


WebInsertTextLine

Syntax

WebInsertTextLine()

Description

Insert a text line into the form.


WebJavaCreateApplet

Syntax

WebJavaCreateApplet()

Description

Create a Java applet.


WebJavaModifyApplet

Syntax

WebJavaModifyApplet()

Description

Modify a Java applet.


WebJavaRunApplets

Syntax

WebJavaRunApplets()

Description

View the Java applets that are running.


WebLaunchWebBrowser

Syntax

WebLaunchWebBrowser([Location As String])

Description

Call the Web browser and go to the specified location.

Parameters

Location: string (optional)	The location (URL address) to go to. This is sometimes called an Internet address, Web address, or Web site. If no address is specified, the Corel Corporation URL is used.
 Related topics


WebLinkColor

Syntax

 WebLinkColor(Red As Integer, Green As Integer, Blue As Integer)

Description

Specify the hypertext-link color of the active Web document. This method is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


WebMetaTags

Syntax

WebMetaTags(Meta As String)

Description

Specify Meta tags for the active Web document. This method is valid only when WordPerfect is in Web Editor mode.

Parameters

Meta: string
 Related topics


WebMonoToggle

Syntax

WebMonoToggle()

Description

Turn Web Monospaced on or off.


WebNewDlg

Syntax

WebNewDlg()

Description

Display the Select New Web Document dialog box.

 Related topics


WebPublish

Syntax

WebPublish(Filename As String, Server As String, SeperateFrames As _WebPublish_SeperateFrames_enum)

Description

Save the current document in HTML format (*.HTM).

Parameters

Filename: string	The path and filename of the HTML document.
 Related topics


WebPublishDlg

Syntax

WebPublishDlg()

Description

Display the Publish to Web dialog box.

 Related topics


WebTableProperties

Syntax

WebTableProperties([TableBordWidth As Integer], [CellBordWidth As Integer], [CellMarginWidth As Integer], [TableWidthType As _WebTableProperties_TableWidthType_enum], [TableWidth As Integer], [TableHeightType As _WebTableProperties_TableHeightType_enum], [TableHeight As Integer], [TablePosition As _WebTableProperties_TablePosition_enum])

Description

Lets you edit the properties of a table in HTML

Parameters

TableBordWidth: numeric (optional)	The width of the border of the table
CellBordWidth: numeric (optional)	The width of the border of the cell
CellMarginWidth: numeric (optional)	The width of the margin of the cell
TableWidthType: enumeration (optional)	NotSet! WPUs! Pixels! Percent!
TableWidth: numeric (optional)	The width of the table
TableHeightType: enumeration (optional)	NotSet! WPUs! Pixels! Percent!
TableHeight: numeric (optional)	The height of the table
TablePosition: enumeration (optional)	Top! Center! Bottom!


WebTextColor

Syntax

WebTextColor(Red As Integer, Green As Integer, Blue As Integer)

Description

Set the regular-text color of the active Web document. This method is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.
 Related topics


WebTitle

Syntax

WebTitle(Title)

Description

Specify the title for the active Web document. This method is valid only when WordPerfect is in Web Editor mode.

Parameters

Title: any	Auto!
 Related topics


WebTitleDlg

Syntax

WebTitleDlg()

Description

Display the Title dialog box for Web documents. This method is valid only when WordPerfect is in Web Editor mode.

 Related topics


WebViewAsHTML

Syntax

WebViewAsHTML()

Description

View the active document using HTML.


WebViewInWebBrowser

Syntax

WebViewInWebBrowser()

Description

Convert the current document to HTML format and view it in a Web browser. This method is valid only if you have a Web browser installed.

 Related topics


WebVisitedLinkColor

Syntax

WebVisitedLinkColor(Red As Integer, Green As Integer, Blue As Integer)

Description

Specify the visited hypertext-link color of the active Web document. This method is valid only when WordPerfect is in Web Editor mode.

Parameters

Red: numeric	Value: 0-255.
Green: numeric	Value: 0-255.
Blue: numeric	Value: 0-255.


WebWallpaper

Syntax

WebWallpaper()

Description

Lets you specify the document colors and the wallpaper image.


WidowOrphan

Syntax

 WidowOrphan(State As _WidowOrphan_State_enum)

Description

Turn Widow/Orphan on or off.

Parameters

State: enumeration	Off! On!
 Related topics


WindowCascade

Syntax

WindowCascade()

Description

Overlap document windows to display the title bar of each window.


WindowTile

Syntax

WindowTile()

Description

Arrange all open document windows top to bottom without overlapping them.


WindowTileVertical

Syntax

WindowTileVertical()

Description

Arrange all open document windows side by side without overlapping them.

 Related topics


WordCountDlg

Syntax

WordCountDlg()

Description

Display document information, such as word and page count, and words per sentence.


WordLetterspaceDlg

Syntax

WordLetterspaceDlg()

Description

Display the Word/Letter Spacing dialog box.


WordLetterSpacing

Syntax

WordLetterSpacing(CharacterWidth As _WordLetterSpacing_CharacterWidth_enum, SpaceWidth As _WordLetterSpacing_SpaceWidth_enum)

Description

Specify the display spacing between words and letters. Normal: recommended by font manufacturer. Optimal: recommended by WordPerfect.

Parameters

CharacterWidth: enumeration	The spacing between words. Use a number to specify a percent of the Optimal! default. Maximum! Normal! Optimal!
SpaceWidth: enumeration	The spacing between letters. Use a number to specify a percent of the Optimal! default. Maximum! Normal! Optimal!
 Related topics


WordSpacingJustificationLimits

Syntax

 WordSpacingJustificationLimits(Compression As Integer, Expansion As Integer)

Description

Adjust the spacing between words when Full justification is on. When a word-spacing limit is reached, character spacing begins.

Parameters

Compression: numeric	The minimum percent.
Expansion: numeric	The maximum percent.
 Related topics


WP51CursorMovement

Syntax

WP51CursorMovement(State As _WP51CursorMovement_State_enum)

Description

Turn WordPerfect 5.1 for DOS cursor movement on or off. When WordPerfect 5.1 cursor movement is on, the insertion point moves through codes as if Reveal Codes were on, regardless of the state of Reveal Codes.

Parameters

State: enumeration	Off! On!


WPActivate

Syntax

WPActivate()

Description

Activate WordPerfect. Use with DDE links to another application.


WPCharactersDlg

Syntax

WPCharactersDlg()

Description

Display the WordPerfect Characters dialog box.


WPDraw

Syntax

WPDraw()

Description

Open WordPerfect Draw.

 Related topics


WPGrammatik

Syntax

WPGrammatik()

Description

Open Grammatik. This product allows you to check grammar and spelling in a document.

 Related topics


WPSpeller

Syntax

WPSpeller()

Description

Display the Spell Checker dialog box.

 Related topics


WPThesaurus

Syntax

WPThesaurus()

Description

Display the Thesaurus dialog box. The Thesaurus allows you to get synonyms, antonymns, definitions, and usages examples for words.


WritingToolsDisable

Syntax

WritingToolsDisable()

Description

Toggle grammar and spell checking on or off at the insertion point or for the selected text. This method inserts a [Writing Tools: Disabled] or [Writing Tools: Enabled] code at the insertion point, depending on the current state.

 Related topics


ZoomDlg

Syntax

ZoomDlg()

Description

Display the Zoom dialog box, which allows you to change the magnification of the active window.

 Related topics


ZoomIn

Syntax

ZoomIn()

Description

Lets you increase the magnification of the active window.


ZoomOut

Syntax

ZoomOut()

Description

Lets you decrease the magnification of the active window.


ZoomToFullPage

Syntax

ZoomToFullPage()

Description

Display a full page on screen.

 Related topics


ZoomToMarginWidth

Syntax

ZoomToMarginWidth()

Description

Display a document at the current margin width.

 Related topics


ZoomToPageWidth

Syntax

ZoomToPageWidth()

Description

Display everything contained between the left and right edges of the current page.


WordPerfectGlobalMacros
Global Macros

Global macros can be executed in all WordPerfect documents. Global macros are stored in a special file called WordPerfect11.GMS. All objects that are used by a Global macro are also stored in the WordPerfect11.GMS. For example, if a macro uses a form, then the form is stored in the WordPerfect11.GMS.

To create a VBA global macro

1.	Click Tools, Visual Basic, Visual Basic Editor.

2.	Double-click on Global Macros in the Project view.

3.	Click Insert, User Form.

4.	Change the form so that it resembles the following diagram:

5.	Change the name of the TextBox control to NameBox as illustrated in the following list:

Command Button - CommandButton1

TextBox - NameBox

You can change all of the control's attributes, including the name of the control, in the Property dialog box located in the Visual Basic Editor.

6.	Double-click the CommandButton1 control to create a new method for the UserForm1 class, then type the following lines of code in the CommandButton1_Click method:

Private Sub CommandButton1_Click()

 Dim myname, Msg As String

 myname = NameBox

 Msg = "Hello " & myname

 MsgBox Msg

 End

End Sub

This code responds to the event that occurs when the command button is clicked.

7	Double-click the WordPerfect Objects folder in the Project view.

8.	Double-click ThisDocument, then type the following lines of code in the Editor window:

Public Sub ShowForm()

End Sub

This code will add a new method to the ThisDocument class. If you declare ShowForm as a Private method, you will not be able to run it from WordPerfect.

9.	Type the following line of code in the ShowForm method:

Public Sub ShowForm()

 UserForm1.Show

End Sub

 Note

•	The name of this macro is ShowForm. The name of the form is UserForm1, which is the default name. UserForm1, along with this macro would be stored in WordPerfect11.GMS.


WordPerfect VBA Events

Visual Basic for Applications is an event-driven programming language. Most of the code you create is written to respond to an event. An event is an action that is recognized by VBA; for example, clicking a button or choosing an option from a list box. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.

WordPerfect document events can be broken down into two categories: Global and Project. A Global event is recognized by all WordPerfect documents. For example, if you create a VBA macro in the AfterOpen event, this macro is valid for any WordPerfect document. In contrast to Global events there are Project events. A Project event is only recognized by the local document. Project events are members of the Document class. The name of the object is the same as the class.

Global events are members of the GlobalMacros class. The name of the object is the same as the class. Global macros are stored in a special file named WordPerfect11.GMS. All global events are stored in the WordPerfect11.GMS file.

Events in WordPerfect are code placeholders. It is up to you to code the response. Events are called in response to a specific action. When an action calls an event, the code located within the event is executed. You can create simple or complex events. You can code a single line that displays a Message Box or write an entire procedure that interacts with a database.

Global Events

BeforeNew()

AfterNew()

BeforeClose()

AfterClose()

BeforeSwitchDocument()

AfterSwitchDocument()

BeforeTables()

AfterTables()

BeforeOpen()

AfterOpen()

BeforePrint()

AfterPrint()

BeforeSave()

AfterSave()

AfterStartup()

Project Events

BeforeOpen()

AfterOpen()

BeforePrint()

AfterPrint()

BeforeTables()

AfterTables()

BeforeSave()

AfterSave()

BeforeClose()


DocumentBeforeOpen
Document.BeforeOpen()

Syntax

Private Sub Document_BeforeOpen()

Description

This event is called when you open a document. The code in the event is executed before the document appears.

Example

In the code fragment below, a Message Box appears which displays the time and date. This data can be written to a database that keeps track of file activities.

Private Sub Document_BeforeOpen()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the Message Box

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub

 Note

•	The Message Box will appear before the document is opened. After the Message Box is closed, the document will open.


DocumentAfterOpen
Document.AfterOpen()

Syntax

Private Sub Document_AfterOpen()

Description

This event is called as soon as an existing document opens.

Example

You can customize your document by inserting a watermark. You can insert a watermark into every odd page of your document by coding the following into the AfterOpen() event:

Private Sub Document_AfterOpen()

PerfectScript.ClearDoc

PerfectScript.WatermarkA Create_WatermarkA_Action, OddPages_WatermarkA_Occurrence

PerfectScript.BoxCreate 6

PerfectScript.BoxContentType Image_BoxContentType_Content

PerfectScript.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "C:\rose2.wpg"

PerfectScript.ChangeWatermarkGraphicShade 25

PerfectScript.BoxUpdateDisplay

PerfectScript.BoxEnd Save_BoxEnd_State

PerfectScript.Close

End Sub

 Note

•	You need a graphic file for this procedure. The name of this file is:ROSE2.WPG. This file is located in the "C:\Corel\WordPerfect Office 11\graphics\clipart\basic clipart" folder. It is recommended that you place this file in the C:\.


Document.AfterPrint()

Syntax

Private Sub Document_AfterPrint()

Description

This event is called after you print your document.

Example

You can inform the user that the document is printed by coding a Message Box.

Private Sub Document_AfterPrint()

MsgBox ("You have just printed this document")

End Sub


Document.BeforePrint()

Syntax

Private Sub Document_BeforePrint()

Description

This event is called when you send a document to the printer. This enables you to customize your document before it is printed.

Example

You can call a form which displays an image.

Private Sub Document_BeforePrint()

'******* Call the Form

FallsForm.Show

End Sub

 Note

•	FallsForm is a VBA Form which contains an image control.


Document.AfterSave()

Syntax

Private Sub Document_AfterSave()

Description

This event is called after you save your document.

Example

You can create a message box that displays the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub Document_AfterSave()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the Message Box

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


Document.BeforeSave()

Syntax

Private Sub Document_BeforeSave()

Description

This event is called when you save the document. This enables you to customize your document before you save it.

Example

In the following example, the zoom setting is changed to page view each time the document is saved. This setting persists until it is changed.

Private Sub Document_BeforeSave()

PerfectScript.ZoomToFullPage

End Sub


Document.AfterTables
Document.AfterTables()

Syntax

Private Sub Document_AfterTables()

Description

This event is called after you insert a table into your document. This is a useful event to customize tables.

Example

You can create a macro that will format a table that is inserted into the document. In the following example, the table's border is changed. Add the following to the AfterTables() event:

Private Sub Document_AfterTables()

PerfectScript.TableBorderEditBegin

PerfectScript.TableBorder 5

PerfectScript.TableBorderEditEnd Save_TableBorderEditEnd_State

End Sub

 Note

•	In the above code fragment, the value 5 corresponds to a thick border. All PerfectScript class members that require any for an argument, must have the numeric value passed.


Document.BeforeTables()

Syntax

Private Document_BeforeTables()

Description

This event is called before the table appears in your document.

Example

In the following example, a new form appears that allows the user to select a choice of three border styles. The result is stored in a global variable called g_borderStyle.

Private Sub Document_BeforeTables()

'*** Call the New Form

UserForm1.Show

g_borderStyle = UserForm1.myBorder

End Sub

 Note

•	You can pass g_borderStyle to the PerfectScript.TableBorder()


DocumentBeforeClose
Document.BeforeClose()

Syntax

Private Sub Document_BeforeClose()

Description

This event is called when you close the document; however, this code is executed before the document is actually closed.

Example

You can create a message box that informs the user that the document will close. The message box will appear before the document is closed.

Private Sub Document_BeforeClose()

MsgBox "You are about to close this document"

End Sub


GlobalMacrosBeforeSwitchDocument
GlobalMacros.BeforeSwitchDocument()

Syntax

Private Sub GlobalMacros_BeforeSwitchDocument()

Description

This event is called when you switch documents. The code in this event is executed before the new document appears.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_BeforeSwitchDocument())

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the MessageBox

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacrosAfterSwitchDocument
GlobalMacros.AfterSwitchDocument()

Syntax

Private Sub GlobalMacros_AfterSwitchDocument()

Description

This event is called after you switch documents. In contrast to BeforeSwitchDocument, this event is executed after the new document appears.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_AfterSwitchDocument()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the MessageBox

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacros.BeforeNew()

Syntax

Private Sub GlobalMacros_BeforeNew()

Description

This event is called when you select a new document; however, the code is executed before the new document appears.

Example

In the following example, a simple string "Hello" is inserted into the document. The important concept to note is that the text will be entered into the existing document. This will not effect the new document.

Private Sub GlobalMacros_BeforeNew()

PerfectScript.KeyType "Hello"

End Sub


GlobalMacros.AfterNew()

Syntax

Private Sub GlobalMacros_AfterNew()

Description

This event is called when you select a new document; however, in contrast to BeforeNew() the code is executed after the new document appears.

Example

In the following example, a simple string "Hello" is inserted into the document. The important concept to note is that the text will be entered into the new document.

Private Sub GlobalMacros_AfterNew()

PerfectScript.KeyType "Hello"

End Sub


GlobalMacros.BeforeClose()

Syntax

Private Sub GlobalMacros_BeforeClose()

Description

This event is called when you close the document; however, the code is executed before the "Save changes to" dialog box appears.

Example

In the following example, a form is called which displays an image. The important concept to note is that this image will be displayed before the "Save changes to" dialog box appears.

Private Sub GlobalMacros_BeforeClose()

'**** Call the new form

FallsForm.Show

End Sub

 Note

•	FallsForm is a VBA Form which contains an image control. You must create a form called FallsForm to implement this example.


GlobalMacrosAfterClose
GlobalMacros.AfterClose()

Syntax

Private Sub GlobalMacros_AfterClose()

Description

This event is called when you close the document; however, the code is executed after the "Save changes to" dialog appears.

Example

In the following example, a new form is called which simply displays an image. This image will appear after the "Save changes to" dialog box appears.

Private Sub GlobalMacros_AfterClose()

TOForm.show

End Sub

 Note

•	TOForm is a VBA Form which contains an image control. You must create a form called TOForm to implement this example.


GlobalMacrosBeforeOpen
GlobalMacros.BeforeOpen()

Syntax

Private Sub GlobalMacros_BeforeOpen()

Description

This event is called when you open a document; however, this code is executed before the document appears.

Example

You can code a message box that displays the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_BeforeOpen()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the Message Box

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacrosAfterOpen
GlobalMacros.AfterOpen()

Syntax

Private Sub GlobalMacros_AfterOpen()

Description

This event is called when you open a document; however, this code is executed after the document appears.

Example

You can customize your document by inserting a watermark as soon as the document opens. You can insert a watermark into every odd page of your document by coding the following into this event:

Private Sub GlobalMacros_AfterOpen()

PerfectScript.ClearDoc

PerfectScript.WatermarkA Create_WatermarkA_Action, OddPages_WatermarkA_Occurrence

PerfectScript.BoxCreate 6

PerfectScript.BoxContentType Image_BoxContentType_Content

PerfectScript.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "C:\rose2.wpg"

PerfectScript.ChangeWatermarkGraphicShade 25

PerfectScript.BoxUpdateDisplay

PerfectScript.BoxEnd Save_BoxEnd_State

PerfectScript.Close

End Sub

 Note

•	You need a graphic file for this procedure. The name of this file is:ROSE2.WPG. This file is located in the "C:\Corel\WordPerfect Office 11\graphics\clipart\basic clipart" folder. It is recommended that you place this file in the C:\.


GlobalMacrosBeforePrint
GlobalMacros.BeforePrint()

Syntax

Private Sub GlobalMacros_BeforePrint()

Description

This event is called when you print the document. The code is executed after the "Print to" dialog box is closed, but before the document is sent to the printer.


GlobalMacrosAfterPrint
GlobalMacros.AfterPrint()

Syntax

Private Sub GlobalMacros_AfterPrint()

Description

This event is called when you print the document. The code is executed after the document is sent to the printer.


GlobalMacrosBeforeTables
GlobalMacros.BeforeTables()

Syntax

Private Sub GlobalMacros_BeforeTables()

Description

This event is called when you insert a table into the document. This code is executed before the table is inserted into the document.

Example

In the following example, a new form will appear that will allow the user to select a border style. The user can select one of three styles. The result will be stored in a global variable called g_borderStyle.

Private Sub Document_BeforeTables()

'*** Call the New Form

UserForm1.Show

g_borderStyle = UserForm1.myBorder

End Sub

 Note

•	You can pass g_borderStyle to the PerfectScript.TableBorder()


GlobalMacrosAfterTables
GlobalMacros.AfterTables()

Syntax

Private Sub GlobalMacros_AfterTables()

Description

This event is called after you insert a table into your document. This is a useful event to customize tables.

Example

You can create a macro that will format a table that is inserted into the document. In the following example, the table's border is changed. Add the following to the AfterTables() event:

Private Sub GlobalMacros_AfterTables()

PerfectScript.TableBorderEditBegin

PerfectScript.TableBorder 5

PerfectScript.TableBorderEditEnd Save_TableBorderEditEnd_State

End Sub

 Note

•	In the above code fragment, the value 5 corresponds to a thick border. Refer to Product Command Values to obtain the correct integer value.


GlobalMacrosBeforeSave
GlobalMacros.BeforeSave()

Syntax

Private Sub GlobalMacros_BeforeSave()

Description

This event is called just before the document is saved. This gives you a chance to customize your document before it is saved.

Example

In the following example, the zoom setting is changed to full page every time the document is saved. This setting will last until it is changed.

Private Sub Document_BeforeSave()

PerfectScript.ZoomToFullPage

End Sub


GlobalMacrosAfterSave
GlobalMacros.AfterSave()

Syntax

Private Sub GlobalMacros_AfterSave()

Description

This event is called after you have saved your document.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_AfterSave()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the Message Box

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacrosAfterStartup
GlobalMacros.AfterStartup()

Syntax

Private Sub GlobalMacros_AfterStartup()

Description

This event is called when WordPerfect starts. The code in this event is executed while the splash screen is active.

Example

You can create a macro that will call a message box asking you if you want a watermark in the WordPerfect document. If you select Yes, then a watermark will be inserted.

Private Sub GlobalMacros_AfterStartup()

'**** Declare all variables

Dim Msg, Style, Title, Response, MyString

Msg = "Do you want to insert a watermark?"

Style = vbYesNo + vbQuestion

Title = "WordPerfect"	' Define title.

Response = MsgBox(Msg, Style, Title)

If Response = vbYes Then

PerfectScript.ClearDoc

PerfectScript.WatermarkA Create_WatermarkA_Action, OddPages_WatermarkA_Occurrence

PerfectScript.BoxCreate 6

PerfectScript.BoxContentType Image_BoxContentType_Content

PerfectScript.BoxImageRetrieve MakeInternal_BoxImageRetrieve_Action, "C:\rose2.wpg"

PerfectScript.ChangeWatermarkGraphicShade 25

PerfectScript.BoxUpdateDisplay

PerfectScript.BoxEnd Save_BoxEnd_State

PerfectScript.Close

Else

MsgBox "No watermark will be inserted"

End If

End Sub

 Note

•	You need a graphic file for this procedure. The name of this file is:ROSE2.WPG. This file is located in the "C:\Corel\WordPerfect Office 11\graphics\clipart\basic clipart" folder. It is recommended that you place this file in the C:\.


43211
Working with product commands that use a Variable

You must declare a variable that you pass to a product command as a Variant.

Refer to the following code fragment:

'**** Declare the variable

Dim myAnswer As Variant

'*** Pass the variable to DirectoryExists()

PerfectScript.DirectoryExists myAnswer, "D:\Client"

MsgBox myAnswer

Code Explanation

A Boolean value is returned to myAnswer. If the directory exists, then myAnswer will be assigned the value True. If the directory does not exist, then myAnswer will be assigned False.


VBA_DATA
WordPerfect product commands that use Raw Binary Data

The following product commands use raw binary data:

ThirdPartyCreate

ThirdPartyFindByID


VBA_UNIT
WordPerfect product commands that use WordPerfect unit values

There are many product commands which require a WordPerfect unit as an argument. You must calculate any numeric value into a WordPerfect unit. The formula to calculate a WordPerfect unit is:

WordPerfect unit = (n*1200), where n is an inch.

 Note

•	The easiest way to convert to a WordPerfect unit is to convert all measurements to inches and multiply 1200.


VBA_CODE
WordPerfect product commands that use WordPerfect Codes

WordPerfect codes are used by WordPerfect to complete a specific objective. For example, a hyphen is a WordPerfect code. You can check the Reveal Codes for other codes. PerfectScript recognizes WordPerfect codes; however, the VBA compiler does not. The following two product commands use WordPerfect codes:

WordPerfect product commands that use WordPerfect Codes:

DateFormat

PrinterCommand


VBA_ANY
Product Commands that use Any

You must pass the integer value of any parameter that uses any. The VBA compiler does not recognize the string value. For example, the product command TableBorder() uses any for an argument. You can pass ThinBorder! or ThickBorder! when you are creating macros using PerfectScript. However, when you are using VBA to create macros, you must pass the integer value which corresponds to the style you want.

Product Commands that use Any:

Product command that use Any

Code Example


43211
Working with repeating parameters

To use product commands in VBA that have repeating parameters an array must be used. You should declare a variant and assign an array to the variant. Refer to the following code example, which illustrates how to use PreTaskBar:

Example 1

'***** Create the variables

Dim boxes As Variant

Dim widths As Variant

Dim textIcon As Variant

'****** Populate each array

boxes = Array(7, 9, 2, 4, 10, 5)

textIcon = Array(0, 0, 0, 0, 0, 0)

widths = Array(50, 75, 50, 20, 100, 50)

'****** Pass each array

PerfectScript.PrefTaskBar boxes, textIcon, widths

Example 2

'****** Pass each array

PerfectScript.PrefTaskBar Array(7, 9, 2, 4, 10, 5),Array(0, 0, 0, 0, 0, 0),Array(50, 75, 50, 20, 100, 50)

Code Explanation

You must define the box style, the icon style, and the width for every item that you want to appear on the application bar. In the example above, there are six elements in each array, meaning that six items will appear on the application bar.

Three variants are created. Each variant is defined as an array, with each element corresponds to the application bar item. The boxes array is populated with the specific box style. All values in the textIcon array are 0, representing icons as opposed to 1 which represents text. The values in the widths array specifies the width of each item. All three variables are passed after they have been populated.

In the second example, all the arrays are populated during the product command call. The benefit of this method is it decreases the lines of code in your macro.

 Note

•	You must use the integer values when populating an array used for repeating parameters.


VBA_RESERVE
WordPerfect product commands that are reserved words in VBA

There are two product commands that are reserved words in VBA. You have to use the VBA equivalent. Refer to the following list:

Product command	VBA equivalent

Type()	KeyType

Print()	WPPrint


VBA_REPEAT
Product commands with repeating parameters

To use product commands in VBA with repeating parameters, you must declare an array. Values for each repetitive parameter must be loaded into the array. After the array is populated, you have to pass the array.

Product commands with repeating parameters:

Product command that have Repeating Parameters

Code Example

 Note

You must use the integer values when populating an array used for repeating parameters.


VBA Programming
VBA Programming issues relating to PerfectScript class members

There are several issues that must be discussed with respect to programming with product commands in the VBA environment. You can click on any of the following for a detailed explanation:

Product commands that use Any

Product commands with Repeating Parameters

Product commands that require a Variable

Product commands that use WordPerfect Codes

Product commands that use Raw Binary Data

Product commands that are Reserved Words in VBA

Product commands that use WordPerfect Units


VBA_VARIABLE
WordPerfect product commands that use a VARIABLE as a parameter

You must use a Variant for any WordPerfect product command that requires a variable as a parameter. The Variant data type is the data type for all variables that are not declared as another specific type. If you do not declare the variable as a Variant, then your VBA macro will not function properly . The following list is all the product commands in WordPerfect which use Variable as a parameter:

Product commands that use a VARIABLE as a parameter:

DirectoryExists

FileExists

GetAcceleratorText

IsTokenValid

SGMLGetAttributeData

SGMLGetElementData

SGMLGetFileRefData

Code Example


Event

Each object within an object model is defined by a property, method, event, or a combination of each. An event is a noun, and acts as something that takes place in an object. You write code for an object to respond to the act. Events are triggered by an action, such as a click, key press, or system timer.


Event-driven programming

Visual Basic for Applications is an event-driven programming language. Most of the code you create is written to respond to an event. Each object within an object model is defined by a property, method, event, or a combination of each. An event is a noun, and acts as something that takes place in an object. You write code for an object to respond to the act. Events are triggered by an action, such as a click, key press, or system timer. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.


Variant

The Variant data type is the data type for all variables that are not declared as another type such as Dim, Private, Public, or Static. The Variant data type has no type-declaration character.


Object-oriented programming

A style of programming that places emphasis on creating and using objects.


Object model

An object model represents the hierarchy of objects within an application and their relationship to each other within the paradigm.

For example, the Document object represents the beginning of the object hierarchy in WordPerfect. Starting with the Document object, you drill down and navigate through the object model until you find the desired object. To reference an object with Visual Basic code, you separate each level of the object hierarchy with the dot operator (.).


Product Command Values

Product Command that use Any:

BoxBorder

BoxCaptionInitialStyle

BoxCaptionNumberStyle

BoxCaptionPosition

BoxChangeStyle

BoxCounter

BoxCreate

BoxEditByCounter

BoxEquationDefaultFont

BorderBottomLine

BorderLeftLine

BorderRightLine

BorderSeparatorLine

BorderStyleCopy

BorderStyleDelete

BorderStyleEdit

BorderTopLine

BoxFill

BoxHeight

BoxStyleCopy

BoxStyleCreate

BoxStyleDelete

BoxStyleEdit

BoxTextDefaultStyle

BoxVerticalAlignment

BoxVerticalPosition

BoxWidth

CounterCreate

CounterDecrement

CounterDelete

CounterDisplay

CounterEditLevelMethod

CounterEditLevelName

CounterEditMethod

CounterIncrement

CounterSetMethod

CounterSetValue

CrossRefMarkReference

DropCapBorderStyle

DropCapContourWrap

DropCapFillStyle

DropCapIncludeDescender

DropCapNoWrap

FillStyleCopy

FillStyleDelete

FillStyleEdit

FootnoteSeparatorLine

GraphicCreateBox

GraphicsLineStyle

GraphicsLineThickness

IndexDefinition

LineHeight

LineStyleCopy

LineStyleDelete

LineStyleEdit

ListDefinition

ListDefinitionCreate

ListDefinitionEditBox

ListDefinitionStyle

ListEditPageFormat

OutlineBeginNew

OutlineStyleCopy

OutlineStyleDelete

OutlineStyleEditBegin

OutlineStyleLevel

OutlineStyleSelect

PrintDestination

PrinterSelectByName

PrintSettings

StyleCopy

StyleDelete

StyleEditBegin

StyleLinkTo

StyleOff

StyleOn

StyleSystemOn

TableApplyStyle

TableBorder

TableCellFillStyle

TableCellLine

TableCopyFormula

TableDefaultLine

TableFill

TableSecondFill

TableStyleEdit

TextBorderCreate

TextBorderFillStyle

TextBorderStyle

TOADefinition

TOADefinitionCreate

TOADefinitionStyle

TOAEditPageFormat

TOCDefine

WebTitle


BoxBorder

Style:Any

SpacingOnly	0

SingleBorder	1

DoubleBorder	2

DashedBorder	3

DottedBorder	4

ThickBorder	5

ExtraThickBorder	6

ThinThickBorder	7

ThickThinBorder	8

ThickTopBottomBorder	9

ButtonBorder	10

ColumnBorderBetween	11

ColumnBorderAll	12

HeavySingleBorder	13

HeavyDoubleBorder	14

NoBorder	127

Reference

BoxBorder


BoxCaptionInitialStyle

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Reference

BoxCaptionInitialStyle


BoxCaptionNumberStyle

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Reference

BoxCaptionNumberStyle


BoxCaptionPosition

Side:Enumeration

Left	0

Top	1

Right	3

Bottom	4

Border:Enumeration

OutsideBorder	0

InsideBorder	1

OnBorder	2

Alignment:Enumeration

Left	0

Top	1

Center	2

Right	3

Bottom	4

AlignmentOffset:Any

Reference

BoxCaptionPosition


BoxCounter

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

Reference

BoxCounter


BoxCreate

BoxType:Any

FigureBox	0

TableBox	1

TextBox	2

UserBox	3

EquationBox	4

ButtonBox	5

WatermarkImageBox	6

InLineEquationBox	7

NoBox	127

Reference

BoxCreate


BoxEditByCounter

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

Reference

BoxEditByCounter


BoxEquationDefaultFont

FontSize:Any

DefaultSize	0

Reference

BoxEquationDefaultFont


BorderBottomLine

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Reference

BorderBottomLine


BorderLeftLine

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Reference

BorderLeftLine


BorderRightLine

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Reference

BorderRightLine


BorderSeparatorLine

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Reference

BorderSeparatorLine


BorderStyleCopy

Style:Any

SpacingOnly	0

SingleBorder	1

DoubleBorder	2

DashedBorder	3

DottedBorder	4

ThickBorder	5

ExtraThickBorder	6

ThinThickBorder	7

ThickThinBorder	8

ThickTopBottomBorder	9

ButtonBorder	10

ColumnBorderBetween	11

ColumnBorderAll	12

HeavySingleBorder	13

HeavyDoubleBorder	14

NoBorder	127

FromLibrary:Enumeration

CurrentDocument	0

PersonalLibrary	1

SharedLibrary	2

ToLibrary:Enumeration

CurrentDocument	0

PersonalLibrary	1

SharedLibrary	2

Reference

BorderStyleCopy


BorderStyleDelete

Style:Any

SpacingOnly	0

SingleBorder	1

DoubleBorder	2

DashedBorder	3

DottedBorder	4

ThickBorder	5

ExtraThickBorder	6

ThinThickBorder	7

ThickThinBorder	8

ThickTopBottomBorder	9

ButtonBorder	10

ColumnBorderBetween	11

ColumnBorderAll	12

HeavySingleBorder	13

HeavyDoubleBorder	14

NoBorder	127

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

BorderStyleDelete


BorderStyleEdit

Style:Any

SpacingOnly	0

SingleBorder	1

DoubleBorder	2

DashedBorder	3

DottedBorder	4

ThickBorder	5

ExtraThickBorder	6

ThinThickBorder	7

ThickThinBorder	8

ThickTopBottomBorder	9

ButtonBorder	10

ColumnBorderBetween	11

ColumnBorderAll	12

HeavySingleBorder	13

HeavyDoubleBorder	14

NoBorder	127

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

BorderStyleEdit


BorderTopLine

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Reference

BorderTopLine


BoxChangeStyle

BoxType:Any

FigureBox	0

TableBox	1

TextBox	2

UserBox	3

EquationBox	4

ButtonBox	5

WatermarkImageBox	6

InlineEquationBox	7

NoBox	127

Reference

BoxChangeStyle


BoxFill

FillStyleName:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

Reference

BoxChangeStyle


BoxHeight

Height:Any

AutoHeight	2

MinHeight	3

Reference

BoxHeight


BoxStyleCopy

Style:Any

FigureBox	0

TableBox	1

TextBox	2

UserBox	3

EquationBox	4

ButtonBox	5

WatermarkImageBox	6

InlineEquationBox	7

NoBox	127

FromLibrary:Enumeration

CurrentDocument	0

PersonalLibrary	1

SharedLibrary	2

ToLibrary:Enumeration

CurrentDocument	0

PersonalLibrary	1

SharedLibrary	2

Reference

BoxStyleCopy


BoxStyleCreate

Style:Any

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

BoxStyleCreate


BoxStyleDelete

Style:Any

FigureBox	0

TableBox	1

TextBox	2

UserBox	3

EquationBox	4

ButtonBox	5

WatermarkImageBox	6

InlineEquationBox	7

NoBox	127

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

BoxStyleDelete


BoxStyleEdit

Style:Any

FigureBox	0

TableBox	1

TextBox	2

UserBox	3

EquationBox	4

ButtonBox	5

WatermarkImageBox	6

InlineEquationBox	7

NoBox	127

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

BoxStyleEdit


BoxTextDefaultStyle

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Reference

BoxTextDefaultStyle


BoxVerticalAlignment

Alignment:Enumeration

Top	1

Center	2

Bottom	4

Baseline	6

FullAlign	7

BaseOffset	8

ForceLeftMargin	9

ForceRightMargin	10

CenteredOnBaseline	11

BottomOnBottom	12

Reference

BoxVerticalAlignment


BoxVerticalPosition

Alignment:Any

X                                          An Integer value that meets your needs.

Reference

BoxVerticalPosition


BoxWidth

Width:Any

AutoWidth	2

Reference

BoxWidth


CounterCreate

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

Method:Enumeration

Numbers	0

LowLetter	1

UpLetter	2

LowRoman	3

UpRoman	4

Reference

CounterCreate


CounterDecrement

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

Level:Unsigned Byte

Reference

CounterDecrement


CounterDelete

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

Reference

CounterDelete


CounterDisplay

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

Level:Unsigned Byte

Reference

CounterDisplay


CounterEditLevelMethod

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

LevelNum:Unsigned Byte

NewMethod:Enumeration

Numbers	0

LowLetter	1

UpLetter	2

LowRoman	3

UpRoman	4

Reference

CounterEditLevelMethod


CounterEditLevelName

OldCounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

OldLevelName:WP String

NewLevelName:WP String

Reference

CounterEditLevelName


CounterEditMethod

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

NewMethod:Enumeration

Numbers	0

LowLetter	1

UpLetter	2

LowRoman	3

UpRoman	4

Reference

CounterEditMethod


CounterIncrement

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

Level:Unsigned Byte

Reference

CounterIncrement


CounterSetMethod

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

CounterLevel:Unsigned Byte

Method:Enumeration

Numbers	0

LowerLetters	1

UpperLetters	2

LowerRoman	3

UpperRoman	4

Reference

CounterSetMethod


CounterSetValue

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

CounterLevel:Unsigned Word

Reference

CounterSetValue


CrossRefMarkReference

TargetName:WP String

RefType:Enumeration

RefPage	0

RefSecondaryPage	1

RefChapter	2

RefVolume	3

RefParagraph	4

RefFootnote	5

RefEndnote	6

RefBox	7

RefCounter	8

CounterName:Any

None	0

FigureCounter	1

TableBoxCounter	2

TextBoxCounter	3

UserBoxCounter	4

EquationCounter	5

Reference

CrossRefMarkReference


DropCapBorderStyle

BorderStyleName:Any

SpacingOnly	0

SingleBorder	1

DoubleBorder	2

DashedBorder	3

DottedBorder	4

ThickBorder	5

ExtraThickBorder	6

ThinThickBorder	7

ThickThinBorder	8

ThickTopBottomBorder	9

ButtonBorder	10

ColumnBorderBetween	11

ColumnBorderAll	12

HeavySingleBorder	13

HeavyDoubleBorder	14

NoBorder	127

Reference

DropCapBorderStyle


DropCapContourWrap

State:Any

No	0

Yes	1

Reference

DropCapContourWrap


DropCapFillStyle

FillStyleName:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

Reference

bmc grybxbtn.bmp}	DropCapFillStyle


DropCapIncludeDescender

State:Any

No	0

Yes	1

Reference

DropCapIncludeDescender


DropCapNoWrap

State:Any

No	0

Yes	1

Reference

DropCapNoWrap


FillStyleCopy

StyleName:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

FromLibrary:Enumeration

CurrentDocument	0

PersonalLibrary	1

SharedLibrary	2

ToLibrary:Enumeration

CurrentDocument	0

PersonalLibrary	1

SharedLibrary	2

DestName:WP String

Reference

FillStyleCopy


FillStyleDelete

StyleName:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

FillStyleDelete


FillStyleEdit

Style:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

FillStyleEdit


FootnoteSeparatorLine

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

SpaceAboveLine:Unsigned WP Units

SpaceBelowLine:Unsigned WP Units

Alignment:Enumeration

Left	0

Full	1

Center	2

Right	3

SetPosition	4

Width:Unsigned WP Units

Position:Unsigned WP Units

Reference

FootnoteSeparatorLine


GraphicCreateBox

BoxStyleName:Any

FigureBox	0

TableBox	1

TextBox	2

UserBox	3

EquationBox	4

ButtonBox	5

WatermarkImageBox	6

InLineEquationBox	7

NoBox	127

Reference

GraphicCreateBox


GraphicsLineStyle

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	3

DottedLine	4

ExtraThickLine	5

ThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeft	8

ButtonBottomRight	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Reference

GraphicsLineStyle


GraphicsLineThickness

Thickness:Any

X                                          An Integer value that meets your needs.

Reference

GraphicsLineThickness


IndexDefinition

Heading:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

SubHeading:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

Reference

IndexDefinition


LineHeight

Height:Any

Auto	0

Minimum:Unsigned WP Units

Reference

LineHeight


LineStyleCopy

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

FromLibrary:Enumeration

CurrentDocument	0

PersonalLibrary	1

SharedLibrary	2

ToLibrary:Enumeration

CurrentDocument	0

PersonalLibrary	1

SharedLibrary	2

DestName:WP String

Reference

LineStyleCopy


LineStyleDelete

Name:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

LineStyleDelete


LineStyleEdit

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

LineStyleEdit


ListDefinition

ListName:WP String

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Numbering:Enumeration

DefNone	0

DefFollows	1

DefParentheses	2

DefFlushRight	3

DefLeader	4

Counter:Any

FigureBox	0

TableBox	1

TextBox	2

UserBox	3

EquationBox	4

ButtonBox	5

WatermarkImageBox	6

InlineEquationBox	7

NoBox	127

NumberingFormat:WP String

Reference

ListDefinition


ListDefinitionCreate

ListName:WP String

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Numbering:Enumeration

DefNone	0

DefFollows	1

DefParentheses	2

DefFlushRight	3

DefLeader	4

Counter:Any

FigureBox	0

TableBox	1

TextBox	2

UserBox	3

EquationBox	4

ButtonBox	5

WatermarkImageBox	6

InlineEquationBox	7

NoBox	127

NumberingFormat:WP String

Reference

ListDefinitionCreate


ListDefinitionEditBox

Name:WP String

BoxName:Any

FigureBox	0

TableBox	1

TextBox	2

UserBox	3

EquationBox	4

ButtonBox	5

WatermarkImageBox	6

InlineEquationBox	7

NoBox	127

Reference

ListDefinitionEditBox


ListDefinitionStyle

ListName:WP String

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Reference

ListDefinitionStyle


ListEditPageFormat

ListName:WP String

NumberFormat:Any

DocFormat	0

Reference

ListEditPageFormat


OutlineBeginNew

Style:Enumeration

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Reference

OutlineBeginNew


OutlineStyleCopy

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Source:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Destination:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

NewName:WP String

Reference

OutlineStyleCopy


OutlineStyleDelete

Style:Any

Normal	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

OutlineStyleDelete


OutlineStyleEditBegin

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

OutlineStyleEditBegin


OutlineStyleLevel

Level:Unsigned Byte

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Reference

OutlineStyleLevel


OutlineStyleSelect

Style:Any

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Legal_3OutlnStyle	116

Legal_4OutlnStyle	117

Reference

OutlineStyleSelect


PrintDestination

Any :=  PrintDestination

DriverPort	0

PromptForFilename	1

Reference

PrintDestination


PrinterSelectByName

PrinterName:Any

Default Printer	0

Reference

PrinterSelectByName


PrintSettings

Action:Enumeration

Add	1

Delete	2

Update	3

Use	4

SettingName:Any

Default	0

DriverSettings	1

Reference

PrintSettings


StyleCopy

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

FromLibrary:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

ToLibrary:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

NewName:WP String

Reference

StyleCopy


StyleDelete

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Codes:Enumeration

IncludingCodes	4

LeavingCodes	5

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

StyleDelete


StyleEditBegin

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

StyleEditBegin


StyleLinkTo

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Reference

StyleLinkTo


StyleOff

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Reference

StyleOff


StyleOn

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Action:Enumeration

SkipEmptyParagraphs	1

Reference

StyleOn


StyleSystemOn

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Action:Enumeration

SkipEmptyParagraphs	1

Reference

StyleSystemOn


TableApplyStyle

Style:Any

TableStyle1	0

TableStyle2	1

TableStyle3	2

TableStyle4	3

TableStyle5	4

TableStyle6	5

TableStyle7	6

TableStyle8	7

TableStyle9	8

TableStyle10	9

TableStyle11	10

TableStyle12	11

TableStyle13	12

TableStyle14	13

TableStyle15	14

TableStyle16	15

TableStyle17	16

TableStyle18	17

TableStyle19	18

TableStyle20	19

TableStyle21	20

TableStyle22	21

TableStyle23	22

TableStyle24	23

TableStyle25	24

TableStyle26	25

TableStyle27	26

TableStyle28	27

TableStyle29	28

TableStyle30	29

TableStyle31	30

TableStyle32	31

TableStyle33	32

TableStyle34	33

TableStyle35	34

TableStyle36	35

TableStyle37	36

TableStyle38	37

TableStyle39	38

TableStyle40	39

TableStyle41	40

TableStyle42	41

TableStyle43	42

TableStyle44	43

NoTableStyle	127

ResetAttributes:Enumeration

No	0

Yes	1

ShowIn60:Enumeration

No	0

Yes	1

Reference

TableApplyStyle


TableBorder

Style:Any

SpacingOnly	0

SingleBorder	1

DoubleBorder	2

DashedBorder	3

DottedBorder	4

ThickBorder	5

ExtraThickBorder	6

ThinThickBorder	7

ThickThinBorder	8

ThickTopBottomBorder	9

ButtonBorder	10

ColumnBorderBetween	11

ColumnBorderAll	12

HeavySingleBorder	13

HeavyDoubleBorder	14

NoBorder	127

Reference

TableBorder


TableCellFillStyle

FillPattern:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

Reference

TableCellFillStyle


TableCellLine

Position:Enumeration

Left	0

Top	1

Inside	2

Right	3

Bottom	4

Outside	5

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Reference

TableCellFillStyle


TableCopyFormula

CellIDCntToCell:Enumeration

Down	0

Right	3

Cell	4

Where:Any

Reference

TableCopyFormula


TableDefaultLine

Style:Any

SingleLine	0

DoubleLine	1

DashedLine	2

DottedLine	3

ThickLine	4

ExtraThickLine	5

ThinThickLine	6

ThickThinLine	7

ButtonTopLeftLine	8

ButtonBottomRightLine	9

HeavySingleLine	10

HeavyDoubleLine	11

TableDefaultLine	126

NoLine	127

Reference

TableDefaultLine


TableFill

Pattern:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

Reference

TableFill


TableSecondFill

FillStyle:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

Reference

TableSecondFill


TableStyleEdit

Style:Any

TableStyle1	0

TableStyle2	1

TableStyle3	2

TableStyle4	3

TableStyle5	4

TableStyle6	5

TableStyle7	6

TableStyle8	7

TableStyle9	8

TableStyle10	9

TableStyle11	10

TableStyle12	11

TableStyle13	12

TableStyle14	13

TableStyle15	14

TableStyle16	15

TableStyle17	16

TableStyle18	17

TableStyle19	18

TableStyle20	19

TableStyle21	20

TableStyle22	21

TableStyle23	22

TableStyle24	23

TableStyle25	24

TableStyle26	25

TableStyle27	26

TableStyle28	27

TableStyle29	28

TableStyle30	29

TableStyle31	30

TableStyle32	31

TableStyle33	32

TableStyle34	33

TableStyle35	34

TableStyle36	35

TableStyle37	36

TableStyle38	37

TableStyle39	38

TableStyle40	39

TableStyle41	40

TableStyle42	41

TableStyle43	42

TableStyle44	43

NoTableStyle	127

Library:Enumeration

CurrentDoc	0

PersonalLibrary	1

SharedLibrary	2

Reference

TableStyleEdit


TextBorderCreate

Style:Any

SpacingOnly	0

SingleBorder	1

DoubleBorder	2

DashedBorder	3

DottedBorder	4

ThickBorder	5

ExtraThickBorder	6

ThinThickBorder	7

ThickThinBorder	8

ThickTopBottomBorder	9

ButtonBorder	10

ColumnBorderBetween	11

ColumnBorderAll	12

HeavySingleBorder	13

HeavyDoubleBorder	14

NoBorder	127

FillName:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

BorderFunction:Enumeration

PageBorder	0

ParagraphBorder	1

ColumnBorder	2

Reference

TextBorderCreate


TextBorderFillStyle

Fillname:Any

Fill10	0

Fill20	1

Fill30	2

Fill40	3

Fill50	4

Fill60	5

Fill70	6

Fill80	7

Fill90	8

Fill100	9

FillButton	10

Fill5	11

NoFill	127

Reference

TextBorderFillStyle


TextBorderStyle

Style:Any

SpacingOnly	0

SingleBorder	1

DoubleBorder	2

DashedBorder	3

DottedBorder	4

ThickBorder	5

ExtraThickBorder	6

ThinThickBorder	7

ThickThinBorder	8

ThickTopBottomBorder	9

ButtonBorder	10

ColumnBorderBetween	11

ColumnBorderAll	12

HeavySingleBorder	13

HeavyDoubleBorder	14

NoBorder	127

Reference

TextBorderStyle


TOADefinition

SectionName:WP String

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	26

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Numbering:Enumeration

DefNone	0

DefFollows	1

DefParentheses	2

DefFlushRight	3

DefLeader	4

Underline:Enumeration

NoToAUnderline	0

ToAUnderline	1

PageCombine:Enumeration

NoCombine	0

Combine	1

NumberingFormat:WP String

Reference

TOADefinition


TOADefinitionCreate

SectionName:WP String

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Numbering:Enumeration

DefNone	0

DefFollows	1

DefParentheses	2

DefFlushRight	3

DefLeader	4

Underline:Enumeration

NoToAUnderline	0

ToAUnderline	1

PageCombine:Enumeration

NoCombine	0

Combine	1

NumberingFormat:WP String

Reference

TOADefinitionCreate


TOADefinitionStyle

SectionName:WP String

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Reference

TOADefinitionStyle


TOAEditPageFormat

Listname:WP String

NumberFormat:Any

DocFormat	0

Reference

TOAEditPageFormat


TOCDefine

WrapLastLevel:Enumeration

No	0

Yes	1

NumberingFormat:WP String

Style:Any

NormalStyle	0

FootnoteNumberInDocumentStyle	16

EndnoteNumberInDocumentStyle	17

FigureNumberStyle	18

TableBoxNumberStyle	19

TextBoxNumberStyle	20

UserBoxNumberStyle	21

EquationNumberStyle	22

HypertextStyle	23

ToC1Style	24

ToC2Style	25

ToC3Style	26

ToC4Style	27

ToC5Style	28

Index1Style	29

Index2Style	30

ListStyle	31

ToAStyle	32

DocStyle	33

BoxTextStyle	34

CaptionStyle	35

FootnoteStyle	36

EndnoteStyle	37

CommentStyle	38

HeaderAStyle	39

HeaderBStyle	40

FooterAStyle	41

FooterBStyle	42

WatermarkAStyle	43

WatermarkBStyle	44

ParagraphOutlnStyle	45

OutlineStyle	46

LegalOutlnStyle	47

BulletsOutlnStyle	48

HeadingsOutlnStyle	49

Legal_2OutlnStyle	50

NumbersOutlnStyle	51

Level1Style	52

Level2Style	53

Level3Style	54

Level4Style	55

Level5Style	56

Level6Style	57

Level7Style	58

Level8Style	59

Legal1Style	60

Legal2Style	61

Legal3Style	62

Legal4Style	63

Legal5Style	64

Legal6Style	65

Legal7Style	66

Legal8Style	67

Heading1Style	68

Heading2Style	69

Heading3Style	70

Heading4Style	71

Heading5Style	72

Heading6Style	73

Heading7Style	74

Heading8Style	75

MonospacedStyle	76

CustomHTMLStyle	77

PreformattedStyle	78

AddressStyle	79

QuotationsOutlnStyle	80

DefinitionsOutlnStyle	81

Quotation1Style	82

Quotation2Style	83

Quotation3Style	84

Quotation4Style	85

Quotation5Style	86

Quotation6Style	87

Quotation7Style	88

Quotation8Style	89

Definition1Style	90

Definition2Style	91

Definition3Style	92

Definition4Style	93

Definition5Style	94

Definition6Style	95

Definition7Style	96

Definition8Style	97

Level9Style	111

Legal9Style	112

Heading9Style	113

Quotation9Style	114

Definition9Style	115

Numbering:Enumeration

DefNone	0

DefFollows	1

DefParentheses	2

DefFlushRight	3

DefLeader	4

Reference

TOCDefine


WebTitle

Title:Any

Auto	0

Reference

WebTitle


ProductCommandRepeatEnumValues
Repeating Parameters Enumeration Values

Product Command that have Repeating Parameters:

AttributeAppearanceOff

AttributeAppearanceOn

AttributeAppearanceToggle

BoxEditByCounter

ColumnsDefinition

CounterCreate

CounterSetValue

DocSummaryConfig

DocSumSet

FileChangeAttributes

FormElementsToolbar

LineNumbering

MacroMenuDelete

MakeItFit

MatchWithAttributes

PageNumberPosition

PrefTaskBar

QuickFontEx

SGMLInsertElement

SGMLMarkedSection

SGMLPreferences

SGMLSetColors

SGMLSetValidation

SortKeys

Suppress

TableAttributeOff

TableAttributeOn

TableCellAttributeOff

TableCellAttributeOn

TableColumnAttributeOff

TableColumnAttributeOn

TableSortTable

TabSet

TOCDefine


AttributeAppearanceOffVBA
AttributeAppearanceOff

Attrib:Enumeration

Outline!	7

Italics!	8

Shadow! 	9

Redline!	10

DoubleUnderline	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Reference

AttributeAppearanceOff


AttributeAppearanceOn_VBA
AttributeAppearanceOn

Attrib:Enumeration

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every	16

Reference

AttributeAppearanceOn


AttributeAppearanceTog_VBA
AttributeAppearanceToggle

Attrib:Enumeration

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every!	16

Reference

AttributeAppearanceToggle


BoxEditByCounter_VBA2
BoxEditByCounter

Attrib:Enumeration

None!	0

FigureCounter!	1

TableBoxCounter!	2

TextBoxCounter!	3

UserBoxCounter!	4

EquationCounter!	5

Reference

BoxEditByCounter


ColumnsDefinition_VBA
ColumnsDefinition

Attrib:Enumeration

Newspaper!	0

NewspaperBalanced!	1

Parallel!	2

ParallelBlockProtect!	3

SpacingDef:Enumeration

NotFixed!	0

Fixed!	1

Reference

ColumnsDefinition


DocSummaryConfig_VBA
DocSummaryConfig

Attrib:Enumeration

Abstract!	1

Account!	2

Address!	3

Attachments!	4

Author!	5

Authorization!	6

BillTo!	7

BlindCopy!	8

CarbonCopy!	9

Category!	10

CheckedBy!	11

Client!	12

Comments!	13

CreationDate!	14

DateCompleted!	15

Department!	16

DescriptiveName!	17

DescriptiveType!	18

Destination!	19

Disposition!	20

Division!	21

DocumentNumber!	22

Editor!	23

ForwardTo!	24

Group!	25

Keywords!	26

Language!	27

MailStop!	28

Matter!	29

Office!	30

Owner!	31

Project!	32

Publisher!	33

Purpose!	34

ReceivedFro!	35

RecordedBy!	36

RecordedDate!	37

Reference!	38

RevisionDate!	39

RevisionNotes!	40

RevisionNumber!	41

Section!	42

Security!	43

Source!	44

Status!	45

Subject!	46

TelephoneNumber!	47

Typist!	48

VersionDate!	49

VersionNotes!	50

VersionNumber!	51

Reference

DocSummaryConfig


DocSumSet_VBA
DocSumSet

Enumeration

Abstract!	1

Account!	2

Address!	3

Attachments!	4

Author!	5

Authorization!	6

BillTo!	7

BlindCopy!	8

CarbonCopy!	9

Category!	10

CheckedBy!	11

Client!	12

Comments!	13

CreationDate!	14

DateCompleted!	15

Department!	16

DescriptiveName!	17

DescriptiveType!	18

Destination!	19

Disposition!	20

Division!	21

DocumentNumber!	22

Editor!	23

ForwardTo!	24

Group!	25

Keywords!	26

Language!	27

MailStop!	28

Matter!	29

Office!	30

Owner!	31

Project!	32

Publisher!	33

Purpose!	34

ReceivedFrom!	35

RecordedBy!	36

RecordedDate!	37

Reference!	38

RevisionDate!	39

RevisionNotes!	40

RevisionNumber!	41

Section!	42

Security!	43

Source!	44

Status!	45

Subject!	46

TelephoneNumber!	47

Typist!	48

VersionDate! 	49

VersionNotes! 	50

VersionNumber! 	51

Reference

DocSumSet


FileChangeAttributes_VBA
FileChangeAttributes

Enumeration

Normal! 	0

ReadOnly! 	1

Hidden!	2

System!	4

Archive!	32

Reference

FileChangeAttributes


FormElementsToolbar_VBA
FormElementsToolbar

Enumeration

On!	1

Off!	0


LineNumbering_VBA
LineNumbering

State:Enumeration

Off!	0

On!	1

RestartAtNewPage:Enumeration

DontRestartNumbersEachPage	0

RestartNumbersEachPage!	1

CountBlankLines:Enumeration

DontCountBlankLines!	0

CountBlankLines!	1

NumberColumns:Enumeration

DontNumberAllNewspaperColumns!	0

NumberAllNewspaperColumns!	1

PositionRelativeToLeftEdge:Enumeration

PosNumberFromLeftEdgeOfPaper!	0

PosNumberFromLeftMargin!	1

Position:	Unsigned WP Units

FirstPrintingNumber:	Unsigned Word

NumberInterval	Unsigned Byte

Default:Enumeration

UseDefaultValues!	0

DontUseDefaultValues!	1

FontFace:	WP String

FontSize:Unsigned	 WP Units

Red:	Unsigned Byte

Green:	Unsigned Byte

Blue:	Unsigned Byte

Shade:	Unsigned Byte

AttributesOn:Enumeration

ExtraLarge!	0

VeryLarge!	1

Large!	2

Small!	3

Fine!	4

Superscript!	5

Subscript!	6

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Reference

LineNumbering


MacroMenuDelete_VBA
MacroMenuDelete

UpdateBIF:Enumeration

No!	0

Yes!	1

Reference

MacroMenuDelete


MakeItFit_VBA
MakeItFit

Adjust:Enumeration

FitLeftMargin!	1

FitRightMargin!	2

FitTopMargin!	4

FitBottomMargin!	8

FitFontSize!	16

FitLineSpacing!	32

Reference

MakeItFit


MatchWithAttributes_VBA
MatchWithAttributes

State:Enumeration

No!	0

Yes!	1

Attribute:Enumeration

ExtraLarge!	0

VeryLarge!	1

Large!	2

Small!	3

Fine!	4

Superscript!	5

Subscript!	6

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Reference

MatchWithAttributes


PageNumberPosition_VBA
PageNumberPosition

Position:Enumeration

None!	0

TopLeft!	1

TopCenter!	2

TopRight!	3

TopAlternating!	4

BottomLeft!	5

BottomCenter!	6

BottomRight!	7

BottomAlternating!	8

InsideTopAlternating!	9

OutsideBottomAlternating!	10

Default Enumeration

UseDefaultValues!	0

DontUseDefaultValues!	1

Attributes:Enumeration

ExtraLarge!	0

VeryLarge!	1

Large!	2

Small!	3

Fine!	4

Superscript!	5

Subscript!	6

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every!	16

Reference

PageNumberPosition


PrefTaskBar_VBA
PrefTaskBar

Box:Enumeration

Font!	0

Select!	1

InsertMode!	2

Date!	3

GeneralStatus!	4

AlignChar!	5

Zoom!	6

CapsLockState!	7

NumLockState!	8

ScrollLockState!	9

Printer!	10

Keyboard!	11

CombinedPosition!	12

Time!	13

CurrentTag!	14

LGCName!	15

CombinedAbsPosition!	16

TextOrIcon	Signed Word

Width	Signed Word

Reference

PrefTaskBar


QuickFontEx_VBA
QuickFontEx

FontType:Enumeration

Speedo!	134

Intellifont!	135

Type1!	138

TrueType!	139

Attributes:Enumeration

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every!	16

Reference

QuickFontEx


SGMLInsertElement_VBA
SGMLInsertElement

Options:Enumeration

None!	0

Spawn!	1

Empty!	2

Reference

SGMLInsertElement


SGMLMarkedSection_VBA
SGMLMarkedSection

Keyword:Enumeration

None!	0

CDATA!	1

RCDATA!	2

IGNORE!	4

INCLUDE!	8

TEMP!	16

Reference

SGMLMarkedSectionDlg


SGMLPreferences_VBA
SGMLPreferences

Show:Enumeration

Hide!	0

Show!	1

ShowAsMarkers!	2

RevealCode:Enumeration

ShowLayout!	0

ShowAttributes!	1

HTMLImport:Enumeration

No!	0

Yes!	1

ImportPrompt:Enumeration

No!	0

Yes!	1

OmitTagsImport:Enumeration

No!	0

Yes!	1

DefaultSaveAsXML:Enumeration {

No!	0

Yes!	1

Reference

SGMLPreferences


SGMLSetColors_VBA
SGMLSetColors

ColorID:Enumeration

ELEMBKG!	0

ELEMTXT!	1

PIBKG!	2

PITXT!	3

MSBKG!	4

MSTXT!	5

WPBKG!	6

WPTXT!	7

ERBKG!	8

ERTXT!	9


SGMLSetValidation_VBA
SGMLSetValidation

Options:Enumeration

CharMap!	1

Entity!	2

EntityDecl!	3

IdIdref!	4

Logic!	5

TextSeq!	6

Reference

SGMLSetValidation


SortKeys_VBA_VBA
SortKeys

SortType:Enumeration

Alphanumeric!	0

Numeric!	1

SortOrder:Enumeration

Ascending!	0

Descending!	1

Reference

SortKeys


Suppress_VBA
Suppress

Item:Enumeration

PageNumbering!	0

PageNumberBottomCenter!	1

HeaderA!	2

HeaderB!	3

FooterA!	4

FooterB!	5

WatermarkA!	6

WatermarkB!	7

Reference

Suppress


TableAttributeOff_VBA
TableAttributeOff

Attribute:Enumeration

ExtraLarge!	0

VeryLarge!	1

Large!	2

Small!	3

Fine!	4

Superscript!	5

Subscript!	6

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every!	16

Reference

TableAttributeOff


TableAttributeOn_VBA
TableAttributeOn

Attribute:Enumeration

ExtraLarge!	0

VeryLarge!	1

Large!	2

Small!	3

Fine!	4

Superscript!	5

Subscript!	6

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every!	16

Reference

TableAttributeOn


TableCellAttributeOff_VBA
TableCellAttributeOff

Attribute:Enumeration

ExtraLarge!	0

VeryLarge!	1

Large!	2

Small!	3

Fine!	4

Superscript!	5

Subscript!	6

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every!	16

Reference

TableCellAttributeOff


TableCellAttributeOn_VBA
TableCellAttributeOn

Attribute:Enumeration

ExtraLarge!	0

VeryLarge!	1

Large!	2

Small!	3

Fine!	4

Superscript!	5

Subscript!	6

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every!	16

Reference

TableCellAttributeOn


TableColumnAttributeOff_VBA
TableColumnAttributeOff

Attribute:Enumeration

ExtraLarge!	0

VeryLarge!	1

Large!	2

Small!	3

Fine!	4

Superscript!	5

Subscript!	6

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every!	16

Reference

TableColumnAttributeOff


TableColumnAttributeOn_VBA
TableColumnAttributeOn

Attribute:Enumeration

ExtraLarge!	0

VeryLarge!	1

Large!	2

Small!	3

Fine!	4

Superscript!	5

Subscript!	6

Outline!	7

Italics!	8

Shadow!	9

Redline!	10

DoubleUnderline!	11

Bold!	12

Strikeout!	13

Underline!	14

SmallCaps!	15

Every!	16

Reference

TableColumnAttributeOn


TableSortTable_VBA
TableSortTable

SortType:Enumeration

Alphanumeric!	0

Numeric!	1

SortOrder:Enumeration

Ascending!	0

Descending!	1

Reference

TableSortTable


TabSet_VBA
TabSet

Origin:Enumeration

Absolute!	0

Relative!	1

TabType:Enumeration

TabLeft!	0

TabCenter!	1

TabRight!	2

TabDecimal!	3

TabLeftDot!	16

TabCenterDot!	17

TabRightDot!	18

TabDecimalDot!	19

Reference

TabSet


Visual Basic for Applications and WordPerfect Office

Visual Basic for Applications (VBA) is an object-oriented programming language that lets you create VBA macros to automate tasks. You can, for example, create a macro in WordPerfect that changes the color of the headings. WordPerfect Office includes version six of the Microsoft Visual Basic for Applications (VBA) programming language.

VBA is an event-driven programming language. Most of the code you create is written to respond to an event. An event is an action that is recognized by VBA; for example, clicking a button or choosing an option from a list box. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.

All events in the application are code placeholders. It is up to you to code the response. All events are called in response to a specific action. When an action occurs, the appropriate event will be called and the code located within the event is executed. You can create simple or complex events. You can code a single line that displays a message box or write an entire procedure that interacts with a database.

Getting Started with VBA

What is Visual Basic for Applications?

What is Event driven programming?

Visual Basic, Visual Basic for Applications and VBScript

VBA and PerfectScript

Working in the VBA Editor

Using VBA Macros

Accessing an Application from another Application's macro


What is Visual Basic for Applications
What is Visual Basic for Applications?

Visual Basic for Applications (VBA) is a subset of the Microsoft Visual Basic (VB) object-oriented programming environment. VBA uses the Visual Basic Editor interactive development environment and the VB programming language to enhance applications by manipulating the application's objects, exposed by its object model. VBA can access other applications by referencing that application's object model components.

WordPerfect Office includes version six of the Microsoft Visual Basic for Applications (VBA) programming language. VBA is a subset of the Microsoft Visual Basic (VB) object-oriented programming environment. VBA uses the Visual Basic Editor interactive development environment and the VB programming language to enhance applications by manipulating the application's objects, exposed by its object model. VBA is a standard programming language that allows you to customize the application for your needs and integrate Corel products with other VBA-enabled applications by referencing that application's object model components.

VBA provides you with a set of tools that you can use to customize the graphical user interface of Corel applications. These tools allow you to process information and present data in an efficient and effective forum. Developers using VBA to extend Corel applications will benefit from the familiar Visual Basic language, Rapid Application Development (RAD) integrated development environment, and fast runtime performance in the resulting integrated solutions. Developers will also benefit from an extensible forms package that supports ActiveX controls for creating user interfaces, access to the full Windows API and the underlying file system, connectivity to corporate data, and integration with other COM-based software.

Even though VBA uses the Visual Basic programming language, it is considered "for applications" because it is most often integrated into another application in order to customize the functionality of that application.

 Related topics


What is Event driven programming
What is Event driven programming?

Visual Basic for Applications is an event-driven programming language. Most of the code you create is written to respond to an event. Each object within an object model is defined by a property, method, event, or a combination of each. An event is a noun, and acts as something that takes place in an object. You write code for an object to respond to the act. Events are triggered by an action, such as a click, key press, or system timer. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.

 Related topics


What is the difference between Visual Basic Visual Basic for Applications and VBScript
What is the difference between Visual Basic, Visual Basic for Applications and VBScript?

The Microsoft Visual Basic programming system is an advanced set of programming tools that provides advanced functionality and components for the Microsoft Windows operating system and other windows-based programs. For example, with Visual Basic you can create application extensions (dll's) and stand-alone executable programs (exe's). You cannot create either of these components with VBA or VBScript.

VBA is also referred to as Visual Basic, Applications Edition. VBA is a subset of the Visual Basic programming language. It uses the programming structure of Visual Basic to manipulate objects of an object model, left exposed by an application. The manipulation of these objects results in small packets of code procedures within the application. These code procedures and resulting projects are called add ins.

VBScript is also referred to as Microsoft Visual Basic, Scripting Edition. VBScript is also a subset of the Visual Basic programming language. It is a web-based HTML document scripting language.

 Related topics


What is the difference between VBA and PerfectScript
What is the difference between VBA and PerfectScript?

Previously, you could only use the PerfectScript language to automate specific tasks. Both product commands and programming commands are used in conjunction with the PerfectScript language. The PerfectScript language is useful for developing simple macros. VBA offers more flexibility and power. When you use VBA to create macros, you are assisted by the Visual Basic compiler. The compiler helps you by providing context-sensitive help when you are coding a VBA macro. You can combine the power of VBA with the PerfectScript product commands to create powerful macros. You have to use the Visual Basic Editor to create VBA macros; however, PerfectScript macros are developed from the WordPerfect Editor. You can access the Visual Basic Editor only when you are working in an active document.

 Related topics


Working in the VBA Editor

When you work in the VBA Editor, you can create a new object, such as a dialog box, which is known as a form. You can add controls, such as a check box or a text box. You can set the object's properties in the Property dialog box. You can also set the object's properties at run time by programming a method.

Each document that you create with VBA has a corresponding Visual Basic for Applications project. In order to customize your document with VBA coding procedures, you must open the project file in the Visual Basic Editor. To display the Editor, go to Tools|Visual Basic|Visual Basic Editor on the main menu in the application.

For more detailed information on constructing code procedures and setting properties, see the Microsoft Visual Basic Help in the Visual Basic Editor.

 Related topics


Using VBA macros

VBA allows you to edit and play macros that automate a series of tasks within an application.

You can store a VBA macro in the document by saving the document. Once you have saved the document, you can close and reopen the document and access the macro. After you have developed the macro, you should debug it. You can step through each macro line by line. This is a useful exercise to ensure that the macro will have the desired outcome. A project macro is not available if the document is closed. After you have debugged the macro, you can play the macro.

For more detailed instruction relating to VBA and its programming environment, please consult the "Microsoft Visual Basic for Applications Help" from the Help menu in the Visual Basic Editor.

 Related topics


Accessing an Application from another Applications macro
Accessing an Application from another Application's macro

You can access and change an application from another application's macro. VBA uses the Visual Basic Editor interactive development environment and the VB programming language to enhance applications by manipulating the application's objects, exposed by its object model. VBA allows you to customize your needs and integrate Corel products with other VBA-enabled applications by referencing that application's object model components.

For example, you could create and use a Quattro Pro object from a WordPerfect VBA macro. This allows you to change and save a Quattro Pro document from a WordPerfect VBA macro.

 Related topics


Default Topic
WordPerfect VBA Macros Help

Click the Help Topics button to return to the list of topics.


PERFECTSCRIPTOBJECT
Using ActiveX Components

An ActiveX component (*.OCX) enables you to add a great amount of power and flexibility to your VBA macro. Basically an ActiveX component is a special type of DLL (dynamic link library). Originally ActiveX components where created to replace Visual Basic controls, however they have exceeded this purpose. Visual Basic for Applications is an ActiveX container, meaning that you can include ActiveX components in your VBA macro. The components which are located on the toolbar are part of the Microsoft 2.0 Object library. These components are meant for VBA programming. You can add additional components to your VBA project. However, some components may work and others may not. Not all ActiveX components are meant for the VBA environment. It is recommended that you became familiar with a individual component before you add it to your VBA macro.

If you are trying to add a new Active X control to your VBA Toolbox and are receiving errors stating that the control is not licensed or that the control just does not work properly, this is not a bug.

Active X controls cover a wide range of applications and uses such as those listed below:

•	Many Windows applications write Active X controls for their own use and therefore are not supported or even expected to be used by others. Many of the controls that are included with Corel WordPerfect Office are of this nature and cannot be used with Visual Basic for Applications.

•	Some Active X controls installed to your system may have been included with other development applications such as Visual C++, Visual Basic, Delphi etc, and they may have license requirements that only allow them to run in their own development environment. Therefore they will not work with Visual Basic for Applications.

So in short, only those Active X controls available with Microsoft Forms 2.0 that are shipped as part of Microsoft Visual Basic for Applications 6.0 are supported. Any others you have on your system may be used with Visual Basic for Applications, but may not be actually intended to be used with Visual Basic for Applications, and therefore will not work. Also even if they do work you may not have rights to distribute them to your VBA Macro users. So in general if you are using custom controls be very careful that the control you are using is meant to be using in VBA and that you have the proper licensing rights to use it.

To add an ActiveX component to your VBA Form

1. From the VBA Editor, select Insert, User Form.

2. Select Tools, Additional Controls

3. Select the desired component.


WordPerfect Product Commands
WordPerfect PerfectScript Class Members

PerfectScript Macro Commands List

A

AbbreviationCreate

AbbreviationDelete

AbbreviationDlg

AbbreviationExpand

AbbreviationsShippingMacro

AboutDlg

AddressBookDlg

AddressBookFormatAdd

AddressBookFormatDelete

AddressBookFormatGetCurrent

AddressBookFormatGetCount

AddressBookFormatGetName

AddressBookFormatGetFormat

AddressBookGetCount

AddressBookGetFieldCount

AddressBookGetFieldNumber

AddressBookGetFieldName

AddressBookGetName

AddressBookInsertAddr

AddressMergeShippingMacro

Advance

AdvanceDlg

AllFontsShippingMacro

Append

AppendToFile

ApplicationBarShow

AppMaximize

AppMinimize

AppMove

AppRestore

AppSize

AppTaskList

AssociateDlg

AttributeAppearanceOn

AttributeAppearanceToggle

AttributeAppearanceOff

AttributeNormal

AttributePosition

AttributePositionToggle

AttributeRelativeSize

AttributeRelativeSizeToggle

AttributeSizeRatios

AutoCodePlacement

AutoScrollOn

AutoWordSelect

B

BackTab

Backup

BackupMinutes

BackupOriginalDoc

BarcodeDlg

BarcodePOSTNET

BaselinePlacement

Binding

BindingOptionsDlg

BlockProtect

BlockProtectToggle

BoldKey

BookmarkBlock

BookmarkCreate

BookmarkDelete

BookmarkDlg

BookmarkFind

BookmarkMove

BookmarkRename

BorderBottomLine

BorderColor

BorderCornerRadius

BorderDropShadow

BorderInsideSpacing

BorderLeftLine

BorderOutsideSpacing

BorderRightLine

BorderSeparatorLine

BorderSetSpacing

BorderStyleCopy

BorderStyleCreate

BorderStyleDelete

BorderStyleEdit

BorderStyleEnd

BorderStyleName

BorderStyleRetrieve

BorderStyleSave

BorderTopLine

BorderUseBorderColor

BoxAddText

BoxAttachTo

BoxBackwardOne

BoxBorder

BoxBorderDlg

BoxCaptionEdit

BoxCaptionEditEnd

BoxCaptionFormatting

BoxCaptionInitialStyle

BoxCaptionNumberStyle

BoxCaptionPosition

BoxCaptionRotation

BoxChangeLineHeight

BoxChangeStyle

BoxContentEdit

BoxContentPosition

BoxContentPreserveAspectRatio

BoxContentType

BoxCounter

BoxCreate

BoxDelete

BoxEdit

BoxEditByCounter

BoxEditNext

BoxEditPrevious

BoxEnd

BoxEquationColor

BoxEquationDefaultFont

BoxEquationFilename

BoxEquationFont

BoxEquationFontSize

BoxEquationRedisplay

BoxEquationSaveAsGraphic

BoxFill

BoxForwardOne

BoxHeight

BoxHorizontalAlignment

BoxHorizontalPosition

BoxImageBlackWhiteThreshold

BoxImageBrightness

BoxImageContrast

BoxImageDitherMethod

BoxImageFill

BoxImageFlipX

BoxImageFlipY

BoxImageHalfToneOptions

BoxImageInvertColors

BoxImageMonochrome

BoxImageMove

BoxImageRetrieve

BoxImageRotate

BoxImageSave

BoxImageScaling

BoxImageShowBackground

BoxInitialStyleDlg

BoxOLEEditObject

BoxOverlap

BoxPosDlg

BoxResetBorder

BoxResetCaption

BoxResetContent

BoxResetContentRender

BoxResetCounter

BoxResetFill

BoxResetPosition

BoxResetTextFlow

BoxSaveLookAsStyle

BoxStaysOnPage

BoxStyleCopy

BoxStyleCreate

BoxStyleDelete

BoxStyleEdit

BoxStyleEnd

BoxStyleName

BoxStyleRetrieve

BoxStyleSave

BoxTextAngle

BoxTextDefaultStyle

BoxTextEdit

BoxTextEditEnd

BoxTextFilename

BoxTextFlow

BoxTextFlowContour

BoxTextFlowSquare

BoxToBack

BoxToFront

BoxUpdateDisplay

BoxVerticalAlignment

BoxVerticalPosition

BoxWidth

BoxWrapDlg

BulletDlg

BulletSetCounter

ButtonBarAddItem

ButtonBarCreateDlg

ButtonBarDeleteItem

ButtonBarEditDlg

ButtonBarOptionsDlg

ButtonBarScrollbarToggle

ButtonBarSelect

ButtonBarSetFont

ButtonBarSetLocation

ButtonBarSetRows

ButtonBarSetStyle

ButtonBarShow

ButtonBarShowToggle

C

CapBeginSentence

CaseToggle

Center

CenterCurrentPage

CenterPageDlg

CenterPages

ChangeWatermarkGraphicShade

ChangeWatermarkTextShade

ChapterNumber

ChapterNumberDecrement

ChapterNumberDisplay

ChapterNumberIncrement

ChapterNumberMethod

Char

CharMappingDlg

CheckBoxShippingMacro

CleanUpSpaces

ClearDoc

ClearUndoLevels

ClipboardAppendTo

ClipboardRetrieve

ClipboardSaveTo

ClipboardShippingMacro

Close

CloseAllShippingMacro

CloseNoSave

CodePage

CodePageDlg

ColumnBorderDlg

ColumnDefineDlg

ColumnsDefinition

ColumnsOff

ColumnsOn

CommentConvert

CommentCreate

CommentEdit

CommentInformation

CommentInsertTime

CommentInsertUserInitials

CommentInsertUserName

CommentsDisplaySetup

ConditionalEndOfPage

ConvertCaseInitialCaps

ConvertCaseLowercase

ConvertCaseUppercase

Copy

CopyAndPaste

CorelVersionArchiveCurrentDlg

CorelVersionRetrieveDocumentDlg

CorelVersionRetrieveCurrentDlg

CounterCreate

CounterDecrement

CounterDelete

CounterDisplay

CounterDlg

CounterEditLevel

CounterEditLevelMethod

CounterEditLevelName

CounterEditMethod

CounterEditName

CounterIncrement

CounterSetMethod

CounterSetValue

CreateBoxToggle

CreateMapFile

CreateRegionLink

CrossRefMarkReference

CrossRefMarkTarget

CtrlBreak

CustomBoxDlg

Cut

CutAndPaste

D

DateCode

DateFormat

DateFormatDlg

DateText

DDEChangeUpdateMode

DDECreateLink

DDECreateLinkDlg

DDEDeleteLink

DDEDeleteLinkDlg

DDEEditLink

DDEEditLinkDlg

DDEPasteLink

DDEUpdateLink

DDEUpdateLinkDlg

DecimalAlignmentCharacter

DelayCodes

DelayCodesDlg

DeleteAppend

DeleteCharNext

DeleteCharPrevious

DeleteToBeginningOfWord

DeleteToEndOfLine

DeleteToEndOfPage

DeleteToEndOfWord

DeleteWord

DirectoryCreate

DirectoryExists

Display

DisplayMode

DisplaySuppressedBoxes

DisplayZoom

DocCompareAddMarkingsDlg

DocCompareRemoveMarkingsDlg

DocCompareRemoveRedline

DocInitialFont

DocInitialFontDlg

DocMaximize

DocMinimize

DocMove

DocNext

DocPrevious

DocRedlineMethodDlg

DocRestore

DocSize

DocSummaryConfig

DocSummaryDelete

DocSummaryPrint

DocSummarySaveAs

DocSumSet

Document Compare

DotLeader

DoubleSidedPrint

DoubleSmartQuote

DraftZoom100

DraftZoomMargin

DropCapAdjustDlg

DropCapBegin

DropCapBorderFillDlg

DropCapBorderStyle

DropCapCharacters

DropCapCharacterSize

DropCapContourWrap

DropCapControlBar

DropCapEnd

DropCapFillStyle

DropCapFontDlg

DropCapHorizontalAdjustment

DropCapIncludeDescender

DropCapIncludeDiacritic

DropCapKerning

DropCapNoWrap

DropCapOff

DropCapPositionOtherDlg

DropCapSizeDlg

DropCapVerticalAdjustment

E

EditBoxDlg

EditBoxDlgClose

EditCopy

EditCut

EditPaste

EditPasteSimple

EndCenterOrAlignment

EndnoteCreate

EndnoteEdit

EndnoteEditDlg

EndnoteFootnoteConvert

EndnoteFootnoteNext

EndnoteFootnotePrev

EndnoteMinimum

EndnoteNewNumber

EndnoteNumberDecrement

EndnoteNumberDisplay

EndnoteNumberIncrement

EndnoteNumberMethod

EndnoteOptions

EndnoteOptionsDlg

EndnotePlacement

EndnotePlacementDlg

EndnoteSetNumberDlg

EndnotesSpaceBetween

EndnoteToFootnoteShippingMacro

EndOfSentenceSpacing

EnterKey

EnvelopeAddressPositionUpdate

EnvelopeCreate

EnvelopeDlg

EnvelopePositionsDlg

EnvelopeSavePaperSize

EquationBaseFontDlg

EquationCreate

EquationPalette

EquationPaletteToggle

EquationRetrieveDlg

EquationZoomDlg

ExitWordPerfect

ExpandAllAbbrevShippingMacro

ExpandDlg

F

FancyPageBorder

FancyPageBorderInParagraph

FancyPageBorderOccur

FancyPageBorderOff

FigurePaletteDlg

FigurePaletteDlgEnd

FigureRetrieveDlg

FileChangeAttributes

FileChangeDir

FileCopy

FileDelete

FileExists

FileInsert

FileInsertDlg

FileMove

FileNew

FileOpen

FileOpenDlg

FileRemoveDirectory

FileSave

FileSaveAsDlg

FileStampShippingMacro

FillColors

FillSetGradient

FillSetWPG2

FillStyleCopy

FillStyleCreate

FillStyleDelete

FillStyleEdit

FillStyleEnd

FillStyleName

FillStyleRetrieve

FillStyleSave

FindDlg

FirstLineIndent

FloatingCellBegin

FloatingCellCreate

FloatingCellEdit

FloatingCellEnd

FloatingCellFormula

FloatingCellNumAlignCurrency

FloatingCellNumberDateFormat

FloatingCellNumberDecDigits

FloatingCellNumberFormat

FloatingCellNumberNegNumber

FloatingCellNumberRound

FloatingCellNumberUseCurrency

FloatingCellNumberUseCommas

FloatingCellNumSelectCurrency

FlushRight

FlushRightWithDotLeaders

Font

FontDlg

FontDnShippingMacro

FontDoubleUnderlineToggle

FontExtraLargeToggle

FontFineToggle

FontHiddenToggle

FontItalicToggle

FontLargeToggle

FontOutlineToggle

FontRedlineToggle

FontShadowToggle

FontSize

FontSmallCapsToggle

FontSmallToggle

FontStrikeoutToggle

FontSubscriptToggle

FontSuperscriptToggle

FontUnderlineToggle

FontUpShippingMacro

FontVeryLargeToggle

FooterA

FooterB

FooterSeparationDistance

FootnoteContinuedMessage

FootnoteCreate

FootnoteEdit

FootnoteEditDlg

FootnoteMinimum

FootnoteNewNumber

FootnoteNewNumberDlg

FootnoteNumberDecrement

FootnoteNumberDisplay

FootnoteNumberIncrement

FootnoteNumberMethod

FootnoteOptions

FootnoteOptionsDlg

FootnotePosition

FootnoteRestartEachPage

FootnoteSeparatorLine

FootnoteSpaceBetween

FootnoteToEndnoteShippingMacro

ForcePage

ForcePageDlg

FormatMarginsDlg

G

GenerateDlg

GenerateDoc

GetAcceleratorText

GraphicBoxStyleDlg

GraphicCreateBox

GraphicCreateChart

GraphicCreateTextArt

GraphicEditBox

GraphicsBoxCaptionDlg

GraphicsBoxContentDlg

GraphicsBoxFindDlg

GraphicsBoxSizeDlg

GraphicsFigureEditAllDlg

GraphicsLineColor

GraphicsLineCreate

GraphicsLineDelete

GraphicsLineEdit

GraphicsLineEditNext

GraphicsLineEditPrevious

GraphicsLineEnd

GraphicsLineHorizontalPosition

GraphicsLineLength

GraphicsLineSpacing

GraphicsLineStyle

GraphicsLineThickness

GraphicsLineType

GraphicsLineUpdateDisplay

GraphicsLineUseColor

GraphicsLineVerticalPosition

GraphicsStylesDlg

Guidelines

GuidelinesDlg

H

HardColumnBreak

HardPageBreak

HardPageBreakInsert

HardPageBreakKey

HardReturn

HardReturnInsert

HardSpace

HeaderA

HeaderB

HeaderFooterDistanceDlg

HeaderFooterDlg

HeaderFooterNext

HeaderFooterPlacementDlg

HeaderFooterPlacement

HeaderFooterPrev

HeaderSeparationDistance

HelpAskThePerfectExpert

HelpContents

HelpFilesPath

HelpHelpTopics

HelpHowDoI

HelpHowToUseHelp

HelpKeystrokes

HelpMacroManual

HelpOnlineSupportDlg

HelpSearchForHelpOn

HelpShowMe

HelpWhatIs

HiddenText

HiddenTextShowAll

HideBars

HighlightColor

HighlightColorDlg

HighlightPrint

HighlightRemove

HighlightToggle

HLineCreate

Hypertext

HypertextCreate

HypertextCreateDlg

HypertextDelete

HypertextEdit

HypertextEditDlg

HypertextExecute

HypertextInfo

HypertextNext

HypertextPrevious

HypertextReturnFrom

HypertextStyleEdit

Hyphenation

HyphenationIgnore

HyphenationSoftReturn

HyphenationZoneLeft

HyphenationZoneRight

I

ImportCreateDlg

ImportDlg

ImportDoEdit

ImportDoImport

ImportDoLink

ImportDoUpdate

ImportEditDlg

ImportOptionsDlg

ImportSetAsciiEncap

ImportSetAsciiFieldDelimiter

ImportSetAsciiRecordDelimiter

ImportSetAsciiStrip

ImportSetDataSource

ImportSetDestination

ImportSetDictPath

ImportSetFields

ImportSetFileName

ImportSetFilePath

ImportSetFirstRecFieldNames

ImportSetIncludeNames

ImportSetPanel

ImportSetPassword

ImportSetQuery

ImportSetRange

ImportSetServer

ImportSetSizeToFit

ImportSetSource

ImportSetSQLQuery

ImportSetTable

ImportSetUserID

ImportUpdateDlg

Indent

IndentLeftRight

IndexDefineDlg

IndexDefinition

IndexMark

InhibitInput

InitialCodesDoc

InitialCodesStyleDlg

InsertDefaultBullet

InsertFilename

InsertFilenameWithPath

InsertOtherCodesDlg

InternetPublisherDlg

InvokeDialog

IrregularCap

IsTokenValid

J

Justification

JustifyAll

JustifyCenter

JustifyFull

JustifyLeft

JustifyRight

K

KeepTextTogetherDlg

Kerning

KerningSpacing

KeyboardSelect

KeyboardSelectDlg

KeyType

L

LabelsDefine

LabelsDelete

LabelsDlg

LabelsFileCreate

LabelsFileDescription

LabelsFileSelect

LabelsOff

LabelsSelect

Language

LanguageDlg

LaunchOnlineService

Leading

LineBreak

LineCreateDlg

LineEditDlg

LineHeight

LineHeightDlg

LineHyphenationDlg

LineNumbering

LineNumberingDlg

LineNumberingMethod

LineNumberSet

LineSegmentColor

LineSegmentCreate

LineSegmentDelete

LineSegmentEdit

LineSegmentEnd

LineSegmentSetUser

LineSegmentSetUserData

LineSegmentSetUserEnd

LineSegmentSetWPG2

LineSegmentSpacing

LineSegmentWavy

LineSegmentWavyWidth

LineSegmentWidth

LineSpacing

LineSpacingDlg

LineStyleCopy

LineStyleCreate

LineStyleDelete

LineStyleEdit

LineStyleEnd

LineStyleName

LineStyleRetrieve

LineStyleSave

ListDefineDlg

ListDefinition

ListDefinitionCreate

ListDefinitionDelete

ListDefinitionEditBox

ListDefinitionMode

ListDefinitionRename

ListDefinitionRetrieve

ListDefinitionStyle

ListEditPageFormat

ListMark

M

MacroCommandInserter

MacroEditControlBar

MacroExecuteQuick

MacroFileChain

MacroFilePlay

MacroMenuAdd

MacroMenuDelete

MacroPause

MacroStatusPrompt

MacroTemplatePlay

MailDlg

MakeItFit

MakeItFitDlg

MarginAdjustLeft

MarginAdjustRight

MarginBottom

MarginLeft

MarginReleaseInsert

MarginRight

MarginTop

MarkCrossRef

MarkCrossRefUpdateList

MarkIndex

MarkIndexUpdateList

MarkList

MarkListUpdateList

MarkTableOfAuthorities

MarkTableOfContents

MarkTOAUpdateList

MasterDocCondense

MasterDocCondenseDlg

MasterDocExpand

MasterDocSubdocDlg

MatchElement

MatchExtendSelection

MatchFindIfInElements

MatchLimit

MatchPositionAfter

MatchPositionBefore

MatchSelection

MatchSkipIfInElements

MatchWithAttributes

MatchWithFont

MatchWithFontSize

MenuAddFeature

MenuAddMacro

MenuAddProgram

MenuAddScript

MenuAddSeparator

MenuAddSubMenu

MenuDeleteItemEx

MenuSelect

MenuSelectDlg

MergeAddressBook

MergeAddressBookSaveAs

MergeBlankField

MergeCode

MergeCodesDisplayEdit

MergeCodesDisplayRun

MergeCodesDlg

MergeCondition

MergeDataFile

MergeDlg

MergeEndField

MergeEndRecord

MergeEnvelope

MergeEnvelopeDefinitionBegin

MergeEnvelopeDefinitionEnd

MergeFileAssociate

MergeFileAssociateAddressBook

MergeFileAssociateODBC

MergeFilesDlg

MergeFileType

MergeFormDlg

MergeMark

MergeODBC

MergePageBreak

MergePrintText

MergeRepeat

MergeRun

MergeSelect

MergeTableDataDlg

MergeTextDataDlg

MinusSign

MoveModeEnd

N

NewHFWOccurrence

NumberingOptionDlg

O

ObjectImageArrow

ObjectImageCreate

ObjectImageDropShadow

ObjectImageLineColor

ObjectImageLineStyle

ObjectImageLineThickness

ObjectImagePolyline

ObjectImageRemove

ObjectImageRotation

OLE1InsertDlg

OLE1LinksDlg

OLE1PasteDlg

OLEAcceptLinks

OLECancelLink

OLEChangeLink

OLEDeactivate

OLEInitializeLinks

OLEInsertDlg

OLEInsertObject

OLEInsertObjectFile

OLELinksDlg

OLEObject

OLEPasteDlg

OLESetLinkUpdate

OLEUpdateLink

OLEVerb

OnlineHelpSupport

OutlineApply

OutlineBarDisplay

OutlineBarSetup

OutlineBeginNew

OutlineBodyText

OutlineBodyTextToggle

OutlineChangeToBodyText

OutlineEnd

OutlineFamilyCopy

OutlineFamilyCut

OutlineFamilyDemote

OutlineFamilyDown

OutlineFamilyDragDown

OutlineFamilyDragUp

OutlineFamilyHide

OutlineFamilyLeft

OutlineFamilyMove

OutlineFamilyPromote

OutlineFamilyRight

OutlineFamilySelect

OutlineFamilyShow

OutlineFamilyUp

OutlineHideShowingBodyText

OutlineIconsDisplay

OutlineNumberDlg

OutlineOff

OutlineParagraphCopy

OutlineParagraphDelete

OutlineParagraphDemote

OutlineParagraphDragDown

OutlineParagraphDragUp

OutlineParagraphMove

OutlineParagraphNumberInsert

OutlineParagraphNumber

OutlineParagraphPromote

OutlineParagraphSelect

OutlineRight

OutlineShow

OutlineStyleCopy

OutlineStyleCreate

OutlineStyleDelete

OutlineStyleDescription

OutlineStyleEditBegin

OutlineStyleEditEnd

OutlineStyleLeadingZeros

OutlineStyleLevel

OutlineStyleNumberFormat

OutlineStyleNumbersOnly

OutlineStyleRename

OutlineStyleRetrieve

OutlineStyleSave

OutlineStyleSelect

OutlineStyleType

OutlineUp

OverstrikeCreate

OverstrikeCreateDlg

OverstrikeEdit

P

PageBorderDlg

PageNumber

PageNumberDecrement

PageNumberDisplay

PageNumberDisplayFormat

PageNumberFormat

PageNumberIncrement

PageNumberingAdjustDlg

PageNumberingCountDlg

PageNumberingDlg

PageNumberingInsertDlg

PageNumberMethod

PageNumberPosition

PageNumberSettingsDlg

PageSetupDlg

PageSuppressDlg

PageZoomFull

PaneNext

PanePrevious

PaperSizeAdd

PaperSizeDelete

PaperSizeDlg

PaperSizeResave

PaperSizeSelect

ParagraphBorderDlg

ParagraphBreakShippingMacro

ParagraphDown

ParagraphFormatDlg

ParagraphHangingIndent

ParagraphNumberDefDlg

ParagraphSetNumber

ParagraphSpacing

ParagraphUp

Paste

PasteLink

PauseCommand

PauseKey

PauseSet

PersonalInfoDlg

PersonalInfoFormatAddr

PersonalInfoGetField

PlayClipBoardShippingMacro

PlayFileShippingMacro

PlaySelectionShippingMacro

PleadingShippingMacro

PosBlockBeg

PosBlockBottom

PosBlockTop

PosCellDown

PosCellNext

PosCellPrevious

PosCellUp

PosCharacter

PosCharNext

PosCharPrevious

PosColBottom

PosColFirst

PosColLast

PosColNext

PosColPrevious

PosColTop

PosDocBottom

PosDocTop

PosDocVeryTop

PosEndnote

PosFootnote

PosFunction

PosGoPrevious

PosGoToDlg

PosHeading

PosIndex

PosLine

PosLineBeg

PosLineDown

PosLineEnd

PosLineUp

PosLineVeryBeg

PosLineVeryEnd

PosNextComment

PosNextEndnote

PosNextFootnote

PosNextHeading

PosNextIndex

PosNextTOA

PosNextTOC

PosPage

PosPageBottom

PosPageNext

PosPagePrevious

PosPageTop

PosParagraphNext

PosParagraphPrevious

PosPrevComment

PosPrevEndnote

PosPrevFootnote

PosPrevHeading

PosPrevIndex

PosPrevTOA

PosPrevTOC

PosScreenDown

PosScreenLeft

PosScreenRight

PosScreenUp

PosSelectBottom

PosSelectTop

PosTableBegin

PosTableBlockBeg

PosTableCell

PosTableCellBottom

PosTableCellDown

PosTableCellNext

PosTableCellPrevious

PosTableCellTop

PosTableCellUp

PosTableColBottom

PosTableColumnBottom

PosTableColumnTop

PosTableEnd

PosTableGoPrevious

PosTableRowBegin

PosTableRowEnd

PosTableScreenDown

PosTableScreenLeft

PosTableScreenRight

PosTableScreenUp

PosTableTopCellNext

PosTableTopCellPrevious

PosTOA

PosTOC

PosWordNext

PosWordPrevious

PowerBarEditDlg

PowerBarOptionsDlg

PowerBarShow

PowerTableNumericFormat

PrefApplicationBarEdit

PrefBackupPath

PrefBeep

PrefButtonBar

PrefDisplayDlg

PrefDisplaySet

PrefDocSummary

PrefDocSummaryDlg

PrefEnvironment

PrefEnvSettingsDlg

PrefHyphenation

PrefImportDlg

PrefImportOptions

PrefLanguageSet

PrefLiteCodes

PrefLocationDlg

PrefLocationOfDocuments

PrefLocationOfGraphicsFiles

PrefLocationOfMacroFiles

PrefLocationOfPrinterFiles

PrefLocationOfSpreadsheetFiles

PrefLocationOfTemplates

PrefMenu

PrefMergeCodes

PrefMergeExtensions

PrefMetafileOptions

PrefPowerBar

PrefPowerBarEdit

PrefPrintEnvironment

PrefPrintRedline

PrefPrintSizeRatio

PrefRevealCodes

PrefRevealCodesDlg

PrefRuler

PrefSave

PrefStatusBarEdit

PrefStatusBarOptions

PrefStatusBarOptionsDlg

PrefTaskBar

PrefTOA

PrefUnitsOfMeasure

PrefZoom

PrintAction

PrintAdvancedRangeData

PrintBooklet

PrintCopies

PrintDestination

PrintDlg

PrinterCommand

PrinterCommandDlg

PrinterPause

PrinterSelectByName

PrinterSelectDlg

PrintGraphically

PrintGraphics

PrintHistoryDlg

PrintImageBinding

PrintImageOffset

PrintInColor

PrintInReverseOrder

PrintRangeFrom

PrintRangeTo

PrintResolution

PrintResolutionDpiX

PrintResolutionDpiY

PrintSettings

PrintSortOrder

PrintSourceFileName

PrintSuppressedBoxes

PrintTo

PrintTwoSided

PrintTwoSidedDocCodesDlg

PrintUseTwoSidedDocCodes

PrintWithDocumentSummary

ProofReadAsYouGoOff

ProofReadGrammar

PublishToFaxDlg

Q

QuattroPro

QuickCorrect

QuickCorrectAddItem

QuickCorrectAutoCreateException

QuickCorrectCapsFixQry

QuickCorrectCapsFixSet

QuickCorrectDeleteItem

QuickCorrectDlg

QuickCorrectQuickBulletsSet

QuickCorrectQuickIndentQry

QuickCorrectQuickIndentSet

QuickCorrectQuickLinesQry

QuickCorrectQuickLinesSet

QuickCorrectQuickOrdinalsSet

QuickCorrectQuickSymbolsSet

QuickCorrectReplaceWord

QuickFontEx

QuickFormat

QuickFormatDiscontinue

QuickFormatDlg

QuickFormatToggle

QuickLink

QuickmarkFind

QuickmarkSet

QuickSwap

QuickWords

QuickWordsDlg

R

Redisplay

RedlineCharacter

RedlineMethod

Redo

RepeatDlg

RepeatSet

RepeatValue

ReplaceAll

ReplaceBackward

ReplaceConfirm

ReplaceCurrent

ReplaceDlg

ReplaceForward

ReplaceString

ReplaceWithAttributes

ReplaceWithCase

ReplaceWithFont

ReplaceWithFontSize

ReselectLastBlock

ReselectLastSelection

ResetKeyboardMenu

RevealCodes

ReverseShippingMacro

ReviewDocAnnotationFirst

ReviewDocAnnotationAcceptAll

ReviewDocAnnotationPrev

ReviewDocAnnotationReject

ReviewDocAnnotationRejectAll

ReviewDocAnnotationNext

ReviewDocAnnotationAccept

ReviewDocAuthorDlg

ReviewDocDisplayModeToggle

ReviewDocDlg

ReviewDocManualModeToggle

ReviewDocReviewerDlg

ReviewDocSetCurrentUserColor

RulerBarShow

S

SaveAll

SaveAllShippingMacro

SaveToDriveAMacro

SaveUndoInformation

ScrollScreenLeft

ScrollScreenRight

SearchCaseSensitive

SearchFindWholeWordsOnly

SearchInSelection

SearchNext

SearchNextCurrentWord

SearchPrevious

SearchPreviousCurrentWord

SearchString

SearchWordForms

SearchWrap

SecondaryPageNumber

SecondaryPageNumberDecrement

SecondaryPageNumberDisplay

SecondaryPageNumberIncrement

SecondaryPageNumberMethod

SelectAll

SelectCell

SelectCellDown

SelectCellDownArrow

SelectCellLeft

SelectCellRight

SelectCellUp

SelectCellUpArrow

SelectCharNext

SelectCharPrevious

SelectColumnBottom

SelectColumnNext

SelectColumnPrevious

SelectColumnTop

SelectDelete

SelectDocBottom

SelectDocTop

SelectDocVeryTop

SelectedReplaceString

SelectLineBegin

SelectLineDown

SelectLineEnd

SelectLineUp

SelectLineVeryBegin

SelectLineVeryEnd

SelectMode

SelectOff

SelectOn

SelectOnEmptyDoc

SelectPage

SelectPageNext

SelectPagePrevious

SelectParagraph

SelectParagraphNext

SelectParagraphPrevious

SelectRectangle

SelectSave

SelectScreenDown

SelectScreenLeft

SelectScreenRight

SelectScreenUp

SelectSentence

SelectSentenceNext

SelectSentencePrevious

SelectTable

SelectTableColumn

SelectTableColumnExtendLeft

SelectTableColumnExtendRight

SelectTableRow

SelectTabularColumn

SelectToggle

SelectWord

SelectWordNext

SelectWordPrevious

SetDocumentMapping

SetSelEx

SettingsDlg

SetUndoLevels

SGMLAddToAttrList

SGMLBoxAddToAttrList

SGMLBoxAttribute

SGMLBoxDeleteAttribute

SGMLBoxDeleteMarkup

SGMLBoxElementDlg

SGMLBoxMarkup

SGMLCDATASection

SGMLCharRef

SGMLContentModelDlg

SGMLCreateDocType

SGMLDeleteAttribute

SGMLDeleteDocType

SGMLDocTypeDlg

SGMLEditAttributeDlg

SGMLEditAttributesDlg

SGMLEditBoxAttributeDlg

SGMLEditLayout

SGMLElementDlg

SGMLElementEditDlg

SGMLElementsDlg

SGMLElementList

SGMLEndElement

SGMLEntityRef

SGMLExportImport

SGMLFileRefDataType

SGMLFileRefDelAttribute

SGMLFileRefDelete

SGMLFileRefDlg

SGMLFileRefFilePath

SGMLFileRefNew

SGMLFileRefNewAttribute

SGMLFileRefNotation

SGMLFileRefPubID

SGMLFileRefRename

SGMLFindElementEnd

SGMLFindElementStart

SGMLFindNextTable

SGMLFindStartTag

SGMLGetAttributeData

SGMLGetElementData

SGMLGetFileRefData

SGMLIDIDREFListDlg

SGMLIgnore

SGMLInsertElement

SGMLLoadDocType

SGMLLogicErrorDlg

SGMLMarkedSecParamEntity

SGMLMarkedSectionDlg

SGMLMrkSecPEDelete

SGMLMrkSecPERename

SGMLNewAttribute

SGMLPreferences

SGMLProcessingInstruction

SGMLProcessingInstructionDlg

SGMLProcessTarget

SGMLProcessTargetDelete

SGMLProcessTargetFilePath

SGMLProcessTargetPubID

SGMLProcessTargetRename

SGMLRenameElement

SGMLReplaceAttribute

SGMLRootElement

SGMLRootElementDlg

SGMLSaveAsOptions

SGMLSelectElement

SGMLSelectLayout

SGMLSelectLayoutDlg

SGMLSetValidation

SGMLSplitElement

SGMLTagAllTables

SGMLTagBox

SGMLTagCurrentTable

SGMLTagTablesDlg

SGMLTextRefDlg

SGMLUnloadDocType

SGMLValidate

SGMLValidationDlg

ShadowCursorOptions

ShadowCursorShow

ShiftTabKey

ShowBoxes

ShowGraphics

ShowHiddenText

ShowMarginIcons

ShowSGMLTree

ShowSymbols

SingleSmartQuote

SingleSpaceInSentence

SoftHyphen

SoftSpace

Sort

SortAction

SortCaseOrder

SortDlg

SortKeys

SortSelectString

SortType

SortUndo

SoundClipAddInstance

SoundClipCreate

SoundClipDelete

SoundClipDlg

SoundClipPlayNext

SoundClipSetAttributes

SoundClipSetDescription

SoundClipSetFilename

SpecificDeleteStringBegin

SpecificReplaceStringBegin

SpecificSearchStringBegin

SpecificStringEnd

SpellAsYouGo

SpreadsheetShowLinkCode

SpreadsheetUpdateOnRetrieve

StatusBarShow

StyleCodes

StyleCopy

StyleCreate

StyleDelete

StyleDescription

StyleEditBegin

StyleEditEnd

StyleEnterKeySetting

StyleLinkTo

StyleOff

StyleOn

StylePersonalLibrary

StyleRename

StyleRetrieve

StyleSave

StyleSharedLibrary

StylesListDlg

StyleSystemOn

StyleType

StyleUpdate

SubdividePage

SubdividePageDlg

SubdividePageOff

SubdocInclude

SubstructureExit

Suppress

SwitchDoc

T

Tab

TabAdd

TabBarIconShow

TabCenter

TabCenterDot

TabClearAll

TabDecimal

TabDecimalDot

TabDelete

TabForced

TabInsert

TabKey

TableAdjustBegin

TableAdjustColumnWidth

TableAdjustEnd

TableAdjustPosition

TableAlternateFillSet

TableAppendRow

TableApplyStyle

TableAttributeOff

TableAttributeOn

TableAutoCalc

TableAutoFill

TableBlockOff

TableBlockOn

TableBorder

TableBorderEditBegin

TableBorderEditEnd

TableCalculate

TableCalculateAll

TableCalculateDlg

TableCellAttributeOff

TableCellAttributeOn

TableCellCopy

TableCellDiagonalLine

TableCellDiagonalLineQry

TableCellFillColors

TableCellFillStyle

TableCellIgnoreCalculation

TableCellJustification

TableCellLine

TableCellLineColor

TableCellLock

TableCellNumberAlignCurrency

TableCellNumberDateFormat

TableCellNumberDecimalDigits

TableCellNumberFormat

TableCellNumberNegativeNumber

TableCellNumberRound

TableCellNumberSelectCurrency

TableCellNumberUseCommas

TableCellNumberUseCurrency

TableCellRotateContents

TableCellsJoin

TableCellUseColumnAttribute

TableCellUseColumnJust

TableCellUseColumnNumberType

TableCellUseLineColor

TableCellVerticalAlignment

TableColumnAttributeOff

TableColumnAttributeOn

TableColumnDecimalAlignDigits

TableColumnDecimalAlignDist

TableColumnFixedWidth

TableColumnJustification

TableColumnMarginLeft

TableColumnMarginRight

TableColumnNumberAlignCurrency

TableColumnNumberDateFormat

TableColumnNumberDecimalDigits

TableColumnNumberFormat

TableColumnNumberNegNumber

TableColumnNumberRound

TableColumnNumberSelCurrency

TableColumnNumberUseCommas

TableColumnNumberUseCurrency

TableColumnsFixedWidth

TableColumnSize2Fit

TableColumnWidth

TableColumnWidthEqualize

TableColumnWidthGrow

TableColumnWidthShrink

TableConvertDlg

TableConvertFrom

TableCopy

TableCopyFormula

TableCreate

TableCreateDlg

TableCreateNewDlg

TableDataFill

TableDecimalAlignmentDigits

TableDecimalAlignmentDistance

TableDefaultLine

TableDefaultLineColor

TableDeleteBlock

TableDeleteCellFormula

TableDeleteColumn

TableDeleteDlg

TableDeleteRow

TableDeleteTable

TableDeleteTableDlg

TableDisableCellLocks

TableDragToCreate

TableEdit

TableExpertDlg

TableFill

TableFormatDlg

TableFormatJustification

TableFormatWidths

TableFormula

TableFormulaCBar

TabLeft

TabLeftDot

TableGridLinesToggle

TableGuides

TableHardColumnBreak

TableHardRow

TableHeader

TableInsertAutoRow

TableInsertColumn

TableInsertDlg

TableInsertOneRow

TableInsertRow

TableJoin

TableJoinCells

TableJoinCellTool

TableLineFillDlg

TableMarginLeft

TableMarginRight

TableMove

TableMoveCopyDlg

TableMoveModeCancel

TableMoveModeEnd

TableNameAdd

TableNameChange

TableNameCreateDlg

TableNameDelete

TableNameListDlg

TableNumberAlignCurrency

TableNumberDateFormat

TableNumberDecimalDigits

TableNumberFormat

TableNumberNegativeNumber

TableNumberRound

TableNumberSelectCurrency

TableNumberTypeDlg

TableNumberUseCommas

TableNumberUseCurrency

TablePointMode

TablePosition

TablePosNextTable

TablePosPreviousTable

TableQuickSum

TableReformatAll

TableRetrieve

TableRotateCell

TableRowCanSpanPages

TableRowColIndicators

TableRowHeight

TableRowMarginBottom

TableRowMarginTop

TableRowNumberOfLines

TableSecondFill

TableSecondFillColors

TableSelectOff

TableSelectOn

TableSize

TableSkewColumn

TableSkewColumnText

TableSkewJoinCorners

TableSkewRow

TableSkewRowText

TableSortTable

TableSplit

TableSplitCellsDlg

TableSplitColumn

TableSplitColumnTool

TableSplitRow

TableSplitRowTool

TableSquareSkewedRow

TableStyleCreate

TableStyleDelete

TableStyleEdit

TableStyleEnd

TableStyleName

TableStyleReplace

TableStyleRetrieve

TableStyleSave

TableTextBoxCreate

TableTextToFormula

TableToolsDlg

TableUndelete

TableUpdateAssociatedCharts

TableUseDefaultLinesColor

TabRight

TabRightDot

TabSet

TabSetDlg

TemplateCopyObject

TemplateCopyObjectDlg

TemplateCreate

TemplateDescriptionDlg

TemplateDlg

TemplateEdit

TemplateFill

TemplateGetAssociation

TemplateMacroEditControlBar

TemplateSelect

TemplateSetAssociation

TextBorderCreate

TextBorderEdit

TextBorderEnd

TextBorderFillStyle

TextBorderStyle

TextBoxCreate

TextColor

TextShade

ThirdPartyCreate

ThirdPartyDelete

ThirdPartyFind

ThirdPartyFindByID

ThousandsSeparator

TOACreateFullFormDlg

TOADefineDlg

TOADefinition

TOADefinitionCombine

TOADefinitionCreate

TOADefinitionDelete

TOADefinitionMode

TOADefinitionRename

TOADefinitionRetrieve

TOADefinitionStyle

TOADefinitionUnderline

TOAEditFullForm

TOAEditFullFormCBar

TOAEditFullFormDlg

TOAEditPageFormat

TOAEditSection

TOAEditShortForm

TOAMark

TOAMarkShortForm

TOCDefine

TOCDefineDlg

TOCMark

TotalPages

TotalPagesDisplay

TotalPagesMethod

TwainAcquire

TwainSelectSourceDlg

Type

TypeChar

Typeover

TypeoverKey

TypesetManualKerningDlg

U

Undelete

UndeleteDlg

UnderlineColor

UnderlineSpaces

UnderlineStyle

UnderlineTabs

Undo

UndoRedoDlg

UserAssistant

UseRegQuotesWithNumbers

UserFunction

V

ViewDraft

ViewOutline

ViewPage

ViewToggle

ViewToolbarsDlg

ViewTwoPage

VLineCreate

VolumeNumber

VolumeNumberDecrement

VolumeNumberDisplay

VolumeNumberIncrement

VolumeNumberMethod

W

WatermarkA

WatermarkB

WatermarkDlg

WatermarkNext

WatermarkPlacementDlg

WatermarkPrev

WatermarkShadingDlg

WatermarkShippingMacro

WebActiveLinkColor

WebBackgroundColor

WebBackgroundImage

WebBaseURL

WebBoxHTMLProperties

WebBoxHTMLPropertiesDlg

WebColumnDefineDlg

WebCustomHTMLToggle

WebFormsFormPropertiesDlg

WebFormsHiddenDlg

WebFormsListPropertiesDlg

WebFormsProperties

WebFormsRadioPropertiesDlg

WebFormsTextAreaPropertiesDlg

WebFormsTextPropertiesDlg

WebInsertCheckBox

WebInsertForm

WebInsertHiddenField

WebInsertPassword

WebInsertRadioButton

WebInsertResetButton

WebInsertSelectList

WebInsertSubmitButton

WebInsertSubmitImage

WebInsertTextArea

WebInsertTextLine

WebJavaCreateApplet

WebJavaModifyApplet

WebJavaRunApplets

WebLaunchWebBrowser

WebLinkColor

WebMetaTags

WebMonoToggle

WebNewDlg

WebPublish

WebPublishDlg

WebTableProperties

WebTextColor

WebTitle

WebTitleDlg

WebViewAsHTML

WebViewInWebBrowser

WebVisitedLinkColor

WebWallpaper

WidowOrphan

WindowCascade

WindowTile

WindowTileVertical

WordCountDlg

WordLetterspaceDlg

WordLetterSpacing

WordSpacingJustificationLimits

WP51CursorMovement

WPActivate

WPCharactersDlg

WPDraw

WPGrammatik

WPSpeller

WPThesaurus

WritingToolsDisable

X

No commands

Y

No commands

Z

ZoomDlg

ZoomToFullPage

ZoomToMarginWidth

ZoomToPageWidth